<?php
//
// Copyright (C) 2001-2002 System Consultants Co.,Ltd. All Rights Reserved.
//
// $Id: database.php 920 2002-06-07 10:35:21Z hiboki $
//

/**
 * データベースへの登録クラス
 *
 * @author hiroki KAWAMURA <hiroki@syscon.co.jp>
 * @author yuji TAKAHASHI <yu-ji@syscon.co.jp>
 */



include_once($_ROOT_DIR_ . "admin/csvimport/class/errorinfoowner.php");
include_once($_ROOT_DIR_ . "admin/csvimport/class/table_definitionowner.php");
include_once($_ROOT_DIR_ . "admin/csvimport/class/importcsvdata_owner.php");


class Database
{
	var $importCsvDataOwner;		// インポートするCSVデータクラス

	var $conn;						// DBコネクション
	var $dbSqlObj;					// SQLオブジェクト
	var $dbExecObj;					// Execオブジェクト

	var $errorInfoOwner;			// エラー情報クラス


	// コンストラクタ
	function Database()
	{
		$this->errorInfoOwner = new ErrorInfoOwner();
	}


	// importCsvDataの取得
	function getImportCsvDataOwner()
	{
		return $this->importCsvDataOwner;
	}

	// importCsvDataOwnerの設定
	function setImportCsvDataOwner($importCsvDataOwner)
	{
		$this->importCsvDataOwner = $importCsvDataOwner;
	}

	// connの取得
	function getConn()
	{
		return $this->conn;
	}

	// connの設定
	function setConn($conn)
	{
		$this->conn = $conn;
	}

	// dbSqlObjの取得
	function getDbSqlObj()
	{
		return $this->dbSqlObj;
	}

	// dbSqlObjの設定
	function setDbSqlObj($dbSqlObj)
	{
		$this->dbSqlObj = $dbSqlObj;
	}

	// dbExecObjの取得
	function getDbExecObj()
	{
		return $this->dbExecObj;
	}

	// dbExecObjの設定
	function setDbExecObj($dbExecObj)
	{
		$this->dbExecObj = $dbExecObj;
	}

	// errorInfoの取得
	function getErrorInfo()
	{
		return $this->errorInfo;
	}

	// errorInfoの設定
	function setErrorInfo($errorInfo)
	{
		$this->errorInfo = $errorInfo;
	}


	// DBに登録
	// 仮想関数
	function doInsert()
	{
	}

}
?>