<?php
//
// Copyright (C) 2001-2002 System Consultants Co.,Ltd. All Rights Reserved.
//
// $Id: errorinfoowner.php 920 2002-06-07 10:35:21Z hiboki $
//

/**
 * エラー情報を取り仕切るクラス
 *
 * @author hiroki KAWAMURA <hiroki@syscon.co.jp>
 * @author yuji TAKAHASHI <yu-ji@syscon.co.jp>
 */



include_once($_ROOT_DIR_ . "admin/csvimport/class/errorinfo.php");

class ErrorInfoOwner
{
	var $errorInfo;		// エラー情報クラスの配列

	// コンストラクタ
	function ErrorInfoOwner()
	{
	}

	// errorInfoの取得
	function getErrorInfo()
	{
		return $this->errorInfo;
	}

	// errorInfoの設定
	function setErrorInfo($errorInfo)
	{
		$this->errorInfo = $errorInfo;
	}


	// 配列に追加
	function add($errorStr)
	{
		$errorInfoTemp = new ErrorInfo();
		$errorInfoTemp->setErrorStr($errorStr);

		$errorInfo = $this->getErrorInfo();
		$errorInfo[] = $errorInfoTemp;

		$this->setErrorInfo($errorInfo);
	}


	// 配列のクリア
	function clear()
	{
		$this->setErrorInfo("");
	}


	// 全エラー情報を出力
	// 番号 | 情報<br>\n
	function outputAllErrorInfo()
	{
		$errorInfoArray = $this->getErrorInfo();

		$arrayCount = count($errorInfoArray);

		for ($i = 0; $i < $arrayCount; $i++)
		{
			$outputStr .= $i + 1 . " | ";
			$outputStr .= $errorInfoArray[$i]->getErrorStr();
			$outputStr .= "<br>\n";
		}

		return $outputStr;
	}


}
?>