<?php
//
// Copyright (C) 2001-2002 System Consultants Co.,Ltd. All Rights Reserved.
//
// $Id: table_definition.php 920 2002-06-07 10:35:21Z hiboki $
//

/**
 * テーブル定義クラス
 *
 * @author hiroki KAWAMURA <hiroki@syscon.co.jp>
 * @author yuji TAKAHASHI <yu-ji@syscon.co.jp>
 */



class TableDefinition
{
	var $columnName;			// カラム名
	var $type;					// 型
	var $length;				// 長さ
	var $notNull;				// Not Nullかどうか
	var $defaultValue;			// デフォルト値
	var $relationTableName;		// 参照先テーブル名
	var $relationColumnCode;	// 参照先のコードカラム名
	var $relationColumnName;	// 参照先の名前カラム名

	// コンストラクタ
	function TableDefinition()
	{
	}

	// columnNameの取得
	function getColumnName()
	{
		return $this->columnName;
	}

	// columnNameの設定
	function setColumnName($columnName)
	{
		$this->columnName = $columnName;
	}

	// typeの取得
	function getType()
	{
		return $this->type;
	}

	// typeの設定
	function setType($type)
	{
		$this->type = $type;
	}

	// lengthの取得
	function getLength()
	{
		return $this->length;
	}

	// lengthの設定
	function setLength($length)
	{
		$this->length = $length;
	}

	// notNullの取得
	function isNotNull()
	{
		return $this->notNull;
	}

	// notNullの設定
	function setNotNull($notNull)
	{
		$this->notNull = $notNull;
	}

	// defaultValueの取得
	function getDefaultValue()
	{
		return $this->defaultValue;
	}

	// defaultValueの設定
	function setDefaultValue($defaultValue)
	{
		$this->defaultValue = $defaultValue;
	}

	// relationTableNameの取得
	function getRelationTableName()
	{
		return $this->relationTableName;
	}

	// relationTableNameの設定
	function setRelationTableName($relationTableName)
	{
		$this->relationTableName = $relationTableName;
	}

	// relationColumnCodeの取得
	function getRelationColumnCode()
	{
		return $this->relationColumnCode;
	}

	// relationColumnCodeの設定
	function setRelationColumnCode($relationColumnCode)
	{
		$this->relationColumnCode = $relationColumnCode;
	}

	// relationColumnNameの取得
	function getRelationColumnName()
	{
		return $this->relationColumnName;
	}

	// relationColumnNameの設定
	function setRelationColumnName($relationColumnName)
	{
		$this->relationColumnName = $relationColumnName;
	}

}
?>