<?
//
// Copyright (C) 1999-2000 Top Management Service, inc. All Rights Reserved.
// Copyright (C) 2001-2003 System Consultants Co.,Ltd. All Rights Reserved.
//
// $Id: category.php 1196 2004-08-25 08:28:01Z hideki-h $
//

/**
 * カテゴリマスタメンテナンス
 *
 * @author hiroki KAWAMURA <hiroki@syscon.co.jp>
 * @author yuji TAKAHASHI <yu-ji@syscon.co.jp>
 * @author hideo OHSAWA <ohsawa@syscon.co.jp>
 */

//変数
$sub = isset($_POST["sub"]) ? $_POST["sub"] : $_GET["sub"];
$cat_cd = $_POST["cat_cd"];
$cat_name = $_POST["cat_name"];
$enable = $_POST["enable"];


include("gw.php");
include_once($_ROOT_DIR_ . "class/PhraseSelect.php");
$objPhraseSelect = new PhraseSelect($bolPhraseSelect);
$varPhraseSet = $objPhraseSelect->getPhrase();

include("include/dbChange.php");
$conn = $dbConnectObj->openConnect();
if (!$conn) 
{
	echo "データベースに異常。<BR>\n";
	exit;
}
include("include/accept.conf");
if (!$_SERVER["PHP_AUTH_USER"]) {
	echo "Not Found.<BR>\n";
	exit;
}
	$strSql = $dbSqlObj->selectAdministratorsAllWithEmpCd($_SERVER["PHP_AUTH_USER"]);
	$result = $dbExecObj->exeSql($conn,$strSql);
	$adminCount = $dbExecObj->getNumRows($result);
	include("include/admchk.func");

	if (admchk($conn,$_SERVER["PHP_AUTH_USER"],$dbSqlObj,$dbExecObj) == 0){
		echo "<FONT COLOR = \"RED\">管理者ではありません</FONT>\n";
		exit;
	}

// ログオン周りのクラスを使います。
	require_once($_ROOT_DIR_ . "class/employeeinfo.php");		// 社員情報クラス
	require_once($_ROOT_DIR_ . "class/employeeinfoowner.php");	// 社員情報クラスの処理クラス
	$employeeInfoOwner = new EmployeeInfoOwner();
	$employeeInfoOwner->setEmp_cd($_SERVER["PHP_AUTH_USER"]);
	$employeeInfoOwner->doSelectQuery($conn, $dbSqlObj, $dbExecObj);
	$employeeInfoArray = $employeeInfoOwner->getEmployeeInfoArray();
	$isAdmin = $employeeInfoArray[$_SERVER["PHP_AUTH_USER"]]->isAdmin();
	$empName = $employeeInfoArray[$_SERVER["PHP_AUTH_USER"]]->getName();

// デザインをインクルードします。
	require_once($_ROOT_DIR_ . "class/menuHeadder.php");
	$menuShowObj = new menuShowObj($conn,$dbSqlObj,$dbExecObj);
	$menuShowObj->setEmpName($empName);
	$menuShowObj->setCurrentAppli("conf");
	$menuShowObj->setIsAdmin($isAdmin);
	$menuShowObj->showHeadder();
?>
<span class="fBlack12100">■ カテゴリ情報のメンテナンス</span>
<?
if ($sub == "登録" || $sub == "更新" || $sub == "はい" || $sub == "いいえ") 
{
	if ($sub=="登録")
	{
		if ($cat_name == "" || $enable == "")
		{
			echo "<B><FONT color=\"red\">入力されていない項目があります。</FONT></B><BR>\n";
			echo "<A HREF=\"javascript:history.back()\">[BACK]</A>\n";
		}
		else
		{
			include("include/serial.func");
			$cat_cd = getSerialCode("category",$conn,$dbSqlObj,$dbExecObj);

			$strSql = $dbSqlObj->selectCategoryCountOfCatCdWithCatCd($cat_cd);
			$result = $dbExecObj->exeSql($conn, $strSql);
			if ($dbExecObj->getResult($result, 0, "count_of_records") == 0) 
			{
				$strSql = $dbSqlObj->insertCategory($cat_cd,$cat_name,$enable);
				$result = $dbExecObj->exeSql($conn, $strSql);
			} 
			else
			{
				echo "<B><FONT color=\"red\">同一カテゴリコードの情報が登録されているため登録できませんでした。</FONT></B><BR>\n";
			echo "<A HREF=\"javascript:history.back()\">[BACK]</A>\n";
			}
		}
	} 
	elseif ($sub=="更新")
	{
		if ($cat_name == "" || $enable == "")
		{
			echo "<B><FONT color=\"red\">入力されていない項目があります。</FONT></B><BR>\n";
			echo "<A HREF=\"javascript:history.back()\">[BACK]</A>\n";
		}
		else
		{
			$strSql = $dbSqlObj->updateCategoryWithCatCd($cat_name,$enable,$cat_cd);
			$result = $dbExecObj->exeSql($conn, $strSql);

		}
	} 
	elseif ($sub == "はい")
	{
		$strSql = $dbSqlObj->deleteCategoryWithCatCd($cat_cd);
		$result = $dbExecObj->exeSql($conn,$strSql);
	} 
}
if ($sub != "新規" && $sub != "修正" && $sub != "削除")
{
?>
<FORM  action="category.php" method="POST" >
  <SELECT  name="cat_cd" size="1">
<?
	$strSql = $dbSqlObj->selectCategoryWithCatCdSortedCatCd();
	$result = $dbExecObj->exeSql($conn,$strSql);
	if (!$result) 
	{
		echo "カテゴリ情報の一覧を取得できません。<BR>\n";
		exit;
	}
	$count = $dbExecObj->getNumRows($result);
	$i = 0;
	while ($i < $count) 
	{
		echo "<OPTION VALUE=\"" . htmlSpecialEscape($dbExecObj->getResult($result, $i ,"cat_cd")) . "\">" . htmlSpecialEscape($dbExecObj->getResult($result, $i, "cat_name")) . "\n";
		$i++;
	}
?>
  </SELECT>
  <BR>
  <input type="submit" name="sub" value="新規">
<?	
	if ($count != 0) 
	{
?>
  <input type="submit" name="sub" value="修正">
  <input type="submit" name="sub" value="削除">
<?	
	}
?>
</FORM>
<?
} 
elseif ($sub == "新規")
{
?>
<FORM  action="category.php" method="POST" >
  <TABLE>
    <TR>
      <td><span class="fBlack10100"><b>カテゴリ名：</b></span></td>
      <TD><input type="TEXT" name="cat_name" size="20" maxlength="100"></TD>
    </TR>
    <TR>
      <td><span class="fBlack10100"><b>使用：</b></span></td>
      <TD><span class="fBlack10100"><b>使用：</b></span><input type="radio" name="enable" value="t" checked>　不使用<input type="radio" name="enable" value="f"></TD>
    </TR>
    <TR>
      <TD colspan=2><input type="submit" name="sub" value="登録"></TD>
    </TR>
  </TABLE>
</FORM>
<Script Language="JavaScript">
<!--
document.forms[0].elements[0].focus();
//-->
</Script>
<?
} 
elseif ($sub == "修正")
{
	// 対象が空欄の場合は戻る
	if ($cat_cd == "")
	{
		$A_PHP_SELF = $_SERVER["PHP_SELF"];
		echo "<Script language=\"JavaScript\">\n";
		echo "window.location = '$A_PHP_SELF';\n";
		echo "</Script>\n";
		exit;
	}
	$strSql = $dbSqlObj->selectCategoryWithCatCd($cat_cd);
	$result = $dbExecObj->exeSql($conn, $strSql);
?>
<FORM  action="category.php" method="POST" >
  <TABLE>
    <TR>
      <td><span class="fBlack10100"><b>カテゴリコード：</b></span></td>
      <TD><?echo htmlSpecialEscape($dbExecObj->getResult($result,0,"cat_cd"))?></TD>
    </TR>
    <TR>
      <td><span class="fBlack10100"><b>カテゴリ名：</b></span></td>
      <TD><input type="TEXT" name="cat_name" size="20" maxlength="100" value="<?echo  htmlSpecialEscape($dbExecObj->getResult($result,0,"cat_name"))?>"></TD>
    </TR>
    <TR>
      <td><span class="fBlack10100"><b>使用：</b></span></td>
<?if ($dbExecObj->getResult($result,0,"enable")=="t") {?>
      <TD>使用<input type="radio" name="enable" value="t" checked>　不使用<input type="radio" name="enable" value="f"></TD>
<? } else { ?>
      <TD>使用<input type="radio" name="enable" value="t">　不使用<input type="radio" name="enable" value="f" checked></TD>
<?}?>
    </TR>
    <TR>
      <TD colspan="2">
        <input type="hidden" name="cat_cd" value="<?echo  htmlSpecialEscape($cat_cd)?>">
        <input type="submit" name="sub" value="更新">
      </TD>
    </TR>
  </TABLE>
</FORM>
<Script Language="JavaScript">
<!--
document.forms[0].elements[0].focus();
//-->
</Script>
<?
}
elseif ($sub == "削除")
{
	// 対象が空欄の場合は戻る
	if ($cat_cd == "")
	{
		$A_PHP_SELF = $_SERVER["PHP_SELF"];
		echo "<Script language=\"JavaScript\">\n";
		echo "window.location = '$A_PHP_SELF';\n";
		echo "</Script>\n";
		exit;
	}
	else
	{
		// サブカテゴリで使用中
		$strSql = $dbSqlObj->selectSubCategoryCountOfSubCatCdWithCatCd($cat_cd);
		$result = $dbExecObj->exeSql($conn, $strSql);

		if ($dbExecObj->getResult($result, 0, "count_of_records") != 0)
		{
			echo "<B><FONT color=\"red\">このカテゴリにはサブカテゴリが存在します。削除できません。</FONT></B><BR>\n";
			echo "<A HREF=\"javascript:history.back()\">[BACK]</A>\n";
		} 
		else
		{
?>
<FORM action="category.php" method="POST">
  本当に削除しますか？<BR>
  <input type="hidden" name="cat_cd" value="<?echo  htmlSpecialEscape($cat_cd)?>">
  <input type="submit" name="sub" value="はい">
  <input type="submit" name="sub" value="いいえ">
</FORM>
<?
		}
	}
} 
// データベースのClose
	$dbConnectObj->closeConnect($conn);
//デザインマージ後のフッタをインクルードします。
	$menuShowObj->showConfFooter();
?>
