<?php
class PhraseSelect
{
  /**
   * WIZ で使用する文言セット
   **/
  var $varPhraseSet = array();
  /**
   * WIZ で使用する文言セット切り分けフラグ
   * true の場合学術機関向け
   * false or NULL の場合企業向け
   **/
  var $mode;

  /**
   * コンストラクタ
   **/  
  function PhraseSelect($mode)
  {
    $this->mode = $mode;
    $this->setPhrase();
  }

  /**
   * 文言セットを登録する
   **/
  function setPhrase()
  {
    if($this->mode == "true")
    {
      $this->varPhraseSet["strOrg"] = "大学";
      $this->varPhraseSet["strSection"] = "所属";
      $this->varPhraseSet["strPerson"] = "教職員";
      $this->varPhraseSet["strRelations"] = "業務相手先";
      $this->varPhraseSet["strRelationsName"] = "相手先";
      $this->varPhraseSet["strLocation"] = "所在地";
      $this->varPhraseSet["strCapital"] = "";
      $this->varPhraseSet["strRelationBank"] = "";
      $this->varPhraseSet["strManagingDirector"] = "学長";
      $this->varPhraseSet["strEmploymentForm"] = "職名";
    }
    else
    {
      $this->varPhraseSet["strOrg"] = "会社";
      $this->varPhraseSet["strSection"] = "部門";
      $this->varPhraseSet["strPerson"] = "社員";
      $this->varPhraseSet["strRelations"] = "取引先";
      $this->varPhraseSet["strRelationsName"] = "社名";
      $this->varPhraseSet["strLocation"] = "拠点";
      $this->varPhraseSet["strCapital"] = "資本金";
      $this->varPhraseSet["strRelationBank"] = "取引銀行";
      $this->varPhraseSet["strManagingDirector"] = "代表取締役";
      $this->varPhraseSet["strEmploymentForm"] = "就業形態";
    }
  }

  /**
   * 文言セットを取得する
   **/
  function getPhrase()
  {
    return $this->varPhraseSet;
  }
}
?>