<?php
/**
 *イベント用メンバー管理クラス
 *
 * @author hideki HARANAKA <hideki-h@syscon.co.jp>
 */

//include_once("./class/employeeinfo.php");
class ScheduleMemberInfo extends EmployeeInfo {

  /**
   *クラス名称
   */
  var $classname = "ScheduleMemberInfo";

  /**
   *スケジュールコード
   */
  var $schedule_cd;

  /**
   *参加表明フラグ
   *
   *<ul>
   *<li>true 参加する</li>
   *<li>false 参加未定</li>
   *</ul>
   */
  var  $enable;

  var  $scheduleEventInfo;
  
  /**
   * コンストラクタ
   */
  function ScheduleMemberInfo(){
  }

  /**
   *スケジュールコードを取得する
   *
   *@return int スケジュールコード
   */
  function  getSchedule_cd() {
    return $this->schedule_cd;
  }

  /**
   *スケジュールコードを設定する
   *
   *@param schedule_cd スケジュールコード
   */
  function  setSchedule_cd( $schedule_cd) {
  	$this->schedule_cd = $schedule_cd;
  }

  /**
   *参加/参加未定を取得する
   *
   *@return boolean true:参加 false:未定
   */
  function  getEnable() {
    return $this->enable;
  }

  /**
   *参加/参加未定を設定する
   *
   *@param enable true:参加 false:未定
   */
  function  setEnable( $enable) {
  	$this->enable = $enable;
  }

}

?>