<?php
//
// Copyright (C) 2001-2002 System Consultants Co.,Ltd. All Rights Reserved.
//
// $Id: appconfinfoowner.php 920 2002-06-07 10:35:21Z hiboki $
//

/**
 * アプリケーション情報クラスの処理クラス
 *
 * @author hiroki KAWAMURA <hiroki@syscon.co.jp>
 * @author yuji TAKAHASHI <yu-ji@syscon.co.jp>
 */



class AppConfInfoOwner
{
	var	$linkName;		// リンクファイル名
	var $appConfInfo;	// AppConfInfo
//	var $execSql;		// ExecSql

	// コンストラクタ
	function AppConfInfoOwner()
	{
		$this->appConfInfo = new AppConfInfo();
//		$this->execSql = new ExecSql();
	}

	// linkの設定
	function setLinkName($linkName)
	{
		$this->linkName = $linkName;
	}

	// linkの取得
	function getLinkName()
	{
		return $this->linkName;
	}

	// AppConfInfoの取得
	function getAppConfInfo()
	{
		return $this->appConfInfo;
	}

	// AppConfInfoの設定
	function setAppConfInfo($appConfInfo)
	{
		$this->appConfInfo = $appConfInfo;
	}

	// SQLの実行
	function doQuery($conn, $dbSqlObj, $dbExecObj)
	{
//		$this->execSql->doExecSql($conn, "SELECT gwap,gazou,name,name_e FROM appconf WHERE link='$this->linkName';");
//		$this->convertResult2AppConfInfo();

		$strSql = $dbSqlObj->selectAppconfWhereLink($this->linkName);
		$result = $dbExecObj->exeSql($conn, $strSql);

		$this->convertResult2AppConfInfo($dbExecObj, $result);
	}

	// resultをAppConfInfoにコンバート
	function convertResult2AppConfInfo($dbExecObj, $result)
	{
//		$tempAppConfInfo = new AppConfInfo();
//		$tempAppConfInfo->setGwap($this->execSql->getResult(0, "gwap"));
//		$tempAppConfInfo->setName($this->execSql->getResult(0, "name"));
//		$tempAppConfInfo->setGazou($this->execSql->getResult(0, "gazou"));
//		$tempAppConfInfo->setName_e($this->execSql->getResult(0, "name_e"));

		$tempAppConfInfo = new AppConfInfo();
		$tempAppConfInfo->setGwap($dbExecObj->getResult($result, 0, "gwap"));
		$tempAppConfInfo->setName($dbExecObj->getResult($result, 0, "name"));
		$tempAppConfInfo->setGazou($dbExecObj->getResult($result, 0, "gazou"));
		$tempAppConfInfo->setName_e($dbExecObj->getResult($result, 0, "name_e"));

		$this->setAppConfInfo($tempAppConfInfo);
	}

}

?>
