<?php
//
// Copyright (C) 2001-2002 System Consultants Co.,Ltd. All Rights Reserved.
//
// $Id: javascriptselect_cat_subcat.php 1215 2004-09-01 02:40:50Z hideki-h $
//

/**
 * 
 *
 * @author hiroki KAWAMURA <hiroki@syscon.co.jp>
 * @author yuji TAKAHASHI <yu-ji@syscon.co.jp>
 */

//2004.08

require_once ($_ROOT_DIR_ . "class/javascriptselect.php");

class JavaScriptSelect_CatSubcat extends JavaScriptSelect
{

	var $Division;			// 2004.08 メイン要素の配列 $mainElementArray['mainCode'] = mainName

/// public ///

	// コンストラクタ
	function JavaScriptSelect_CatSubcat()
	{
	}


/// protected ///

	// メイン要素取得SQLの取得
	// コード、名前
	// 2004.08 部署コードをパラメタに追加
	function getSelectMainElementSql($dbSqlObj)
	{
		if ($this->getDivision() == 0){		//管理者の場合
			$sqlstr = $dbSqlObj->selectCategorySubcategory();
		}else
		{
			$sqlstr = $dbSqlObj->selectCategorySubcategoryWithDivision($this->Division,$this->writeableFlg);
		}

		return $sqlstr;
	}


	// サブ要素取得SQLの取得
	// サブ要素のコード、サブ要素の名前、関連付いたメイン要素のコード
	// 2004.08 部署コードをパラメタに追加
	function getSelectSubElementSql($dbSqlObj)
	{
		if ($this->getDivision() == 0){ 	//管理者の場合
			$sqlstr = $dbSqlObj->selectSubCategoryWithCatCdAndKey();
		}else
		{
			$sqlstr = $dbSqlObj->selectSubCategoryWithDivision($this->Division,$this->writeableFlg);
		}

		return $sqlstr;
	}

	// 2004.08 部署コード
	// subElementArray
	function setDivision($Division)
	{
		$this->Division = $Division;
	}

	function getDivision()
	{
		return $this->Division;
	}

	// 2004.08 writeable 抽出有無
	function setwriteableFlg($writeableFlg)
	{
		$this->writeableFlg = $writeableFlg;
	}

	function getwriteableFlg()
	{
		return $this->writeableFlg;
	}

}

?>
