<?php
//
// Copyright (C) 2001-2002 System Consultants Co.,Ltd. All Rights Reserved.
//
// $Id: keitaiRoutineForPc.php 1106 2003-01-27 09:49:33Z ohsawa $
//

/**
 * PC版に組み込む、ケータイ用ルーチン部品
 *
 * @author yuji TAKAHASHI <yu-ji@syscon.co.jp>
 */

class keitaiRoutineForPc
{
	//-- コンストラクタ
		function keitaiRoutineForPc()
		{
		}

	//-- ケータイメアドにURLを送信するメソッド
		function sendURLToUser($mobileMailAddress, $admin, $_ROOT_URL_, $emp_cd)
		{
			$mailStr = "ケータイ用wizのURLをお知らせします。\r\n\r\n";
			$mailStr .= $_ROOT_URL_ . "k/index.php?user=$emp_cd\r\n";
			// カレントの言語を設定
			mb_language("Japanese");

			// ヘッダを指定
//			$MailHeaders  = "Mime-Version: 1.0\r\n";
//			$MailHeaders .= "Content-Type: text/plain; charset=ISO-2022-JP\r\n";
//			$MailHeaders .= "Content-Transfer-Encoding: 7bit\r\n";
//			$MailHeaders .= "From:$admin\r\n";

			// メール送信
			mb_send_mail($mobileMailAddress, "[WIZ] ケータイ用URL", $mailStr, "From:$admin");
//			mail($mobileMailAddress,
//				("=?ISO-2022-JP?B?" . base64_encode(i18n_convert("[WIZ]ケータイ用URL","JIS","UTF-8")) . "?="),
//				i18n_convert($mailStr,"JIS","UTF-8"), $MailHeaders);
		}

	//-- emp.phpに組み込む、ケータイメアドの入力フォーム
		function mobilePasschk($passwd, $birthDay)
		{

			if (!$passwd)
			{
				echo "パスワードが入力されていません。<BR>\n";
				echo "<A HREF=\"javascript:history.back()\">[BACK]</A>\n";
				exit;
			}

			if (strlen($passwd) != 4)
			{
				echo "パスワードは4文字です。<BR>\n";
				echo "<A HREF=\"javascript:history.back()\">[BACK]</A>\n";
				exit;
			}

			if (ereg("[a-zA-Z]", $passwd))
			{
				echo "パスワードは数字のみ使用して下さい。<BR>\n";
				echo "<A HREF=\"javascript:history.back()\">[BACK]</A>\n";
				exit;
			}

			if (intval($birthDay) == intval($passwd))
			{
				echo "誕生日をパスワードに使用しないで下さい。<BR>\n";
				echo "<A HREF=\"javascript:history.back()\">[BACK]</A>\n";
				exit;
			}

			//-- すべて同じ数字かチェック
			$tmpChar = substr($passwd, 0, 1);
			$unmatchFlag = 0;
			for($i = 1; $i < strlen($passwd); $i++)
			{
				if ($tmpChar == substr($passwd, $i, 1))
				{
					$unmatchFlag++;
				}
			}
			if ($unmatchFlag == 3)
			{
				echo "すべて同じ数字でパスワードを設定しないでください。<BR>\n";
				echo "<A HREF=\"javascript:history.back()\">[BACK]</A>\n";
				exit;
			}

			//-- 1234 のような、++型かチェック
			$tmpChar = substr($passwd, 0, 1);
			$unmatchFlag = 0;
			for($i = 1; $i < strlen($passwd); $i++)
			{
				if ($tmpChar + $i == substr($passwd, $i, 1))
				{
					$unmatchFlag++;
				}
			}
			if ($unmatchFlag == 3)
			{
				echo "1234, 2345のように、カウントアップするように設定しないでください。<BR>\n";
				echo "<A HREF=\"javascript:history.back()\">[BACK]</A>\n";
				exit;
			}

			//-- 4321 のような、--型かチェック
			$tmpChar = substr($passwd, 0, 1);
			$unmatchFlag = 0;
			for($i = 1; $i < strlen($passwd); $i++)
			{
				if ($tmpChar - $i == substr($passwd, $i, 1))
				{
					$unmatchFlag++;
				}
			}
			if ($unmatchFlag == 3)
			{
				echo "4312, 9876のように、カウントダウンするように設定しないでください。<BR>\n";
				echo "<A HREF=\"javascript:history.back()\">[BACK]</A>\n";
				exit;
			}

		}

}
?>
