<?
//
// Copyright (C) 2001-2002 System Consultants Co.,Ltd. All Rights Reserved.
//
// $Id: client_methods.php 1196 2004-08-25 08:28:01Z hideki-h $
//

/**
 * 取引先・担当者情報
 *
 * @author hiroki KAWAMURA <hiroki@syscon.co.jp>
 * @author yuji TAKAHASHI <yu-ji@syscon.co.jp>
 */



//////////////////////////////////////////////////////
////////////////////   Methods    ////////////////////
//////////////////////////////////////////////////////

switch ($sub)
{
	case "ta_input_method":
		////////////////////////////////////////
		//担当者新規登録
		if (!$Name_Lj || !$Name_Fj)
		{
			echo "<BR><CENTER><FONT COLOR = \"RED\">担当者名が入力されていません。ブラウザの戻るボタンを押してください。</FONT></CENTER>\n";
		}
		else
		{
			//半角・全角変換
			$Busyo   = strip_tags(mb_convert_kana($Busyo));
			$Yaku    = strip_tags(mb_convert_kana($Yaku));
			$Name_Lj = strip_tags(mb_convert_kana($Name_Lj));
			$Name_Fj = strip_tags(mb_convert_kana($Name_Fj));
			$Name_Le = strip_tags(mb_convert_kana($Name_Le));
			$Name_Fe = strip_tags(mb_convert_kana($Name_Fe));
			$Gyomu   = strip_tags(mb_convert_kana($Gyomu));
			$Memo    = strip_tags(mb_convert_kana($Memo));
			$Phone   = strip_tags(mb_convert_kana($Phone , "rna"));
			$Fax     = strip_tags(mb_convert_kana($Fax , "rna"));
			$Handy   = strip_tags(mb_convert_kana($Handy , "rna"));
			$Email   = strip_tags(mb_convert_kana($Email , "rna"));
			$strSql = $dbSqlObj->selectTantouSeq();
			$res_tan = $dbExecObj->exeSql($conn, $strSql);
			if ($dbExecObj->getNumRows($res_tan) == 0)
			{
				$max = "1";
			}
			else
			{
				$strSql = $dbSqlObj->selectTantouMaxOfSeq();
				$result = $dbExecObj->exeSql($conn, $strSql);
				$max = $dbExecObj->getResult($result , 0 , "max_of_field") + 1;
			}

			$strSql = $dbSqlObj->insertTantou($max,$Sel,$Name_Lj,$Name_Fj,$Name_Le,$Name_Fe,$Sex,$Busyo,$Yaku,$Phone,$Fax,$Handy,$Email,$Gyomu,$Memo,$bashocode,$_SERVER["PHP_AUTH_USER"]);
			$WriteOK = $dbExecObj->exeSql($conn , $strSql);
			if (!$WriteOK)
			{
				echo "登録時のセッティング異常";
				exit;
			}

			writeTransID($trans_id, $conn, $dbSqlObj,$dbExecObj);
		}

		break;
	case "ta_edit_method":
		////////////////////////////////////////
		//担当者編集
		if (!$Name_Lj || !$Name_Fj)
		{
			echo "<BR><CENTER><FONT COLOR = \"RED\">担当者名が入力されていません。ブラウザの戻るボタンを押してください。</FONT></CENTER>\n";
		}
		else
		{
			//　半角・全角変換
			$Busyo   = strip_tags(mb_convert_kana($Busyo));
			$Yaku    = strip_tags(mb_convert_kana($Yaku));
			$Name_Lj = strip_tags(mb_convert_kana($Name_Lj));
			$Name_Fj = strip_tags(mb_convert_kana($Name_Fj));
			$Name_Le = strip_tags(mb_convert_kana($Name_Le));
			$Name_Fe = strip_tags(mb_convert_kana($Name_Fe));
			$Gyomu   = strip_tags(mb_convert_kana($Gyomu));
			$Memo    = strip_tags(mb_convert_kana($Memo));
			$Phone   = strip_tags(mb_convert_kana($Phone , "rna"));
			$Fax     = strip_tags(mb_convert_kana($Fax , "rna"));
			$Handy   = strip_tags(mb_convert_kana($Handy , "rna"));
			$Email   = strip_tags(mb_convert_kana($Email , "rna"));
			$strSql = $dbSqlObj->updateTantouWithSeq($Sel,$Name_Lj,$Name_Fj,$Name_Le,$Name_Fe,$Sex,$Busyo,$Yaku,$Phone,$Fax,$Handy,$Email,$Gyomu,$Memo,$seq,$bashocode);
			$WriteOK = $dbExecObj->exeSql($conn , $strSql);
			if (!$WriteOK)
			{
				echo "登録時のセッティング異常";
				exit;
			}

			writeTransID($trans_id, $conn, $dbSqlObj,$dbExecObj);
		}
		break;

	case "ta_delete_method":
		////////////////////////////////////////
		//担当者削除

		$strSql = $dbSqlObj->deleteTantouWithSeq($seq);
		$Exec = $dbExecObj->exeSql($conn , $strSql);
		writeTransID($trans_id, $conn, $dbSqlObj,$dbExecObj);
		break;

	case "to_input_method":
		////////////////////////////////////////
		//取引先新規登録
		//エラー処理
		if (!$syamei)
		{
			echo "<BR><CENTER><FONT COLOR = \"RED\">" . htmlSpecialEscape($varPhraseSet["strRelationsName"]) . "が入力されていません。ブラウザの戻るボタンを押してください。</FONT></CENTER>\n";
		}
		elseif (!$Bashomei)
		{
			echo "<BR><CENTER><FONT COLOR = \"RED\">" . htmlSpecialEscape($varPhraseSet["strLocation"]) . "名が入力されていません。ブラウザの戻るボタンを押してください。</FONT></CENTER>\n";
		}
		else
		{
			// 資本金・郵便番号
			if ($Shihon1 == "")
			{
				$Shihon1 = 0;
			}

			if ($Shihon2 == "")
			{
				$Shihon2 = 0;
			}

			$Shihon = ($Shihon1 * 10000) + $Shihon2;

			//半角・全角の変換
			$syamei  = strip_tags(mb_convert_kana($syamei));
			$bank    = strip_tags(mb_convert_kana($bank));
			$gyomu   = strip_tags(mb_convert_kana($gyomu));
			$Name_Lj = strip_tags(mb_convert_kana($Name_Lj));
			$Name_Fj = strip_tags(mb_convert_kana($Name_Fj));
			$Name_Le = strip_tags(mb_convert_kana($Name_Le));
			$Name_Fe = strip_tags(mb_convert_kana($Name_Fe));
			$e_mail  = strip_tags(mb_convert_kana($e_mail, "rna"));
			$web     = strip_tags(mb_convert_kana($web, "rna"));

			$Bashomei= strip_tags(mb_convert_kana($Bashomei));
			$Postal = strip_tags($postal_1 . $postal_2);
			$Address = strip_tags(mb_convert_kana($Address));
			$Tel     = strip_tags(mb_convert_kana($Tel, "rna"));
			$Fax     = strip_tags(mb_convert_kana($Fax, "rna"));

			//会社基本情報の入力
			$strSql = $dbSqlObj->selectTorihikisakiToriCode();
			$result = $dbExecObj->exeSql($conn, $strSql);
			if ( $dbExecObj->getNumRows($result) == 0 ){
				$Sel = "1";
			} else {
				$strSql = $dbSqlObj->selectTorihikisakiMaxOfToriCode();
				$result = $dbExecObj->exeSql($conn, $strSql);
				$Sel = $dbExecObj->getResult($result , 0 , "max_of_field") + 1;
			}
			$strSql = $dbSqlObj->insertTorihikisaki($Sel,$_SERVER["PHP_AUTH_USER"],$syamei,$Shihon,$bank,$gyomu,$Name_Lj,$Name_Fj,$Name_Le,$Name_Fe,$e_mail,$web);
			$WriteOK = $dbExecObj->exeSql($conn , $strSql);
			if (!$WriteOK)
			{
				echo "登録時のセッティング異常 #1";
				exit;
			}

			//場所情報の入力
			$strSql = $dbSqlObj->insertTori_Place($Sel, 1, $_SERVER["PHP_AUTH_USER"], $Bashomei, $Postal, $Address, $Tel, $Fax);
			$WriteOK = $dbExecObj->exeSql($conn, $strSql);
			if (!$WriteOK)
			{
				echo "登録時のセッティング異常 #2";
				exit;
			}

			writeTransID($trans_id, $conn, $dbSqlObj,$dbExecObj);
		}
		break;

	case "to_edit_method":
		////////////////////////////////////////
		//取引先編集
		//エラー処理
		if (!$syamei)
		{
			echo "<BR><CENTER><FONT COLOR = \"RED\">" . htmlSpecialEscape($varPhraseSet["strRelationsName"]) . "が入力されていません。ブラウザの戻るボタンを押してください。</FONT></CENTER>\n";
		}
		else
		{
			// 資本金・郵便番号
			if ($Shihon1 == "")
			{
				$Shihon1 = 0;
			}

			if ($Shihon2 == "")
			{
				$Shihon2 = 0;
			}

			$Shihon = ($Shihon1 * 10000) + $Shihon2;

			//半角・全角の変換
			$syamei  = strip_tags(mb_convert_kana($syamei));
			$bank    = strip_tags(mb_convert_kana($bank));
			$gyomu   = strip_tags(mb_convert_kana($gyomu));
			$Name_Lj = strip_tags(mb_convert_kana($Name_Lj));
			$Name_Fj = strip_tags(mb_convert_kana($Name_Fj));
			$Name_Le = strip_tags(mb_convert_kana($Name_Le));
			$Name_Fe = strip_tags(mb_convert_kana($Name_Fe));
			$e_mail  = strip_tags(mb_convert_kana($e_mail , "rna"));
			$web     = strip_tags(mb_convert_kana($web , "rna"));
			$strSql = $dbSqlObj->updateTorihikisakiWithToriCode($syamei,$Shihon,$bank,$gyomu,$Name_Lj,$Name_Fj,$Name_Le,$Name_Fe,$e_mail,$web,$Sel);
			$WriteOK = $dbExecObj->exeSql($conn , $strSql);
			if (!$WriteOK)
			{
				echo "登録時のセッティング異常";
				exit;
			}

			writeTransID($trans_id, $conn, $dbSqlObj,$dbExecObj);
		}
		break;

	case "to_delete_method":
		////////////////////////////////////////
		//取引先削除
		$strSql = $dbSqlObj->deleteTantouWithToriCode($Sel);
		$Exec = $dbExecObj->exeSql($conn,$strSql);
		$strSql = $dbSqlObj->deleteTori_PlaceWithToriCode($Sel);
		$Exec = $dbExecObj->exeSql($conn,$strSql);
		$strSql = $dbSqlObj->deleteTorihikisakiWithToriCode($Sel);
		$Exec = $dbExecObj->exeSql($conn, $strSql);

		writeTransID($trans_id, $conn, $dbSqlObj,$dbExecObj);
		break;

	case "ba_input_method":
		////////////////////////////////////////
		//場所登録
		//エラー処理
		if (!$Bashomei)
		{
			echo "<BR><CENTER><FONT COLOR = \"RED\">" . htmlSpecialEscape($varPhraseSet["strLocation"]) . "名が入力されていません。ブラウザの戻るボタンを押してください。</FONT></CENTER>\n";
		}
		else
		{
			//半角・全角の変換
			$Bashomei= strip_tags(mb_convert_kana($Bashomei));
			$Postal  = strip_tags($postal_1 . $postal_2);
			$Address = strip_tags(mb_convert_kana($Address));
			$Tel     = strip_tags(mb_convert_kana($Tel , "rna"));
			$Fax     = strip_tags(mb_convert_kana($Fax , "rna"));

			//MAXのゲット
			$strSql = $dbSqlObj->selectTori_PlaceBashoCodeWithToriCode($Sel);
			$result = $dbExecObj->exeSql($conn, $strSql);
			if ($dbExecObj->getNumRows($result) == 0)
			{
				$bashocode = "1";
			}
			else
			{
				$strSql = $dbSqlObj->selectTori_PlaceMaxOfBashoCodeWithToriCode($Sel);
				$result = $dbExecObj->exeSql($conn, $strSql);
				$bashocode = $dbExecObj->getResult($result , 0 , "max_of_field") + 1;
			}

			//場所情報の入力
			$strSql = $dbSqlObj->insertTori_Place($Sel,$bashocode,$_SERVER["PHP_AUTH_USER"],$Bashomei,$Postal,$Address,$Tel,$Fax);
			$WriteOK = $dbExecObj->exeSql($conn , $strSql);
			if (!$WriteOK)
			{
				echo "登録時のセッティング異常 #2";
				exit;
			}

			writeTransID($trans_id, $conn, $dbSqlObj,$dbExecObj);
		}
		break;

	case "ba_edit_method":
		////////////////////////////////////////
		//場所編集

		//エラー処理
		if (!$Bashomei)
		{
			echo "<BR><CENTER><FONT COLOR = \"RED\">" . htmlSpecialEscape($varPhraseSet["strLocation"]) . "名が入力されていません。ブラウザの戻るボタンを押してください。</FONT></CENTER>\n";
		}
		else
		{
			//半角・全角の変換
			$Bashomei= strip_tags(mb_convert_kana($Bashomei));
			$Postal  = strip_tags($postal_1 . $postal_2);
			$Address = strip_tags(mb_convert_kana($Address));
			$Tel     = strip_tags(mb_convert_kana($Tel, "rna"));
			$Fax     = strip_tags(mb_convert_kana($Fax, "rna"));

			$strSql = $dbSqlObj->updateTori_PlaceWithToriCodeBashoCode($Sel, $bashocode, $Bashomei, $Postal, $Address, $Tel, $Fax);
			$WriteOK = $dbExecObj->exeSql($conn, $strSql);
			if (!$WriteOK)
			{
				echo "登録時のセッティング異常";
				exit;
			}

			writeTransID($trans_id, $conn, $dbSqlObj,$dbExecObj);
		}
		break;

	case "ba_delete_method":
		////////////////////////////////////////
		//場所削除
		$strSql = $dbSqlObj->deleteTantouWithToriCodeBashoCode($Sel, $bashocode);
		$Exec = $dbExecObj->exeSql($conn, $strSql);
		$strSql = $dbSqlObj->deleteTori_PlaceWithToriCodeBashoCode($Sel, $bashocode);
		$Exec = $dbExecObj->exeSql($conn,$strSql);

		writeTransID($trans_id, $conn, $dbSqlObj, $dbExecObj);
		break;
}
?>