<?php
//
// Copyright (C) 1999-2000 Top Management Service, inc. All Rights Reserved.
// Copyright (C) 2001-2003 System Consultants Co.,Ltd. All Rights Reserved.
//
// $Id: company.php 1196 2004-08-25 08:28:01Z hideki-h $
//

/**
 * 会社情報設定
 *
 * @author hiroki KAWAMURA <hiroki@syscon.co.jp>
 * @author yuji TAKAHASHI <yu-ji@syscon.co.jp>
 * @author hideo OHSAWA <ohsawa@syscon.co.jp>
 * @author maiko MIKAMI <m-mikami@syscon.co.jp>
 */

// 変数
$sub = $_POST["sub"];
$ck_name = $_POST["ck_name"];
$boss = $_POST["boss"];
$c_date = $_POST["c_date"];
$capital = $_POST["capital"];
$homepage = $_POST["homepage"];
$email = $_POST["email"];
$c_name = $_POST["c_name"];


include("gw.php");
include_once($_ROOT_DIR_ . "class/PhraseSelect.php");
$objPhraseSelect = new PhraseSelect($bolPhraseSelect);
$varPhraseSet = $objPhraseSelect->getPhrase();

include("include/dbChange.php");
$conn = $dbConnectObj->openConnect();
if (!$conn) {
	echo "データベースに異常。<BR>\n";
	exit;
}
include("include/accept.conf");
if (!$_SERVER["PHP_AUTH_USER"]) {
	echo "Not Found.<BR>\n";
	exit;
}
	$strSql = $dbSqlObj->selectAdministratorsAllWithEmpCd($_SERVER["PHP_AUTH_USER"]);
	$result = $dbExecObj->exeSql($conn,$strSql);
	$adminCount = $dbExecObj->getNumRows($result);
	include("include/admchk.func");
	if (admchk($conn,$_SERVER["PHP_AUTH_USER"],$dbSqlObj,$dbExecObj) == 0){
		echo "<FONT COLOR = \"RED\">管理者ではありません</FONT>\n";
		exit;
	}
//$dbExecObj->exeSql($conn,"set datestyle to 'ISO';");
$strSql = $dbSqlObj->setDateStyleToIso();
$dbExecObj->exeSql($conn,$strSql);

// ログオン周りのクラスを使います。
	require_once($_ROOT_DIR_ . "class/employeeinfo.php");		// 社員情報クラス
	require_once($_ROOT_DIR_ . "class/employeeinfoowner.php");	// 社員情報クラスの処理クラス
	$employeeInfoOwner = new EmployeeInfoOwner();
	$employeeInfoOwner->setEmp_cd($_SERVER["PHP_AUTH_USER"]);
	$employeeInfoOwner->doSelectQuery($conn, $dbSqlObj, $dbExecObj);
	$employeeInfoArray = $employeeInfoOwner->getEmployeeInfoArray();
	$isAdmin = $employeeInfoArray[$_SERVER["PHP_AUTH_USER"]]->isAdmin();
	$empName = $employeeInfoArray[$_SERVER["PHP_AUTH_USER"]]->getName();

// デザインをインクルードします。
	require_once($_ROOT_DIR_ . "class/menuHeadder.php");
	$menuShowObj = new menuShowObj($conn,$dbSqlObj,$dbExecObj);
	$menuShowObj->setEmpName($empName);
	$menuShowObj->setCurrentAppli("conf");
	$menuShowObj->setIsAdmin($isAdmin);
	$menuShowObj->showHeadder();
?>
<span class="fBlack12100"> ■ <?php echo htmlSpecialEscape($varPhraseSet["strOrg"]) ?>情報のメンテナンス</span>
<?
if (!$sub || $sub == "登録" || $sub == "更新" || $sub == "はい" || $sub == "いいえ") {
	if ($sub=="登録") {
		if (!$c_date) {
			echo "創立日が入力されていません。<BR>\n";
			exit;
		}
		$boss = ereg_replace("　","",$boss);
		$strSql = $dbSqlObj->selectCompanyCountOfCName();
		$result = $dbExecObj->exeSql($conn,$strSql);
		if ($dbExecObj->getResult($result,0,"count_of_records") == 0) {
			$strSql = $dbSqlObj->insertCompany($c_name,$ck_name,$c_date,$capital,$homepage,$email,$boss);
			$result = $dbExecObj->exeSql($conn,$strSql);
		}
	} elseif ($sub=="更新") {
		if (!$c_date) {
			echo "創立日が入力されていません。<BR>\n";
			exit;
		}
		$boss = ereg_replace("　","",$boss);
		$strSql = $dbSqlObj->updateCompany($ck_name,$c_date,$capital,$homepage,$email,$boss);
		$result = $dbExecObj->exeSql($conn,$strSql);
	} elseif ($sub == "はい") {
		$strSql = $dbSqlObj->deleteCompany();
		$result = $dbExecObj->exeSql($conn,$strSql);
	} else {
	}	
?>
	<FORM  action="company.php" method="POST" >
<?
	$strSql = $dbSqlObj->selectCompanyCname();
	$result = $dbExecObj->exeSql($conn,$strSql);
	if ($dbExecObj->getNumRows($result) == 0) { 
		$c_name = "未登録";
	} else {
		$c_name = $dbExecObj->getResult($result,0,"c_name");
	}
?>
	<span class="fBlack10100"><b>現在の<?php echo htmlSpecialEscape($varPhraseSet["strOrg"]) ?>情報：</b>　<?echo htmlSpecialEscape($c_name)?><BR>
<?	if ($dbExecObj->getNumRows($result) == 0) {	?>
		<INPUT type="submit" name="sub" value="新規">
<?	} else {	?>
		<INPUT type="submit" name="sub" value="編集">
		<INPUT type="submit" name="sub" value="削除">
<?	}	?>
	</FORM>
<?
} elseif ($sub == "新規") {
?>
	<FORM  action="company.php" method="POST" >
	<?php echo htmlSpecialEscape($varPhraseSet["strOrg"]) ?>名：<INPUT type="TEXT" name="c_name" size="50" maxlength="200"><BR>
	<?php echo htmlSpecialEscape($varPhraseSet["strOrg"]) ?>名（カナ）：<INPUT type="TEXT" name="ck_name" size="50" maxlength="200"><BR>
	<?php echo htmlSpecialEscape($varPhraseSet["strManagingDirector"]) ?>氏名：<INPUT type="TEXT" name="boss" size="10" maxlength="50"><BR>
	創立日（YYYY-MM-DD)：<INPUT type="TEXT" name="c_date" size="10" maxlength="10"><BR>
	資本金：<INPUT type="TEXT" name="capital" size="5" maxlength="10">万円<BR>
	ホームページ：<INPUT type="TEXT" name="homepage" size="50" maxlength="300" value="http://"><BR>
	代表E-mail：<INPUT type="TEXT" name="email" size="50" maxlength="100"><BR>
	<INPUT type="submit" name="sub" value="登録">
	</FORM>
<?
} elseif ($sub == "編集") {
	$strSql = $dbSqlObj->selectCompany();
	$result = $dbExecObj->exeSql($conn,$strSql);
?>
	<FORM  action="company.php" method="POST" >
	<TABLE width=760 cellspacing=2 cellpadding=3>
	<TR>
	<td><span class="fBlack10100"><b><?php echo htmlSpecialEscape($varPhraseSet["strOrg"]) ?>名</b></span></td>
	<TD><?echo htmlSpecialEscape($dbExecObj->getResult($result,0,"c_name"))?></TD>
	</TR><TR>
	<td><span class="fBlack10100"><b><?php echo htmlSpecialEscape($varPhraseSet["strOrg"]) ?>名（カナ）</b></span></td>
	<TD><INPUT type="TEXT" name="ck_name" size="50" maxlength="200" value="<?echo htmlSpecialEscape($dbExecObj->getResult($result,0,"ck_name"))?>"></TD>
	</TR><TR>
	<td><span class="fBlack10100"><b><?php echo htmlSpecialEscape($varPhraseSet["strManagingDirector"]) ?>氏名</b></span></td>
	<TD><INPUT type="TEXT" name="boss" size="10" maxlength="50" value="<?echo htmlSpecialEscape($dbExecObj->getResult($result,0,"boss"))?>"></TD>
	</TR><TR>
	<td><span class="fBlack10100"><b>創立日<br>（YYYY-MM-DD)</b></span></td>
	<TD><INPUT type="TEXT" name="c_date" size="10" maxlength="10" value="<?echo ereg_replace("-","/",$dbExecObj->getResult($result,0,"c_date"))?>"></TD>
	</TR><TR>
	<td><span class="fBlack10100"><b>資本金</b></span></td>
	<TD><INPUT type="TEXT" name="capital" size="5" maxlength="10" value="<?echo $dbExecObj->getResult($result,0,"capital")?>">万円</TD>
	</TR><TR>
	<td><span class="fBlack10100"><b>ホームページ</b></span></td>
	<TD><INPUT type="TEXT" name="homepage" size="50" maxlength="300" value="<?echo htmlSpecialEscape($dbExecObj->getResult($result,0,"homepage"))?>"></TD>
	</TR><TR>
	<td><span class="fBlack10100"><b>代表E-mail</b></span></td>
	<TD><INPUT type="TEXT" name="email" size="50" maxlength="100" value="<?echo htmlSpecialEscape($dbExecObj->getResult($result,0,"email"))?>"></TD>
	</TR><TR>
	<TD colspan=2>
	<INPUT TYPE="hidden" name="c_name" value="<?echo htmlSpecialEscape($c_name)?>">
	<INPUT type="submit" name="sub" value="更新">
	</TD></TR></TABLE>
	<Script Language="JavaScript">
	<!--
	document.forms[0].elements[0].focus();
	//-->
	</Script>
	</FORM>
<?
} elseif ($sub == "削除") {
?>
	<FORM  action="company.php" method="POST" >
	本当に削除しますか？<BR>
	<INPUT TYPE="hidden" name="c_name" value="<?echo htmlSpecialEscape($c_name)?>">
	<INPUT type="submit" name="sub" value="はい">
	<INPUT type="submit" name="sub" value="いいえ">
	</FORM>
<?
}
//デザインマージ後のフッタをインクルードします。
	$menuShowObj->showConfFooter();
?>
