<?php
//
// Copyright (C) 1999-2000 Top Management Service, inc. All Rights Reserved.
// Copyright (C) 2001-2003 System Consultants Co.,Ltd. All Rights Reserved.
//
// $Id: confcompany.php 1214 2004-09-01 01:43:28Z hideki-h $
//

/**
 * 会社情報メンテナンスメニュー
 *
 * @author hiroki KAWAMURA <hiroki@syscon.co.jp>
 * @author yuji TAKAHASHI <yu-ji@syscon.co.jp>
 * @author hideo OHSAWA <ohsawa@syscon.co.jp>
 */



include("gw.php");
include_once($_ROOT_DIR_ . "class/PhraseSelect.php");
$objPhraseSelect = new PhraseSelect($bolPhraseSelect);
$varPhraseSet = $objPhraseSelect->getPhrase();

include("include/dbChange.php");
$conn = $dbConnectObj->openConnect();
if (!$conn) {
	echo "データベースに異常。<BR>\n";
	exit;
}
include ("include/accept.conf");
if (!$_SERVER["PHP_AUTH_USER"]) {
	echo "Not Found.<BR>\n";
	exit;
}
//	$result = $dbExecObj->exeSql($conn,"SELECT * FROM administrators WHERE emp_cd = '$PHP_AUTH_USER';");
	$strSql = $dbSqlObj->selectAdministratorsAllWithEmpCd($_SERVER["PHP_AUTH_USER"]);
	$result = $dbExecObj->exeSql($conn,$strSql);
	$adminCount = $dbExecObj->getNumRows($result);
	include("include/admchk.func");
	if (admchk($conn,$_SERVER["PHP_AUTH_USER"]) == 0){
		echo "<FONT COLOR = \"RED\">管理者ではありません</FONT>\n";
		exit;
	}

// ログオン周りのクラスを使います。
	require_once($_ROOT_DIR_ . "class/employeeinfo.php");		// 社員情報クラス
	require_once($_ROOT_DIR_ . "class/employeeinfoowner.php");	// 社員情報クラスの処理クラス
	$employeeInfoOwner = new EmployeeInfoOwner();
	$employeeInfoOwner->setEmp_cd($_SERVER["PHP_AUTH_USER"]);
	$employeeInfoOwner->doSelectQuery($conn, $dbSqlObj, $dbExecObj);
	$employeeInfoArray = $employeeInfoOwner->getEmployeeInfoArray();
	$isAdmin = $employeeInfoArray[$_SERVER["PHP_AUTH_USER"]]->isAdmin();
	$empName = $employeeInfoArray[$_SERVER["PHP_AUTH_USER"]]->getName();

// デザインをインクルードします。
	require_once($_ROOT_DIR_ . "class/menuHeadder.php");
	$menuShowObj = new menuShowObj($conn,$dbSqlObj,$dbExecObj);
	$menuShowObj->setEmpName($empName);
	$menuShowObj->setCurrentAppli("home");
	$menuShowObj->setIsAdmin($isAdmin);
	$menuShowObj->showHeadder();

?>
<UL>
<LI><A Href="company.php"><?php echo $varPhraseSet["strOrg"] ?>基本情報</A>
<LI><A Href="type.php"><?php echo $varPhraseSet["strEmploymentForm"] ?>情報</A>
<LI><A Href="division.php"><?php echo $varPhraseSet["strSection"] ?>情報</A>
<LI><A Href="category.php">カテゴリ情報</A>
<LI><A Href="subcategory.php">サブカテゴリ情報</A>
<LI><A Href="admin.php">管理者設定</A>
<LI><A Href="chief.php">チーフ設定</A>
<LI><A Href="petition.php">ワークフロー設定</A>
<LI><A Href="settouban.php">当番設定</A>
<li><a href="setbooksclass.php">図書種別設定</a>
<li><a href="setsoftclass.php">ソフトウェア種別設定</a>
<li><a href="setsoftplace1.php">ソフトウェア置き場所１設定</a>
<li><a href="setsoftplace2.php">ソフトウェア置き場所２設定</a>
<li><a href="sethardclass.php">ハードウェア種別設定</a>
<li><a href="setauctioncategory.php">オークションカテゴリー設定</a>
<li><a href="setauctionpayment.php">オークション支払方法設定</a>
</UL>
<?php
//デザインマージ後のフッタをインクルードします。
	$menuShowObj->showFooter();
?>
