<?php
//
// Copyright (C) 1999-2000 Top Management Service, inc. All Rights Reserved.
// Copyright (C) 2001-2003 System Consultants Co.,Ltd. All Rights Reserved.
//
// $Id: confgw.php 1196 2004-08-25 08:28:01Z hideki-h $
//

/**
 * コンフィグ
 *
 * @author hiroki KAWAMURA <hiroki@syscon.co.jp>
 * @author yuji TAKAHASHI <yu-ji@syscon.co.jp>
 * @author hideo OHSAWA <ohsawa@syscon.co.jp>
 */

//変数
$EDIT = isset($_POST["EDIT"]) ? $_POST["EDIT"] : $_GET["EDIT"];
$Cnt = isset($_POST["Cnt"]) ? $_POST["Cnt"] : $_GET["Cnt"];
$Func_N = isset($_POST["Func_N"]) ? $_POST["Func_N"] : $_GET["Func_N"];
$Func_V = isset($_POST["Func_V"]) ? $_POST["Func_V"] : $_GET["Func_V"];
$Row = $_POST["Row"];
$FuncName = $_POST["FuncName"];
$FuncValue = $_POST["FuncValue"];
$WRITE = $_POST["WRITE"];
$DelYes = $_POST["DelYes"];
$sub = $_GET["sub"];
$DEL = $_GET["DEL"];


include ("gw.php");
include_once($_ROOT_DIR_ . "class/PhraseSelect.php");
$objPhraseSelect = new PhraseSelect($bolPhraseSelect);
$varPhraseSet = $objPhraseSelect->getPhrase();

include("include/dbChange.php");

$conn = $dbConnectObj->openConnect();
if (!$conn)
{
	echo "<b>データベース接続に失敗しました。</b><br>\n";
	exit;
}

include ("include/accept.conf");
if (!$_SERVER["PHP_AUTH_USER"])
{
	echo "Not Found.<br>\n";
	exit;
}

$strSql = $dbSqlObj->selectAdministratorsAllWithEmpCd($_SERVER["PHP_AUTH_USER"]);
$result = $dbExecObj->exeSql($conn,$strSql);
$adminCount = $dbExecObj->getNumRows($result);

include("include/admchk.func");

if (admchk($conn,$_SERVER["PHP_AUTH_USER"],$dbSqlObj,$dbExecObj) == 0)
{
	echo "<font color=\"red\">管理者ではありません</font>\n";
	exit;
}

// ログオン周りのクラスを使います。
require_once($_ROOT_DIR_ . "class/employeeinfo.php");		// 社員情報クラス
require_once($_ROOT_DIR_ . "class/employeeinfoowner.php");	// 社員情報クラスの処理クラス
$employeeInfoOwner = new EmployeeInfoOwner();
$employeeInfoOwner->setEmp_cd($_SERVER["PHP_AUTH_USER"]);
$employeeInfoOwner->doSelectQuery($conn, $dbSqlObj, $dbExecObj);
$employeeInfoArray = $employeeInfoOwner->getEmployeeInfoArray();
$isAdmin = $employeeInfoArray[$_SERVER["PHP_AUTH_USER"]]->isAdmin();
$empName = $employeeInfoArray[$_SERVER["PHP_AUTH_USER"]]->getName();


$FILESIZE = filesize("gw.php");


// デザインをインクルードします。
require_once($_ROOT_DIR_ . "class/menuHeadder.php");
$menuShowObj = new menuShowObj($conn,$dbSqlObj,$dbExecObj);
$menuShowObj->setEmpName($empName);
$menuShowObj->setCurrentAppli("conf");
$menuShowObj->setIsAdmin($isAdmin);


// ファイルへの書き込みを実行
if ($WRITE || $DelYes)
{
	if ($WRITE)
	{

		if (substr($FuncName, 0, 1) !=  "$")
		{
			$FuncName = "$" . $FuncName;
		}

		$FuncName  = mb_convert_kana($FuncName, "KV");
		$FuncValue = mb_convert_kana($FuncValue, "KV");

		if ($FuncName == "$")
		{
			$menuShowObj->showHeadder();
			echo "<br><font color=\"red\">変数名を入力してください。<br>ブラウザの戻るボタンを押してください。</font>\n";
			$menuShowObj->showConfFooter();
			exit;
		}

		if ($FuncValue == "")
		{
			$menuShowObj->showHeadder();
			echo "<br><font color=\"red\">" . htmlSpecialEscape($FuncName) . "の値を入力してください。<br>ブラウザの戻るボタンを押してください。</font>\n";
			$menuShowObj->showConfFooter();
			exit;
		}
	}

	$x = 1;
	$i = 1;
	$fp = fopen("gw.php", "r");

	// 書き込むデータを一時的に配列に格納
	while (!feof($fp))
	{
		$TempStr = fgets($fp , $FILESIZE);
		$Str_ar = explode(" = ", $TempStr);

		// 変数名の重複チェック
		if ($FuncName == $Str_ar[0] && !$Row)
		{
			$menuShowObj->showHeadder();
			echo "<br><font color=\"red\">変数名が重複しています。<br>ブラウザの戻るボタンを押してください。</font>\n";
			$menuShowObj->showConfFooter();
			exit;
		}

		if ($Row == $x)
		{
			if (!$DelYes)
			{
				$WriteStr[$i] = $FuncName . " = " . "\"" . $FuncValue . "\";\n";
				$i++;
			}
		}
		else
		{
			$WriteStr[$i] = $TempStr;
			$i++;
		}

		$x++;
	}

	// 新規登録の場合
	if (!$Row)
	{
		$WriteStr[$i - 2] = $FuncName . " = " . "\"" . $FuncValue . "\";\n";
		$WriteStr[$i - 1] = "?>\n";
	}

	fclose($fp);

	// 書き込みの実行
	$i = 1;
	$fp  = fopen("gw.php", "w+");
	while ($i <= count($WriteStr))
	{
		fwrite($fp, $WriteStr[$i]);
		$i++;
	}

	fclose($fp);

	header("Location: " . $_SERVER["PHP_SELF"]);
	exit;
}


// デザインをインクルードします。
//require_once($_ROOT_DIR_ . "class/menuHeadder.php");
//$menuShowObj = new menuShowObj($conn,$dbSqlObj,$dbExecObj);
//$menuShowObj->setEmpName($empName);
//$menuShowObj->setCurrentAppli("conf");
//$menuShowObj->setIsAdmin($isAdmin);
$menuShowObj->showHeadder();
?>
              <span class="fBlack12100"> ■ gw.phpの一覧</span>

              <form method="POST" action="<?php echo htmlSpecialEscape($_SERVER["PHP_SELF"]) ?>">
<?php
// 削除の確認
if ($DEL)
{
?>
	<br><font color="red">変数　<font color="black"><b><?php echo htmlSpecialEscape($Func_N) ?></b></font>　を削除しますか？<br>
	変数を削除すると、システムが正常に動作しなくなる可能性があります。<br>
	削除を取りやめる場合には、ブラウザの戻るボタンを押してください。<br>
	削除を実行する場合には、はいを押してください。</font><br>
	<input type="hidden" name="Row" value="<?php echo htmlSpecialEscape($Cnt) ?>">
	<input type="submit" value="はい" name="DelYes">
<?php
}
else
{
	// 変数の編集または新規作成
	if ($EDIT)
	{
		if ($Cnt != "")
		{
?>
			<input type="hidden" name="Row" value="<?php echo htmlSpecialEscape($Cnt) ?>">
			<b><?php echo htmlSpecialEscape($Func_N) ?></b>の値を編集<br><br>
			<input type="hidden" name="FuncName" value="<?php echo htmlSpecialEscape($Func_N) ?>">
<?php
		}
		else
		{
?>
			<b>変数の新規作成</b><br><br>
			<TT>変数名：</TT><input type="text" name="FuncName" SIZE="50" MAXLENGTH="50"><br>
<?php
		}
?>
		<TT>　値　：</TT><input type="text" name="FuncValue" SIZE="100" MAXLENGTH="100" value="<?php echo htmlSpecialEscape($Func_V) ?>"><br><br>
		<TT><input type="submit" value="登　録" name="WRITE"><input type="reset" value="クリア"></TT>
		<br><br>
        <HR>
<?php
	}

	// gw.phpをテーブルに表示
	// 読み出し
	$fp = fopen("gw.php", "r");
?>
                <br>
                <table border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td valign="top" class="gray"> 
                      <table border="0" cellspacing="1" cellpadding="3">
                        <tr align="center">
                          <td valign="middle" class="orange"> 
                            <table width="195" border="0" cellspacing="0" cellpadding="3">
                              <tr> 
                                <td valign="middle"> 
                                  <div align="center"><span class="fWhite10100">変数名</span></div>
                                </td>
                              </tr>
                            </table>
                          </td>
                          <td valign="middle" class="orange"> 
                            <table width="185" border="0" cellspacing="0" cellpadding="3">
                              <tr> 
                                <td valign="middle"> 
                                  <div align="center"><span class="fWhite10100">値</span></div>
                                </td>
                              </tr>
                            </table>
                          </td>
                          <td valign="middle" class="orange"> 
                            <input type="submit" name="EDIT" value="変数作成">
                          </td>
                        </tr>
                        <tr>
<?php
	$i = 1;

	while (!feof($fp))
	{
		if ($i % 2 == 1)
		{
			$tempClassName = "white";
		}
		else
		{
			$tempClassName = "crame";
		}

		$Strr = fgets($fp, $FILESIZE);

		if (!strstr($Strr, ">") && !strstr($Strr, "<") && $Strr != "" && $Strr != "\n")
		{
?>
                          <td class="<?php echo $tempClassName ?>"><?php echo htmlSpecialEscape(strtok($Strr, " ")) ?></td>
<?php
			$Str_ar = explode(" = ", $Strr);
			$Str_ar[1] = ereg_replace(";", "", $Str_ar[1]);
			$Str_ar[1] = ereg_replace("\"", "", $Str_ar[1]);
			$Func_ar[$i] = ereg_replace("\n", "", $Str_ar[1]);
?>
                          <td class="<?php echo $tempClassName ?>"><?php echo htmlSpecialEscape($Func_ar[$i]) ?></td>
                          <td class="<?php echo $tempClassName ?>">
                            <a href="<?php echo $_SERVER["PHP_SELF"] ?>?EDIT=1&Cnt=<?php echo $i ?>&Func_N=<?php echo strtok($Strr, " ") ?>&Func_V=<?php echo $Func_ar[$i] ?>">編集</a>&nbsp<a href="<?php echo htmlSpecialEscape($_SERVER["PHP_SELF"]) ?>?DEL=1&Cnt=<?php echo $i ?>&Func_N=<?php echo strtok($Strr, " ") ?>&Func_V=<?php echo $Func_ar[$i] ?>">削除</a>
                          </td>
                        </tr>
<?php
		}

		$i++;
	}
?>
                      </table>
                    </td>
                  </tr>
                </table>
                
                <input type="hidden" name="Cnt" value="">
                <input type="hidden" name="Func_N" value="">
                <input type="hidden" name="Func_V" value="">
<?php
}
?>
              </form>
<?php
$menuShowObj->showConfFooter();
?>