<?php
//
// Copyright (C) 1999-2000 Top Management Service, inc. All Rights Reserved.
// Copyright (C) 2001-2002 System Consultants Co.,Ltd. All Rights Reserved.
//
// $Id: confmenu.php 1226 2004-09-14 09:16:50Z hideki-h $
//

/**
 * 設定メニュー
 *
 * @author hiroki KAWAMURA <hiroki@syscon.co.jp>
 * @author yuji TAKAHASHI <yu-ji@syscon.co.jp>
 */

// アクセス権の設定・施設カテゴリ　追加　2004/08


	include("gw.php");
    include_once($_ROOT_DIR_ . "class/PhraseSelect.php");
    $objPhraseSelect = new PhraseSelect($bolPhraseSelect);
    $varPhraseSet = $objPhraseSelect->getPhrase();

 	require_once($_ROOT_DIR_ . "include/dbChange.php");

	$conn = $dbConnectObj->openConnect();

	include("./include/accept.conf");
	include("./include/admchk.func");

	if (admchk($conn, $_SERVER["PHP_AUTH_USER"], $dbSqlObj,$dbExecObj) == 0)
	{
		echo "<FONT COLOR = \"RED\">管理者ではありません</FONT>\n";
		exit;
	}

// ログオン周りのクラスを使います。
	require_once($_ROOT_DIR_ . "class/employeeinfo.php");		// 社員情報クラス
	require_once($_ROOT_DIR_ . "class/employeeinfoowner.php");	// 社員情報クラスの処理クラス
	$employeeInfoOwner = new EmployeeInfoOwner();
	$employeeInfoOwner->setEmp_cd($_SERVER["PHP_AUTH_USER"]);
	$employeeInfoOwner->doSelectQuery($conn, $dbSqlObj, $dbExecObj);
	$employeeInfoArray = $employeeInfoOwner->getEmployeeInfoArray();
	$isAdmin = $employeeInfoArray[$_SERVER["PHP_AUTH_USER"]]->isAdmin();
	$empName = $employeeInfoArray[$_SERVER["PHP_AUTH_USER"]]->getName();

//-- ケータイ対応のためのクラスを使います。
if(strtoupper($useMobile) == "TRUE")
{
	require_once("./class/keitaiViewForPc.php");
	$keitaiViewObj = new keitaiViewForPc();
}

// デザインをインクルードします。
	require_once($_ROOT_DIR_ . "class/menuHeadder.php");
	$menuShowObj = new menuShowObj($conn,$dbSqlObj,$dbExecObj);
	$menuShowObj->setEmpName($empName);
	$menuShowObj->setCurrentAppli("conf");
	$menuShowObj->setIsAdmin($isAdmin);
	$menuShowObj->showHeadder();
?>
            <table width="760" border="0" cellspacing="0" cellpadding="0">
              <tr> 
                <td class="gray">
                  <table width="760" border="0" cellspacing="1" cellpadding="3">
                    <tr> 
                      <td class="orange" colspan="2" valign="middle"><span class="fWhite10100">基本情報の設定</span></td>
                    </tr>
                    <tr> 
                      <td class="crame"> 
                        <table width="165" border="0" cellspacing="0" cellpadding="0">
                          <tr> 
                            <td><span class="fBlack10100"><a href="company.php" class="usually"><?php echo $varPhraseSet["strOrg"] ?>基本情報</a></span></td>
                          </tr>
                        </table>
                      </td>
                      <td class="white"> 
                        <table width="580" border="0" cellspacing="0" cellpadding="0">
                          <tr> 
                            <td><span class="fBlack10100">自社情報（代表の氏名、資本金、URLなど）の更新・削除する。</span></td>
                          </tr>
                        </table>
                      </td>
                    </tr>
					<tr> 
                      <td class="crame"><span class="fBlack10100"><a href="empconfig.php" class="usually"><?php echo $varPhraseSet["strPerson"] ?>情報</a></span></td>
                      <td class="white"><span class="fBlack10100">新規ユーザー登録と既存ユーザーの情報を設定する。</span></td>
                    </tr>
                    <tr> 
                      <td class="crame"><span class="fBlack10100"><a href="admin.php" class="usually">管理者設定</a></span></td>
                      <td class="white"><span class="fBlack10100">当グループウェアにおける管理者権限を設定する。</span></td>
                    </tr>
                    <tr> 
                      <td class="crame"><span class="fBlack10100"><a href="appset.php" class="usually">使用機能の設定</a></span></td>
                      <td class="white"><span class="fBlack10100">使用/不使用など、当グループウェア各機能の機能制限などを設定できる。</span></td>
                    </tr>
                  </table>
                </td>
              </tr>
            </table>
<br>
            <table width="760" border="0" cellspacing="0" cellpadding="0">
              <tr> 
                <td class="gray"> 
                  <table width="760" border="0" cellspacing="1" cellpadding="3">
                    <tr> 
                      <td class="khaki" colspan="2" valign="middle"><span class="fWhite10100">個人情報用データの設定</span></td>
                    </tr>
                    <tr> 
                      <td class="crame"> 
                        <table width="165" border="0" cellspacing="0" cellpadding="0">
                          <tr> 
                            <td><span class="fBlack10100"><a href="type.php" class="usually"><?php echo $varPhraseSet["strEmploymentForm"] ?>情報</a></span></td>
                          </tr>
                        </table>
                      </td>
                      <td class="white"> 
                        <table width="580" border="0" cellspacing="0" cellpadding="0">
                          <tr> 
                            <td><span class="fBlack10100">個人情報入力画面での<?php echo $varPhraseSet["strEmploymentForm"] ?>データを追加・修正・削除する。</span></td>
                          </tr>
                        </table>
                      </td>
                    </tr>
                    <tr> 
                      <td class="crame"><span class="fBlack10100"><a href="division.php" class="usually"><?php echo $varPhraseSet["strSection"] ?>情報</a></span></td>
                      <td class="white"><span class="fBlack10100">個人情報入力画面での<?php echo $varPhraseSet["strSection"] ?>・グループ名データを追加・修正・削除する。</span></td>
                    </tr>
                    <tr> 
                      <td class="crame"><span class="fBlack10100"><a href="chief.php" class="usually">チーフ設定</a></span></td>
                      <td class="white"><span class="fBlack10100"><?php echo $varPhraseSet["strSection"] ?>・グループ等でのチーフを設定・解除。またチーフが管理する個人名も設定できる。</span></td>
                    </tr>
                  </table>
                </td>
              </tr>
            </table>
<br>
            <table width="760" border="0" cellspacing="0" cellpadding="0">
              <tr> 
                <td class="gray"> 
                  <table width="760" border="0" cellspacing="1" cellpadding="3">
                    <tr> 
                      <td class="emerald" colspan="2" valign="middle"><span class="fWhite10100">各画面用データの設定</span></td>
                    </tr>
                    <tr> 
                      <td class="crame"> 
                        <table width="165" border="0" cellspacing="0" cellpadding="0">
                          <tr> 
                            <td><span class="fBlack10100"><a href="holiday.php" class="usually">祝祭日の設定</a></span></td>
                          </tr>
                        </table>
                      </td>
                      <td class="white"> 
                        <table width="580" border="0" cellspacing="0" cellpadding="0">
                          <tr> 
                            <td><span class="fBlack10100">スケジュール帳などでのカレンダー機能で表示する祝祭日を設定できる。</span></td>
                          </tr>
                        </table>
                      </td>
                    </tr>
                    <tr> 
                      <td class="crame"><span class="fBlack10100"><a href="settouban.php" class="usually">当番設定</a></span></td>
                      <td class="white"><span class="fBlack10100">当番表機能における各種当番データを追加・修正・削除する。</span></td>
                    </tr>
                    <tr> 
                      <td class="crame"><span class="fBlack10100"><a href="petition.php" class="usually">ワークフロー設定</a></span></td>
                      <td class="white"><span class="fBlack10100">申請書名データの追加・修正・削除。決裁・差戻時のメール告知の有無も設定できる。</span></td>
                    </tr>
                    <tr> 
                      <td class="crame"><span class="fBlack10100"><a href="category.php" class="usually">カテゴリ情報</a></span></td>
                      <td class="white"><span class="fBlack10100">ファイル共有機能での分類・検索に必要な「大」カテゴリ名を追加・修正・削除する。</span></td>
                    </tr>
                    <tr> 
                      <td class="crame"><span class="fBlack10100"><a href="subcategory.php" class="usually">サブカテゴリ情報</a></span></td>
                      <td class="white"><span class="fBlack10100">ファイル共有機能での分類・検索に必要な「サブ」カテゴリ名を追加・修正・削除する。</span></td>
                    </tr>
<?php
//アクセス権切り替え 2004.08
if (strtoupper($bolAccessSelect) == "TRUE")
{
?>
                    <tr> 
                      <td class="crame"><span class="fBlack10100"><a href="recordAccessView.php" class="usually">アクセス権設定情報</a></span></td>
                      <td class="white"><span class="fBlack10100">ファイル共有機能での分類・検索に必要なアクセス権を設定・解除する。</span></td>
                    </tr>
<?php
}
?>
                    <tr> 
                      <td class="crame"><span class="fBlack10100"><a href="<?php echo $_ROOT_URL_ ?>bbs/admin/index.php" class="usually">掲示板の設定</a></span></td>
                      <td class="white"><span class="fBlack10100">掲示板の追加・削除。また各掲示板の表示方法・期限・管理者なども設定できる。</span></td>
                    </tr>
<?php
//施設予約切り替え 2004.08
if (strtoupper($bolFacilitySelect) == "TRUE")
{
?>
                    <tr> 
                      <td class="crame"><span class="fBlack10100"><a href="facility_category.php" class="usually">施設カテゴリ情報</a></span></td>
                      <td class="white"><span class="fBlack10100">施設予約機能で表示される施設・備品名カテゴリ（会議棟、備品等）を追加・修正・削除する。</span></td>
                    </tr>
<?php
}
?>
                    <tr> 
                      <td class="crame"><span class="fBlack10100"><a href="facilities.php" class="usually">施設情報</a></span></td>
                      <td class="white"><span class="fBlack10100">施設予約機能で表示される施設・備品名データ（会議室、社用車等）を追加・修正・削除する。</span></td>
                    </tr>
                    <tr> 
                      <td class="crame"><span class="fBlack10100"><a href="setbooksclass.php" class="usually">図書種別設定</a></span></td>
                      <td class="white"><span class="fBlack10100">図書管理機能における種別データ（雑誌、CD-ROM等）を追加・修正・削除する。</span></td>
                    </tr>
                    <tr> 
                      <td class="crame"><span class="fBlack10100"><a href="sethardclass.php" class="usually">ハードウェア種別設定</a></span></td>
                      <td class="white"><span class="fBlack10100">ソフトウェア管理機能における種別データ（PC、周辺機器等）を追加・修正・削除する。</span></td>
                    </tr>
                    <tr> 
                      <td class="crame"><span class="fBlack10100"><a href="setsoftclass.php" class="usually">ソフトウェア種別設定</a></span></td>
                      <td class="white"><span class="fBlack10100">ソフトウェア管理機能における種別データ（OS、アプリケーション等）を追加・修正・削除する。</span></td>
                    </tr>
                    <tr> 
                      <td class="crame"><span class="fBlack10100"><a href="setsoftplace1.php" class="usually">ソフトウェア置き場所１設定</a></span></td>
                      <td class="white"><span class="fBlack10100">ソフトウェアの置き場所データを追加・修正・削除する。</span></td>
                    </tr>
                    <tr> 
                      <td class="crame"><span class="fBlack10100"><a href="setsoftplace2.php" class="usually">ソフトウェア置き場所２設定</a></span></td>
                      <td class="white"><span class="fBlack10100">ソフトウェアの置き場所が2ヶ所になる場合に使用。</span></td>
                    </tr>
                    <tr> 
                      <td class="crame"><span class="fBlack10100"><a href="setauctioncategory.php" class="usually">オークションカテゴリー設定</a></span></td>
                      <td class="white"><span class="fBlack10100">オークションに出品されるアイテムのカテゴリ名を追加・修正・削除する。</span></td>
                    </tr>
                    <tr> 
                      <td class="crame"><span class="fBlack10100"><a href="setauctionpayment.php" class="usually">オークション支払方法設定</a></span></td>
                      <td class="white"><span class="fBlack10100">オークションで入札する際の支払方法データ（現金・銀行振込等）を追加・修正・削除する。）</span></td>
                    </tr>
                  </table>
                </td>
              </tr>
            </table>
<br>
            <table width="760" border="0" cellspacing="0" cellpadding="0">
              <tr> 
                <td class="gray"> 
                  <table width="760" border="0" cellspacing="1" cellpadding="3">
                    <tr> 
                      <td class="sky" colspan="2" valign="middle"><span class="fWhite10100">その他管理・閲覧</span></td>
                    </tr>
                    <tr> 
                      <td class="crame"> 
                        <table width="165" border="0" cellspacing="0" cellpadding="0">
                          <tr> 
                            <td><span class="fBlack10100"><a href="gwlog.php" class="usually">ログの参照</a></span></td>
                          </tr>
                        </table>
                      </td>
                      <td class="white">
                        <table width="580" border="0" cellspacing="0" cellpadding="0">
                          <tr>
                            <td><span class="fBlack10100">期間×機能画面×<?php echo $varPhraseSet["strPerson"] ?>名でのアクセスログを抽出・閲覧する。</span></td>
                          </tr>
                        </table>
                      </td>
                    </tr>
                    <tr>
                      <td class="crame"><span class="fBlack10100"><a href="confgw.php" class="usually">gw.phpの一覧</a></span></td>
                      <td class="white"><span class="fBlack10100">グループウェア内で使用している変数の一覧。追加・編集・削除もできる。</span></td>
                    </tr>
                    <tr>
                      <td class="crame"><span class="fBlack10100"><a href="menu_category.php" class="usually">メニューカテゴリの設定</a></span></td>
                      <td class="white"><span class="fBlack10100">左に表示されるメニューの設定を変更できる。</span></td>
                    </tr>
                    <tr> 
                      <td class="crame"><span class="fBlack10100"><a href="<?php echo $_ROOT_URL_ ?>admin/csvimport/csvimport.php" class="usually">TSVファイルをインポート</a></span></td>
                      <td class="white"><span class="fBlack10100">TSVファイルを、いくつかの機能にインポートできる。</span></td>
                    </tr>
<?php
	if (strtoupper($useMobile) == "TRUE")
	{
		$keitaiViewObj->sendUrlForConfmenu();
		$keitaiViewObj->unLockForConfmenu();
	}
?>
                 </table>
                </td>
              </tr>
            </table>
<?php
//デザインマージ後のフッタをインクルードします。
	$menuShowObj->showFooter();
?>
