<?php
//
// Copyright (C) 1999-2000 Top Management Service, inc. All Rights Reserved.
// Copyright (C) 2001-2003 System Consultants Co.,Ltd. All Rights Reserved.
//
// $Id: division.php 1196 2004-08-25 08:28:01Z hideki-h $
//

/**
 * 部門マスタのメンテナンス
 *
 * @author hiroki KAWAMURA <hiroki@syscon.co.jp>
 * @author yuji TAKAHASHI <yu-ji@syscon.co.jp>
 * @author hideo OHSAWA <ohsawa@syscon.co.jp>
 */

//変数
$sub = isset($_POST["sub"]) ? $_POST["sub"] : $_GET["sub"];
$division = $_POST["division"];
$div_name = $_POST["div_name"];


include("gw.php");
include_once($_ROOT_DIR_ . "class/PhraseSelect.php");
$objPhraseSelect = new PhraseSelect($bolPhraseSelect);
$varPhraseSet = $objPhraseSelect->getPhrase();

include("include/dbChange.php");
$conn = $dbConnectObj->openConnect();
if (!$conn) {
	echo "データベースに異常。<BR>\n";
	exit;
}
include("include/accept.conf");
if (!$_SERVER["PHP_AUTH_USER"]) {
	echo "Not Found.<BR>\n";
	exit;
}
	$strSql = $dbSqlObj->selectAdministratorsAllWithEmpCd($_SERVER["PHP_AUTH_USER"]);
	$result = $dbExecObj->exeSql($conn,$strSql);

	$adminCount = $dbExecObj->getNumRows($result);
	include("include/admchk.func");
	if (admchk($conn,$_SERVER["PHP_AUTH_USER"],$dbSqlObj,$dbExecObj) == 0){
		echo "<FONT COLOR = \"RED\">管理者ではありません</FONT>\n";
		exit;
	}

// ログオン周りのクラスを使います。
	require_once($_ROOT_DIR_ . "class/employeeinfo.php");		// 社員情報クラス
	require_once($_ROOT_DIR_ . "class/employeeinfoowner.php");	// 社員情報クラスの処理クラス
	$employeeInfoOwner = new EmployeeInfoOwner();
	$employeeInfoOwner->setEmp_cd($_SERVER["PHP_AUTH_USER"]);
	$employeeInfoOwner->doSelectQuery($conn, $dbSqlObj, $dbExecObj);
	$employeeInfoArray = $employeeInfoOwner->getEmployeeInfoArray();
	$isAdmin = $employeeInfoArray[$_SERVER["PHP_AUTH_USER"]]->isAdmin();
	$empName = $employeeInfoArray[$_SERVER["PHP_AUTH_USER"]]->getName();

// デザインをインクルードします。
	require_once($_ROOT_DIR_ . "class/menuHeadder.php");
	$menuShowObj = new menuShowObj($conn,$dbSqlObj,$dbExecObj);
	$menuShowObj->setEmpName($empName);
	$menuShowObj->setCurrentAppli("conf");
	$menuShowObj->setIsAdmin($isAdmin);
	$menuShowObj->showHeadder();
?>

<span class="fBlack12100">■ <?php echo htmlSpecialEscape($varPhraseSet["strSection"]) ?>情報のメンテナンス</span> 

<?
if (!$sub || $sub == "登録" || $sub == "更新" || $sub == "はい" || $sub == "いいえ") {
	if ($sub=="登録") {

		include("include/serial.func");
		$division = getSerialCode("division",$conn,$dbSqlObj,$dbExecObj);
		$strSql = $dbSqlObj->selectDivisionCountOfDivisionWithDivision($division);
		$result = $dbExecObj->exeSql($conn,$strSql);
		if ($dbExecObj->getResult($result,0,"count_of_records") == 0) {
			$strSql = $dbSqlObj->insertDivision($division,$div_name);
			$result = $dbExecObj->exeSql($conn,$strSql);
		} else {
			echo "<B><FONT color=\"red\">同一" . htmlSpecialEscape($varPhraseSet["strSection"]) . "コードの情報が登録されているため登録できませんでした。</FONT></B><BR>\n";
		}
	} elseif ($sub=="更新") {
		$strSql = $dbSqlObj->selectDivisionCountOfDivisionWithDivision($division);
		$result = $dbExecObj->exeSql($conn,$strSql);
		if ($dbExecObj->getResult($result,0,"count_of_records") == 0) {
			$strSql = $dbSqlObj->insertDivision($division,$div_name);
			$result = $dbExecObj->exeSql($conn,$strSql);
		} else {
			$strSql = $dbSqlObj->updateDivisionDivNameWithDivision($div_name,$division);
			$result = $dbExecObj->exeSql($conn,$strSql);
		}
	} elseif ($sub == "はい") {
		$strSql = $dbSqlObj->deleteDivisionWithDivision($division);
		$result = $dbExecObj->exeSql($conn,$strSql);
	} else {	
	}	
?>
	<FORM  action="division.php" method="POST" >
	<SELECT  name="division" size="1">
<?
	$strSql = $dbSqlObj->selectDivisionAllSortedDivision();
	$result=$dbExecObj->exeSql($conn,$strSql);
	if (!$result) {
		echo htmlSpecialEscape($varPhraseSet["strSection"]) . "情報の一覧を取得できません。<BR>\n";
		exit;
	}
	$count = $dbExecObj->getNumRows($result);
	$i = 0;
	while ($i < $count) {
		print("<OPTION VALUE=\"".htmlSpecialEscape($dbExecObj->getResult($result,$i,"division"))."\">".htmlSpecialEscape($dbExecObj->getResult($result,$i,"div_name"))."\n");
		$i++;
	}
?>
	</SELECT><BR>
	<input type="submit" name="sub" value="新規">
<?	if ($count != 0) {	?>
		<input type="submit" name="sub" value="検索">
		<input type="submit" name="sub" value="削除">
<?	}	?>
	</FORM>
<?
} elseif ($sub == "新規") {
?>
	<FORM  action="division.php" method="POST" >
	<TABLE>
	<TR>
	<td><span class="fBlack10100"><b><?php echo htmlSpecialEscape($varPhraseSet["strSection"]) ?>名：</b></td>
	<TD><input type="TEXT" name="div_name" size="50" maxlength="50"></TD>
	</TR><TR>
	<TD colspan=2><input type="submit" name="sub" value="登録"></TD>
	</TR></TABLE>
	</FORM>
	<Script Language="JavaScript">
	<!--
	document.forms[0].elements[0].focus();
	//-->
	</Script>
<?
} elseif ($sub == "検索") {
	$strSql = $dbSqlObj->selectDivisionAllWithDivision($division);
	$result = $dbExecObj->exeSql($conn,$strSql);
?>
	<FORM  action="division.php" method="POST" >
	<TABLE>
	<TR>
	<td><span class="fBlack10100"><b><?php echo htmlSpecialEscape($varPhraseSet["strSection"]) ?>コード：</b></td>
	<TD><?echo htmlSpecialEscape($dbExecObj->getResult($result,0,"division"))?></TD>
	</TR><TR>
	<td><span class="fBlack10100"><b><?php echo htmlSpecialEscape($varPhraseSet["strSection"]) ?>名：</b></td>
	<TD><input type="TEXT" name="div_name" size="50" maxlength="50" value="<?echo htmlSpecialEscape($dbExecObj->getResult($result,0,"div_name"))?>"></TD>
	</TR><TR>
	<TD colspan="2"><input type="hidden" name="division" value="<?echo htmlSpecialEscape($division)?>">
	<input type="submit" name="sub" value="更新"></TD>
	</TR></TABLE>
	</FORM>
	<Script Language="JavaScript">
	<!--
	document.forms[0].elements[0].focus();
	//-->
	</Script>
<?
} elseif ($sub == "削除") {
	$strSql = $dbSqlObj->selectEmployeeCountOfDivisionWithDivision($division);
	$result = $dbExecObj->exeSql($conn,$strSql);
	if ($dbExecObj->getResult($result,0,"count_of_records") != 0) {
		echo "この" . htmlSpecialEscape($varPhraseSet["strSection"]) . "に所属する従業員が存在します。削除できません。<BR>\n";
		echo "<A href=\"division.php\">[Back]</A><BR>\n";
	} else {
?>
	<FORM  action="division.php" method="POST" >
	本当に削除しますか？<BR>
	<input type="hidden" name="division" value="<?echo htmlSpecialEscape($division)?>">
	<input type="submit" name="sub" value="はい">
	<input type="submit" name="sub" value="いいえ">
	</FORM>
<?
	}
} else {
}
//デザインマージ後のフッタをインクルードします。
	$menuShowObj->showConfFooter();
?>
