<?php
//
// Copyright (C) 1999-2000 Top Management Service, inc. All Rights Reserved.
// Copyright (C) 2001-2003 System Consultants Co.,Ltd. All Rights Reserved.
//
// $Id: gwlog.php 1196 2004-08-25 08:28:01Z hideki-h $
//

/**
 * ログの参照
 *
 * @author hiroki KAWAMURA <hiroki@syscon.co.jp>
 * @author yuji TAKAHASHI <yu-ji@syscon.co.jp>
 * @author hideo OHSAWA <ohsawa@syscon.co.jp>
 */

//変数
$sub = isset($_POST["sub"]) ? $_POST["sub"] : $_GET["sub"];
$begin_date = $_POST["begin_date"];
$end_date = $_POST["end_date"];
$FetNum = $_POST["FetNum"];
$Person = $_POST["Person"];
$Appli = $_POST["Appli"];


	include ("gw.php");

	/*　グループウェアデータベースに接続　*/
include("include/dbChange.php");
$conn = $dbConnectObj->openConnect();
	if(!$conn){
		echo "セッティング異常";
		exit;
	}

    include_once($_ROOT_DIR_ . "class/PhraseSelect.php");
    $objPhraseSelect = new PhraseSelect($bolPhraseSelect);
    $varPhraseSet = $objPhraseSelect->getPhrase();

	include ("include/accept.conf");
	if (!$_SERVER["PHP_AUTH_USER"]) {
		echo "Not Found.<BR>\n";
		exit;
	}

	$strSql = $dbSqlObj->selectAdministratorsAllWithEmpCd($_SERVER["PHP_AUTH_USER"]);
	$result = $dbExecObj->exeSql($conn,$strSql);
	$adminCount = $dbExecObj->getNumRows($result);
	include("include/admchk.func");
	if (admchk($conn,$_SERVER["PHP_AUTH_USER"],$dbSqlObj,$dbExecObj) == 0){
		echo "<FONT COLOR = \"RED\">管理者ではありません</FONT>\n";
		exit;
	}

	$strSql = $dbSqlObj->setDateStyleToIso();
	$dbExecObj->exeSql($conn, $strSql);

// ログオン周りのクラスを使います。
	require_once($_ROOT_DIR_ . "class/employeeinfo.php");		// 社員情報クラス
	require_once($_ROOT_DIR_ . "class/employeeinfoowner.php");	// 社員情報クラスの処理クラス
	$employeeInfoOwner = new EmployeeInfoOwner();
	$employeeInfoOwner->setEmp_cd($_SERVER["PHP_AUTH_USER"]);
	$employeeInfoOwner->doSelectQuery($conn, $dbSqlObj, $dbExecObj);
	$employeeInfoArray = $employeeInfoOwner->getEmployeeInfoArray();
	$isAdmin = $employeeInfoArray[$_SERVER["PHP_AUTH_USER"]]->isAdmin();
	$empName = $employeeInfoArray[$_SERVER["PHP_AUTH_USER"]]->getName();

// デザインをインクルードします。
	require_once($_ROOT_DIR_ . "class/menuHeadder.php");
	$menuShowObj = new menuShowObj($conn,$dbSqlObj,$dbExecObj);
	$menuShowObj->setEmpName($empName);
	$menuShowObj->setCurrentAppli("conf");
	$menuShowObj->setIsAdmin($isAdmin);
	$menuShowObj->showHeadder();
?>
<span class="fBlack12100"> ■ ログ一覧</span> 
<FORM METHOD = "POST" ACTION = "gwlog.php">
<?
	if (!$begin_date) {
		$begin_time = time() - 86400 * 30;
		$begin_date = Date("Y\/m\/d",$begin_time);
	} else {
		if (checkdate(substr($begin_date,5,2),substr($begin_date,8,2),substr($begin_date,0,4))) {
			$begin_time = mktime(0,0,0,substr($begin_date,5,2),substr($begin_date,8,2),substr($begin_date,0,4));
		} else {
			echo "<B>日付の指定が無効です。</B><BR>\n";
			exit;
		}
	}
	if (!$end_date) {
		$end_time = time();
		$end_date = Date("Y\/m\/d",$end_time);
	} else {
		if (checkdate(substr($end_date,5,2),substr($end_date,8,2),substr($end_date,0,4))) {
			$end_time = mktime(23,59,59,substr($end_date,5,2),substr($end_date,8,2),substr($end_date,0,4));
		} else {
			echo "<B>日付の指定が無効です。</B><BR>\n";
			exit;
		}
	}

	if ( !$FetNum || $FetNum == 0 ) { $FetNum = 100 ; }
	echo "<INPUT TYPE =\"TEXT\" NAME=\"begin_date\" SIZE=\"14\" MAXLENGTH=\"10\" VALUE =\"$begin_date\">　〜　";
	echo "<INPUT TYPE = \"TEXT\" NAME = \"end_date\" SIZE = \"14\" MAXLENGTH = \"10\" VALUE =\"" . Date("Y\/m\/d",$end_time) . "\">　間の　\n";
	echo "<INPUT TYPE = \"TEXT\" NAME = \"FetNum\" SIZE = \"3\" MAXLENGTH = \"3\" VALUE = \"$FetNum\">　件のログを表示<BR>\n";

	$strSql = $dbSqlObj->selectEmployeeEmpCdNameWithRetireDateNullSortedKindEmpCd();
	$Syain = $dbExecObj->exeSql( $conn , $strSql);
	$MaxSyain = $dbExecObj->getNumRows($Syain);
	$i = 0;
	echo htmlSpecialEscape($varPhraseSet["strPerson"]) . "による抽出　<SELECT NAME = \"Person\">\n";
		echo "<OPTION VALUE =\"NOTSEL\">全ての" . htmlSpecialEscape($varPhraseSet["strPerson"]) . "\n";
	while ($i < $MaxSyain){
		echo "<OPTION VALUE =\"" . htmlSpecialEscape($dbExecObj->getResult($Syain, $i, "emp_cd")) . "\"";
		if ( $Person == $dbExecObj->getResult($Syain, $i, "emp_cd") ){ echo "SELECTED"; }
		echo ">" . htmlSpecialEscape($dbExecObj->getResult($Syain, $i, "name")) . "\n";
		$i++;
	}
	echo "</SELECT>\n";

	$strSql = $dbSqlObj->selectAppconfGwapNameWithCngOkFSortedGwap();
	$App = $dbExecObj->exeSql( $conn , $strSql);
	$MaxApp = $dbExecObj->getNumRows($App);
	$i = 0;
	echo "機能による抽出　<SELECT NAME = \"Appli\">\n";
		echo "<OPTION VALUE =\"NOTSEL\">全ての機能\n";
	while ($i < $MaxApp){
		echo "<OPTION VALUE =\"" . htmlSpecialEscape($dbExecObj->getResult($App, $i, 0)) . "\"";
		if ( $Appli == $dbExecObj->getResult($App, $i, 0) ){ echo "SELECTED"; }
		echo ">" . htmlSpecialEscape($dbExecObj->getResult($App, $i, "name")) . "\n";
		$i++;
	}
	echo "</SELECT><BR>\n";
?>
<INPUT type="submit" name="sub" value="表示">
</FORM>
<BR>
<?
	$end_date = Date("Y\/m\/d H:i:s",$end_time);

	$SqlStr = $dbSqlObj->selectGwlog($begin_date,$end_date,$Person,$Appli,$FetNum);
	$Res_log = $dbExecObj->exeSql($conn,$SqlStr);

	$i = 0;
	$Endd = $dbExecObj->getNumRows($Res_log);
?>
<TABLE width="760" border="0" cellspacing="0" cellpadding="0"><tr><td valign="top" class="gray">
<table width="760" border="0" cellspacing="1" cellpadding="3">
  <TR>
    <td valign="middle" class="orange"> 
      <table width="195" border="0" cellspacing="0" cellpadding="3">
        <tr> 
          <td valign="middle"> 
            <div align="center"><span class="fWhite10100">時間</span></div>
          </td>
        </tr>
      </table>
    </td>
    <td valign="middle" class="orange"> 
      <table width="185" border="0" cellspacing="0" cellpadding="3">
        <tr> 
          <td valign="middle"> 
            <div align="center"><span class="fWhite10100"><?php echo htmlSpecialEscape($varPhraseSet["strPerson"]) ?>名</span></div>
          </td>
        </tr>
      </table>
    </td>
    <td valign="middle" class="orange"> 
      <table width="94" border="0" cellspacing="0" cellpadding="3">
        <tr> 
          <td valign="middle"> 
            <div align="center"><span class="fWhite10100">アプリケーション</span></div>
          </td>
        </tr>
      </table>
    </td>
    <td valign="middle" class="orange"> 
      <table width="185" border="0" cellspacing="0" cellpadding="3">
        <tr> 
          <td valign="middle"> 
            <div align="center"><span class="fWhite10100">アクセス元</span></div>
          </td>
        </tr>
      </table>
    </td>
  </TR>
<?
	while($i < $Endd){
		$log_appli = $dbExecObj->getResult($Res_log, $i, "gwap");
		$log_name  = $dbExecObj->getResult($Res_log, $i, "emp_cd");
		$log_time  = $dbExecObj->getResult($Res_log, $i, "record_time");

		/*　社員データから名前を取り出す　*/;
		$strSql = $dbSqlObj->selectEmployeeNameWithEmpCd($log_name);
		$Name1  = $dbExecObj->exeSql($conn,$strSql);
		$Syain  = $dbExecObj->getResult($Name1,"0", "name");

		/*　グループウェアのアプリケーション名　*/
		$strSql = $dbSqlObj->selectAppconfNameWithGwap($log_appli);
		$Name2  = $dbExecObj->exeSql($conn,$strSql);
		$AppName = $dbExecObj->getResult($Name2,"0", "name");

		/*　時間データを変換　*/
		$time = substr( $log_time , 5 , 2) . "月" . substr( $log_time , 8 , 2) . "日" . substr( $log_time , 11 , 2) . "時" . substr( $log_time , 14 , 2) . "分";
		if ($i % 2 == 1) {
			$tempClassName = "white";
		} else {
			$tempClassName = "crame";
		}
?>
  <TR>
    <td class="<?echo $tempClassName?>" valign="middle"><span class="fBlack10100"><?echo $time?></span></TD>
    <TD class="<?echo $tempClassName?>" valign="middle"><span class="fBlack10100"><?echo htmlSpecialEscape($Syain)?></span></TD>
    <TD class="<?echo $tempClassName?>" valign="middle"><span class="fBlack10100"><?echo htmlSpecialEscape($AppName)?></span></TD>
    <TD class="<?echo $tempClassName?>" valign="middle"><span class="fBlack10100"><?echo htmlSpecialEscape($dbExecObj->getResult($Res_log, $i, "access"))?></span></TD>
  </TR>
<?
		$i++;
	}
?>
</TABLE>
</td></tr></table>
<?php
//デザインマージ後のフッタをインクルードします。
	$menuShowObj->showConfFooter();
?>
