<?php
//
// Copyright (C) 2001-2003 System Consultants Co.,Ltd. All Rights Reserved.
//
// $Id: menu_category.php 1196 2004-08-25 08:28:01Z hideki-h $
//

/**
 * メニューカテゴリマスタメンテナンス
 *
 * @author hiroki KAWAMURA <hiroki@syscon.co.jp>
 * @author yuji TAKAHASHI <yu-ji@syscon.co.jp>
 * @author hideo OHSAWA <ohsawa@syscon.co.jp>
 */

//変数
$sub = isset($_POST["sub"]) ? $_POST["sub"] : $_GET["sub"];
$cat_cd = $_POST["cat_cd"];
$cat_name = $_POST["cat_name"];
$cat_image = $_POST["cat_image"];
$cat_order = $_POST["cat_order"];


include("gw.php");
include("include/dbChange.php");
$conn = $dbConnectObj->openConnect();
if (!$conn) 
{
	echo "データベースに異常。<br>\n";
	exit;
}

include_once($_ROOT_DIR_ . "class/PhraseSelect.php");
$objPhraseSelect = new PhraseSelect($bolPhraseSelect);
$varPhraseSet = $objPhraseSelect->getPhrase();

include("include/accept.conf");
if (!$_SERVER["PHP_AUTH_USER"])
{
	echo "Not Found.<br>\n";
	exit;
}

$strSql = $dbSqlObj->selectAdministratorsAllWithEmpCd($_SERVER["PHP_AUTH_USER"]);
$result = $dbExecObj->exeSql($conn,$strSql);
$adminCount = $dbExecObj->getNumRows($result);
include("include/admchk.func");

if (admchk($conn,$_SERVER["PHP_AUTH_USER"],$dbSqlObj,$dbExecObj) == 0){
	echo "<FONT COLOR = \"RED\">管理者ではありません</FONT>\n";
	exit;
}

// メモリの開放
$dbExecObj->freeResult($result);

// ログオン周りのクラスを使います。
require_once($_ROOT_DIR_ . "class/employeeinfo.php");		// 社員情報クラス
require_once($_ROOT_DIR_ . "class/employeeinfoowner.php");	// 社員情報クラスの処理クラス
$employeeInfoOwner = new EmployeeInfoOwner();
$employeeInfoOwner->setEmp_cd($_SERVER["PHP_AUTH_USER"]);
$employeeInfoOwner->doSelectQuery($conn, $dbSqlObj, $dbExecObj);
$employeeInfoArray = $employeeInfoOwner->getEmployeeInfoArray();
$isAdmin = $employeeInfoArray[$_SERVER["PHP_AUTH_USER"]]->isAdmin();
$empName = $employeeInfoArray[$_SERVER["PHP_AUTH_USER"]]->getName();



if ($sub == "登録" || $sub == "更新" || $sub == "はい" || $sub == "いいえ") 
{
	if ($sub == "登録")
	{
		if ($cat_name == "" || $cat_image == "" || $cat_order == "")
		{
			echo "<B><FONT color=\"red\">入力されていない項目があります。</FONT></B><br>\n";
			echo "<A HREF=\"javascript:history.back()\">[BACK]</A>\n";
		}
		else
		{
			include("include/serial.func");
			$cat_cd = getSerialCode("menu_category",$conn,$dbSqlObj,$dbExecObj);

			$strSql = $dbSqlObj->selectMst_Menu_CategoryCountOfMenu_Category_IdWithMenu_Category_Id($cat_cd);
			$result = $dbExecObj->exeSql($conn, $strSql);
			if ($dbExecObj->getResult($result, 0, "count_of_records") == 0) 
			{
				$strSql = $dbSqlObj->insertMst_Menu_Category($cat_cd,$cat_name,$cat_image,$cat_order);
				$result = $dbExecObj->exeSql($conn, $strSql);
			} 
			else
			{
				echo "<B><FONT color=\"red\">同一メニューカテゴリコードの情報が登録されているため登録できませんでした。</FONT></B><br>\n";
			echo "<A HREF=\"javascript:history.back()\">[BACK]</A>\n";
			}
		}
	} 
	elseif ($sub == "更新")
	{
		if ($cat_name == "" || $cat_image == "" || $cat_order == "")
		{
			echo "<B><FONT color=\"red\">入力されていない項目があります。</FONT></B><br>\n";
			echo "<A HREF=\"javascript:history.back()\">[BACK]</A>\n";
		}
		else
		{
			$strSql = $dbSqlObj->updateMst_Menu_CategoryWithMenu_Category_Id($cat_cd,$cat_name,$cat_image,$cat_order);
			$result = $dbExecObj->exeSql($conn, $strSql);
		}
	} 
	elseif ($sub == "はい")
	{
		$strSql = $dbSqlObj->deleteMst_Menu_CategoryWithCatCd($cat_cd);
		$result = $dbExecObj->exeSql($conn,$strSql);
	} 
	else 
	{
	}

	header("Location: " . $_SERVER["PHP_SELF"]);
	exit;
}



// デザインをインクルードします。
require_once($_ROOT_DIR_ . "class/menuHeadder.php");
$menuShowObj = new menuShowObj($conn,$dbSqlObj,$dbExecObj);
$menuShowObj->setEmpName($empName);
$menuShowObj->setCurrentAppli("conf",true);
$menuShowObj->setIsAdmin($isAdmin);
$menuShowObj->showHeadder();
?>
<span class="fBlack12100">■ メニューカテゴリの設定</span>
<?php
if ($sub != "新規" && $sub != "修正" && $sub != "削除")
{
?>
	<form action="menu_category.php" method="POST">
	  <select name="cat_cd" size="1">
<?php
	$strSql = $dbSqlObj->selectMst_Menu_CategorySortedMenu_Category_Order();
	$result = $dbExecObj->exeSql($conn,$strSql);
	if (!$result) 
	{
		echo "メニューカテゴリ情報の一覧を取得できません。<br>\n";
		exit;
	}

	$count = $dbExecObj->getNumRows($result);
	$i = 0;

	while ($i < $count) 
	{
		echo "<option value=\"" . htmlSpecialEscape($dbExecObj->getResult($result, $i ,"menu_category_id")) . "\">" . htmlSpecialEscape($dbExecObj->getResult($result, $i, "menu_category_name")) . "</option>\n";
		$i++;
	}
?>
	  </select><br>
	  <input type="submit" name="sub" value="新規">
<?php	
	if ($count != 0)
	{
?>
      <input type="submit" name="sub" value="修正">
      <input type="submit" name="sub" value="削除">
<?php
	}
?>
	</form>
<?php
} 
elseif ($sub == "新規")
{
?>
	<form  action="menu_category.php" method="POST">
      <table>
        <tr>
          <td><span class="fBlack10100"><b>メニューカテゴリ名：</b></span></td>
          <td><input type="text" name="cat_name" size="20" maxlength="100"></td>
        </tr>
        <tr>
          <td><span class="fBlack10100"><b>メニューのファイル名：</b></span></td>
          <td><input type="text" name="cat_image" size="20" maxlength="100"></td>
        </tr>
        <tr>
          <td><span class="fBlack10100"><b>メニューの順番：</b></span></td>
          <td><input type="text" name="cat_order" size="20" maxlength="100"></td>
        </tr>
        <tr>
          <td colspan=2><input type="submit" name="sub" value="登録"></td>
        </tr>
      </table>
    </form>
    <Script Language="JavaScript">
    <!--
    document.forms[0].elements[0].focus();
    //-->
    </Script>
<?php
} 
elseif ($sub == "修正")
{
	// 対象が空欄の場合は戻る
	if ($cat_cd == "")
	{
		$A_PHP_SELF = $_SERVER["PHP_SELF"];
		echo "<Script language=\"JavaScript\">\n";
		echo "window.location = '$A_PHP_SELF';\n";
		echo "</Script>\n";
		exit;
	}

	$strSql = $dbSqlObj->selectMst_Menu_CategoryWithMenu_Category($cat_cd);
	$result = $dbExecObj->exeSql($conn, $strSql);
?>
    <form  action="menu_category.php" method="POST" >
      <table>
        <tr>
          <td><span class="fBlack10100"><b>メニューカテゴリ名：</b></span></td>
          <td><input type="text" name="cat_name" size="20" maxlength="100" value="<?php echo htmlSpecialEscape($dbExecObj->getResult($result, 0, "menu_category_name")) ?>"></td>
        </tr>
        <tr>
          <td><span class="fBlack10100"><b>メニューのファイル名：</b></span></td>
          <td><input type="text" name="cat_image" size="20" maxlength="100" value="<?php echo htmlSpecialEscape($dbExecObj->getResult($result, 0, "menu_category_image")) ?>"></td>
        </tr>
        <tr>
          <td><span class="fBlack10100"><b>メニューの順番：</b></span></td>
          <td><input type="text" name="cat_order" size="20" maxlength="100" value="<?php echo htmlSpecialEscape($dbExecObj->getResult($result, 0, "menu_category_order")) ?>"></td>
        </tr>
        <tr>
          <td colspan="2">
            <input type="hidden" name="cat_cd" value="<?php echo $cat_cd ?>">
            <input type="submit" name="sub" value="更新">
          </td>
        </tr>
      </table>
    </form>
    <Script Language="JavaScript">
    <!--
    document.forms[0].elements[0].focus();
    //-->
    </Script>
<?php
}
elseif ($sub == "削除")
{
	// 対象が空欄の場合は戻る
	if ($cat_cd == "")
	{
		$A_PHP_SELF = $_SERVER["PHP_SELF"];
		echo "<Script language=\"JavaScript\">\n";
		echo "window.location = '$A_PHP_SELF';\n";
		echo "</Script>\n";
		exit;
	}
	else
	{
		// サブカテゴリで使用中
		$strSql = $dbSqlObj->selectAppconfCountOfRecordsWithMenu_Category($cat_cd);
		$result = $dbExecObj->exeSql($conn, $strSql);

		if ($dbExecObj->getResult($result, 0, "count_of_records") != 0)
		{
			echo "<B><FONT color=\"red\">このメニューカテゴリには機能が存在します。<br>\n";
			echo "機能を削除してから、再度削除してください。</FONT></B><br>\n";
			echo "<A HREF=\"javascript:history.back()\">[BACK]</A>\n";
		} 
		else
		{
?>
    <form action="menu_category.php" method="POST">
    本当に削除しますか？<br>
      <input type="hidden" name="cat_cd" value="<?php echo $cat_cd ?>">
      <input type="submit" name="sub" value="はい">
      <input type="submit" name="sub" value="いいえ">
    </form>
<?php
		}
	}
} 

// データベースのClose
$dbConnectObj->closeConnect($conn);

//デザインマージ後のフッタをインクルードします。
$menuShowObj->showConfFooter();
?>