<?php
//
// Copyright (C) 1999-2000 Top Management Service, inc. All Rights Reserved.
// Copyright (C) 2001-2002 System Consultants Co.,Ltd. All Rights Reserved.
//
// $Id: notice2.php 1330 2005-09-29 05:07:05Z root $
//

/**
 * 回覧板
 *
 * @author hiroki KAWAMURA <hiroki@syscon.co.jp>
 * @author yuji TAKAHASHI <yu-ji@syscon.co.jp>
 * @author maiko MIKAMI <m-mikami@syscon.co.jp>
 */

$sub = isset($_POST["sub"]) ? $_POST["sub"] : $_GET["sub"];
$sendtime = rawurldecode(isset($_POST["sendtime"]) ? $_POST["sendtime"] : $_GET["sendtime"]);
$comment = $_POST["comment"];
$reply = $_POST["reply"];


	include ("gw.php");
	include("include/dbChange.php");
	$conn = $dbConnectObj->openConnect();
	if (!$conn) {
		echo "<Script language=\"JavaScript\">\n";
		echo "alert('データベースに接続できません。')\n";
		echo "</Script>\n";
		exit;
	}

    include_once($_ROOT_DIR_ . "class/PhraseSelect.php");
    $objPhraseSelect = new PhraseSelect($bolPhraseSelect);
    $varPhraseSet = $objPhraseSelect->getPhrase();

	$dbExecObj->exeSql($conn,$dbSqlObj->setDateStyleToIso());
	include ("include/accept.conf");
	include("include/admchk.func");
	include("include/getallemp.func");
	include("include/getalldiv.func");
	include("include/blnk2nbsp.func");
	include("include/getnowtime.func");

/* 作成者 or 管理者のチェック。*/
/* 管理者だった場合、$admに "100" */
/* 作成者だった場合、$admに "010" */
/* 可書者だった場合、$admに "001" */

//管理者のチェック。
if (admchk($conn,$_SERVER["PHP_AUTH_USER"],$dbSqlObj,$dbExecObj) == 1){
	$adm = "1";
}
else {
	$adm = "0";
}

//作成者のチェック。
$strSQL = $dbSqlObj->selectNoticeCountOfEmpCdWithSendTimeEmpCd($sendtime,$_SERVER["PHP_AUTH_USER"]);
$result = $dbExecObj->exeSql($conn,$strSQL);
if ($dbExecObj->getResult($result, 0, "count_of_records")!=0) {
	$adm .= "1";
}
else {
	$adm .= "0";
}

//書き込み可能な人のチェック
$strSQL = $dbSqlObj->selectPNoticeCountOfEmpCdWithSendTimeEmpCd($sendtime,$_SERVER["PHP_AUTH_USER"]);
$result = $dbExecObj->exeSql($conn,$strSQL);
if ($dbExecObj->getResult($result,0,"count_of_records")!=0) {
	$adm .= "1";
}
else {
	$adm .= "0";
}

// ログオン周りのクラスを使います。
	require_once($_ROOT_DIR_ . "class/employeeinfo.php");		// 社員情報クラス
	require_once($_ROOT_DIR_ . "class/employeeinfoowner.php");	// 社員情報クラスの処理クラス
	$employeeInfoOwner = new EmployeeInfoOwner();
	$employeeInfoOwner->setEmp_cd($_SERVER["PHP_AUTH_USER"]);
	$employeeInfoOwner->doSelectQuery($conn, $dbSqlObj, $dbExecObj);
	$employeeInfoArray = $employeeInfoOwner->getEmployeeInfoArray();
	$isAdmin = $employeeInfoArray[$_SERVER["PHP_AUTH_USER"]]->isAdmin();
	$empName = $employeeInfoArray[$_SERVER["PHP_AUTH_USER"]]->getName();

// デザインをインクルードします。
	require_once($_ROOT_DIR_ . "class/menuHeadder.php");
	$menuShowObj = new menuShowObj($conn,$dbSqlObj,$dbExecObj);
	$menuShowObj->setEmpName($empName);
	$menuShowObj->setCurrentAppli("notice");
	$menuShowObj->setIsAdmin($isAdmin);
	$menuShowObj->showHeadder();


?>
<table width="760" border="0" cellspacing="0" cellpadding="0">
  <tr> 
    <td>
      <table width="760" border="0" cellspacing="0" cellpadding="0">
        <tr> 
          <td><img src="images/circulation_all_a.gif" width="360" height="29" alt="着信一覧を見る" border="0"></td>
          <td><a href="notice3.php"><img src="images/circulation_make_b.gif" width="180" height="29" border="0" alt="回覧の新規作成"></a></td>
          <td> 
            <div align="right"><a href="notice4.php"><img src="images/circulation_confirmation_b.gif" width="180" height="29" alt="作成分の確認" border="0"></a></div>
          </td>
        </tr>
      </table>
    </td>
  </tr>
  <tr>
    <td class="yellow">&nbsp;</td>
  </tr>
</table>

<?
//回覧板更新用オブジェクト
require_once($_ROOT_DIR_ . "class/NoticeAnser.php");
$noticeAnser = new NoticeAnser($conn, $dbSqlObj, $dbExecObj);

//登録データ設定
$noticeAnser->setSendtime($sendtime);
$noticeAnser->setEmp_cd($_SERVER["PHP_AUTH_USER"]);
/*
$noticeAnser->setComment($_POST["comment"]);
$noticeAnser->setReply($_POST["reply"]);

if ($sub == "返答")
{
	$ret = $noticeAnser->anserNotice(NULL);
	if ($ret == false) {
		echo "<Script language=\"JavaScript\">\n";
		echo "alert('返答できません。'')\n";
		echo "history.go(-1);\n";
		echo "</Script>\n";
		exit;
	}
}
elseif ($sub == "参加")
{
	$ret = $noticeAnser->anserNotice("1");
	if ($ret == false) {
		echo "<Script language=\"JavaScript\">\n";
		echo "alert('返答できません。'')\n";
		echo "history.go(-1);\n";
		echo "</Script>\n";
		exit;
	}
}
elseif ($sub == "不参加")
{
	$ret = $noticeAnser->anserNotice("0");
	if ($ret == false) {
		echo "<Script language=\"JavaScript\">\n";
		echo "alert('返答できません。'')\n";
		echo "history.go(-1);\n";
		echo "</Script>\n";
		exit;
	}

}
*/
// ここから画面表示用ルーチン。

		$sqlstr = $dbSqlObj->selectNoticePNoticeEmployeeAllNoticePNoticeRemarkReplyEmployeeNameWithSendTimeAdmPhpAuthUser($sendtime,$adm,$_SERVER["PHP_AUTH_USER"]);
		$result = $dbExecObj->exeSql($conn, $sqlstr);
		if (!$result)
		{
			echo "<Script language=\"JavaScript\">\n";
			echo "alert('回覧板情報を取得できません。w')\n";
			echo "history.go(-1);\n";
			echo "</Script>\n";
			exit;
		}
		$i = 0;
		$view_title = $dbExecObj->getResult($result,$i,"title");
		$view_name = $dbExecObj->getResult($result,$i,"name");
		$view_sendtime = $dbExecObj->getResult($result,$i,"sendtime");
		$view_body = $dbExecObj->getResult($result,$i,"body");
		$view_schedule_cd = $dbExecObj->getResult($result,$i,"schedule_cd");
		$view_scdl_date_cd = $dbExecObj->getResult($result,$i,"schedule_date_cd");
		
		$bolScdlAnser = false;				//「参加」「不参加」ボタン表示フラグ
		//スケジュールから自動登録された回覧板の場合
		if($view_schedule_cd != "" && $view_scdl_date_cd != ""){
			$sqlstr = $dbSqlObj->selectWizEventMemberNotAnserWithEmpcd($_SERVER["PHP_AUTH_USER"],$view_schedule_cd,$view_scdl_date_cd);
			$result2 = $dbExecObj->exeSql($conn, $sqlstr);
			if (!$result2)
			{
				echo "<Script language=\"JavaScript\">\n";
				echo "alert('回覧板情報を取得できません。ww')\n";
				echo "history.go(-1);\n";
				echo "</Script>\n";
				exit;
			}
			$enable_count = $dbExecObj->getResult($result2,$i,"count");
			//スケジュールの参加状態が"未回答の場合のみボタンを表示"
			if($enable_count == 1){
				$bolScdlAnser = true;
			}
		}

		if($view_schedule_cd == ""){
			$view_body = htmlSpecialEscape($view_body);
		}

//見た日付をインサート
		$ret = $noticeAnser->seenNotice();
		if ($ret = false)
		{
			echo "<Script language=\"JavaScript\">\n";
			echo "alert('閲覧のチェックができません。')\n";
			echo "history.go(-1);\n";
			echo "</Script>\n";
			exit;
		}
?>

<TABLE WIDTH=550>
  <tr>
    <TD>
      <table border="0" cellspacing="0" cellpadding="0" width="550">
        <tr>
          <td class="gray" valign="top">
            <TABLE CELLPADDING="3" cellspacing="1" border="0" width=550>
              <TR>
                <TD class="sky">
                  <span class="fWhite10100">
                    <? echo htmlSpecialEscape($view_title) ?>
                  </span>
                </TD>
              </TR>
              <TR>
                <TD class="lightbule">
                  <span class="fBlack10100">送信者：<? echo htmlSpecialEscape($view_name) ?>&nbsp;
                    作成日時：<? echo substr($view_sendtime, 5, 11) ?>
                  </span>
                </TD>
              </TR>
              <TR>
                <TD class="white">
                  <span class="fBlack10100">
                    <? echo (nl2br($view_body)) ?>
                  </span>
                </TD>
              </TR>
            </table>
          </td>
        </tr>
      </table>
    </TD>
  </tr>
  <tr>
    <td>
<?
if (substr($adm,0,1) == "1" || substr($adm,1,1) == "1")
{
?>
      <P align="left">
        <FORM action="notice1.php" method="post">
          <INPUT TYPE="HIDDEN" VALUE="<? echo $sendtime ?>" NAME="sendtime">
          <INPUT TYPE="SUBMIT" VALUE="この回覧を削除する" NAME="sub" onClick="return confirm('本当に削除しますか？')">
        </FORM>
      </P>
<?
}
?>
    </TD>
  </tr>
  <tr>
    <TD>&nbsp;</TD>
  </tr>
  <tr>
    <TD width="550" valign="top">
      <table border="0" cellspacing="0" cellpadding="0" width=550>
        <tr>
          <td class="gray" valign="top">
            <table border="0" cellspacing="1" cellpadding="3" width="550">
              <tr>
                <TD class="orange">
                  <span class="fWhite10100">受信者／コメント</span>
                </TD>
                <TD class="orange">
                  <span class="fWhite10100">未受信者</span>
                </TD>
              </TR>
              <TR>
                <TD class="white" valign="top">
                  <span class="fBlack10100">
<?
		$sqlstr = $dbSqlObj->selectPnoticeEmployeeAllPNoticeEmployeeNameWithSendTime($sendtime);
		$result3 = $dbExecObj->exeSql($conn, $sqlstr);
		if (!$result3)
		{
			echo "<Script language=\"JavaScript\">\n";
			echo "alert('回覧受信者情報を取得できません。www')\n";
			echo "</Script>\n";
			exit;
		}

		$count2 = $dbExecObj->getNumRows($result3);
		for ($j = 0; $j < $count2; $j++) {
        if (substr($dbExecObj->getResult($result3, $j, "seentime"),5,11) != "") {
			echo htmlSpecialEscape($dbExecObj->getResult($result3, $j, "name"));
			echo "(" . substr($dbExecObj->getResult($result3, $j, "seentime"), 5, 11) . ")<BR>";

			if ($dbExecObj->getResult($result3, $j, "remark") != "") {
				echo "<table border=0 cellspacing=0 cellpadding=0><tr><td width=30> </td>";
				echo "<td><font size=\"2\">";
				$honbun = htmlSpecialEscape($dbExecObj->getResult($result3,$j,"remark"));
				$honbun = ereg_replace("\r\n\r\n","\n",$honbun);
				echo ereg_replace("\n", "<br>", $honbun) . "<br>\n";
				echo "</font></td></tr></table>";
			}
		}
		}
		if ($j == 0) {
			echo "&nbsp;";
		}
?>
                  </span>
                </TD>
                <TD class="white" VALIGN="top">
                  <FONT SIZE="2">
<?
		if ($j == $count2) {
			echo "&nbsp;";
		}

		$j = 0;
		while ($j < $count2) {
			if(substr($dbExecObj->getResult($result3,$j,"seentime"),5,11) == "") {
				echo htmlSpecialEscape($dbExecObj->getResult($result3, $j, "name"));
				echo "<br>\n";
			}
			$j++;
		}
?>
                  </FONT>
                </TD>
              </TR>
            </TABLE>
          </td>
        </tr>
        <tr>
          <td align=left>
          <br>
<?
	if ($dbExecObj->getResult($result, $i, "confirm") == 't' && substr($adm,2,1) == "1") {
?>
            <TABLE>
              <FORM action="notice1.php" method="POST" NAME="replay_form">
              <TR align="left">
                <Td valign="top" align="left">
                  <span class="fBlack10100"><b>コメント：</b></span>
                </Td>
                <TD>
                  <table border="0" cellspacing="0" cellpadding="0">
                    <tr>
                      <td width="10"> </td>
                      <td>
                        <TEXTAREA name="comment" rows="5" cols="40"><? echo htmlSpecialEscape($dbExecObj->getResult($result, 0, "remark")) ?></TEXTAREA>
                      </TD>
                    </TR>
                    <TR>
                      <td>&nbsp;</td>
                      <TD align="left">
                        <P ALIGN="left">
<?php
		if($bolScdlAnser == true){
?>
                          <input type="submit" name="sub" value="参加">
                          <input type="submit" name="sub" value="不参加">
<?php
		} else {
?>
                          <input type="submit" name="sub" value="返答">
<?php
		}
?>
                        </P>
                        <input type="hidden" name="reply" value="t">
                        <input type="hidden" name="sendtime" value="<? echo $sendtime ?>">
                      </TD>
                    </TR>
                  </TABLE>
                </td>
              </tr>
              </FORM>
            </table>
<?
	}
?>
          </td>
        </tr>
      </table>
    </TD>
  </TR>
</TABLE>

<?php
//デザインマージ後のフッタをインクルードします。
	$menuShowObj->showFooter();
?>
