<?php
//
// Copyright (C) 1999-2000 Top Management Service, inc. All Rights Reserved.
// Copyright (C) 2001-2002 System Consultants Co.,Ltd. All Rights Reserved.
//
// $Id: notice4.php 1280 2005-05-29 06:20:06Z admin $
//

/**
 * 回覧板
 *
 * @author hiroki KAWAMURA <hiroki@syscon.co.jp>
 * @author yuji TAKAHASHI <yu-ji@syscon.co.jp>
 * @author maiko MIKAMI <m-mikami@syscon.co.jp>
 */


$sendtime = rawurldecode($_GET["sendtime"]);
$Limit = isset($_GET["Limit"]) ? $_GET["Limit"] : $_POST["Limit"];
$sub = isset($_POST["sub"]) ? $_POST["sub"] : $_GET["sub"];
$viewFrom = $_GET["viewFrom"];


	include ("gw.php");
	include("include/dbChange.php");

	$conn = $dbConnectObj->openConnect();
	if (!$conn)
	{
		echo "<B>データベース接続に失敗しました。</B><BR>\n";
		exit;
	}

    include_once($_ROOT_DIR_ . "class/PhraseSelect.php");
    $objPhraseSelect = new PhraseSelect($bolPhraseSelect);
    $varPhraseSet = $objPhraseSelect->getPhrase();

	$dbExecObj->exeSql($conn,"set datestyle to 'ISO';");

	include ("include/accept.conf");
	include("include/admchk.func");
	include("include/blnk2nbsp.func");
	include("include/getnowtime.func");
	include("include/workflow.func");
// $Limit 一度に表示できるレコード数。
	if (!$Limit)
	{
		$Limit = 3;
	}

// 削除ルーチン始動
if ($sub == "oneDelete")
{
	//回覧板削除用オブジェクト
	require_once($_ROOT_DIR_ . "class/NoticeDrawUp.php");
	$noticeDrawUp = new NoticeDrawUp($conn, $dbSqlObj, $dbExecObj);
	//変数設定
	$noticeDrawUp->setSendtime($sendtime);
	//削除
	$result = $noticeDrawUp->deleteNotice(1);
	if (!$result)
	{
		echo "<Script language=\"JavaScript\">\n";
		echo "alert('削除に失敗しました。')\n";
		echo "history.go(-1);\n";
		echo "</Script>\n";
		exit;
	}
}
elseif ($sub == "自分が作成した回覧を削除")
{
	//回覧板削除用オブジェクト
	require_once($_ROOT_DIR_ . "class/NoticeDrawUp.php");
	$noticeDrawUp = new NoticeDrawUp($conn, $dbSqlObj, $dbExecObj);
	//変数設定
	$noticeDrawUp->setOwner_emp_cd($_SERVER["PHP_AUTH_USER"]);
	//削除
	$result = $noticeDrawUp->deleteNotice(2);
	if (!$result)
	{
		echo "<Script language=\"JavaScript\">\n";
		echo "alert('削除に失敗しました。')\n";
		echo "history.go(-1);\n";
		echo "</Script>\n";
		exit;
	}
}
elseif ($sub == "全て削除")
{
	//回覧板削除用オブジェクト
	require_once($_ROOT_DIR_ . "class/NoticeDrawUp.php");
	$noticeDrawUp = new NoticeDrawUp($conn, $dbSqlObj, $dbExecObj);
	//削除
	$result = $noticeDrawUp->deleteNotice(0);
	if (!$result)
	{
		echo "<Script language=\"JavaScript\">\n";
		echo "alert('削除に失敗しました。')\n";
		echo "history.go(-1);\n";
		echo "</Script>\n";
		exit;
	}
}

// ログオン周りのクラスを使います。
	require_once($_ROOT_DIR_ . "class/employeeinfo.php");		// 社員情報クラス
	require_once($_ROOT_DIR_ . "class/employeeinfoowner.php");	// 社員情報クラスの処理クラス
	$employeeInfoOwner = new EmployeeInfoOwner();
	$employeeInfoOwner->setEmp_cd($_SERVER["PHP_AUTH_USER"]);
	$employeeInfoOwner->doSelectQuery($conn, $dbSqlObj, $dbExecObj);
	$employeeInfoArray = $employeeInfoOwner->getEmployeeInfoArray();
	$isAdmin = $employeeInfoArray[$_SERVER["PHP_AUTH_USER"]]->isAdmin();
	$empName = $employeeInfoArray[$_SERVER["PHP_AUTH_USER"]]->getName();

// デザインをインクルードします。
	require_once($_ROOT_DIR_ . "class/menuHeadder.php");
	$menuShowObj = new menuShowObj($conn,$dbSqlObj,$dbExecObj);
	$menuShowObj->setEmpName($empName);
	$menuShowObj->setCurrentAppli("notice");
	$menuShowObj->setIsAdmin($isAdmin);
	$menuShowObj->showHeadder();
?>

<table border="0" cellspacing="0" cellpadding="0" width="760">
  <tr>
    <td>
      <table width="760" border="0" cellspacing="0" cellpadding="0">
        <tr> 
          <td><a href="notice1.php"><img src="images/circulation_all_b.gif" width="360" height="29" alt="着信一覧を見る" border="0"></a></td>
          <td><a href="notice3.php"><img src="images/circulation_make_b.gif" width="180" height="29" border="0" alt="回覧の新規作成"></a></td>
          <td> 
            <div align="right"><img src="images/circulation_confirmation_a.gif" width="180" height="29" alt="作成分の確認" border="0"></div>
          </td>
        </tr>
      </table>
    </td>
  </tr>
  <tr> 
    <td class="yellow">&nbsp;</td>
  </tr>
  <tr> 
    <td>&nbsp;</td>
  </tr>
</table>

<!--行数表示用フォーム-->
<script language="JavaScript">
<!--
	function viewLimitChange(objName){
		viewview = objName.options[objName.selectedIndex].value;
        parent.location.href = "notice4.php?Limit=" + viewview;
	}
//-->
</script>

<table border="0" cellspacing="0" cellpadding="0" width="760">
  <tr>
    <td>
      <form method="POST">
        <select name="Limit" onChange="viewLimitChange(this)">
<?php
				$selectViewCount = array(3,5,10,25,50,75,100);
				$arrayCount = count($selectViewCount);
				for ($i = 0; $i < $arrayCount; $i++)
				{
					if ($selectViewCount[$i] == $Limit)
					{
						echo "<option value=\"$selectViewCount[$i]\" selected>$selectViewCount[$i]件表示\n";
					}
					else
					{
						echo "<option value=\"$selectViewCount[$i]\">$selectViewCount[$i]件表示\n";
					}
				}
?>
        </select>
      </form>
    </td>
    <td width="10">
    </td>

    <td>
<!--ここまで 行数表示用フォーム-->
<!--自分の全削除ボタン-->
      <form action="notice4.php?Limit=<?php echo $Limit ?>" method="POST">
        <input type="SUBMIT" name="sub" value="自分が作成した回覧を削除" onClick="return confirm('本当に削除しますか？')">
      </form>
    </td>

    </td>
    <td width="10">
    </td>

    <td align="right">
      <table border="0" cellspacing="0" cellpadding="0" align="right">
        <tr>
<?php
$viewCount = 0;

if (!$viewFrom)
{
	$viewFrom = 0;
}
elseif ($viewFrom < 0)
{
	$viewFrom = 0;
}

$strSQL = $dbSqlObj->selectNoticeEmployeeAllNoticeEmpNameWithEmpCd(admchk($conn,$_SERVER["PHP_AUTH_USER"],$dbSqlObj,$dbExecObj),$_SERVER["PHP_AUTH_USER"]);
$result = $dbExecObj->exeSql($conn, $strSQL);
if (!$result)
{
	echo "<Script language=\"JavaScript\">\n";
	echo "alert('回覧を取得できません。')\n";
	echo "</Script>\n";
	exit;
}

$count = $dbExecObj->getNumRows($result);
?>
	<!--こっからページ移動ボタン-->
          <td align="right">
<?php
if ($count - $viewFrom <= $Limit)
{
	$viewLimitFlag = true;
}
else
{
	$viewLimitFlag = false;
}

//総ページ算出
$totalPage = (integer)($count / $Limit);
if (($count % $Limit) > 0)
{
	$totalPage++;
}

//カレントページ算出
$currentPage = ($viewFrom + $Limit) / $Limit;

?>
		<!--こっからページ移動ボタン表示部分-->
            <table border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td>
                  <table border="0" cellspacing="0" cellpadding="2" align="right">
                    <tr>
<?php
	if ($viewFrom > 0)
	{
?>
                      <td>
                        <a href="notice4.php?viewFrom=<?php echo $viewFrom - $Limit; ?>&Limit=<?php echo $Limit ?>">
                          <img src="images/triangle_l.gif" width="30" height="30" border="0" alt="前のページへ">
                        </a>
                      </td>
                      <td>
                        <span class="fBlack10100"><a href="notice4.php?viewFrom=<?php echo $viewFrom - $Limit; ?>&Limit=<?php echo $Limit ?>" class="usually">
                          前のページ
                        </span></a>
                      <td>
<?php
	}
	else
	{
?>
                      <td>
                        <img src="images/triangle_l.gif" width="30" height="30" border="0" alt="前のページへ">
                      </td>
                      <td>
                        <span class="fBlack10100">前のページ</span>
                      </td>
<?php
	}
?>
                      </td>
<?php
	if ($viewLimitFlag == false)
	{
?>
                      <td>
                        <span class="fBlack10100"><a href="notice4.php?viewFrom=<?php echo $viewFrom + $Limit; ?>&Limit=<?php echo $Limit ?>" class="usually">
                          次のページ
                        </span></a>
                      </td>
                      <td>
                        <a href="notice4.php?viewFrom=<?php echo $viewFrom + $Limit; ?>&Limit=<?php echo $Limit ?>">
                          <img src="images/triangle_r.gif" width="30" height="30" border="0" alt="次のページへ">
                        </a>
                      </td>
<?php
	}
	else
	{
?>
                      <td>
                        <span class="fBlack10100">次のページ</span>
                      </td>
                      <td>
                        <img src="images/triangle_r.gif" width="30" height="30" border="0" alt="次のページへ">
                      </td>
<?php
	}
?>
                      <td align="center">
                        <font size=2><?echo $currentPage . " / ". $totalPage ?></font>
                      </td>
                    </tr>
                  </table>
                </td>
              </tr>
            </table>
          </td>
        </tr>
      </table>
    </td>
  </tr>
</table>


<table border="0" cellspacing="0" cellpadding="0">
	<tr>
		<td>
<?php
				if (admchk($conn, $_SERVER["PHP_AUTH_USER"], $dbSqlObj, $dbExecObj) == 1)
				{
?>
          <table border="0" cellspacing="0" cellpadding="0" align="left">
            <tr>
              <td bgcolor="mistyrose">
                <table border="0" cellspacing="0" cellpadding="2">
                  <tr valign="middle">
                    <td>
                      <span class="fRed10100">現在、管理者モードで動作しています。<br>すべての回覧が閲覧・削除できます。</span>
                    </td>
                    <td>
                      <form action="notice4.php?Limit=<?php echo $Limit ?>" method="POST">
                        <font size="2">
                        <input type="SUBMIT" name="sub" value="全て削除" onClick="return confirm('本当に削除しますか？')">
                        </font>
                      </form>
                    </td>
                  </tr>
                </table>
              </td>
            </tr>
          </table>
<?php
				}
?>
		</td>
	</tr>
  <tr>
    <td>&nbsp;</td>
  </tr>
</table>

<!--ここから、上のボタン表示部分-->
<?php
for ($i = 0; $i < $count; $i++)
{
	$viewCount++;

	if ($viewFrom != 0 && $viewCount <= $viewFrom)
	{
		continue;
	}

	$realViewCount++; // 実際に表示したカウント数

	if ($realViewCount > $Limit)
	{
		break;
	}
?>

<table width="760" cellspacing="0" cellpadding="0" border="0">
  <tr>
    <td>
      <table BORDER="0" cellspacing="0" cellpadding="0">
        <tr>
          <td>
            <table border="0" cellspacing="0" cellpadding="3" align="left" width="300">
              <tr>
                <td class="orange">
                  <span class="fBlack10100">
<?php echo substr($dbExecObj->getResult($result, $i, "sendtime"), 5, 2); ?>月<?php echo substr($dbExecObj->getResult($result, $i, "sendtime"), 8, 2); ?>日
<?php echo substr($dbExecObj->getResult($result, $i, "sendtime"), 11, 2); ?>時<?php echo substr($dbExecObj->getResult($result, $i, "sendtime"), 14, 2); ?>分
                  </span>
                  <br>
                  <span class="fBlack12100">
<?php
	$n2var = rawurlencode($dbExecObj->getResult($result, $i, "sendtime"));
	echo "No.";
	echo $viewFrom + $realViewCount . " -- ";
?>
                    <a class="usually" HREF="notice2.php?sub=view&sendtime=<?php echo $n2var ?>">
<?php	
	echo htmlSpecialEscape($dbExecObj->getResult($result, $i, "title"));
?>
                    </a>
                  </span>
                  <span class="fBlack10100">送信者：<?php echo htmlSpecialEscape(GetEmpName($conn, $dbExecObj->getResult($result, $i, "emp_cd"),$dbSqlObj,$dbExecObj)); ?></span>
                </td>
                <td class="orange">&nbsp;</td>
                <td valign="bottom" class="orange"><span class="fBlack10100"> 
                  <a class="usually" href="notice4.php?sub=oneDelete&sendtime=<?php echo $n2var ?>&viewFrom=<?echo $viewFrom ?>&Limit=<?php echo $Limit ?>" onClick="return confirm('本当に削除しますか？')">
                    削除
                  </a></span>
                </td>
              </tr>
            </table>
          </td>
        </tr>
        <tr>
          <td>
            <table border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td><img src="images/spazio.gif" width="30" height="1" alt=""> 
                </td>
                <td>
                  <table border="0" cellspacing="0" cellpadding="0" width="730">
                    <tr>
                      <td class="gray">
                        <table width="730" border="0" cellspacing="1" cellpadding="3">
                          <tr>
                            <td width="600" class="sky">
                              <span class="fWhite10100">受信者／コメント</span>
                            </td>
                            <td width="90" class="sky">
                              <span class="fWhite10100">未受信者</span>
                            </td>
                          </tr>
                          <tr class="crame">
                            <td valign="top">
                              <span class="fBlack10100">
<?php
	$sendtime = $dbExecObj->getResult($result, $i, "sendtime");

	$strSQL = $dbSqlObj->selectPNoticeEmployeeAllPNoticeEmpNameWithSendTime($sendtime);

	$result2 = $dbExecObj->exeSql($conn, $strSQL);
	if (!$result2)
	{
		echo "<Script language=\"JavaScript\">\n";
		echo "alert('回覧受信者情報を取得できません。')\n";
		echo "</Script>\n";
		exit;
	}

	$count2 = $dbExecObj->getNumRows($result2);
	for ($j = 0; $j < $count2; $j++)
	{
//		if (substr($dbExecObj->getResult($result3, $j, "seentime"), 5, 11) != "")
		if ($dbExecObj->getResult($result2, $j, "seentime") != "")
		{
			echo htmlSpecialEscape($dbExecObj->getResult($result2, $j, "name"));
			echo "(";
			echo substr($dbExecObj->getResult($result2, $j, "seentime"), 5, 2) . "月" . substr($dbExecObj->getResult($result2, $j, "seentime"), 8, 2) . "日";
			echo substr($dbExecObj->getResult($result2, $j, "seentime"), 11, 2) . "時" . substr($dbExecObj->getResult($result2, $j, "seentime"), 14, 2) . "分";
			echo ")<BR>";

			if ($dbExecObj->getResult($result2, $j, "remark") != "")
			{
				echo "<table border=\"0\" cellspacing=\"0\" cellpadding=\"0\"><tr><td width=\"30\"> </td>";
				echo "<td><span class=\"fBlack10100\">";

				$honbun = htmlSpecialEscape($dbExecObj->getResult($result2, $j, "remark"));
				$honbun = ereg_replace("\r\n\r\n", "\n", $honbun);

				echo ereg_replace("\n", "<br>", $honbun) . "<br>\n";
				echo "</span></td></tr></table>";
			}
		}
	}

	if ($j == 0)
	{
		echo "&nbsp;";
	}
?>
                              </span>
                            </td>
                            <td valign="top">
                              <span class="fBlack10100">
<?php
//	if ($j == $count2)
//	{
//		echo "&nbsp;";
//	}
//
//	while ($j < $count2)
//	{
//		if (substr($dbExecObj->getResult($result2, $j, "seentime"), 5, 11) == "")
//		{
//			echo $dbExecObj->getResult($result2, $j, "name");
//			echo "<br>\n";
//		}
//
//		$j++;
//	}

	for ($j = 0; $j < $count2; $j++)
	{
		if ($dbExecObj->getResult($result2, $j, "seentime") == "")
		{
			echo htmlSpecialEscape($dbExecObj->getResult($result2, $j, "name"));
			echo "<br>\n";
		}
	}

?>
                              </span>
                            </td>
                          </tr>
                        </table>
                      </td>
                    </tr>
                  </table>
                </td>
              </tr>
            </table>
          </td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<br>

<?php
}
?>

<table border="0" cellspacing="0" cellpadding="0" width="760">
  <tr>
    <td>
      <table border="0" cellspacing="0" cellpadding="2" align="right">
        <tr>
<?php
	if ($viewFrom > 0)
	{
?>
          <td>
            <a href="notice4.php?viewFrom=<?php echo $viewFrom - $Limit; ?>&Limit=<?echo $Limit ?>">
              <img src="images/triangle_l.gif" width="30" height="30" border="0" alt="前のページへ">
            </a>
          </td>
          <td>
            <span class="fBlack10100"><a href="notice4.php?viewFrom=<?php echo $viewFrom - $Limit; ?>&Limit=<?php echo $Limit ?>" class="usually">
            前のページ
            </span></a>
          <td>
<?php
	}
	else
	{
?>
          <td>
            <img src="images/triangle_l.gif" width="30" height="30" border="0" alt="前のページへ">
          </td>
          <td>
            <span class="fBlack10100">前のページ</span>
          </td>
<?php
	}

	if ($viewLimitFlag == false)
	{
?>
          <td>
            <span class="fBlack10100"><a href="notice4.php?viewFrom=<?php echo $viewFrom + $Limit; ?>&Limit=<?php echo $Limit ?>" class="usually">
              次のページ
            </span></a>
          </td>
          <td>
            <a href="notice4.php?viewFrom=<?php echo $viewFrom + $Limit; ?>&Limit=<?php echo $Limit ?>">
              <img src="images/triangle_r.gif" width="30" height="30" border="0" alt="次のページへ">
            </a>
          </td>
<?php
	}
	else
	{
?>
          <td>
            <span class="fBlack10100">次のページ</span>
          </td>
          <td>
            <img src="images/triangle_r.gif" width="30" height="30" border="0" alt="次のページへ">
          </td>
<?php
	}
?>
          <td align="center">
            <font size="2"><?php echo $currentPage . " / ". $totalPage ?></font>
          </td>
        </tr>
      </table>
    </td>
  </tr>
</table>

<?php
$dbExecObj->freeResult($result);
$dbConnectObj->closeConnect($conn);

//デザインマージ後のフッタをインクルードします。
	$menuShowObj->showFooter();
?>
