<?php
//
// Copyright (C) 1999-2000 Top Management Service, inc. All Rights Reserved.
// Copyright (C) 2001-2002 System Consultants Co.,Ltd. All Rights Reserved.
//
// $Id: petition.php 1196 2004-08-25 08:28:01Z hideki-h $
//

/**
 * 申請書マスタメンテナンス
 *
 * @author hiroki KAWAMURA <hiroki@syscon.co.jp>
 * @author yuji TAKAHASHI <yu-ji@syscon.co.jp>
 */

//変数
$sub = isset($_POST["sub"]) ? $_POST["sub"] : $_GET["sub"];
$petition_cd = $_POST["petition_cd"];
$petition_name = $_POST["petition_name"];
$send_sanction_mail = $_POST["send_sanction_mail"];
$send_end_mail = $_POST["send_end_mail"];
$send_remand_mail = $_POST["send_remand_mail"];
$send_withdrawal_mail = $_POST["send_withdrawal_mail"];
$petition_type = $_POST["petition_type"];


include("gw.php");
require_once($_ROOT_DIR_ . "include/dbChange.php");
$conn = $dbConnectObj->openConnect();
include("include/accept.conf");
include("include/admchk.func");
if (admchk($conn, $_SERVER["PHP_AUTH_USER"], $dbSqlObj,$dbExecObj) == 0)
{
	echo "<FONT COLOR = \"RED\">管理者ではありません</FONT>\n";
	exit;
}

include_once($_ROOT_DIR_ . "class/PhraseSelect.php");
$objPhraseSelect = new PhraseSelect($bolPhraseSelect);
$varPhraseSet = $objPhraseSelect->getPhrase();

// ログオン周りのクラスを使います。
require_once($_ROOT_DIR_ . "class/employeeinfo.php");		// 社員情報クラス
require_once($_ROOT_DIR_ . "class/employeeinfoowner.php");	// 社員情報クラスの処理クラス
$employeeInfoOwner = new EmployeeInfoOwner();
$employeeInfoOwner->setEmp_cd($_SERVER["PHP_AUTH_USER"]);
$employeeInfoOwner->doSelectQuery($conn, $dbSqlObj, $dbExecObj);
$employeeInfoArray = $employeeInfoOwner->getEmployeeInfoArray();
$isAdmin = $employeeInfoArray[$_SERVER["PHP_AUTH_USER"]]->isAdmin();
$empName = $employeeInfoArray[$_SERVER["PHP_AUTH_USER"]]->getName();

// デザインをインクルードします。
require_once($_ROOT_DIR_ . "class/menuHeadder.php");
$menuShowObj = new menuShowObj($conn,$dbSqlObj,$dbExecObj);
$menuShowObj->setEmpName($empName);
$menuShowObj->setCurrentAppli("conf");
$menuShowObj->setIsAdmin($isAdmin);
$menuShowObj->showHeadder();
?>
<span class="fBlack12100">■ ワークフロー設定</span>
<?
if (!$sub)
{
?>
<br>
<span class="fBlack10100">※設定したい申請書または新規作成を選択して、「次へ」をクリックしてください。</span>
<FORM method="post" action="petition.php">
  <SELECT name="petition_cd" size="1">
<?
	$strSql = $dbSqlObj->selectMst_wflow();
	$result = $dbExecObj->exeSql($conn, $strSql);
	if (!$result)
	{
		echo "データベースに障害：申請書マスタが参照できません。<BR>\n";
		exit;
	}

	$i = 0;
	$count = $dbExecObj->getNumRows($result);

	while ($i < $count)
	{
?>
    <OPTION value="<? echo htmlSpecialEscape($dbExecObj->getResult($result, $i, "petition_cd")) ?>"><? echo htmlSpecialEscape($dbExecObj->getResult($result, $i, "petition_name"))?>
<?		
		$i++;
	}
?>
    <OPTION value="append">新規登録
  </SELECT>
  <INPUT type="submit" name="sub" value="次へ">
</FORM>
<?
} 
elseif ($sub=="次へ")
{
	if ($petition_cd == "append")
	{
?>
<FORM action="petition.php" method="POST">
  <table>
    <tr>
      <td>
        <span class="fBlack10100"><b>申請書の名称：</B></span>
      </td>
      <td>
        <INPUT type="text" name="petition_name" size="30" maxlength="200">
      </td>
    </tr>
    <tr>
      <td>
        <span class="fBlack10100"><b>申請書の様式：</B></span>
      </td>
      <td>
        <SELECT name="petition_type" size="1">
          <OPTION value="4">ファイルフロー
        </SELECT>
      </td>
    </tr>
    <tr>
      <td>
        <span class="fBlack10100"><b>決裁通知メール：</b></span>
      </td>
      <td>
        <input type="radio" name="send_sanction_mail" value="t" checked>送る
        <input type="radio" name="send_sanction_mail" value="f">送らない
      </td>
    </tr>
    <tr>
      <td>
        <span class="fBlack10100"><b>終了通知メール：</b></span>
      </td>
      <td>
        <input type="radio" name="send_end_mail" value="t" checked>送る
        <input type="radio" name="send_end_mail" value="f">送らない
      </td>
    </tr>
    <tr>
      <td>
        <span class="fBlack10100"><b>差し戻し通知メール：</b></span>
      </td>
      <td>
        <input type="radio" name="send_remand_mail" value="t" checked>送る
        <input type="radio" name="send_remand_mail" value="f">送らない
      </td>
    </tr>
    <tr>
      <td>
        <span class="fBlack10100"><b>取り下げ通知メール：</b></span>
      </td>
      <td>
        <input type="radio" name="send_withdrawal_mail" value="t" checked>送る
        <input type="radio" name="send_withdrawal_mail" value="f">送らない
      </td>
    </tr>
    <tr>
      <td colspan=2>
        <INPUT type="submit" name="sub" value="登録">
    </tr>
  </table>
</FORM>
<?	
	}
	else
	{
		$strSql = $dbSqlObj->selectMst_wflowWithPetition_cd($petition_cd);
		$result = $dbExecObj->exeSql($conn, $strSql);
		if (!$result) 
		{
			echo "データベースに障害：申請書マスタが参照できません。<BR>\n";
			exit;
		}

		// 申請書の様式の取得
		switch ($dbExecObj->getResult($result, 0, "petition_type"))
		{
			case "0":
				$tempYoushiki = "汎用";
				break;
			case "1":
				$tempYoushiki = "稟議書";
				break;
			case "2":
				$tempYoushiki = "休暇在宅申請書";
				break;
			case "3":
				$tempYoushiki = "在宅勤務報告書";
				break;
			case "4":
				$tempYoushiki = "ファイルフロー";
				break;
		}

		// メールを送るかどうかの取得
		$send_end_mail = $dbExecObj->getResult($result, 0, "send_end_mail");
		$send_sanction_mail = $dbExecObj->getResult($result, 0, "send_sanction_mail");
		$send_remand_mail = $dbExecObj->getResult($result, 0, "send_remand_mail");
		$send_withdrawal_mail = $dbExecObj->getResult($result, 0, "send_withdrawal_mail");
?>
<FORM action="petition.php" method="POST">
<INPUT type="hidden" name="petition_cd" value="<? echo htmlSpecialEscape($dbExecObj->getResult($result, 0, "petition_cd"))?>">
<table>
  <tr>
    <td>
      <span class="fBlack10100"><b>申請書の名称：</B></span>
    </td>
    <td>
      <INPUT type="text" name="petition_name" size="30" maxlength="200" value="<? echo htmlSpecialEscape($dbExecObj->getResult($result, 0, "petition_name"))?>">
    </td>
  </tr>
  <tr>
    <td>
      <span class="fBlack10100"><b>申請書の様式：</B></span>
    </td>
    <td>
      <?echo htmlSpecialEscape($tempYoushiki)?>
    </td>
  </tr>
  <TR>
    <td>
      <span class="fBlack10100"><b>決裁通知メール：</b></span>
    </td>
    <td>
      <input type="radio" name="send_sanction_mail" value="t"<?php echo ($send_sanction_mail == "t" || $send_sanction_mail == "") ? " checked" : "" ?>>送る
      <input type="radio" name="send_sanction_mail" value="f"<?php echo ($send_sanction_mail == "f") ? " checked" : "" ?>>送らない
    </td>
  </tr>
  <tr>
    <td>
      <span class="fBlack10100"><b>終了通知メール：</b></span>
    </td>
    <td>
      <input type="radio" name="send_end_mail" value="t"<?php echo ($send_end_mail == "t" || $send_end_mail == "") ? " checked" : "" ?>>送る
      <input type="radio" name="send_end_mail" value="f"<?php echo ($send_end_mail == "f") ? " checked" : "" ?>>送らない
    </td>
  </tr>
  <tr>
    <td>
      <span class="fBlack10100"><b>差し戻し通知メール：</b></span>
    </td>
    <td>
      <input type="radio" name="send_remand_mail" value="t"<?php echo ($send_remand_mail == "t" || $send_remand_mail == "") ? " checked" : "" ?>>送る
      <input type="radio" name="send_remand_mail" value="f"<?php echo ($send_remand_mail == "f") ? " checked" : "" ?>>送らない
    </td>
  </tr>
  <tr>
    <td>
      <span class="fBlack10100"><b>取り下げ通知メール：</b></span>
    </td>
    <td>
      <input type="radio" name="send_withdrawal_mail" value="t"<?php echo ($send_withdrawal_mail == "t" || $send_withdrawal_mail == "") ? " checked" : "" ?>>送る
      <input type="radio" name="send_withdrawal_mail" value="f"<?php echo ($send_withdrawal_mail == "f") ? " checked" : "" ?>>送らない
    </td>
  </tr>
  <tr>
    <td colspan="2">
      <INPUT type="submit" name="sub" value="更新">
    </td>
  </tr>
</table>
</FORM>
<?	
	}
} 
elseif ($sub=="登録")
{
	include("include/serial.func");
	$petition_cd = getSerialCode("mst_wflow", $conn, $dbSqlObj, $dbExecObj);

	$strSql = $dbSqlObj->selectMst_wflowCountWithPetition_cd($petition_cd);
	$result = $dbExecObj->exeSql($conn, $strSql);
	if (!$result)
	{
		echo "データベースに障害：申請書マスタが参照できません。<BR>\n";
		exit;
	}
	if ($dbExecObj->getResult($result, 0, "count_of_records") != 0) 
	{
		echo "申請書コードが重複しています。ブラウザの戻るボタンをクリックして別のコードを割り当ててください。<BR>\n";
		exit;
	}

	$petition_name = mb_convert_kana($petition_name);

	$strSql = $dbSqlObj->insertMst_wflow($petition_cd, $petition_name, $petition_type, $send_end_mail, $send_sanction_mail, $send_remand_mail,$send_withdrawal_mail);
	$result = $dbExecObj->exeSql($conn, $strSql);
	if (!$result)
	{
		echo "データベースに障害：申請書マスタに登録できません。<BR>\n";
		exit;
	}
	echo "<br>\n新しいワークフローの申請書を登録しました。<P>\n";
?>
<FORM action="petition.php" method="POST">
  <INPUT type="hidden" name="petition_cd" value="<? echo htmlSpecialEscape($petition_cd) ?>"><BR>
  <INPUT type="hidden" name="petition_name" value="<? echo htmlSpecialEscape($petition_name) ?>"><BR>
</FORM>
<?
} 
elseif ($sub=="更新")
{
	$petition_name = mb_convert_kana($petition_name);
	$strSql = $dbSqlObj->updateMst_wflow($petition_name, $petition_cd, $send_end_mail, $send_sanction_mail, $send_remand_mail, $send_withdrawal_mail);
	$result = $dbExecObj->exeSql($conn, $strSql);
	if (!$result)
	{
		echo "データベースに障害：申請書マスタを更新できません。<BR>\n";
		exit;
	}
	echo "<br>\n申請書マスタを更新しました。\n";
?>
<FORM action="petition.php" method="POST">
  <INPUT type="hidden" name="petition_cd" value="<? echo htmlSpecialEscape($petition_cd)?>"><BR>
  <INPUT type="hidden" name="petition_name" value="<? echo htmlSpecialEscape($petition_name) ?>"><BR>
</FORM>
<?
} 
else 
{
}

$dbConnectObj->closeConnect($conn);
?>
<?php
//デザインマージ後のフッタをインクルードします。
	$menuShowObj->showConfFooter();
?>
