<?php
//
// Copyright (C) 2001-2002 System Consultants Co.,Ltd. All Rights Reserved.
//
// $Id: schedule_add_view.php 1025 2002-12-20 06:14:31Z yu-ji $
//

/**
 * 新規スケジュールのView
 *
 * @author hiroki KAWAMURA <hiroki@syscon.co.jp>
 * @author yuji TAKAHASHI <yu-ji@syscon.co.jp>
 */
?>
              <table width="760" border="0" cellspacing="0" cellpadding="0">
                <tr> 
                  <td valign="bottom"> <a href="<?php echo "schedule2.php?sub=monthScreen&year=" . $dateInfo->getYear() . "&month=" . $dateInfo->getMonth() . "&day=" . $dateInfo->getDay() ?>"><img src="<?php echo $_ROOT_URL_ ?>images/<?php echo $monthTab ?>" width="240" height="29" alt="月で表示" border="0"></a></td>
                  <td valign="bottom"> 
                    <div align="center"><a href="<?php echo "schedule2.php?sub=weekScreen&year=" . $dateInfo->getYear() . "&month=" . $dateInfo->getMonth() . "&day=" . $dateInfo->getDay() ?>"><img src="<?php echo $_ROOT_URL_ ?>images/<?php echo $weekTab ?>" width="240" height="29" alt="週で表示" border="0"></a></div>
                  </td>
                  <td valign="bottom"> 
                    <div align="right"><a href="<?php echo "schedule2.php?sub=dayScreen&year=" . $dateInfo->getYear() . "&month=" . $dateInfo->getMonth() . "&day=" . $dateInfo->getDay() ?>"><img src="<?php echo $_ROOT_URL_ ?>images/<?php echo $dayTab ?>" width="240" height="29" alt="日で表示" border="0"></a></div>
                  </td>
                </tr>
              </table>
            </td>
          </tr>
          <tr> 
            <td><img src="<?php echo $_ROOT_URL_ ?>images/spazio.gif" width="1" height="15" alt=""></td>
            <td class="yellow">　</td>
            <td class="yellow">　</td>
          </tr>
<?php
	// 曜日色の取得
	switch ($dateInfo->getDateNumber())
	{
		case 0:
			$dateColor = "fRed10150";
			break;
		case 6:
			$dateColor = "fBule10150";
			break;
		default:
			$dateColor = "fBlack10150";
			break;
	}

	$tmpString = $dateInfo->getHolidayName($conn, $dbSqlObj, $dbExecObj);
	if ($tmpString != "")
	{
		$dateColor = "fRed10150";
	}
?>
          <tr>
            <td><img src="<?php echo $_ROOT_URL_ ?>images/spazio.gif" width="1" height="5" alt=""></td>
            <td></td>
            <td></td>
          </tr>
          <tr> 
            <td>　</td>
              <td> <span class="<?php echo $dateColor ?>"><b><?php echo $dateInfo->getMonth(); ?>月<?php echo $dateInfo->getDay(); ?>日</b>(<?php echo $dateInfo->getDateName(); ?>)<?echo $tmpString?></span> 
              </td>

            <td></td>
          </tr>
          <tr> 
            <td><img src="<?php echo $_ROOT_URL_ ?>images/spazio.gif" width="1" height="5" alt=""></td>
            <td></td>
            <td></td>
          </tr>

          <tr> 
            <td>　</td>
            <td colspan="2">

            <form method="post" action="<?php echo htmlSpecialEscape($_SERVER["PHP_SELF"]) ?>">

              <!-- ↓スケジュール入力テーブル -->
              <table border="0" cellspacing="2" cellpadding="3">
                <tr> 
                  <td valign="top"> <span class="fBlack10100"><b>名前：</b></span></td>
                  <td><span class="fBlack10100"><?php echo $employeeInfoArray[$emp_cd]->getName(); ?></span></td>
                </tr>
                <tr> 
                  <td valign="top"> <span class="fBlack10150"><b>日時：</b></span></td>
                  <td><span class="fBlack10150"> 
                    <input type="text" name="year_s" size="4" maxlength="4" value="<?php echo $dateInfo->getYear(); ?>">
                   年
                    <select name="month_s">
                      <option>-- 
<?
for ($i = 1; $i <= 12; $i++)
{
?>
                      <option<?php if ($dateInfo->getMonth() == $i) { echo " selected"; } ?>><? echo $i . "\n" ?>
<?
}
?>
                    </select>
                    月
                    <select name="day_s">
                      <option>-- 
<?
for ($i = 1; $i <= 31; $i++)
{
?>
                      <option<?php if ($dateInfo->getDay() == $i) { echo " selected"; } ?>><? echo $i . "\n" ?>
<?
}
?>
                    </select>
                    日
                    <select name="hour_s">
                      <option>-- 
<?
for ($i = 0; $i <= 23; $i++)
{
?>
                      <option<?php echo ($i == 8) ? " selected" : "" ?>><? echo $i . "\n" ?>
<?
}
?>
                    </select>
                    時
                    <select name="minute_s">
                      <option>-- 
<?
for ($i = 0; $i <= 5; $i++)
{
?>
                      <option<?php echo ($i == 0) ? " selected" : "" ?>><? echo $i * 10 . "\n" ?>
<?
}
?>
                    </select>
                    分から <br>
                    <input type="text" name="year_e" size="4" maxlength="4" value="<?php echo $dateInfo->getYear(); ?>">
                    年
                    <select name="month_e">
                      <option>-- 
<?
for ($i = 1; $i <= 12; $i++)
{
?>
                      <option<?php if ($dateInfo->getMonth() == $i) { echo " selected"; } ?>><? echo $i . "\n" ?>
<?
}
?>
                    </select>
                    月
                    <select name="day_e">
                      <option>-- 
<?
for ($i = 1; $i <= 31; $i++)
{
?>
                      <option<?php if ($dateInfo->getDay() == $i) { echo " selected"; } ?>><? echo $i . "\n" ?>
<?
}
?>
                    </select>
                    日
                    <select name="hour_e">
                      <option>-- 
<?
for ($i = 0; $i <= 23; $i++)
{
?>
                      <option<?php echo ($i == 8) ? " selected" : "" ?>><? echo $i . "\n" ?>
<?
}
?>
                    </select>
                    時
                    <select name="minute_e">
                      <option>-- 
<?
for ($i = 0; $i <= 5; $i++)
{
?>
                      <option<?php echo ($i == 0) ? " selected" : "" ?>><? echo $i * 10 . "\n" ?>
<?
}
?>
                    </select>
                    分まで </span> </td>
                </tr>
                <tr> 
                  <td valign="top"> <span class="fBlack10100"><b>予定：</b></span></td>
                  <td> 
                    <textarea name="plan" cols="64" rows="6" wrap="VIRTUAL"></textarea>
                  </td>
                </tr>
                <tr> 
                  <td valign="top"> <span class="fBlack10100"><b>場所：</b></span></td>
                  <td> 
                    <textarea name="place" cols="64" rows="4" wrap="VIRTUAL"></textarea>
                  </td>
                </tr>
                <tr> 
                  <td valign="top"> <span class="fBlack10100"><b>備考：</b></span></td>
                  <td> 
                    <textarea name="remark" cols="64" rows="4" wrap="VIRTUAL"></textarea>
                  </td>
                </tr>
                <tr> 
                  <td valign="top"> <span class="fBlack10100"><b>公開/非公開：</b></span></td>
                  <td><span class="fBlack10100">
                    <input type="radio" name="public" value="t" checked>
                    公開 
                    <input type="radio" name="public" value="f">
                    非公開
                    <input type="submit" name="sub" value="登録">
					</span>
					</td>
                </tr>
                <tr> 
                  <td valign="top"><span class="fBlack10100"></span></td>
                  <td><span class="fBlack10100"> 
                    <input type="hidden" name="emp_cd" value="<?php echo htmlSpecialEscape($emp_cd) ?>">
                    </span> </td>
                </tr>
              </table>
          </form>