<?php
//
// Copyright (C) 1999-2000 Top Management Service, inc. All Rights Reserved.
// Copyright (C) 2001-2003 System Consultants Co.,Ltd. All Rights Reserved.
//
// $Id: sendUrlToMobile.php 1196 2004-08-25 08:28:01Z hideki-h $
//

/**
 * URL送信
 *
 * @author hiroki KAWAMURA <hiroki@syscon.co.jp>
 * @author yuji TAKAHASHI <yu-ji@syscon.co.jp>
 * @author hideo OHSAWA <ohsawa@syscon.co.jp>
 */

$sub = isset($_POST["sub"]) ? $_POST["sub"] : $_GET["sub"];
$division = $_POST["division"];
$emp_cd = array();
$emp_cd = $_POST["emp_cd"];


include("gw.php");
include("include/dbChange.php");
$conn = $dbConnectObj->openConnect();

if (!$conn) {
	echo "データベースに異常。<BR>\n";
	exit;
}

include_once($_ROOT_DIR_ . "class/PhraseSelect.php");
$objPhraseSelect = new PhraseSelect($bolPhraseSelect);
$varPhraseSet = $objPhraseSelect->getPhrase();

include ("include/accept.conf");
if (!$_SERVER["PHP_AUTH_USER"]) {
	echo "Not Found.<BR>\n";
	exit;
}

	$strSql = $dbSqlObj->selectAdministratorsAllWithEmpCd($_SERVER["PHP_AUTH_USER"]);
	$result = $dbExecObj->exeSql($conn,$strSql);

	$adminCount = $dbExecObj->getNumRows($result);
	include("include/admchk.func");
	if (admchk($conn,$_SERVER["PHP_AUTH_USER"],$dbSqlObj,$dbExecObj) == 0){
		echo "<FONT COLOR = \"RED\">管理者ではありません</FONT>\n";
		exit;
	}

// ログオン周りのクラスを使います。
	include("class/javascriptselect_div_emp_sendUrl.php");
	require_once($_ROOT_DIR_ . "class/employeeinfo.php");		// 社員情報クラス
	require_once($_ROOT_DIR_ . "class/employeeinfoowner.php");	// 社員情報クラスの処理クラス
	$employeeInfoOwner = new EmployeeInfoOwner();
	$employeeInfoOwner->setEmp_cd($_SERVER["PHP_AUTH_USER"]);
	$employeeInfoOwner->doSelectQuery($conn, $dbSqlObj, $dbExecObj);
	$employeeInfoArray = $employeeInfoOwner->getEmployeeInfoArray();
	$isAdmin = $employeeInfoArray[$_SERVER["PHP_AUTH_USER"]]->isAdmin();
	$empName = $employeeInfoArray[$_SERVER["PHP_AUTH_USER"]]->getName();

//-- ケータイ対応のためのクラスを使います。
	require_once("./class/keitaiSqlForPc.php");
	require_once("./class/keitaiRoutineForPc.php");
	$keitaiSqlObj  = new keitaiSqlForPc();
	$keitaiRoutineObj = new keitaiRoutineForPc();

// デザインをインクルードします。
	require_once($_ROOT_DIR_ . "class/menuHeadder.php");
	$menuShowObj = new menuShowObj($conn,$dbSqlObj,$dbExecObj);
	$menuShowObj->setEmpName($empName);
	$menuShowObj->setCurrentAppli("conf");
	$menuShowObj->setIsAdmin($isAdmin);
	$menuShowObj->showHeadder();

	$strSql = $keitaiSqlObj->selectCountOfMailUser();
	$result = $dbExecObj->exeSql($conn, $strSql);
	if (!$result)
	{
		echo "DBアクセス中にエラーが発生しました。<br>\n";
		exit;
	}
	if ($dbExecObj->getResult($result, 0, "count_of_records") > 0)
	{
		$mobileUser = "exist";
	}
	else
	{
		$mobileUser = "nonExist";
	}

include("include/serial.func");
?>
<span class="fBlack12100"> ■ URL送信</span>
<?
if ($sub == "送信") {
	$count = count($emp_cd);
	$i = 0;
	while ($i < $count)
	{
		$strSql = $keitaiSqlObj->selectMobileMailAddressWithEmpCd($emp_cd[$i]);
		$result = $dbExecObj->exeSql($conn, $strSql);
		if (!$result)
		{
			echo htmlSpecialEscape($varPhraseSet["strPerson"]) . "のケータイ用メールアドレスを取得できません。<br>\n";
			exit;
		}
		$mobileMailAddress = $dbExecObj->getResult($result, 0, "mobileMailAddress");
 		$keitaiRoutineObj->sendURLToUser($mobileMailAddress, $admin, $_ROOT_URL_, $emp_cd[$i]);
		$i++;
	}
	if($count > 0)
	{
		echo "<font color=red>送信が完了しました。</font><br>\n";
	}
}

	//-- 部署系
	if ($mobileUser == "exist")
	{
		$javaScriptSelect_DivEmp_SendUrl = new javascriptselect_divemp_sendUrl();
		$javaScriptSelect_DivEmp_SendUrl->setMainElementNameColumnName("div_name");		// メイン要素の名前カラム名
		$javaScriptSelect_DivEmp_SendUrl->setMainElementCodeColumnName("division");		// メイン要素のコードカラム名
		$javaScriptSelect_DivEmp_SendUrl->setSubElementNameColumnName("name");			// サブ要素の名前カラム名
		$javaScriptSelect_DivEmp_SendUrl->setSubElementCodeColumnName("emp_cd");		// サブ要素のコードカラム名
		$javaScriptSelect_DivEmp_SendUrl->setMainIncludeAll("True");					// メイン要素が"全て"を含むかどうか
		$javaScriptSelect_DivEmp_SendUrl->setSubIncludeAll("False");					// サブ要素が"全て"を含むかどうか
		$javaScriptSelect_DivEmp_SendUrl->setSubAllOnly("False");						// メイン要素が"全て"の場合、サブ要素が"全て"のみかどうか
		$javaScriptSelect_DivEmp_SendUrl->setMainAllSubIncludeAll("False");				// メイン要素が"全て"の場合、サブ要素が"全て"を含むかどうか
		$javaScriptSelect_DivEmp_SendUrl->setMainFormSelectName("division");			// メイン要素の<select>の名前
		$javaScriptSelect_DivEmp_SendUrl->setSubFormSelectName("elements[1]");				// サブ要素の<select>の名前
		$javaScriptSelect_DivEmp_SendUrl->setInitSelectFunctionName("initSelect");		// initSelect()の名前
		$javaScriptSelect_DivEmp_SendUrl->setChangeSelectFunctionName("changeSelect");	// changeSelect()の名前
		$javaScriptSelect_DivEmp_SendUrl->setDisableJavaScriptShowMain("False");		// JavaScriptが無効の際、メイン要素を表示させるかどうか
		$javaScriptSelect_DivEmp_SendUrl->setMainElementCodeFromHttp("all");			// HTTP経由で受け取ったメイン要素のコード
		$javaScriptSelect_DivEmp_SendUrl->setSubElementCodeFromHttp($emp_cd);			// HTTP経由で受け取ったメイン要素のコード
		$javaScriptSelect_DivEmp_SendUrl->setElement($conn, $dbSqlObj, $dbExecObj);
	}
?>

<script language="JavaScript">
<!--

<?php
	if ($mobileUser == "exist")
	{
		$javaScriptSelect_DivEmp_SendUrl->printInitSelectFunction();
		$javaScriptSelect_DivEmp_SendUrl->printChangeSelectFunction();
	}
?>

//-->
</script>
<?
	if ($mobileUser == "exist")
	{
?>
<FORM name="sendUrl" action="sendUrlToMobile.php" method="POST">
  <div class="fBlack10100"><?php echo htmlSpecialEscape($varPhraseSet["strSection"]) ?>名</div><br>
  <select name="division" onChange="changeSelect(sendUrl)"></div>
<?php
	$javaScriptSelect_DivEmp_SendUrl->printDefaultMainOption();
?>
  </select>
  <br>
  <br>
  <div class="fBlack10100">ケータイメールアドレス保持者</div><br>
  <select name="emp_cd[]" size="10" multiple>
<?
	$javaScriptSelect_DivEmp_SendUrl->printDefaultSubOption();
?>
  </SELECT>
<?
	if (!eregi("Mac", $_SERVER["HTTP_USER_AGENT"]))
	{
		$Str = "Ctrl";
	} 
	else 
	{
		$Str = "Command";
	}
?>
<br>
      <font color="red">*</font><b><span class="fBlack10100">URL送信先&nbsp;</span></b><span class="fBlack10100">★<?php echo $Str; ?>+クリックで<?php echo htmlSpecialEscape($varPhraseSet["strPerson"]) ?>の複数選択が可能</span>
  <BR>
  <INPUT type="submit" name="sub" value="送信">
</FORM>
<script language="JavaScript">
<!--
initSelect(document.sendUrl);
//-->
</script>
<?
	}
	else
	{
?>
	<br>
	<bR>
	ケータイメールアドレスを持つ人はいません。
<?
	}
//デザインマージ後のフッタをインクルードします。
	$menuShowObj->showConfFooter();
?>
