<?php
class Task
{
  /** カテゴリコード **/
  var $strCatCd;
  /** サブカテゴリコード **/
  var $strSubCatCd;
  /** グループコード **/
  var $strGroupCd;
  /** グループ名称 **/
  var $strGroupName;
  /** タスクコード **/
  var $strTask_cd;
  /** タスク名称 **/
  var $strTask_title;
  /** タスク詳細 **/
  var $strDescription;
  /** 予定開始年 **/
  var $plan_start_year; 
  /** 予定開始月 **/
  var $plan_start_month; 
  /** 予定開始日 **/
  var $plan_start_day; 
  /** 予定開始時 **/
  var $plan_start_hour; 
  /** 予定開始分 **/
  var $plan_start_minute; 
  /** 予定終了年 **/
  var $plan_end_year; 
  /** 予定終了月 **/
  var $plan_end_month; 
  /** 予定終了日 **/
  var $plan_end_day; 
  /** 予定終了時 **/
  var $plan_end_hour; 
  /** 予定終了分 **/
  var $plan_end_minute; 
  /** 実績開始年 **/
  var $result_start_year; 
  /** 実績開始月 **/
  var $result_start_month; 
  /** 実績開始日 **/
  var $result_start_day; 
  /** 実績開始時 **/
  var $result_start_hour; 
  /** 実績開始分 **/
  var $result_start_minute; 
  /** 実績終了年 **/
  var $result_end_year; 
  /** 実績終了月 **/
  var $result_end_month; 
  /** 実績終了日 **/
  var $result_end_day; 
  /** 実績終了時 **/
  var $result_end_hour; 
  /** 実績終了分 **/
  var $result_end_minute; 
  /** 優先度コード **/
  var $priority_cd; 
  /** 優先度名称 **/
  var $priority_name; 
  /** 担当者コード **/
  var $owner_emp_cd; 
  /** 担当者名称 **/
  var $owner_emp_name; 
  /** 登録者コード **/
  var $regist_emp_cd; 
  /** 登録者名称 **/
  var $regist_emp_name; 
  /** ステータス **/
  var $status; 
  /** ステータス名称 **/
  var $status_name; 
  /** スケジュール反映フラグ **/
  var $schhedule_flg;

  /**
   * タスク管理用
   **/
  function Task($task_cd, $task_title, $task_description)
  {
    $this->strTask_cd = $task_cd;
    $this->strTask_title = $task_title;
    $this->strDescription = $task_description;
  }
  /**
   * カテゴリコードSetter
   **/
  function setCatCd($strCatCd)
  {
    $this->strCatCd = $strCatCd;
  }
  /**
   * カテゴリコードGetter
   **/
  function getCatCd()
  {
    return $this->strCatCd;
  }
  /**
   * サブカテゴリコードSetter
   **/
  function setSubCatCd($strSubCatCd)
  {
    $this->strSubCatCd = $strSubCatCd;
  }
  /**
   * サブカテゴリコードGetter
   **/
  function getSubCatCd()
  {
    return $this->strSubCatCd;
  }
  /**
   * グループコードSetter
   **/
  function setGroupCd($strGroupCd)
  {
    $this->strGroupCd = $strGroupCd;
  }
  /**
   * グループコードGetter
   **/
  function getGroupCd()
  {
    return $this->strGroupCd;
  }
  /**
   * グループ名称Setter
   **/
  function setGroupName($strGroupName)
  {
    $this->strGroupName = $strGroupName;
  }
  /**
   * グループ名称Getter
   **/
  function getGroupName()
  {
    return $this->strGroupName;
  }

  /**
   * 予定開始日時設定
   **/
  function setPlanStart($plan_start_year, $plan_start_month, $plan_start_day, $plan_start_hour, $plan_start_minute)
  {
    $this->plan_start_year = isset($plan_start_year) ? $plan_start_year : "----";
    $this->plan_start_month = isset($plan_start_month) ? $plan_start_month : "--";
    $this->plan_start_day = isset($plan_start_day) ? $plan_start_day : "--";
    $this->plan_start_hour = isset($plan_start_hour) ? $plan_start_hour : "--";
    $this->plan_start_minute = isset($plan_start_minute) ? $plan_start_minute : "--";
  }
  /**
   * 予定終了日時設定
   **/
  function setPlanEnd($plan_end_year, $plan_end_month, $plan_end_day, $plan_end_hour, $plan_end_minute)
  {
    $this->plan_end_year = isset($plan_end_year) ? $plan_end_year : "----";
    $this->plan_end_month = isset($plan_end_month) ? $plan_end_month : "--";
    $this->plan_end_day = isset($plan_end_day) ? $plan_end_day : "--";
    $this->plan_end_hour = isset($plan_end_hour) ? $plan_end_hour : "--";
    $this->plan_end_minute = isset($plan_end_minute) ? $plan_end_minute : "--";
  }
  /**
   * 実績開始日時設定
   **/
  function setResultStart($result_start_year, $result_start_month, $result_start_day, $result_start_hour, $result_start_minute)
  {
    $this->result_start_year = isset($result_start_year) ? $result_start_year : "----";
    $this->result_start_month = isset($result_start_month) ? $result_start_month : "--";
    $this->result_start_day = isset($result_start_day) ? $result_start_day : "--";
    $this->result_start_hour = isset($result_start_hour) ? $result_start_hour : "--";
    $this->result_start_minute = isset($result_start_minute) ? $result_start_minute : "--";
  }
  /**
   * 実績終了日時設定
   **/
  function setResultEnd($result_end_year, $result_end_month, $result_end_day, $result_end_hour, $result_end_minute)
  {
    $this->result_end_year = isset($result_end_year) ? $result_end_year : "----";
    $this->result_end_month = isset($result_end_month) ? $result_end_month : "--";
    $this->result_end_day = isset($result_end_day) ? $result_end_day : "--";
    $this->result_end_hour = isset($result_end_hour) ? $result_end_hour : "--";
    $this->result_end_minute = isset($result_end_minute) ? $result_end_minute : "--";
  }
  /**
   * 予定開始日時取得
   **/
  function getPlanStartYMD()
  {
    return $this->plan_start_year . "年" . $this->plan_start_month . "月" . $this->plan_start_day . "日";
  }
  /**
   * 予定終了日時取得
   **/
  function getPlanEndYMD()
  {
    /** 今日の日付取得 **/
    $now_date = getdate();
    if($this->task_date_compare($this->plan_end_year, $this->plan_end_month, $this->plan_end_day, $this->plan_end_hour, $this->plan_end_minute, $now_date["year"], $now_date["mon"], $now_date["mday"], $now_date["hours"], $now_date["minutes"]) && $this->status != "3" && $this->plan_end_year != "----")
    {
      $strFontStart = "<font color=\"red\"><b>";
      $strException = "！";
      $strFontEnd = "</b></font>";
    }
    return $strFontStart . $strException . $this->plan_end_year . "年" . $this->plan_end_month . "月" . $this->plan_end_day . "日" . $strFontEnd;
  }
  /**
   * 実績開始日時取得
   **/
  function getResultStartYMD()
  {
    return $this->result_start_year . "年" . $this->result_start_month . "月" . $this->result_start_day . "日";
  }
  /**
   * 実績終了日時取得
   **/
  function getResultEndYMD()
  {
    return $this->result_end_year . "年" . $this->result_end_month . "月" . $this->result_end_day . "日";
  }
  /**
   * 予定開始時間取得
   **/
  function getPlanStartHM()
  {
    return $this->plan_start_hour . "時" . $this->plan_start_minute . "分";
  }
  /**
   * 予定終了時間取得
   **/
  function getPlanEndHM()
  {
    /** 今日の日付取得 **/
    $now_date = getdate();
    if($this->task_date_compare($this->plan_end_year, $this->plan_end_month, $this->plan_end_day, $this->plan_end_hour, $this->plan_end_minute, $now_date["year"], $now_date["mon"], $now_date["mday"], $now_date["hours"], $now_date["minutes"]) && $this->status != "3" && $this->plan_end_year != "----")
    {
      $strFontStart = "<font color=\"red\"><b>";
      $strException = "！";
      $strFontEnd = "</b></font>";
    }    
    return $strFontStart . $this->plan_end_hour . "時" . $this->plan_end_minute . "分" . $strFontEnd;
  }  
  /**
   * 実績開始時間取得
   **/
  function getResultStartHM()
  {
    return $this->result_start_hour . "時" . $this->result_start_minute . "分";
  }
  /**
   * 実績終了時間取得
   **/
  function getResultEndHM()
  {
    return $this->result_end_hour . "時" . $this->result_end_minute . "分";
  }
  /** 
   * 予定開始年Getter
   **/
  function getPlan_start_year() 
  {
    return ($this->plan_start_year == "" ? "----" : $this->plan_start_year);
  }
  /** 
   * 予定開始月Getter
   **/
  function getPlan_start_month() 
  {
    return ($this->plan_start_month == "--" ? "-1" : $this->plan_start_month); 
  }
  /** 
   * 予定開始日Getter
   **/
  function getPlan_start_day() 
  {
    return ($this->plan_start_day == "--" ? "-1" : $this->plan_start_day); 
  }
  /** 
   * 予定開始時Getter
   **/
  function getPlan_start_hour() 
  {
    return ($this->plan_start_hour == "--" ? "-1" : $this->plan_start_hour); 
  }
  /**
   * 予定開始分Getter
   **/
  function getPlan_start_minute() 
  {
    return ($this->plan_start_minute == "--" ? "-1" : $this->plan_start_minute); 
  }
  /** 
   * 予定終了年Getter
   **/
  function getPlan_end_year() 
  {
    return ($this->plan_end_year == "" ? "----" : $this->plan_end_year); 
  }
  /**
   * 予定終了月Getter
   **/
  function getPlan_end_month() 
  {
    return ($this->plan_end_month == "--" ? "-1" : $this->plan_end_month); 
  }
  /**
   * 予定終了日Getter
   **/
  function getPlan_end_day() 
  {
    return ($this->plan_end_day == "--" ? "-1" : $this->plan_end_day); 
  }
  /**
   * 予定終了時Getter
   **/
  function getPlan_end_hour() 
  {
    return ($this->plan_end_hour == "--" ? "-1" : $this->plan_end_hour); 
  }
  /**
   * 予定終了分Getter
   **/
  function getPlan_end_minute() 
  {
    return ($this->plan_end_minute == "--" ? "-1" : $this->plan_end_minute); 
  }
  /**
   * 実績開始年Getter
   **/
  function getResult_start_year() 
  {
    return ($this->result_start_year == "" ? "----" : $this->result_start_year);
  }
  /**
   * 実績開始月Getter
   **/
  function getResult_start_month() 
  {
    return ($this->result_start_month == "--" ? "-1" : $this->result_start_month); 
  }
  /**
   * 実績開始日Getter
   **/
  function getResult_start_day() 
  {
    return ($this->result_start_day == "--" ? "-1" : $this->result_start_day); 
  }
  /**
   * 実績開始時Getter
   **/
  function getResult_start_hour() 
  {
    return ($this->result_start_hour == "--" ? "-1" : $this->result_start_hour);
  }
  /**
   * 実績開始分Getter
   **/
  function getResult_start_minute() 
  {
    return ($this->result_start_minute == "--" ? "-1" : $this->result_start_minute); 
  }
  /**
   * 実績終了年Getter
   **/
  function getResult_end_year() 
  {
    return ($this->result_end_year == "" ? "----" : $this->result_end_year); 
  }
  /**
   * 実績終了月Getter
   **/
  function getResult_end_month() 
  {
    return ($this->result_end_month == "--" ? "-1" : $this->result_end_month); 
  }
  /**
   * 実績終了日Getter
   **/
  function getResult_end_day() 
  {
    return ($this->result_end_day == "--" ? "-1" : $this->result_end_day); 
  }
  /**
   * 実績終了時Getter
   **/
  function getResult_end_hour() 
  {
    return ($this->result_end_hour == "--" ? "-1" : $this->result_end_hour);
  }
  /**
   * 実績終了分Getter
   **/
  function getResult_end_minute() 
  {
    return ($this->result_end_minute == "--" ? "-1" : $this->result_end_minute); 
  }
  /**
   * タスク名称取得
   **/
  function getTitle()
  {
    return $this->strTask_title;
  }
  /**
   * タスク説明取得
   **/
  function getDescription()
  {
    return $this->strDescription;
  }
  /**
   * タスクコード
   **/
  function getCd()
  {
    return $this->strTask_cd;
  }
  /** 
   * 優先度コードSetter
   **/
  function setPriority_cd($priority_cd)
  {
    $this->priority_cd = $priority_cd;
  }
  /** 
   * 優先度コードGetter
   **/
  function getPriority_cd()
  {
    return $this->priority_cd;
  }
  /** 
   * 優先度名称 Setter
   **/
  function setPriority_name($priority_name)
  {
    $this->priority_name = $priority_name;
  }
  /** 
   * 優先度名称 Getter
   **/
  function getPriority_name()
  {
    return $this->priority_name;
  }
  /** 
   * 担当者コードSetter
   **/
  function setOwner_emp_cd($owner_emp_cd)
  {
    $this->owner_emp_cd = $owner_emp_cd;
  }
  /** 
   * 担当者コードGetter
   **/
  function getOwner_emp_cd()
  {
    return $this->owner_emp_cd;
  }
  /** 
   * 担当者名称Setter
   **/
  function setOwner_emp_name($owner_emp_name)
  {
    $this->owner_emp_name = $owner_emp_name;
  }
  /** 
   * 担当者名称Getter
   **/
  function getOwner_emp_name()
  {
    return $this->owner_emp_name;
  }
  /** 
   * 登録者コードSetter
   **/
  function setRegist_emp_cd($regist_emp_cd)
  {
    $this->regist_emp_cd = $regist_emp_cd;
  }
  /** 
   * 登録者コードGetter
   **/
  function getRegist_emp_cd()
  {
    return $this->regist_emp_cd;
  }
  /** 
   * 登録者名称Setter
   **/
  function setRegist_emp_name($regist_emp_name)
  {
    $this->regist_emp_name = $regist_emp_name;
  }
  /** 
   * 登録者名称Getter
   **/
  function getRegist_emp_name()
  {
    return $this->regist_emp_name;
  }
  /** 
   * ステータスSetter
   **/
  function setStatus($status)
  {
    $this->status = $status;
    switch($status)
    {
      case 1:
	$this->status_name = "未着手";
	break;
      case 2:
	$this->status_name = "着手";
	break;
      case 3:
	$this->status_name = "完了";
	break;
      default:
	$this->status_name = "未着手";
	break;
    }
  }
  /** 
   * ステータスGetter
   **/
  function getStatus()
  {
    return $this->status;
  }
  /** 
   * ステータス名称Getter
   **/
  function getStatusName()
  {
    return $this->status_name;
  }
  /** 
   * スケジュール反映フラグSetter
   **/
  function setSchhedule_flg($schhedule_flg)
  {
    $this->schhedule_flg = $schhedule_flg;
  }
  /** 
   * スケジュール反映フラグGetter
   **/
  function getSchhedule_flg()
  {
    return $this->schhedule_flg;
  }


  /**
   * 開始日・終了日の大小判定
   **/
  function task_date_compare($syear, $smonth, $sday, $shour, $sminute, $eyear, $emonth, $eday, $ehour, $eminute)
  {
	if ($shour == "--") { $shour = "00"; }
	if ($sminute == "--") { $sminute = "00"; }
    
    if((isset($syear) && isset($smonth) && isset($sday)) && ($syear != "-1" && $smonth != "-1" && $sday != "-1"))
    {
      if((isset($shour) && isset($sminute)) && ($shour != "-1" && $sminute != "-1"))
      {
        $int_start_date = mktime($shour, $sminute, "00", $smonth, $sday, $syear);
      }
      else
      {
        $int_start_date = mktime("00", "00", "00", $smonth, $sday, $syear);
      }
    }
    else
    {
      $int_start_date = mktime("00", "00", "00", "01", "01", "0001");
    }

    if((isset($eyear) && isset($emonth) && isset($eday)) && ($eyear != "-1" && $emonth != "-1" && $eday != "-1"))
    {
      if((isset($ehour) && isset($eminute)) && ($ehour != "-1" && $eminute != "-1"))
      {
        $int_end_date = mktime($ehour, $eminute, "00", $emonth, $eday, $eyear);
      }
      else
      {
        $int_end_date = mktime("00", "00", "00", $emonth, $eday, $eyear);
      }
    }
    else
    {
      $int_end_date = mktime("00", "00", "00", "01", "01", "0001");
    }
  
    if($int_start_date > $int_end_date)
    {
      return false;
    }
    else
    {
      return true;
    }
  }  
}

?>