<?php
//
// Copyright (C) 1999-2000 Top Management Service, inc. All Rights Reserved.
// Copyright (C) 2001-2003 System Consultants Co.,Ltd. All Rights Reserved.
//
// $Id: telmemo.php 1337 2005-09-30 02:56:41Z root $
//

/**
 * 伝言メモ
 *
 * @author hiroki KAWAMURA <hiroki@syscon.co.jp>
 * @author yuji TAKAHASHI <yu-ji@syscon.co.jp>
 * @author hideo OHSAWA <ohsawa@syscon.co.jp>
 */

$KEY = $_POST["KEY"];
$Del = $_POST["Del"];
$Mon = $_POST["Mon"];
$Day = $_POST["Day"];
$Hou = $_POST["Hou"];
$Min = $_POST["Min"];
$division = $_POST["division"];
$Memo = $_POST["Memo"];
$ToPerson = array();
$ToPerson = $_POST["ToPerson"];
$button = $_POST["button"];
$trans_id = $_POST["trans_id"];

$sub = $_GET["sub"];
$Index = $_GET["Index"];

include("gw.php");
include("include/dbChange.php");
$conn = $dbConnectObj->openConnect();

if (!$conn)
{
	echo "セッティング異常";
	exit;
}

include_once($_ROOT_DIR_ . "class/PhraseSelect.php");
$objPhraseSelect = new PhraseSelect($bolPhraseSelect);
$varPhraseSet = $objPhraseSelect->getPhrase();

$FileName = $_SERVER["PHP_SELF"];

include("include/accept.conf");
include("include/transactions.func");
include("class/javascriptselect_div_emp.php");

// ログオン周りのクラスを使います。
require_once($_ROOT_DIR_ . "class/employeeinfo.php");		// 社員情報クラス
require_once($_ROOT_DIR_ . "class/employeeinfoowner.php");	// 社員情報クラスの処理クラス
$employeeInfoOwner = new EmployeeInfoOwner();
$employeeInfoOwner->setEmp_cd($_SERVER["PHP_AUTH_USER"]);
$employeeInfoOwner->doSelectQuery($conn, $dbSqlObj, $dbExecObj);
$employeeInfoArray = $employeeInfoOwner->getEmployeeInfoArray();
$isAdmin = $employeeInfoArray[$_SERVER["PHP_AUTH_USER"]]->isAdmin();
$empName = $employeeInfoArray[$_SERVER["PHP_AUTH_USER"]]->getName();

// デザインをインクルードします。
require_once($_ROOT_DIR_ . "class/menuHeadder.php");
$menuShowObj = new menuShowObj($conn,$dbSqlObj,$dbExecObj);
$menuShowObj->setEmpName($empName);
$menuShowObj->setCurrentAppli("telmemo");
$menuShowObj->setIsAdmin($isAdmin);
$menuShowObj->showHeadder();

//-- ケータイ対応のためのクラスを使います。
if (strtoupper($useMobile) == "TRUE")
{
	require_once("./class/keitaiSqlForPc.php");
	require_once("./class/keitaiRoutineForPc.php");
	$keitaiSqlObj  = new keitaiSqlForPc();
	$keitaiRoutineObj = new keitaiRoutineForPc();
}

include("include/createlog.conf");
include("include/getnowtime.func");
include("include/inputcheck.func");


if ($Index == 3)
{
	$javaScriptSelect_DivEmp = new JavaScriptSelect_DivEmp();
	$javaScriptSelect_DivEmp->setMainElementNameColumnName("div_name");		// メイン要素の名前カラム名
	$javaScriptSelect_DivEmp->setMainElementCodeColumnName("division");		// メイン要素のコードカラム名
	$javaScriptSelect_DivEmp->setSubElementNameColumnName("name");			// サブ要素の名前カラム名
	$javaScriptSelect_DivEmp->setSubElementCodeColumnName("emp_cd");		// サブ要素のコードカラム名
	$javaScriptSelect_DivEmp->setMainIncludeAll("True");					// メイン要素が"全て"を含むかどうか
	$javaScriptSelect_DivEmp->setSubIncludeAll("False");					// サブ要素が"全て"を含むかどうか
	$javaScriptSelect_DivEmp->setSubAllOnly("False");						// メイン要素が"全て"の場合、サブ要素が"全て"のみかどうか
	$javaScriptSelect_DivEmp->setMainAllSubIncludeAll("False");				// メイン要素が"全て"の場合、サブ要素が"全て"を含むかどうか
	$javaScriptSelect_DivEmp->setMainFormSelectName("division");			// メイン要素の<select>の名前
	$javaScriptSelect_DivEmp->setSubFormSelectName("elements[5]");			// サブ要素の<select>の名前
	$javaScriptSelect_DivEmp->setInitSelectFunctionName("initSelect");		// initSelect()の名前
	$javaScriptSelect_DivEmp->setChangeSelectFunctionName("changeSelect");	// changeSelect()の名前
	$javaScriptSelect_DivEmp->setDisableJavaScriptShowMain("False");		// JavaScriptが無効の際、メイン要素を表示させるかどうか

	$javaScriptSelect_DivEmp->setMainElementCodeFromHttp("all");			// HTTP経由で受け取ったメイン要素のコード
	$javaScriptSelect_DivEmp->setSubElementCodeFromHttp($emp_cd);			// HTTP経由で受け取ったメイン要素のコード

	$javaScriptSelect_DivEmp->setElement($conn, $dbSqlObj, $dbExecObj);
?>

<script language="JavaScript">
<!--

function errcheck(TheForm)
{
	var ErrMsg = "";

	if (TheForm.elements[6].value == "")
	{
		ErrMsg = "メッセージが入力されていません。";
		TheForm.elements[7].focus();
	}

	if (TheForm.elements[5].selectedIndex == -1)
	{
		ErrMsg = "伝言宛先が選択されていません。";
		TheForm.elements[5].focus();
	}

	for (i = 0; i < 3 && ErrMsg == ""; i++)
	{
		if (isFinite(TheForm.elements[i].value) == false || TheForm.elements[i].value == "")
		{
			ErrMsg = "日付の入力が正確ではありません。";
			TheForm.elements[i].focus();
		}
	}

	if (ErrMsg != "")
	{
		alert(ErrMsg);
		return false;
	}
	return true;
}

<?php
	$javaScriptSelect_DivEmp->printInitSelectFunction();
	$javaScriptSelect_DivEmp->printChangeSelectFunction();
?>

//-->
</script>

<?php
}

if (!checkTransID($trans_id,$conn,$dbSqlObj,$dbExecObj))
{
	unset($sub);
}
?>

<form method="POST" action="<?php echo $FileName; ?>" name="telmemoForm">

<?php
$dbExecObj->exeSql($conn, $dbSqlObj->setDateStyleToIso());

if ($button == "書き込み")
{
	$Memo = InputCheck($Memo);

	$i = 0;
	while ($i < count($ToPerson))
	{
		sleep(1);
		$Time = date("Y\/m\/d H:i:s", mktime($Hou, $Min, date("s"), $Mon, $Day, date("Y")));
		
		$strSql = $dbSqlObj->insertTelmemo2($Time, $ToPerson[$i], 0, $Memo, $_SERVER["PHP_AUTH_USER"]);

		$WriteOK = $dbExecObj->exeSql($conn, $strSql);
		
		if (!$WriteOK)
		{
			echo "<P><CENTER><font color=\"red\">電話連絡メモの書き込みが失敗しました。ブラウザの戻るボタンを押してください。</font></CENTER></P>\n";
			exit;
		} 

		//-- 場所とケータイメアドを取得
		if (strtoupper($useMobile) == "TRUE")
		{
			//print_r($ToPerson);
			$strSql = $keitaiSqlObj->selectWhiteboardPlaceWithEmpCd($ToPerson[$i]);
			$resultPlace = $dbExecObj->exeSql($conn, $strSql);
			$targetPlace = $dbExecObj->getResult($resultPlace, 0, "place");
			$strSql = $keitaiSqlObj->selectMobileMailAddressWithEmpCd($ToPerson[$i]);
			$ToTelMail = $dbExecObj->exeSql($conn, $strSql);
			$ToMailStr = $dbExecObj->getResult($ToTelMail, 0 , "mobileMailAddress");
		}
		if (strtoupper($useMobile) == "TRUE" && ($targetPlace == 1 || $targetPlace == 2) && $ToMailStr != "")
		{
			$sendMailToMobile = "TRUE";
		}
		else
		{
			$sendMailToMobile = "FALSE";
			$strSql = $dbSqlObj->selectEmployeeEmailWithEmpCd($ToPerson[$i]);
			$ToTelMail = $dbExecObj->exeSql($conn, $strSql);
			$ToMailStr = $dbExecObj->getResult($ToTelMail, 0 , "email");
		}

		$strSql = $dbSqlObj->selectEmployeeEmailWithEmpCd($_SERVER["PHP_AUTH_USER"]);
		$FromTelMail = $dbExecObj->exeSql($conn ,$strSql);
		$FromMailStr = $dbExecObj->getResult($FromTelMail, 0, "email");
		// メールアドレス未登録の場合、Fromを管理者にする
		if (!$FromMailStr)
		{
			$FromMailStr = $admin;
		}

		if ($sendMailToMobile == "TRUE")
		{
			$strSql = $dbSqlObj->selectEmployeeNameWithEmpCd($_SERVER["PHP_AUTH_USER"]);
			$writerData  = $dbExecObj->exeSql($conn, $strSql);

			// メール本文作成
			$Message = "伝言が到着しました\r\n\r\n";
			$Message .= stripslashes($Memo) . "\r\n\r\n";
			$Message .= $Mon . "/" . $Day . " " . $Hou. ":". $Min . "\r\n" . $dbExecObj->getResult($writerData, 0, "name");

			// 半角対応
			$Message = mb_convert_kana($Message);

			// カレントの言語を設定
			mb_language("Japanese");

			// ヘッダを指定
//			$MailHeaders  = "Mime-Version: 1.0\r\n";
//			$MailHeaders .= "Content-Type: text/plain; charset=ISO-2022-JP\r\n";
//			$MailHeaders .= "Content-Transfer-Encoding: 7bit\r\n";
//			$MailHeaders .= "From:$FromMailStr\r\n";

			// メール送信
			mb_send_mail($ToMailStr, "[WIZ] 伝言メモ", $Message, "From: $FromMailStr");
//			mail($ToMailStr,
//				("=?ISO-2022-JP?B?" . base64_encode(i18n_convert("[WIZ]伝言メモ","JIS","EUC")) . "?="),
//				i18n_convert($Message,"JIS","EUC"), $MailHeaders);
		}
		else
		{
			if ($ToMailStr != "")
			{
				$strSql = $dbSqlObj->selectEmployeeNameWithEmpCd($_SERVER["PHP_AUTH_USER"]);
				$writerData  = $dbExecObj->exeSql($conn, $strSql);

				$line = "---------------------------------------------------------------------";

				// メール本文作成
				$Message = "■Message from WIZ\r\n\r\n";
				$Message .= $Mon . "月" . $Day . "日" . $Hou. "時". $Min . "分の伝言メモがあります。\r\n";
				$Message .= "作成者: " . $dbExecObj->getResult($writerData, 0, "name");
				$Message .= "\r\n\r\n". $line . "\r\n";
				$Message .= stripslashes($Memo) . "\r\n";
				$Message .= $line . "\r\n\r\nWIZの伝言メモの確認・削除をお願いします。\r\n";
				$Message .= $_ROOT_URL_ . "\r\n";
				$Message .= $_ROOT_URL_ . "index.php\r\n\r\n";
				$Message .= "※本メールに返信は不要です。";

				// 半角対応
				$Message = mb_convert_kana($Message);

				// カレントの言語を設定
				mb_language("Japanese");

				// ヘッダを指定
//				$MailHeaders  = "Mime-Version: 1.0\r\n";
//				$MailHeaders .= "Content-Type: text/plain; charset=ISO-2022-JP\r\n";
//				$MailHeaders .= "Content-Transfer-Encoding: 7bit\r\n";
//				$MailHeaders .= "From:$FromMailStr\r\n";

				// メール送信
				mb_send_mail($ToMailStr, "[WIZ] 伝言メモ", $Message, "From: $FromMailStr");
//				mail($ToMailStr,
//					("=?ISO-2022-JP?B?" . base64_encode(i18n_convert("[WIZ]伝言メモ","JIS","EUC")) . "?="),
//					i18n_convert($Message,"JIS","EUC"), $MailHeaders);
			}
		}
		$i++;
	}
	
	writeTransID($trans_id, $conn,$dbSqlObj, $dbExecObj);

	echo "<Script language=\"JavaScript\">\n";
	echo "alert('伝言を書き込みました。')\n";
	echo "</Script>\n";
}

if ($Del)
{
	$strSql = $dbSqlObj->deleteTelmemo2WithRegistTime($KEY);
	$dbExecObj->exeSql($conn, $strSql);
	
	$Index = 2;
}

if (!$Index)
{
	$Index = 2;
}

?>
<table width="760" border="0" cellspacing="0" cellpadding="0">
  <tr> 
<?php
	switch ($Index)
	{
		case 1:
?>
<td><a href="<?php echo $FileName ?>?Index=2"><img src="images/message_self_b.gif" width="180" height="29" alt="自分宛だけを見る" border="0"></a></td>
<td><div align="right"><img src="images/message_all_a.gif" width="180" height="29" alt="全伝言を見る" border="0"></div></td>
<td><div align="right"><a href="<?php echo $FileName ?>?Index=3"><img src="images/message_make_b.gif" width="360" height="29" alt="伝言メモ作成" border="0"></a></div></td>
<?php
			break;
		case 2:
?>
<td><img src="images/message_self_a.gif" width="180" height="29" alt="自分宛だけを見る" border="0"></td>
<td><div align="right"><a href="<?php echo $FileName ?>?Index=1"><img src="images/message_all_b.gif" width="180" height="29" alt="全伝言を見る" border="0"></a></div></td>
<td><div align="right"><a href="<?php echo $FileName ?>?Index=3"><img src="images/message_make_b.gif" width="360" height="29" alt="伝言メモ作成" border="0"></a></div></td>
<?php
			break;
		case 3:
?>
<td><a href="<?php echo $FileName ?>?Index=2"><img src="images/message_self_b.gif" width="180" height="29" alt="自分宛だけを見る" border="0"></a></td>
<td><div align="right"><a href="<?php echo $FileName ?>?Index=1"><img src="images/message_all_b.gif" width="180" height="29" alt="全伝言を見る" border="0"></a></div></td>
<td><div align="right"><img src="images/message_make_a.gif" width="360" height="29" alt="伝言メモ作成" border="0"></div></td>
<?php
			break;
		default:
?>
<td><img src="images/message_self_a.gif" width="180" height="29" alt="自分宛だけを見る" border="0"></td>
<td><div align="right"><a href="<?php echo $FileName ?>?Index=1"><img src="images/message_all_b.gif" width="180" height="29" alt="全伝言を見る" border="0"></a></div></td>
<td><div align="right"><a href="<?php echo $FileName ?>?Index=3"><img src="images/message_make_b.gif" width="360" height="29" alt="伝言メモ作成" border="0"></a></div></td>
<?php
			break;
	}
?>
  </tr>
  <tr>
    <td colspan="3" class="yellow">&nbsp;</td>
  </tr>
</table>

<?php
/*　伝言閲覧　*/
if ($Index < 3)
{ 
?>
<br>

<table border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td class="gray" width="760">
      <center>
        <table width="760" border="0" cellspacing="1" cellpadding="3">
          <tr bgcolor="#dcdcdc">
            <td width="130" class="deepsky"><div align="center"><span class="fWhite10100">伝言宛先</span></div></td>
            <td class="sky"><div align="center"><span class="fWhite10100">伝言内容</span></div></td>
            <td width="120" class="lightsky"><div align="center"><span class="fWhite10100">日時・作成者</span></div></td>
          </tr>
<?php
	if ($Index == "1")
	{
		$strSql = $dbSqlObj->selectTelmemo2AllWithDelSortedRegistTime();
		$Cnt = $dbExecObj->exeSql($conn,$strSql);
		if ($dbExecObj->getNumRows($Cnt) == 0)
		{
?>
          <tr>
            <td colspan = "3" class="white">
              <span class="fBlack10100">電話連絡メモはありません。</span>
            </td>
          </tr>
<?php
		}
	}
	elseif ($Index == "2")
	{ 
		$strSql = $dbSqlObj->selectTelmemo2AllWithEmpCdDelSortedRegistTime($_SERVER["PHP_AUTH_USER"]);
		$Cnt = $dbExecObj->exeSql($conn, $strSql);
		if ($dbExecObj->getNumRows($Cnt) == 0)
		{
?>
          <tr>
            <td colspan = "3" class="white">
              <span class="fBlack10100">あなた宛の伝言メモはありません。</span>
            </td>
          </tr>
<?php
		}
	}

	$i = 0;
	while ($i < $dbExecObj->getNumRows($Cnt))
	{
		/*　改行コード等の変更　*/
		$Memo = $dbExecObj->getResult($Cnt, $i, "memo");
		$Memo = ereg_replace(10,"<br>", $dbExecObj->getResult($Cnt,$i,"memo"));
		$Memo = ereg_replace(13,"",$Memo);

		/*　社員データから名前を取り出す１　*/;
		$EmpName1 = $dbExecObj->getResult($Cnt, $i, "emp_cd");
		$Name1  = $dbExecObj->exeSql($conn, $dbSqlObj->selectEmployeeNameWithEmpCd($EmpName1));

		/*　社員データから名前を取り出す２　*/
		$EmpName2 = $dbExecObj->getResult($Cnt, $i, "writer");
		$Name2  = $dbExecObj->exeSql($conn, $dbSqlObj->selectEmployeeNameWithEmpCd($EmpName2));

		/*　メモ作成日時　*/
		$DayStr  = substr($dbExecObj->getResult($Cnt, $i, "regist_time"), 5, 2) . "月" . substr( $dbExecObj->getResult($Cnt, $i, "regist_time"), 8, 2) . "日";
		$TimeStr = substr($dbExecObj->getResult($Cnt, $i, "regist_time"), 11, 2) . "時" . substr( $dbExecObj->getResult($Cnt, $i, "regist_time"), 14, 2). "分";
?>
          <tr>
            <td class="crame">
              <div align="center">
              <span class="fBlack10100"><?php echo htmlSpecialEscape($dbExecObj->getResult($Name1, 0, "name")); ?>様へ</span>
              <br>
<?php
		if ($Index == "2")
		{
			echo "<form method=\"POST\" ACTION = \"$FileName\">\n";
			echo "<input type=\"HIDDEN\" name=\"KEY\" value=\"" . $dbExecObj->getResult($Cnt, $i, "regist_time") . "\">\n";
			echo "<input type=\"SUBMIT\" value=\"削除\" name=\"Del\">\n";
			echo "</form>\n";
		}
		elseif($Index == "1" && ($isAdmin || $EmpName1==$_SERVER["PHP_AUTH_USER"] || $EmpName2==$_SERVER["PHP_AUTH_USER"]))
		{
			echo "<form method=\"POST\" ACTION = \"$FileName\">\n";
			echo "<input type=\"HIDDEN\" name=\"KEY\" value=\"" . $dbExecObj->getResult($Cnt, $i, "regist_time") . "\">\n";
			echo "<input type=\"SUBMIT\" value=\"削除\" name=\"Del\">\n";
			echo "</form>\n";
		}
?>
              </div>
            </td>
            <td class="white">
              <span class="fBlack10100">

<?php
                if(strtoupper($telmemoPublicLevel) == "CLOSE")
                {
                  if($Index=="1" && ($isAdmin || $EmpName1==$_SERVER["PHP_AUTH_USER"] || $EmpName2==$_SERVER["PHP_AUTH_USER"]))
                  {
                      echo preg_replace('/&lt;br&gt;/', '<br>', htmlSpecialEscape($Memo)) . "\n";
                  }
                  elseif($Index == "1")
                  {
                      echo "プライバシーの関係上、本人および作成者以外にはお見せできません。\n";
                  }
                  else
                  {
                  	  echo preg_replace('/&lt;br&gt;/', '<br>', htmlSpecialEscape($Memo));
                  }
	            }
	            else{
                  echo preg_replace('/&lt;br&gt;/', '<br>', htmlSpecialEscape($Memo));
	            }
?>
              </span>
            </td>
            <td class="white">
              <div align="center"><span class="fBlack10100"><?php echo htmlSpecialEscape($DayStr). "<br>" . htmlSpecialEscape($TimeStr); ?><br>
              <?php echo htmlSpecialEscape($dbExecObj->getResult($Name2, 0, "name")); ?></span></div>
            </td>
          </tr>

<?php
		$i++;
	}
?>

        </table>
      </center>
    </td>
  </tr>

<?php
/*　メモ作成　*/
} 
else 
{
?>
<br>

<table border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td>
      <input type="TEXT" name="Mon" size="2" maxlength="2" value="<?php echo date("m"); ?>"><span class="fBlack10100">月</span>
      <input type="TEXT" name="Day" size="2" maxlength="2" value="<?php echo date("d"); ?>"><span class="fBlack10100">日</span>
      <input type="TEXT" name="Hou" size="2" maxlength="2" value="<?php echo date("H"); ?>"><span class="fBlack10100">時</span>
      <input type="TEXT" name="Min" size="2" maxlength="2" value="<?php echo date("i"); ?>"><span class="fBlack10100">分</span>
      <span class="fRed10100">（必須）</span>
    </td>
  </tr>
  <tr>
    <td>
<?php
	if (!eregi("Mac", $_SERVER["HTTP_USER_AGENT"]))
	{
		$Str = "Ctrl";
	} 
	else 
	{
		$Str = "Command";
	}
?>
      <span class="fBlack10100">伝言宛先&nbsp;</span></b><span class="fBlack10100">★<?php echo $Str; ?>+クリックで<?php echo htmlSpecialEscape($varPhraseSet["strPerson"]) ?>の複数選択が可能</span>
      <span class="fRed10100">(必須)</span>
      <br>
      <div class="fBlack10100"><?php echo htmlSpecialEscape($varPhraseSet["strSection"]) ?>名：<select name="division" onChange="changeSelect(telmemoForm)"></div>
<?php
	htmlSpecialEscape($javaScriptSelect_DivEmp->printDefaultMainOption());
?>
      </select>
      <br>
      <div class="fBlack10100">個人名：<select name="ToPerson[]" size="10" multiple></div>
<?php
	htmlSpecialEscape($javaScriptSelect_DivEmp->printDefaultSubOption());
?>
      </select>
    </td>
  </tr>
  <tr>
    <td>
      <span class="fBlack10100">メッセージ</span>
      <span class="fRed10100">(必須)</span><br>
      <textarea cols="60" rows="10" name="Memo" wrap="SOFT"></textarea>
      <br>
    </td>
  </tr>
  <tr>
    <td>
      <input type="SUBMIT" value="書き込み" name="button" onClick="return errcheck(document.forms[0])">　<input type="RESET" value="クリア">
      <input type="hidden" name="trans_id" value="<?php echo createTransID(); ?>">
<?php
}
?>
    </td>
  </tr>
</table>
</form>

<?php
if ($Index == 3)
{
?>
<script language="JavaScript">
<!--
initSelect(document.telmemoForm);
//-->
</script>
<?php
}

//デザインマージ後のフッタをインクルードします。
$menuShowObj->showFooter();
?>