<?php
//
// Copyright (C) 1999-2000 Top Management Service, inc. All Rights Reserved.
// Copyright (C) 2001-2003 System Consultants Co.,Ltd. All Rights Reserved.
//
// $Id: accountUnlock.php 1196 2004-08-25 08:28:01Z hideki-h $
//

/**
 * アカウントロック解除
 *
 * @author hiroki KAWAMURA <hiroki@syscon.co.jp>
 * @author yuji TAKAHASHI <yu-ji@syscon.co.jp>
 * @author hideo OHSAWA <ohsawa@syscon.co.jp>
 */

//変数
$sub = isset($_POST["sub"]) ? $_POST["sub"] : $_GET["sub"];
$emp_cd = array ();
$emp_cd = $_POST["emp_cd"];



include("gw.php");
include_once($_ROOT_DIR_ . "class/PhraseSelect.php");
$objPhraseSelect = new PhraseSelect($bolPhraseSelect);
$varPhraseSet = $objPhraseSelect->getPhrase();

include("include/dbChange.php");
$conn = $dbConnectObj->openConnect();
if (!$conn) {
	echo "データベースに異常。<BR>\n";
	exit;
}
include ("include/accept.conf");
if (!$_SERVER["PHP_AUTH_USER"]) {
	echo "Not Found.<BR>\n";
	exit;
}
	$strSql = $dbSqlObj->selectAdministratorsAllWithEmpCd($_SERVER["PHP_AUTH_USER"]);
	$result = $dbExecObj->exeSql($conn,$strSql);

	$adminCount = $dbExecObj->getNumRows($result);
	include("include/admchk.func");
	if (admchk($conn,$_SERVER["PHP_AUTH_USER"],$dbSqlObj,$dbExecObj) == 0){
		echo "<FONT COLOR = \"RED\">管理者ではありません</FONT>\n";
		exit;
	}

// ログオン周りのクラスを使います。
	require_once($_ROOT_DIR_ . "class/employeeinfo.php");		// 社員情報クラス
	require_once($_ROOT_DIR_ . "class/employeeinfoowner.php");	// 社員情報クラスの処理クラス
	$employeeInfoOwner = new EmployeeInfoOwner();
	$employeeInfoOwner->setEmp_cd($_SERVER["PHP_AUTH_USER"]);
	$employeeInfoOwner->doSelectQuery($conn, $dbSqlObj, $dbExecObj);
	$employeeInfoArray = $employeeInfoOwner->getEmployeeInfoArray();
	$isAdmin = $employeeInfoArray[$_SERVER["PHP_AUTH_USER"]]->isAdmin();
	$empName = $employeeInfoArray[$_SERVER["PHP_AUTH_USER"]]->getName();

//-- ケータイ対応のためのクラスを使います。
	require_once("./class/keitaiSqlForPc.php");
	require_once("./class/keitaiRoutineForPc.php");
	$keitaiSqlObj  = new keitaiSqlForPc();
	$keitaiRoutineObj = new keitaiRoutineForPc();

// デザインをインクルードします。
	require_once($_ROOT_DIR_ . "class/menuHeadder.php");
	$menuShowObj = new menuShowObj($conn,$dbSqlObj,$dbExecObj);
	$menuShowObj->setEmpName($empName);
	$menuShowObj->setCurrentAppli("conf");
	$menuShowObj->setIsAdmin($isAdmin);
	$menuShowObj->showHeadder();

include("include/serial.func");
?>
<span class="fBlack12100"> ■ アカウントロック解除</span>
<?
if ($sub == "ロック解除") {
	$count = count($emp_cd);
	$i = 0;
	while ($i < $count)
	{
		$strSql = $keitaiSqlObj->updateErrorCountWithEmpCd(0, $emp_cd[$i]);
		$result = $dbExecObj->exeSql($conn, $strSql);
		if (!$result)
		{
			echo "DBとの接続に失敗しました<br>\n";
			exit;
		}
		$i++;
	}
	if($count > 0)
	{
		echo "<font color=red>解除が完了しました。</font><br>\n";
	}
	//-- 送信します。
}
?>
<FORM action="accountUnlock.php" method="POST">
  <select name="emp_cd[]" size="10" multiple>
<?
	$strSql = $keitaiSqlObj->selectLockUserNameAndCode();
	$result=$dbExecObj->exeSql($conn,$strSql);
	if (!$result) {
		echo htmlSpecialEscape($varPhraseSet["strPerson"]) . "情報の一覧を取得できません。<BR>\n";
		exit;
	}
	$count = $dbExecObj->getNumRows($result);
	$i = 0;
	while ($i < $count) {
?>
    <option value=<?echo $dbExecObj->getResult($result, $i, "emp_cd")?>>
		<?echo htmlSpecialEscape($dbExecObj->getResult($result, $i, "last_name_j"))?>
		<?echo htmlSpecialEscape($dbExecObj->getResult($result, $i, "first_name_j"))?>
<?
		$i++;
	}
?>
  </SELECT>
<?
	if (!eregi("Mac", $_SERVER["HTTP_USER_AGENT"]))
	{
		$Str = "Ctrl";
	} 
	else 
	{
		$Str = "Command";
	}
?>
<br>
      <font color="red">*</font><b><span class="fBlack10100">解除対象者&nbsp;</span></b><span class="fBlack10100">★<?php echo $Str; ?>+クリックで<?php echo htmlSpecialEscape($varPhraseSet["strPerson"]) ?>の複数選択が可能</span>
  <BR>
  <INPUT type="submit" name="sub" value="ロック解除">
</FORM>
<?
//デザインマージ後のフッタをインクルードします。
	$menuShowObj->showConfFooter();
?>
