<?
//
// Copyright (C) 1999-2000 Top Management Service, inc. All Rights Reserved.
// Copyright (C) 2001-2003 System Consultants Co.,Ltd. All Rights Reserved.
//
// $Id: admin.php 1196 2004-08-25 08:28:01Z hideki-h $
//

/**
 * 管理者権限の委譲と剥奪
 *
 * @author hiroki KAWAMURA <hiroki@syscon.co.jp>
 * @author yuji TAKAHASHI <yu-ji@syscon.co.jp>
 * @author hideo OHSAWA <ohsawa@syscon.co.jp>
 */

//変数
$sub = isset($_POST["sub"]) ? $_POST["sub"] : $_GET["sub"];
$emp_cd = $_POST["emp_cd"];
$adcount = $_POST["adcount"];


include("gw.php");
include_once($_ROOT_DIR_ . "class/PhraseSelect.php");
$objPhraseSelect = new PhraseSelect($bolPhraseSelect);
$varPhraseSet = $objPhraseSelect->getPhrase();

include("include/dbChange.php");
$conn = $dbConnectObj->openConnect();
if (!$conn) {
	echo "データベースに異常。<BR>\n";
	exit;
}

include("include/resultToStringFunction.php");
include("include/accept.conf");
if (!$_SERVER["PHP_AUTH_USER"]) {
	echo "Not Found.<BR>\n";
	exit;
}
	$strSql = $dbSqlObj->selectAdministratorsAllWithEmpCd($_SERVER["PHP_AUTH_USER"]);
	$result = $dbExecObj->exeSql($conn,$strSql);
	$adminCount = $dbExecObj->getNumRows($result);
	include("include/admchk.func");
	if (admchk($conn,$_SERVER["PHP_AUTH_USER"],$dbSqlObj,$dbExecObj) == 0){
		echo "<FONT COLOR = \"RED\">管理者ではありません</FONT>\n";
		exit;
	}

// ログオン周りのクラスを使います。
	require_once($_ROOT_DIR_ . "class/employeeinfo.php");		// 社員情報クラス
	require_once($_ROOT_DIR_ . "class/employeeinfoowner.php");	// 社員情報クラスの処理クラス
	$employeeInfoOwner = new EmployeeInfoOwner();
	$employeeInfoOwner->setEmp_cd($_SERVER["PHP_AUTH_USER"]);
	$employeeInfoOwner->doSelectQuery($conn, $dbSqlObj, $dbExecObj);
	$employeeInfoArray = $employeeInfoOwner->getEmployeeInfoArray();
	$isAdmin = $employeeInfoArray[$_SERVER["PHP_AUTH_USER"]]->isAdmin();
	$empName = $employeeInfoArray[$_SERVER["PHP_AUTH_USER"]]->getName();

// デザインをインクルードします。
	require_once($_ROOT_DIR_ . "class/menuHeadder.php");
	$menuShowObj = new menuShowObj($conn,$dbSqlObj,$dbExecObj);
	$menuShowObj->setEmpName($empName);
	$menuShowObj->setCurrentAppli("conf");
	$menuShowObj->setIsAdmin($isAdmin);
	$menuShowObj->showHeadder();

if ($sub == "委譲する") {

	$fingerprint_kanri = $_POST["fingerprint_kanri1"];

	if ($fingerprint_kanri != $_SESSION['fingerprint_kanri']){
		echo "不正アクセス！処理を中断します<BR>\n";
		exit;
	}


	$strSql = $dbSqlObj->insertAdministrators($emp_cd);
	$dbExecObj->exeSql($conn,$strSql);
	echo "<B><FONT COLOR=\"red\">委譲しました。</FONT></B><BR>\n";
} elseif ($sub == "剥奪する") {	

	$fingerprint_kanri = $_POST["fingerprint_kanri2"];

	if ($fingerprint_kanri != $_SESSION['fingerprint_kanri']){
		echo "不正アクセス！処理を中断します<BR>\n";
		exit;
	}

	if ($adcount == 1) {
		echo "<B><FONT COLOR=\"red\">管理者がいなくなってしまいます！剥奪できません！</FONT></B><BR>\n";
		exit;
	}
	$strSql = $dbSqlObj->deleteAdministratorsWithEmpCd($emp_cd);
	$dbExecObj->exeSql($conn,$strSql);
	echo "<B><FONT COLOR=\"red\">剥奪しました。</FONT></B><BR>\n";
} else {
	$fingerprint = get_fingerprint();
	$_SESSION['fingerprint_kanri'] = $fingerprint;
}
?>

<?
		$strSql = $dbSqlObj->selectAdministrators();
		$result = $dbExecObj->exeSql($conn,$strSql);
		if(!$result){
			echo htmlSpecialEscape($varPhraseSet["strPerson"]) . "情報の取得に失敗しました。<br>\n";
			exit;
		}

		$adminStr = resultToString($result,"emp_cd",$dbExecObj);

		$strSql = $dbSqlObj->selectEmployeeAdministratorsEmpCdNameWithNotAdmin($adminStr);
		$result = $dbExecObj->exeSql($conn,$strSql);

if (!$result) {
	echo htmlSpecialEscape($varPhraseSet["strPerson"]) . "情報の取得に失敗しました。<BR>\n";
	exit;
}
$count = $dbExecObj->getNumRows($result);
$i = 0;
?>
<span class="fBlack12100">■ 管理者権限の委譲と剥奪</span> 
<FORM  action="admin.php" method="POST" >
<SELECT  name="emp_cd" size="4">
<?
while ($i < $count) {
?>
	<OPTION VALUE="<?echo htmlSpecialEscape($dbExecObj->getResult($result,$i,"emp_cd"))?>"><?echo htmlSpecialEscape($dbExecObj->getResult($result,$i,"name"))."\n"?>
<?
	$i++;
}
?>
</SELECT>に管理者権限を
<input type="hidden" name="fingerprint_kanri1" value="<?php echo $fingerprint; ?>">
<INPUT type="submit" name="sub" value="委譲する">
</FORM>
<br>
<FORM  action="admin.php" method="POST" >
<SELECT  name="emp_cd" size="4">
<?
$strSql = $dbSqlObj->selectEmployeeAdministratorsEmpCdNameWithAdmin();
$result = $dbExecObj->exeSql($conn,$strSql);
if (!$result) {
	echo htmlSpecialEscape($varPhraseSet["strPerson"]) . "情報の取得に失敗しました。<BR>\n";
	exit;
}
$count = $dbExecObj->getNumRows($result);
$i = 0;
while ($i < $count) {
?>
	<OPTION VALUE="<?echo htmlSpecialEscape($dbExecObj->getResult($result,$i,"emp_cd"))?>"><?echo htmlSpecialEscape($dbExecObj->getResult($result,$i,"name"))."\n"?>
<?
	$i++;
}
?>
</SELECT>から管理者権限を
<INPUT type="submit" name="sub" value="剥奪する">
<INPUT type="hidden" name="adcount" value="<?echo $count?>">
<input type="hidden" name="fingerprint_kanri2" value="<?php echo $fingerprint; ?>">
</FORM>
<?php
//デザインマージ後のフッタをインクルードします。
	$menuShowObj->showConfFooter();
?>

