<?php
//
// Copyright (C) 2001-2002 System Consultants Co.,Ltd. All Rights Reserved.
//
// $Id: myfile.php 920 2002-06-07 10:35:21Z hiboki $
//

/**
 * ファイルクラス
 *
 * @author hiroki KAWAMURA <hiroki@syscon.co.jp>
 * @author yuji TAKAHASHI <yu-ji@syscon.co.jp>
 */



require_once($_ROOT_DIR_ . "admin/csvimport/class/errorinfoowner.php");

class MyFile
{
	var $filePointer;		// ファイルポインタ
	var $errorInfoOwner;	// エラー情報クラス

	// コンストラクタ
	function MyFile()
	{
		$this->errorInfoOwner = new ErrorInfoOwner();
	}

	// filePointerの取得
	function getFilePointer()
	{
		return $this->filePointer;
	}

	// filePointerの設定
	function setFilePointer($filePointer)
	{
		$this->filePointer = $filePointer;
	}

	// errorInfoOwnerの取得
	function getErrorInfoOwner()
	{
		return $this->errorInfo;
	}

	// errorInfoOwnerの設定
	function setErrorInfoOwner($errorInfoOwner)
	{
		$this->errorInfoOwner = $errorInfoOwner;
	}

	// オープン
	function open($filePathName, $openmode = "r")
	{
		if (!file_exists($filePathName))
		{
			$this->errorInfoOwner->add($filePathName . "が存在しません。");

			return False;
		}

		$fp = @fopen($filePathName, $openmode);

		if (!$fp)
		{
			$this->errorInfoOwner->add($filePathName . "が開けませんでした。");

			return False;
		}

		$this->setFilePointer($fp);

		return True;
	}

	// クローズ
	function close()
	{
		if (!fclose($this->getFilePointer()))
		{
			$this->errorInfoOwner->add("クローズ失敗。");

			return False;
		}

		return True;
	}

}
?>