<?php
//
// Copyright (C) 2001-2004 System Consultants Co.,Ltd. All Rights Reserved.
//
// $Id: csvimport_select_view.php 1226 2004-09-14 09:16:50Z hideki-h $
//

/**
 * TSVファイルの選択View
 *
 * @author hiroki KAWAMURA <hiroki@syscon.co.jp>
 * @author yuji TAKAHASHI <yu-ji@syscon.co.jp>
 * @author hideo OHSAWA <ohsawa@syscon.co.jp>
 */



// ログオン周りのクラスを使います。
	require_once($_ROOT_DIR_ . "class/employeeinfo.php");		// 社員情報クラス
	require_once($_ROOT_DIR_ . "class/employeeinfoowner.php");	// 社員情報クラスの処理クラス
	$employeeInfoOwner = new EmployeeInfoOwner();
	$employeeInfoOwner->setEmp_cd($_SERVER["PHP_AUTH_USER"]);
	$employeeInfoOwner->doSelectQuery($conn, $dbSqlObj, $dbExecObj);
	$employeeInfoArray = $employeeInfoOwner->getEmployeeInfoArray();
	$isAdmin = $employeeInfoArray[$_SERVER["PHP_AUTH_USER"]]->isAdmin();
	$empName = $employeeInfoArray[$_SERVER["PHP_AUTH_USER"]]->getName();

// デザインをインクルードします。
	require_once($_ROOT_DIR_ . "class/menuHeadder.php");
	$menuShowObj = new menuShowObj($conn,$dbSqlObj,$dbExecObj);
	$menuShowObj->setEmpName($empName);
	$menuShowObj->setCurrentAppli("conf",true);
	$menuShowObj->setIsAdmin($isAdmin);
	$menuShowObj->showHeadder();
?>
<span class="fBlack12100">■ TSVファイルのインポート</span>

<!-- ↓TSVファイル選択テーブル -->
			<table width="750">
				<tr>
					<td>

					<form enctype="multipart/form-data" method="post" action="<?echo $_ROOT_URL_ ?>admin/csvimport/csvimport.php">
  						<table>
							<input type="hidden" name="MAX_FILE_SIZE" value="<?php echo $maxfilesize ?>">
  							<tr> 
						    	<td valign="top"><span class="fBlack10100"><b>インポートするデータ</b></span></td>
						    	<td>
						        	<input type="radio" name="dataclassify" value="employee" checked><?php echo htmlSpecialEscape($varPhraseSet["strPerson"]) ?>&nbsp;<a class="usually" href="csvimport.php?sub=download&classify=employee" target="_blank"><small><?php echo htmlSpecialEscape($varPhraseSet["strPerson"]) ?>情報フォーマットのダウンロード</small></a><br><br>
						        	<input type="radio" name="dataclassify" value="torihikisaki"><?php echo htmlSpecialEscape($varPhraseSet["strRelations"]) ?>&nbsp;<a class="usually" href="csvimport.php?sub=download&classify=torihikisaki" target="_blank"><small><?php echo htmlSpecialEscape($varPhraseSet["strRelations"]) ?>フォーマットのダウンロード</small></a><br>
						        	<input type="radio" name="dataclassify" value="tori_place">場所&nbsp;<a class="usually" href="csvimport.php?sub=download&classify=tori_place" target="_blank"><small>場所フォーマットのダウンロード</small></a><br>
						        	<input type="radio" name="dataclassify" value="tantou">担当者&nbsp;<a class="usually" href="csvimport.php?sub=download&classify=tantou" target="_blank"><small>担当者フォーマットのダウンロード</small></a><br>
						    	</td>
						  	</tr>
  							<tr> 
						    	<td valign="top"><span class="fBlack10100"><b>TSVファイル</b></span></td>
								<td>
						    		<input type="file" name="userfile" size="60">
								</td>
						  	</tr>
						  	<tr> 
						    	<td colspan="2">
						      		<input type="submit" name="sub" value="インポート">
						    	</td>
						  	</tr>
							<input type="hidden" name="trans_id" value="<?php echo createTransID(); ?>">
						</table>
					</form>

				</td>
			</tr>
		</table>

<!-- ↑TSVファイル選択テーブル -->
<?php
//デザインマージ後のフッタをインクルードします。
	$menuShowObj->showConfFooter();
?>
