<?
//
// Copyright (C) 1999-2000 Top Management Service, inc. All Rights Reserved.
// Copyright (C) 2001-2003 System Consultants Co.,Ltd. All Rights Reserved.
//
// $Id: appset.php 1196 2004-08-25 08:28:01Z hideki-h $
//

/**
 * 使用機能の設定
 *
 * @author hiroki KAWAMURA <hiroki@syscon.co.jp>
 * @author yuji TAKAHASHI <yu-ji@syscon.co.jp>
 * @author hideo OHSAWA <ohsawa@syscon.co.jp>
 */

//変数
$sub = isset($_POST["sub"]) ? $_POST["sub"] : $_GET["sub"];
$Sel = $_POST["Sel"];
$KEY = $_POST["KEY"];
$BUTTON = $_POST["BUTTON"];
$num = $_POST["num"];
$update = $_POST["update"];
$name = $_POST["name"];
$name_e = $_POST["name_e"];
$use = $_POST["use"];
$link = $_POST["link"];
$gazou = $_POST["gazou"];
$sort_order = $_POST["sort_order"];
$cat_cd = $_POST["cat_cd"];


include("gw.php");
include_once($_ROOT_DIR_ . "class/PhraseSelect.php");
$objPhraseSelect = new PhraseSelect($bolPhraseSelect);
$varPhraseSet = $objPhraseSelect->getPhrase();

include("include/dbChange.php");
$conn = $dbConnectObj->openConnect();
if (!$conn)
{
	echo "<b>データベース接続に失敗しました。</b><br>\n";
	exit;
}

include ("include/accept.conf");
if (!$_SERVER["PHP_AUTH_USER"])
{
	echo "Not Found.<BR>\n";
	exit;
}

$strSql = $dbSqlObj->selectAdministratorsAllWithEmpCd($_SERVER["PHP_AUTH_USER"]);
$result = $dbExecObj->exeSql($conn,$strSql);
$adminCount = $dbExecObj->getNumRows($result);

include("include/admchk.func");
if (admchk($conn,$_SERVER["PHP_AUTH_USER"],$dbSqlObj,$dbExecObj) == 0)
{
	echo "<FONT COLOR = \"RED\">管理者ではありません</FONT>\n";
	exit;
}

// ログオン周りのクラスを使います。
require_once($_ROOT_DIR_ . "class/employeeinfo.php");		// 社員情報クラス
require_once($_ROOT_DIR_ . "class/employeeinfoowner.php");	// 社員情報クラスの処理クラス
$employeeInfoOwner = new EmployeeInfoOwner();
$employeeInfoOwner->setEmp_cd($_SERVER["PHP_AUTH_USER"]);
$employeeInfoOwner->doSelectQuery($conn, $dbSqlObj, $dbExecObj);
$employeeInfoArray = $employeeInfoOwner->getEmployeeInfoArray();
$isAdmin = $employeeInfoArray[$_SERVER["PHP_AUTH_USER"]]->isAdmin();
$empName = $employeeInfoArray[$_SERVER["PHP_AUTH_USER"]]->getName();


////////////////////////////////////////////////////////////////////////
//
//           メソッド
//
////////////////////////////////////////////////////////////////////////

switch ($BUTTON)
{
	case "この情報を削除":
		$strSql = $dbSqlObj->deleteAppconfWithGwap($KEY);
		$Exec = $dbExecObj->exeSql($conn, $strSql);

		locationMyself();

		break;

	case "この情報を登録":
		$num	    = strip_tags(mb_convert_kana($num, "rna"));
		$name       = strip_tags(mb_convert_kana($name, "rna"));
		$name_e     = strip_tags(mb_convert_kana($name_e, "rna"));
		$link       = strip_tags(mb_convert_kana($link, "rna"));
		$gazou      = strip_tags(mb_convert_kana($gazou, "rna"));
		$sort_order = strip_tags(mb_convert_kana($sort_order, "rna"));

		if (!$update)
		{
			$strSql = $dbSqlObj->selectAppconfCountOfAllWithGwap($num);
			$StillWrite = $dbExecObj->exeSql($conn, $strSql);
			$WriteCnt = $dbExecObj->getResult($StillWrite, 0,"count_of_records");
			if ($WriteCnt != 0)
			{
				echo "<FONT COLOR = \"RED\">登録番号が既存の機能と重複しています。再入力してください。</FONT>";
				exit;
			}
			else
			{
				$strSql = $dbSqlObj->insertAppconf($num, $name, $use, $link, $gazou, $sort_order, $name_e, $cat_cd);
				$WriteOK = $dbExecObj->exeSql($conn, $strSql);
			}
		}
		else
		{
			$strSql = $dbSqlObj->udpateAppconfWithGwap($name, $use, $link, $gazou, $sort_order, $name_e, $update, $cat_cd);
			$WriteOK = $dbExecObj->exeSql($conn, $strSql);
		}

		locationMyself();

		break;
}


// デザインをインクルードします。
require_once($_ROOT_DIR_ . "class/menuHeadder.php");
$menuShowObj = new menuShowObj($conn, $dbSqlObj, $dbExecObj);
$menuShowObj->setEmpName($empName);
$menuShowObj->setCurrentAppli("conf");
$menuShowObj->setIsAdmin($isAdmin);
$menuShowObj->showHeadder();



////////////////////////////////////////////////////////////////////////
//
//           表示部分
//
////////////////////////////////////////////////////////////////////////

$strSql = $dbSqlObj->selectAppconfWithCngokFalseSortedGwap();
$result = $dbExecObj->exeSql($conn, $strSql);
$Endd = $dbExecObj->getNumRows($result);
?>
<span class="fBlack12100"> ■ 使用機能の設定</span>
<form method = "POST" action = "appset.php">
<select name = "Sel" onChange = "this.form.submit()">
  <option value = "null_1">設定を編集する機能を選択してください
<?php
for ($i = 0; $i < $Endd; $i++)
{
	$AppNo = $dbExecObj->getResult($result, $i, "gwap");
	echo "<option value = \"$AppNo\"";
	if ($AppNo == $Sel)
	{ 
		echo " selected"; 
	}
	echo ">" . htmlSpecialEscape($AppNo . $dbExecObj->getResult($result, $i, "name")) . "\n";
}
?>
  <option value="null_2">新規作成</option>
</select>
<input type="submit" name="sub" value="表示">
</form>
<?php
$strSql = $dbSqlObj->selectAppconfWithGwap($Sel);
$result = $dbExecObj->exeSql($conn, $strSql);
$dbExecObj->getNumRows($result);
if ($dbExecObj->getNumRows($result) != 0)
{
	$num   = $dbExecObj->getResult($result, 0, "gwap");
	$name  = $dbExecObj->getResult($result, 0, "name");
	$use   = $dbExecObj->getResult($result, 0, "enable");
	$link  = $dbExecObj->getResult($result, 0, "link");
	$gazou = $dbExecObj->getResult($result, 0, "gazou");
	$sort_order = $dbExecObj->getResult($result, 0, "sort_order");
	$name_e = $dbExecObj->getResult($result, 0, "name_e");
	$cat_name = $dbExecObj->getResult($result, 0, "menu_category_name");
?>
<table width="760" border="0" cellspacing="0" cellpadding="0"><tr><td class="gray" valign="top"> 
<table width="760" border="0" cellspacing="1" cellpadding="3">
  <tr>
    <td class="sky"> 
      <table width="295" border="0" cellspacing="0" cellpadding="0">
        <tr> 
          <td valign="middle"> 
            <div align="center"><span class="fWhite10100">登録番号</span></div>
          </td>
        </tr>
      </table>
    </td>
    <td class="white"> 
      <table width="450" border="0" cellspacing="0" cellpadding="0">
        <tr> 
          <td valign="middle"><span class="fBlack10100"><?php echo htmlSpecialEscape($num) ?></span></td>
        </tr>
      </table>
    </td>
  </tr>
  <tr>
    <td class="sky" valign="middle"> 
      <div align="center"><span class="fWhite10100">表示名</span></div>
    </td>
    <td class="white"><span class="fBlack10100"><?php echo htmlSpecialEscape($name) ?></span></td>
  </tr>
<?php
	if ($use == "t")
	{
		$use = "使用中";
	}
	else
	{
		$use = "不使用";
	}
?>
  <tr>
    <td class="sky" valign="middle">
      <div align="center"><span class="fWhite10100">使用状況</span></div>
    </td>
    <td class="white"><?php echo $use ?></td>
  </tr>
  <tr>
    <td class="sky" valign="middle">
      <div align="center"><span class="fWhite10100">リンク</span></div>
    </td>
    <td class="white"><?php echo htmlSpecialEscape($link) ?></td>
  </tr>
  <tr>
    <td class="sky" valign="middle">
      <div align="center"><span class="fWhite10100">画像ファイル名</span></div>
    </td>
    <td class="white"><?php echo htmlSpecialEscape($gazou) ?></td>
  </tr>
  <tr>
    <td class="sky" valign="middle">
      <div align="center"><span class="fWhite10100">表示順</span></div>
    </td>
    <td class="white"><?php echo htmlSpecialEscape($sort_order) ?></td>
  </tr>
  <tr>
    <td class="sky" valign="middle">
      <div align="center"><span class="fWhite10100">英名</span></div>
    </td>
    <td class="white"><?php echo htmlSpecialEscape($name_e) ?></td>
  </tr>
  <tr>
    <td class="sky" valign="middle">
      <div align="center"><span class="fWhite10100">メニューカテゴリ</span></div>
    </td>
    <td class="white"><?php echo htmlSpecialEscape($cat_name) ?></td>
  </tr>
</table>
</td></tr></table>

<br>

<form method="POST" action="appset.php">
  <input type="hidden" name="KEY" value="<?php echo $Sel ?>">
  <input type="submit" value="この情報を修正" name="BUTTON">
  <input type="submit" value="この情報を削除" name="BUTTON">
</form>
<?php
}
elseif ($BUTTON == "この情報を修正" || $Sel == "null_2")
{
	$strSql = $dbSqlObj->selectAppconfWithGwap($KEY);
	$result = $dbExecObj->exeSql($conn, $strSql);

	if ($dbExecObj->getNumRows($result) != 0)
	{
		$num   = $dbExecObj->getResult($result, 0, "gwap");
		$name  = $dbExecObj->getResult($result, 0, "name");
		$use   = $dbExecObj->getResult($result, 0, "enable");
		$link  = $dbExecObj->getResult($result, 0, "link");
		$gazou = $dbExecObj->getResult($result, 0, "gazou");
		$sort_order = $dbExecObj->getResult($result, 0, "sort_order");
		$name_e = $dbExecObj->getResult($result, 0, "name_e");
		$cat_name = $dbExecObj->getResult($result, 0, "menu_category_name");
		$cat_cd   = $dbExecObj->getResult($result, 0, "menu_category_id");
	}

	$strSql = $dbSqlObj->selectMst_Menu_CategorySortedMenu_Category_Order();
	$result = $dbExecObj->exeSql($conn,$strSql);
	if (!$result)
	{
		echo "DBに接続できませんでした<br>\n";
		exit;
	}
?>
<form method="POST" action="appset.php">
  <table>
    <tr>
      <td><span class="fBlack10100"><b>登録番号：</b></span></td>
      <td>
<?php
	if ($BUTTON == "この情報を修正")
	{
?>
        <input type="hidden" name="update" value="<?php echo htmlSpecialEscape($num) ?>"><?php echo htmlSpecialEscape($num) ?>
<?php
	}
	else
	{
?>
        <input type="TEXT" name="num" size="10" maxlength="10">
<?php
	}
?>
      </td>
    </tr>

    <tr>
      <td><span class="fBlack10100"><b>表示名：</b></span></td>
      <td>
        <input type="TEXT" name="name" size="40" maxlength="200" value="<?php echo htmlSpecialEscape($name) ?>">
      </td>
    </tr>
    <tr>
      <td><span class="fBlack10100"><b>英名：</b></span></td>
      <td>
        <input type="TEXT" name="name_e" size="40" maxlength="200" value="<?php echo htmlSpecialEscape($name_e) ?>">
      </td>
    </tr>
    <tr>
      <td><span class="fBlack10100"><b>使用／不使用：</b></span></td>
      <td>
        <input type="radio" name="use" value="true"<?php echo ($use == "t") ? " checked" : "" ?>>使用
        <input type="radio" name="use" value="false"<?php echo ($use != "t") ? " checked" : "" ?>>不使用
      </td>
    </tr>
    <tr>
      <td><span class="fBlack10100"><b>リンク：</b></span></td>
      <td>
        <input type="TEXT" name="link" size="40" maxlength="200" value="<?php echo htmlSpecialEscape($link) ?>">
      </td>
    </tr>
    <tr>
      <td><span class="fBlack10100"><b>画像名：</b></span></td>
      <td>
        <input type="TEXT" name="gazou" size="40" maxlength="200" value="<?php echo htmlSpecialEscape($gazou) ?>">
      </td>
    </tr>
    <tr>
      <td><span class="fBlack10100"><b>表示順：</b></span></td>
      <td>
        <input type="TEXT" name="sort_order" size="2" maxlength="2" value="<?php echo htmlSpecialEscape($sort_order) ?>">
      </td>
    </tr>
    <tr>
      <td><span class="fBlack10100"><b>メニューカテゴリ：</b></span></td>
      <td>
        <select name="cat_cd">
<?php
	$menuCategoryCount = $dbExecObj->getNumRows($result);
	for ($i = 0; $i < $menuCategoryCount; $i++)
	{
		$menuCode = $dbExecObj->getResult($result, $i, "menu_category_id");
		$menuName = $dbExecObj->getResult($result, $i, "menu_category_name");

		if ($cat_cd == $menuCode)
		{
?>
          <option value="<?php echo htmlSpecialEscape($menuCode) ?>" selected><?php echo htmlSpecialEscape($menuName) ?>
<?php
		}
		else
		{
?>
          <option value="<?php echo htmlSpecialEscape($menuCode) ?>"><?php echo htmlSpecialEscape($menuName) ?>
<?php
		}
	}
?>
        </select>
      </td>
    </tr>
  </table>
  <br>
  <input type="submit" value="この情報を登録" name="BUTTON">
</form>
<?php
}

//デザインマージ後のフッタをインクルードします。
$menuShowObj->showConfFooter();


function locationMyself()
{
	$_SERVER["PHP_SELF"];

	header("Location: " . $_SERVER["PHP_SELF"]);
}
?>