<?php
//
// Copyright (C) 2001-2002 System Consultants Co.,Ltd. All Rights Reserved.
//
// $Id: DBConnectPgsql.php 920 2002-06-07 10:35:21Z hiboki $
//

/**
 * DB接続クラス(PostgreSQL用)
 *
 * @author hiroki KAWAMURA <hiroki@syscon.co.jp>
 * @author yuji TAKAHASHI <yu-ji@syscon.co.jp>
 */



include_once($_ROOT_DIR_ . "class/DBConnect.php");

class DBConnectPgsql extends DBConnect {
	//コンストラクタ
	//ここで、メンバ変数に値を代入
	function DBConnectPgsql($hostName, $portNo, $userName, $password, $dbName){
		$this->hostName = $hostName;
		$this->portNo   = $portNo;
		$this->userName = $userName;
		$this->password = $password;
		$this->dbName   = $dbName;
	}
	//DBをオープンし、コネクションハンドルを返す
	function openConnect(){
		mb_language("uni");
		mb_internal_encoding("utf-8");
		$connectionString = "host=$this->hostName port=$this->portNo dbname=$this->dbName user=$this->userName password=$this->password";
		$conn = pg_connect($connectionString);
		return $conn;
	}
	//DBをクローズする
	function closeConnect($conn){
		if($conn != false) {
			pg_close($conn);
		}
	}
}
?>
