<?php
/**
 *イベント用施設管理クラス
 *
 * @author hideki HARANAKA <hideki-h@syscon.co.jp>
 */
class ScheduleFacilityInfo {

  /**
   *クラス名称
   */
  var $classname = "ScheduleFacilityInfo";

  /**
   *スケジュールコード
   */
  var $schedule_cd;

  /**
   *施設コード
   */
  var $fac_cd;

  var $ac_date;

  /**
   *施設名称
   */
  var $fac_name;

  var  $scheduleEventInfo;

  /**
   *スケジュールコードを取得する
   *
   *@return int スケジュールコード
   */
  function  getSchedule_cd() {
    return $this->schedule_cd;
  }

  /**
   *スケジュールコードを設定する
   *
   *@param schedule_cd スケジュールコード
   */
  function  setSchedule_cd( $schedule_cd) {
  	$this->schedule_cd = $schedule_cd;
  }

  /**
   *施設コードを取得する
   *
   *@return String 施設コード
   */
  function  getFac_cd() {
    return $this->fac_cd;
  }

  /**
   *施設コードを設定する
   *
   *@param fac_cd 施設コード
   */
  function  setFac_cd( $fac_cd) {
  	$this->fac_cd = $fac_cd;
  }

  /**
   *施設名称を取得する
   *
   *@return String 施設名称
   */
  function  getFac_name() {
    return $this->fac_name;
  }

  /**
   *施設名称を設定する
   *
   *@param fac_name 施設名称
   */
  function  setFac_name( $fac_name) {
  	$this->fac_name = $fac_name;
  }

}

?>