<?php
//
// Copyright (C) 2001-2002 System Consultants Co.,Ltd. All Rights Reserved.
//
// $Id: codeinfoowner.php 920 2002-06-07 10:35:21Z hiboki $
//

/**
 * コード情報処理クラス
 *
 * @author hiroki KAWAMURA <hiroki@syscon.co.jp>
 * @author yuji TAKAHASHI <yu-ji@syscon.co.jp>
 */



class CodeInfoOwner
{
	var	$codeInfoArray;		// コード情報の配列
//	var $execSql;			// ExecSqlクラス
	var $tableName;			// テーブル名
	var $codeColumn;		// codeカラム名
	var $nameColumn;		// nameカラム名

	// コンストラクタ
	function CodeInfoOwner()
	{
//		$this->execSql = new ExecSql();
		$this->codeInfoArray = array();
	}

	// codeInfoArrayの取得
	function getCodeInfoArray()
	{
		return $this->codeInfoArray;
	}

	// tableNameの設定
	function setTableName($tableName)
	{
		$this->tableName = $tableName;
	}

	// tableNameの取得
	function getTableName()
	{
		return $this->tableName;
	}

	// codeColumnの設定
	function setCodeColumn($codeColumn)
	{
		$this->codeColumn = $codeColumn;
	}

	// codeColumnの取得
	function getCodeColumn()
	{
		return $this->codeColumn;
	}

	// nameColumnの設定
	function setNameColumn($nameColumn)
	{
		$this->nameColumn = $nameColumn;
	}

	// nameColumnの取得
	function getNameColumn()
	{
		return $this->nameColumn;
	}

	// SelectSQLの実行
	function doSelectQuery($conn, $dbSqlObj, $dbExecObj)
	{
//		$sqlStr = "SELECT " . $this->getCodeColumn() . "," . $this->getNameColumn() . " FROM " . $this->getTableName() . " ORDER BY " . $this->getNameColumn();
//
//		// SQL実行
//		$this->execSql->doExecSql($conn, $sqlStr);

		$strSql = $dbSqlObj->selectCodeInfo($this->getCodeColumn(), $this->getNameColumn(), $this->getTableName(), $this->getNameColumn());
		$result = $dbExecObj->exeSql($conn, $strSql);

		// CodeInfoへのコンバート
		$this->convertResult2CodeInfo($dbExecObj, $result);
	}


	// resultをCodeInfoにコンバート
	function convertResult2CodeInfo($dbExecObj, $result)
	{
		$codeInfoArray = array();

		$numrows = $dbExecObj->getNumRows($result);
		for ($i = 0; $i < $numrows; $i++)
		{
			$codeInfo = new CodeInfo();
			$codeInfo->setCode($dbExecObj->getResult($result, $i, $this->getCodeColumn()));
			$codeInfo->setName($dbExecObj->getResult($result, $i, $this->getNameColumn()));

			$codeInfoArray = $this->codeInfoArray;
			$codeInfoArray[$dbExecObj->getResult($result, $i, $this->getCodeColumn())] = $codeInfo;
			$this->codeInfoArray = $codeInfoArray;
		}
	}

}

?>