<?php
//
// Copyright (C) 2001-2002 System Consultants Co.,Ltd. All Rights Reserved.
//
// $Id: execsql.php 920 2002-06-07 10:35:21Z hiboki $
//

/**
 * SQLの実行と結果の管理
 *
 * @author hiroki KAWAMURA <hiroki@syscon.co.jp>
 * @author yuji TAKAHASHI <yu-ji@syscon.co.jp>
 */



class ExecSql
{
	var	$result = 0;	// クエリの結果ID

	// コンストラクタ
	function ExecSql()
	{
	}


	// SQL実行
	function doExecSql($con, $sql)
	{
		$this->result = pg_exec($con, $sql);
		if (!$this->result)
		{
			echo "<B>クエリ実行結果を取得できませんでした。</B><BR>\n";
			exit;
		}
	}


	// 結果の取得
	function getResult($i, $field)
	{
		if (!$this->result)
		{
			echo "<B>データを取得できませんでした。</B><BR>\n";
			exit;
		}

		return pg_result($this->result, $i, $field);
	}


	// 件数の取得
	function getNumRows()
	{
		if (!$this->result)
		{
			echo "<B>データを取得できませんでした。</B><BR>\n";
			exit;
		}
		
		return pg_numrows($this->result);
	}


	// リソースの開放
	function doFreeResult()
	{
		if ($this->result)
		{
			pg_freeresult($this->result);
			$this->result = 0;
		}
	}
}

?>
