<?php
//
// Copyright (C) 2003 System Consultants Co.,Ltd. All Rights Reserved.
//
// $Id: javascriptselect_div_emp_monsche.php,v 1.3 2002/10/01 08:10:12 yu-ji Exp $
//

/**
 * @author hideki HARANAKA <hideki-h@syscon.co.jp>
 */



require_once ($_ROOT_DIR_ . "class/javascriptselect.php");

class JavaScriptSelect_DivEmp_Reserve extends JavaScriptSelect
{
/// public ///

	// コンストラクタ
	function JavaScriptSelect_DivEmp_Reserve()
	{
	}


/// protected ///

	// メイン要素取得SQLの取得
	// コード、名前
	function getSelectMainElementSql($dbSqlObj)
	{
		$sqlstr = $dbSqlObj->selectDivisionDiv_nameOrderByDiv_nameDivision();

		return $sqlstr;
	}


	// サブ要素取得SQLの取得
	// サブ要素のコード、サブ要素の名前、関連付いたメイン要素のコード
	function getSelectSubElementSql($dbSqlObj)
	{
		$sqlstr = $dbSqlObj->selectDivisionEmp_cdNameOrderBySort_noEmp_cd();

		return $sqlstr;
	}

	// サブ要素の<option>の出力
	// JavaScriptが無効の際に表示される
    // JavaScriptSelect のメソッドをオーバーライド
	function printDefaultSubOption($tantou)
	{ 
		if ($this->isDisableJavaScriptShowMain() == "True")
		{
			$subOptionStr = "<option value=\"\">−−−−−−−−−−</option>\n";
			$subOptionStr .= "<option value=\"\">−−−−−−−−−−</option>\n";
			$subOptionStr .= "<option value=\"\">−−−−−−−−−−</option>\n";
		}
		else
		{
			$tempSubElementArray = $this->getSubElementArray();

			if ($this->isMainAllSubIncludeAll() == "True")
			{
				$subOptionStr = "<option value=\"all\">全て</option>\n";
			}

			// メイン要素が全ての時、全てのサブ要素を表示する場合
			if ($this->isSubAllOnly() == "False")
			{
				$tempSubElementArrayAll = $tempSubElementArray["all"];

				foreach ($tempSubElementArrayAll as $key => $value)
				{
					if($key == $tantou)
					{
						$subOptionStr .= "<option value=\"" . htmlSpecialEscape($key) . "\" selected >" . htmlSpecialEscape($value) . "</option>\n";
					}
					else
					{
						$subOptionStr .= "<option value=\"" . htmlSpecialEscape($key) . "\">" . htmlSpecialEscape($value) . "</option>\n";
					}
				}
			}
		}

		echo $subOptionStr;
	}

}

?>
