<?php
//
// Copyright (C) 2001-2002 System Consultants Co.,Ltd. All Rights Reserved.
//
// $Id: js.php 920 2002-06-07 10:35:21Z hiboki $
//

/**
 * 
 *
 * @author hiroki KAWAMURA <hiroki@syscon.co.jp>
 * @author yuji TAKAHASHI <yu-ji@syscon.co.jp>
 */



class JSSelect {

	var $ar_main;			// メイン要素の配列

	var $selectedcat;		// 
	var $selectedsubcat;	// 

	var $cat_cd;			// 
	var	$subcat_cd;			// 

	var $sub;

	// コンストラクタ
	function JSSelect() {
	}


	// JavaScriptコードの出力
	function PrintJS($ar_main_tmp, $cat_cd_tmp, $subcat_cd_tmp, $sub_tmp,$conn,$dbSqlObj,$dbExecObj) {

		// メンバ変数のセット
		$this->ar_main = $ar_main_tmp;
		$this->cat_cd = $cat_cd_tmp;
		$this->subcat_cd = $subcat_cd_tmp;
		$this->sub = $sub_tmp;


		// initSelectの出力
		$this->printInitSelect($conn,$dbSqlObj,$dbExecObj);

		// changeSelectの出力
		$this->printChangeSelect();

	}

	function printInitSelect($conn,$dbSqlObj,$dbExecObj)
	{

		echo "function initSelect(myForm) {\n";

		// メイン要素名（固定）
			$this->printMainSelectArray();

		// メインコード、サブ名、サブコード（オーバーライド）
			$this->printSubSelectArray($conn,$dbSqlObj,$dbExecObj);

		// メインSELECTのセット（固定）
			$this->printMainSelectSet();

		if($this->sub != "dirmove"){
			// サブSELECTのセット（固定）
				$this->printSubSelectSet();
			// SELECT（オーバーライド）
				$this->printSelectSelection();
		}

		echo "}\n\n";

	}


	// 
	function printChangeSelect()
	{

		echo "function changeSelect(myForm) {\n";

		reset($this->ar_main);

		echo "myForm.subcat_cd.options.length = 0;\n";
		echo "var category = myForm.cat_cd.options[myForm.cat_cd.selectedIndex].value;\n";
		echo "switch (category)\n";
		echo "{\n";

		if ($this->sub != "ファイルアップロード")
		{
			echo "case \"all\" :\n";
			echo "woption = new Option(subcatname_arrall[0], sub_arrall[0], '0', '0');\n";
			echo "myForm.subcat_cd.options[0] = woption;\n";
			echo "break;\n";
		}

		while (current($this->ar_main))
		{
			echo "case \"" . key($this->ar_main) . "\" :\n";
			echo "for (k = 0; k < subcatname_arr" . key($this->ar_main) . ".length; k++)\n";
			echo "{\n";
			echo "woption = new Option(subcatname_arr" . key($this->ar_main) . "[k], sub_arr" . key($this->ar_main) . "[k], '0', '0');\n";
			echo "myForm.subcat_cd.options[k] = woption;\n";
			echo "}\n";
			echo "myForm.subcat_cd.selectedIndex = 0;\n";
			echo "break;\n";

			next($this->ar_main);
		}

		echo "}\n";
		
		echo "return true;\n";
		echo "}\n";
	}


	// カテゴリ名（固定）
	function printMainSelectArray()
	{

		if ($this->sub == "ファイルアップロード" || $this->sub == "テキストファイル作成" || $this->sub == "move" || $this->sub == "dirmove")
		{
			echo "\tcatname_arr = new Array(";
		}
		else
		{
			echo "\tcatname_arr = new Array(\"全て\",";
		}

		while (current($this->ar_main))
		{

			echo "\"" . $this->ar_main[key($this->ar_main)] . "\"";
			if (next($this->ar_main))
			{
				echo ",";
			} 
		}

		echo ");\n";
		
		reset($this->ar_main);

	}


	// カテゴリコード、サブカテゴリ名、サブカテゴリコード（オーバーライド）
	function printSubSelectArray($conn,$dbSqlObj,$dbExecObj)
	{
		//2002/1/8 yu-ji.takahashi.write
//		include("gw.php");
//		include("include/dbChange.php");
//		$conn = $dbConnectObj->openConnect();

		if ($this->sub == "ファイルアップロード" || $this->sub == "テキストファイル作成" || $this->sub == "move" || $this->sub == "dirmove")
		{
			echo "\tmain_arr = new Array(";
		}
		else
		{
			echo "\tmain_arr = new Array(\"all\",";
		}

		$wcat = "";
		$wstr_subcatname="";
		$wstr_subcat="";

		if ($this->sub != "ファイルアップロード" && $this->sub != "テキストファイル作成" && $this->sub != "move" && $this->sub != "dirmove")
		{
			// サブカテゴリ名
			$wstr_subcatname .= "\tsubcatname_arrall = new Array(\"全て\");\n";
			// サブカテゴリコード
			$wstr_subcat .= "\tsub_arrall = new Array(\"all\");\n";

			$offset = 1;
		}
		else
		{
			$offset = 0;
		}


		for ($ii = 0; current($this->ar_main); $ii++)
		{
			if (!strcmp(key($this->ar_main), $this->cat_cd))
			{
				$this->selectedcat = $ii + $offset;
			}

//			if (current($this->ar_main) != $wcat)
//			{
				if ($this->sub == "ファイルアップロード" || $this->sub == "テキストファイル作成" || $this->sub == "move" || $this->sub == "dirmove")
				{
					// サブカテゴリ名
					$wstr_subcatname .= "\tsubcatname_arr" . key($this->ar_main) . " = new Array(";
					// サブカテゴリコード
					$wstr_subcat .= "\tsub_arr" . key($this->ar_main) . " = new Array(";
				}
				else
				{
					// サブカテゴリ名
					$wstr_subcatname .= "\tsubcatname_arr" . key($this->ar_main) . " = new Array(\"全て\",";
					// サブカテゴリコード
					$wstr_subcat .= "\tsub_arr" . key($this->ar_main) . " = new Array(\"all\",";
				}

				$key = key($this->ar_main);
				$strSql = $dbSqlObj->selectSubCategoryWithCatCdAndKey($key);
//				$sqlstr = "SELECT * FROM subcategory ";
//				$sqlstr .= "WHERE cat_cd = '" . key($this->ar_main) . "' ";
//				$sqlstr .= "ORDER BY subcat_name,subcat_cd;";
//				$result = pg_exec($sqlstr);
				$result = $dbExecObj->exeSql($conn,$strSql);
				$recordCount = $dbExecObj->getNumRows($result);

				for ($m = 0; $m < $recordCount; $m++)
				{
					if (!strcmp($dbExecObj->getResult($result,$m,"subcat_cd"), $this->subcat_cd))
					{
						$this->selectedsubcat = $m + 1;
					}

					$wstr_subcatname.= "\"" . $dbExecObj->getResult($result,$m,"subcat_name") . "\"";
					$wstr_subcat.= "\"" . $dbExecObj->getResult($result, $m, "subcat_cd") . "\"";

					if ($m + 1 != $recordCount)
					{
						$wstr_subcatname .= ",";
						$wstr_subcat .= ",";
					}
				}

				$wstr_subcatname .= ");\n";
				$wstr_subcat .= ");\n";
				$wcat = key($this->ar_main);
//			}

			echo "\"".key($this->ar_main) . "\"";

			if (next($this->ar_main))
			{
				echo ",";
			}

			$dbExecObj->freeResult($result);
		}

		echo ");\n";
		echo $wstr_subcatname;
		echo $wstr_subcat;


	}


	// カテゴリSELECTのセット（固定）
	function printMainSelectSet()
	{

		echo "myForm.cat_cd.options.length = 0;\n";
		echo "for (k = 0; k < catname_arr.length; k++)\n";
		echo "{\n";
		echo "woption = new Option(catname_arr[k], main_arr[k], '0', '0');\n";
		echo "myForm.cat_cd.options[k] = woption;\n";
		echo "}\n";

	}


	// サブカテゴリSELECTのセット（固定）
	function printSubSelectSet()
	{

		echo "myForm.subcat_cd.options.length = 0;\n";
		reset($this->ar_main);
		echo "for (k = 0;k < subcatname_arr" . key($this->ar_main) . ".length;k++) {\n";
		echo "woption = new Option(subcatname_arr" . key($this->ar_main) . "[k], sub_arr" . key($this->ar_main) . "[k], '0', '0');\n";
		echo "myForm.subcat_cd.options[k] = woption;\n";
		echo "}\n";

	}


	// SELECT（オーバーライド）
	function printSelectSelection()
	{
		if ($this->cat_cd == "" || $this->cat_cd == "all") 
		{
			$this->selectedcat = 0;
		}

		if ($this->subcat_cd == "" || $this->subcat_cd == "all") 
		{
			$this->selectedsubcat = 0;
		}
		elseif ($this->sub == "ファイルアップロード" || $this->sub == "テキストファイル作成" || $this->sub == "move" || $this->sub == "dirmove")
		{
			$this->selectedsubcat--;
		}

		echo "myForm.cat_cd.selectedIndex = " . $this->selectedcat . ";\n";
		echo "changeSelect(myForm);\n";
		echo "myForm.subcat_cd.selectedIndex = " . $this->selectedsubcat . ";\n";
		echo "return true;\n";

	}

}

?>
