<?
//
// Copyright (C) 1999-2000 Top Management Service, inc. All Rights Reserved.
// Copyright (C) 2001-2002 System Consultants Co.,Ltd. All Rights Reserved.
//
// $Id: client.php 1196 2004-08-25 08:28:01Z hideki-h $
//

/**
 * 取引先・担当者情報
 *
 * @author hiroki KAWAMURA <hiroki@syscon.co.jp>
 * @author yuji TAKAHASHI <yu-ji@syscon.co.jp>
 */



$debugFlag = false;
//////////////////////////////////////////////////////
//////////////////// 初期処理 ////////////////////////
//////////////////////////////////////////////////////

$sub = isset($_POST["sub"]) ? $_POST["sub"] : $_GET["sub"];
$Sel = isset($_POST["Sel"]) ? $_POST["Sel"] : $_GET["Sel"];
$seq = isset($_POST["seq"]) ? $_POST["seq"] : $_GET["seq"];
$bashocode = isset($_POST["bashocode"]) ? $_POST["bashocode"] : $_GET["bashocode"];

$syamei = $_POST["syamei"];
$Name_Lj = $_POST["Name_Lj"];
$Name_Fj = $_POST["Name_Fj"];
$Name_Fe = $_POST["Name_Fe"];
$Name_Le = $_POST["Name_Le"];
$e_mail = $_POST["e_mail"];
$web = $_POST["web"];
$Shihon1 = $_POST["Shihon1"];
$Shihon2 = $_POST["Shihon2"];
$bank = $_POST["bank"];
$gyomu = $_POST["gyomu"];
$trans_id = $_POST["trans_id"];
$Bashomei = $_POST["Bashomei"];
$postal_1 = $_POST["postal_1"];
$postal_2 = $_POST["postal_2"];
$Address = $_POST["Address"];
$Tel = $_POST["Tel"];
$Fax = $_POST["Fax"];
$Busyo = $_POST["Busyo"];
$Yaku = $_POST["Yaku"];
$Sex = $_POST["Sex"];
$Phone = $_POST["Phone"];
$Handy = $_POST["Handy"];
$Email = $_POST["Email"];
$Gyomu = $_POST["Gyomu"];
$Memo = $_POST["Memo"];

include ("gw.php");
include_once($_ROOT_DIR_ . "class/PhraseSelect.php");
$objPhraseSelect = new PhraseSelect($bolPhraseSelect);
$varPhraseSet = $objPhraseSelect->getPhrase();

include("include/dbChange.php");
$conn = $dbConnectObj->openConnect();
if (!$conn)
{
	echo "セッティング異常";
	exit;
}

include ("include/accept.conf");

include("include/getnowtime.func");

include ("include/transactions.func");

// ログの記録を行います。
include ("include/createlog.conf");

if (!checkTransID($trans_id, $conn, $dbSqlObj, $dbExecObj))
{
	unset($sub);
}

//////////////////////////////////////////////////////
// Method後の振り分け処理 取引先編
//////////////////////////////////////////////////////
include("client_methods.php");

switch ($sub)
{
	case "to_delete_method":
		if ($debugFlag)
		{
			echo htmlSpecialEscape($varPhraseSet["strRelations"]) . "の削除処理がはいります！<br>\n";
			echo "Sel is " . htmlSpecialEscape($Sel);
		}
		break;
	case "to_edit_method":
		if ($debugFlag)
		{
			echo htmlSpecialEscape($varPhraseSet["strRelations"]) . "の編集処理がはいります！<br>\n";
			echo "Sel is " . htmlSpecialEscape($Sel);
		}
		$sub = "情報表示";
		break;
	case "to_input_method":
		if ($debugFlag)
		{
			echo htmlSpecialEscape($varPhraseSet["strRelations"]) . "の新規追加処理がはいります！<br>\n";
			echo "Sel is " . htmlSpecialEscape($Sel);
		}
		$sub = "情報表示";
		break;
}

//////////////////////////////////////////////////////
// Method後の振り分け処理 取引先編
//////////////////////////////////////////////////////

switch($sub) {
	case "ba_delete_method":
		if ($debugFlag) {
			echo "場所の削除処理がはいります！<br>\n";
			echo "Sel is " . htmlSpecialEscape($Sel) . " bashocode is " . htmlSpecialEscape($bashocode);
		}
		$sub = "情報表示";
		break;
	case "ba_edit_method":
		if ($debugFlag) {
			echo "場所の編集処理がはいります！<br>\n";
			echo "Sel is " . htmlSpecialEscape($Sel) . " bashocode is " . htmlSpecialEscape($bashocode);
		}
		$sub = "情報表示";
		break;
	case "ba_input_method":
		if ($debugFlag) {
			echo "場所の新規追加処理がはいります！<br>\n";
			echo "Sel is " . htmlSpecialEscape($Sel) . " bashocode is " . htmlSpecialEscape($bashocode);
		}
		$sub = "情報表示";
		break;
}

//////////////////////////////////////////////////////
// Method系$subの振り分け処理 担当者編
//////////////////////////////////////////////////////
	
switch($sub) {
	case "ta_delete_method":
		if ($debugFlag) {
			echo "担当者の削除処理がはいります！<br>\n";
			echo "Sel is " . htmlSpecialEscape($Sel) . " seq is " . htmlSpecialEscape($seq) . " CompNo is " . htmlSpecialEscape($CompNo);
		}
		$sub = "情報表示";
		break;
	case "ta_edit_method":
		if ($debugFlag) {
			echo "担当者の編集処理がはいります！<br>\n";
			echo "Sel is " . htmlSpecialEscape($Sel) . " seq is " . htmlSpecialEscape($seq) . " CompNo is " . htmlSpecialEscape($CompNo);
		}
		$sub = "情報表示";
		break;
	case "ta_input_method":
		if ($debugFlag) {
			echo "担当者の新規追加処理がはいります！<br>\n";
			echo "Sel is " . htmlSpecialEscape($Sel) . " seq is " . htmlSpecialEscape($seq) . " CompNo is " . htmlSpecialEscape($CompNo);
		}
		$sub = "情報表示";
		break;
}

//////////////////////////////////////////////////////
//////////////////// ヘッダ //////////////////////////
//////////////////////////////////////////////////////
?>

<?php
// ログオン周りのクラスを使います。
require_once($_ROOT_DIR_ . "class/employeeinfo.php");		// 社員情報クラス
require_once($_ROOT_DIR_ . "class/employeeinfoowner.php");	// 社員情報クラスの処理クラス
$employeeInfoOwner = new EmployeeInfoOwner();
$employeeInfoOwner->setEmp_cd($_SERVER["PHP_AUTH_USER"]);
$employeeInfoOwner->doSelectQuery($conn, $dbSqlObj, $dbExecObj);
$employeeInfoArray = $employeeInfoOwner->getEmployeeInfoArray();
$isAdmin = $employeeInfoArray[$_SERVER["PHP_AUTH_USER"]]->isAdmin();
$empName = $employeeInfoArray[$_SERVER["PHP_AUTH_USER"]]->getName();

// デザインをインクルードします。
require_once($_ROOT_DIR_ . "class/menuHeadder.php");
$menuShowObj = new menuShowObj($conn,$dbSqlObj,$dbExecObj);
$menuShowObj->setEmpName($empName);
$menuShowObj->setCurrentAppli("clnt");
$menuShowObj->setIsAdmin($isAdmin);
$menuShowObj->showHeadder();

//////////////////////////////////////////////////////
//	$subの中身に応じて、ファイルをインクルードする。 #2
//////////////////////////////////////////////////////
switch ($sub)
{
	case "ta_input_before":
		include("client_headder_c.php");
		include("client_search_form_b.php");
		break;

	case "情報表示":
		include("client_headder_a.php");
		include("client_search_form.php");
		// 検索結果表示
		if (!$Sel)
		{
			echo htmlSpecialEscape($varPhraseSet["strRelations"]) . "を選択してください。<br>\n";
		}
		else
		{
			include("client_search_result.php");
		}
		break;

	case "to_edit":
		// 取引先編集
	case "to_delete":
		include("client_headder_a.php");
		include("client_search_form.php");
		// 取引先削除
		if (!$Sel)
		{
			echo htmlSpecialEscape($varPhraseSet["strRelations"]) . "を選択してください。<br>\n";
		}
		else
		{
			include("client_corp_detail.php");
		}
		break;

	case "取引先新規登録":
	case "addNewComp":
		include("client_headder_b.php");
		include("client_search_form.php");
		// 取引先登録
		$Sel = "";
		include("client_corp_detail.php");
		break;

	case "ta_edit":
		// 担当者編集
	case "ta_delete":
		include("client_headder_a.php");
		include("client_search_form.php");
		// 担当者削除
		if (!$seq)
		{
			echo "担当者を選択してください。<br>\n";
		}
		else
		{
			include("client_tantou_detail.php");
		}
		break;

	case "ta_input":
		// 担当者登録
 		include("client_headder_c.php");
		include("client_search_form.php");
		// 取引先削除
		if (!$Sel)
		{
			echo htmlSpecialEscape($varPhraseSet["strRelations"]) . "を選択してください。<br>\n";
		}
		else
		{
			include("client_tantou_detail.php");
		}
		break;

	case "ba_input":
		// 場所登録
 		include("client_headder_a.php");
		include("client_search_form.php");
		if (!$Sel)
		{
			echo htmlSpecialEscape($varPhraseSet["strRelations"]) . "を選択してください。<br>\n";
		}
		else
		{
			include("client_basho_detail.php");
		}
		break;

	case "ba_edit":
		// 場所編集
	case "ba_delete":
		// 場所削除
 		include("client_headder_a.php");
		include("client_search_form.php");
		if (!$Sel || !$bashocode)
		{
			echo htmlSpecialEscape($varPhraseSet["strRelations"]) . "と場所を選択してください。<br>\n";
		}
		else
		{
			include("client_basho_detail.php");
		}
		break;

	default:
		include("client_headder_a.php");
		include("client_search_form.php");
		break;
}

//////////////////////////////////////////////////////
//////////////////// フッタ //////////////////////////
//////////////////////////////////////////////////////
?>
</CENTER>
<?php
//デザインマージ後のフッタをインクルードします。
$menuShowObj->showFooter();
?>
