<?
//
// Copyright (C) 2001-2003 System Consultants Co.,Ltd. All Rights Reserved.
//
// $Id: client_basho_detail.php 1220 2004-09-03 08:27:47Z hideki-h $
//

/**
 * 取引先・担当者情報
 *
 * @author hiroki KAWAMURA <hiroki@syscon.co.jp>
 * @author yuji TAKAHASHI <yu-ji@syscon.co.jp>
 * @author hideo OHSAWA <ohsawa@syscon.co.jp>
 */


//////////////////////////////////////////////////////
////////////////////   詳細表示   ////////////////////
////////////////////   (取引先)   ////////////////////
//////////////////////////////////////////////////////
if ($Sel && $bashocode && $sub != "ba_input"){
	$strSql = $dbSqlObj->selectTori_PlaceWithToriCodeBashoCode($Sel,$bashocode);
	$res_basho = $dbExecObj->exeSql($conn, $strSql);
	if ( !$res_basho ) {
		echo "セッティング異常 #1";
		exit;
	}

	$Bashomei = $dbExecObj->getResult($res_basho , 0 ,"bashomei");
	$Postal_1 = substr($dbExecObj->getResult($res_basho , 0 , "postal"),0,3) ;
	$Postal_2 = substr($dbExecObj->getResult($res_basho , 0 , "postal"),3,4) ;
	$Address    = $dbExecObj->getResult($res_basho , 0 , "address");
	$Tel      = $dbExecObj->getResult($res_basho , 0 , "tel");
	$Fax      = $dbExecObj->getResult($res_basho , 0 , "fax");

	// $deletable が trueだったら、削除リンクを表示。
	// false だったら、削除リンクを非表示にする。
		$strSql = $dbSqlObj->selectAdministratorsAllWithEmpCd($_SERVER["PHP_AUTH_USER"]);
		$res_adm = $dbExecObj->exeSql($conn,$strSql);
		$adminCount   = $dbExecObj->getNumRows($res_adm);
	// 担当者情報の中で他人が作成したやつがあるか
		$strSql = $dbSqlObj->selectTantouCountOfInputEmpCdWithInputEmpCdToriCodeBashoCode($Sel,$_SERVER["PHP_AUTH_USER"], $bashocode);
		$res_tan= $dbExecObj->exeSql($conn,$strSql);
		$tantouOtherCount = $dbExecObj->getResult($res_tan,0,"count_of_records");

		$input_emp_cd = $dbExecObj->getResult($res_basho, 0, "input_emp_cd");

		if ($adminCount != 0) {
			$bashoDeletable = true;
		} elseif ($input_emp_cd == $_SERVER["PHP_AUTH_USER"]) {
			if ($tantouOtherCount != 0) {
				$bashoDeletable = false;
			} else {
				$bashoDeletable = true;
			}
		} else {
			$bashoDeletable = false;
		}
	// ここまで。

}

$strSql = $dbSqlObj->selectTorihikisakiWithToriCode($Sel);

$res_corp = $dbExecObj->exeSql($conn,$strSql);
if ( !$res_corp ) {
	echo "セッティング異常 #2";
	exit;
}
$corp_name = $dbExecObj->getResult($res_corp, 0, "syamei");

?>
<form action=client.php method=POST>
	<TABLE CELLPADDING=2 cellspacing=0 border=0>
		<TR>
			<TD COLSPAN = "3"><span class="fBlack12100">■<?php echo htmlSpecialEscape($varPhraseSet["strLocation"]) ?>情報</span></TD>
		</TR>
		<TR>
			<Td><span class="fBlack10100"><b><?php echo htmlSpecialEscape($varPhraseSet["strRelations"]) ?>名</b></span></Td>
			<TD COLSPAN = 2>
				<span class="fBlack12100"><?echo htmlSpecialEscape($corp_name)?></span>
			</TD>
		</TR>
		<TR>
			<Td><FONT COLOR="red">*</FONT><span class="fBlack10100"><b><?php echo htmlSpecialEscape($varPhraseSet["strLocation"]) ?>名</b></span></Td>
			<TD COLSPAN = "2"><INPUT TYPE = "TEXT" NAME = "Bashomei"  SIZE = "50" MAXLENGTH = "100" VALUE = "<?echo htmlSpecialEscape($Bashomei)?>"></TD>
		</TR>
		<TR>
			<Td><span class="fBlack10100"><b>郵便番号</b></span></Td>
			<TD COLSPAN = "2"><INPUT TYPE = "TEXT" NAME = "postal_1" SIZE = "3" MAXLENGTH = "3" VALUE = "<?echo htmlSpecialEscape($Postal_1)?>"> − 
			<INPUT TYPE = "TEXT" NAME = "postal_2" SIZE = "4" MAXLENGTH = "4" VALUE = "<?echo htmlSpecialEscape($Postal_2)?>"></TD>
		</TR>
		<TR>
			<Td><span class="fBlack10100"><b>住所</b></span></TH>
			<TD COLSPAN = "2"><INPUT TYPE = "TEXT" NAME = "Address"  SIZE = "50" MAXLENGTH = "100" VALUE = "<?echo htmlSpecialEscape($Address)?>"></TD>
		</TR>
		<TR>
			<Td><span class="fBlack10100"><b>電話番号</b></span></Td>
			<TD COLSPAN = "2"><INPUT TYPE = "TEXT" NAME = "Tel"  SIZE = "20" MAXLENGTH = "20" VALUE = "<?echo htmlSpecialEscape($Tel)?>"></TD>
		</TR>
		<TR>
			<Td><span class="fBlack10100"><b>FAX番号</b></span></Td>
			<TD COLSPAN = "2"><INPUT TYPE = "TEXT" NAME = "Fax"  SIZE = "20" MAXLENGTH = "20" VALUE = "<?echo htmlSpecialEscape($Fax)?>"></TD>
		</TR>
	</TABLE>

	<INPUT TYPE=HIDDEN NAME=Sel VALUE=<?echo htmlSpecialEscape($Sel)?>>
	<input type=hidden name=bashocode value=<?echo $bashocode?>>
    <input type="hidden" name="trans_id" value="<?php echo createTransID(); ?>">

<? if ( $sub == "ba_input") { ?>
	<INPUT TYPE = "SUBMIT" VALUE = "登録" NAME = "BUTTON">
	<input type=hidden name=sub value=ba_input_method>
<? } elseif($sub == "ba_edit") { ?>
<INPUT TYPE = "SUBMIT" VALUE = "更新" NAME = "BUTTON">
<input type=hidden name=sub value=ba_edit_method>
<? } else { 
		if ($bashoDeletable){ ?>
<br><font color=red>上記データを本当に削除してよろしいですか？<br>
<? if($tantouOtherCount != 0) { ?>他の人が作成した<? } ?>
上記<?php echo htmlSpecialEscape($varPhraseSet["strLocation"]) ?>の担当者情報も一緒に削除されます。<br>
よろしければ、「削除」をクリックしてください。</font><br>
<br>
<INPUT TYPE = "SUBMIT" VALUE = "削除" NAME = "BUTTON">
<input type=hidden name=sub value=ba_delete_method>
<?		} else { ?>
<font color=red>他の人が作成したデータが担当者情報に含まれるため、<br>
データを削除できません。</font><br>
<?		}
	}?>
</form>
