<?php
//
// Copyright (C) 2001-2003 System Consultants Co.,Ltd. All Rights Reserved.
//
// $Id: client_search_result.php 1198 2004-08-25 10:27:30Z hideki-h $
//

/**
 * 
 *
 * @author hiroki KAWAMURA <hiroki@syscon.co.jp>
 * @author yuji TAKAHASHI <yu-ji@syscon.co.jp>
 * @author hideo OHSAWA <ohsawa@syscon.co.jp>
 */



//////////////////////////////////////////////////////
//////////////////// 検索結果表示 ////////////////////
////////////////////   (取引先)   ////////////////////
//////////////////////////////////////////////////////
	$strSql = $dbSqlObj->selectTorihikisakiWithToriCode($Sel);
	$Company = $dbExecObj->exeSql($conn,$strSql);

	$Money = htmlSpecialEscape($dbExecObj->getResult($Company , 0 , "shihon"));
	if ( !$Money ){
		$StrMoney = "&nbsp";
	} else {
		$StrMoney = floor($Money / 10000) . "億" . substr($Money , strlen($Money) - 4 , 4) . "万円";
	}

	$Bank   = htmlSpecialEscape($dbExecObj->getResult($Company , 0 , "bank"));  	if ( !$Bank )	{ $Bank = "&nbsp"; }
	$Web    = htmlSpecialEscape($dbExecObj->getResult($Company , 0 , "web"));	if ( !$Web )	{ $Web = "&nbsp"; } else { $Web = "<A class=\"usually\" HREF=\"$Web\" TARGET = \"_new\">$Web</A>"; }
	$E_mail    = htmlSpecialEscape($dbExecObj->getResult($Company , 0 , "email"));	if ( !$E_mail )	{ $E_mail = "&nbsp"; } else { $E_mail = "<A class=\"usually\" HREF=\"mailto:$E_mail\">$E_mail</A>"; }
	$last_name_e  = $dbExecObj->getResult($Company , 0 , "last_name_e");
	$first_name_e = $dbExecObj->getResult($Company , 0 , "first_name_e");
	if (!$last_name_e && !$first_name_e) {
		$name_e = "";
	} else {
		$name_e = "(" . $last_name_e . " " . $first_name_e . ")";
	}
	$last_name_j  = $dbExecObj->getResult($Company , 0 , "last_name_j");
	$first_name_j = $dbExecObj->getResult($Company , 0 , "first_name_j");
	$name_j = $last_name_j . " " . $first_name_j;

// $deletable が trueだったら、削除リンクを表示。
// false だったら、削除リンクを非表示にする。
	$strSql = $dbSqlObj->selectAdministratorsAllWithEmpCd($_SERVER["PHP_AUTH_USER"]);
	$res_adm = $dbExecObj->exeSql($conn,$strSql);
	$adminCount   = $dbExecObj->getNumRows($res_adm);

	$input_emp_cd = $dbExecObj->getResult($Company, 0, "input_emp_cd");
	if ($input_emp_cd ==$_SERVER["PHP_AUTH_USER"]) {
		$corpDeletable = true;
	} elseif ($adminCount != 0) {
		$corpDeletable = true;
	} else {
		$corpDeletable = false;
	}
// ここまで。


?>

              <table width="760" border="0" cellspacing="0" cellpadding="0">
                <tr> 
                  <td class="gray" valign="top"> 
                    <table width="760" border="0" cellspacing="1" cellpadding="3">
                      <tr> 
                        <td class="sky"> 
                          <table width="245" border="0" cellspacing="0" cellpadding="0">
                            <tr> 
                              <td> 
                                <div align="center"><span class="fWhite10100"><?php htmlSpecialEscape( $varPhraseSet["strRelations"]) ?>名</span></div>
                              </td>
                            </tr>
                          </table>
                        </td>
                        <td class="white"> 
                          <table width="500" border="0" cellspacing="0" cellpadding="0">
                            <tr> 
                              <td nowrap><span class="fBlack10100"><?echo htmlSpecialEscape($dbExecObj->getResult($Company , 0 , "syamei"));?></span> 
                              </td>
                              <td align="right">
	                            <span class="fBlack10100">
	                              <a href="client.php?sub=to_edit&Sel=<?echo $Sel?>" class="usually">編集</a> 
<? if ($corpDeletable) { ?>
	                              <a href="client.php?sub=to_delete&Sel=<?echo $Sel?>" class="usually">削除</a>
<? } ?>
                                </span>
                              </td>
                            </tr>
                          </table>
                        </td>
                      </tr>
                      <tr> 
                        <td class="sky"> 
                          <div align="center"><span class="fWhite10100">主な業務内容</span></div>
                        </td>
                        <td class="white"><span class="fBlack10100"><?echo htmlSpecialEscape($dbExecObj->getResult($Company , 0 , "gyomu")) ?></span></td>
                      </tr>
<?php
if($bolClientInfo == "true")
{
}
else
{
?>
                      <tr>
                        <td class="sky"> 
                          <div align="center"><span class="fWhite10100">資本金・取引銀行</span></div>
                        </td>
                        <td class="white"><span class="fBlack10100"><?echo $StrMoney ?>　<?echo $Bank ?></span></td>
                      </tr>
<?php
}
?>
                      <tr> 
                        <td class="sky"> 
                          <div align="center"><span class="fWhite10100">代表者名</span></div>
                        </td>
                        <td class="white"><span class="fBlack10100"><?echo htmlSpecialEscape($name_j)?> <?echo htmlSpecialEscape($name_e)?></span></td>
                      </tr>
                      <tr> 
                        <td class="sky"> 
                          <div align="center"><span class="fWhite10100">メールアドレス</span></div>
                        </td>
                        <td class="white"><span class="fBlack10100"><?echo $E_mail?></span></td>
                      </tr>
                      <tr> 
                        <td class="sky"> 
                          <div align="center"><span class="fWhite10100">Webページアドレス</span></div>
                        </td>
                        <td class="white"><span class="fBlack10100"><?echo $Web?></span></td>
                      </tr>
                      <tr align="right"> 
                        <td class="white" colspan="2"><span class="fBlack10100"><a href="client.php?sub=ba_input&Sel=<?echo $Sel?>" class="usually"><?php echo htmlSpecialEscape($varPhraseSet["strLocation"]) ?>を登録</a></span></td>
                      </tr>
                    </table>
                  </td>
                </tr>
              </table>


<br>
<br>

<?
//////////////////////////////////////////////////////
//////////////////// 検索結果表示 ////////////////////
////////////////////(場所と担当者)////////////////////
//////////////////////////////////////////////////////
	$strSql = $dbSqlObj->selectTori_PlaceWithToriCode($Sel);
	$res_basho = $dbExecObj->exeSql($conn,$strSql);
	if(!$res_basho) {
		echo "データの検索に失敗しました<br>\n";
		exit;
	}
	$basho_count = $dbExecObj->getNumRows($res_basho);
	$j = 0;
	while ($j < $basho_count) {
		$bashocode = $dbExecObj->getResult($res_basho,$j,"bashocode");
		$bashomei = $dbExecObj->getResult($res_basho,$j,"bashomei");
		$postal = $dbExecObj->getResult($res_basho,$j,"postal");
		if(strlen($postal) == 7) {
			$postal = "〒" . substr($postal,0,3) . "-" . substr($postal,3,4);
		} else {
			$postal = $postal;
		}

		$address = $dbExecObj->getResult($res_basho,$j,"address");
		$tel = $dbExecObj->getResult($res_basho,$j,"tel");
		$fax = $dbExecObj->getResult($res_basho,$j,"fax");

		// $deletable が trueだったら、削除リンクを表示。
		// false だったら、削除リンクを非表示にする。
			$strSql = $dbSqlObj->selectAdministratorsAllWithEmpCd($_SERVER["PHP_AUTH_USER"]);
			$res_adm = $dbExecObj->exeSql($conn,$strSql);
			$adminCount   = $dbExecObj->getNumRows($res_adm);

			$input_emp_cd = $dbExecObj->getResult($res_basho, $j, "input_emp_cd");
			if ($input_emp_cd == $_SERVER["PHP_AUTH_USER"]) {
				$bashoDeletable = true;
			} elseif ($adminCount != 0) {
				$bashoDeletable = true;
			} else {
				$bashoDeletable = false;
			}
		// ここまで。


		$strSql = $dbSqlObj->selectTantouWithToriCodeBashoCodeSortedName($Sel,$bashocode);
		$res_tan  = $dbExecObj->exeSql($conn,$strSql);

		$Endd = $dbExecObj->getNumRows($res_tan);
	?>

              <table width="760" border="0" cellspacing="0" cellpadding="0">
                <tr> 
                  <td class="gray" valign="top"> 
                    <table width="760" border="0" cellspacing="1" cellpadding="3">
                      <tr> 
                        <td class="sky" colspan="5"> 
                          <div align="center"><span class="fWhite10100"><?echo htmlSpecialEscape($bashomei)?>
							<b>住所:</b><?echo htmlSpecialEscape($postal)?> <?echo htmlSpecialEscape($address)?>&nbsp; &nbsp;<b>TEL:</b><?echo htmlSpecialEscape($tel)?></span></div>
                        </td>
                        <td class="orange" align="right"> <span class="fBlack10100"><a href="client.php?sub=ba_edit&Sel=<?echo $Sel?>&bashocode=<?echo $bashocode?>" class="usually">表示・編集</a></span> 
 							<? if ($basho_count > 1 && $bashoDeletable) { ?>
							<span class="fBule10100"><a href="client.php?sub=ba_delete&Sel=<?echo $Sel?>&bashocode=<?echo $bashocode?>" class="usually">削除</a></span>
							<? } ?>
                       </td>
                      </tr>
	<?
		if ( $Endd !=0 ) {
			$i = 0;
	?>
                      <tr> 
                        <td class="lightsky"> 
                          <table width="104" border="0" cellspacing="0" cellpadding="0">
                            <tr> 
                              <td> 
                                <div align="center"><span class="fWhite10100">名前</span></div>
                              </td>
                            </tr>
                          </table>
                        </td>
                        <td class="lightsky"> 
                          <table width="116" border="0" cellspacing="0" cellpadding="0">
                            <tr> 
                              <td> 
                                <div align="center"><span class="fWhite10100">所属</span></div>
                              </td>
                            </tr>
                          </table>
                        </td>
                        <td class="lightsky"> 
                          <table width="116" border="0" cellspacing="0" cellpadding="0">
                            <tr> 
                              <td> 
                                <div align="center"><span class="fWhite10100">役職</span></div>
                              </td>
                            </tr>
                          </table>
                        </td>
                        <td class="lightsky"> 
                          <table width="106" border="0" cellspacing="0" cellpadding="0">
                            <tr> 
                              <td> 
                                <div align="center"><span class="fWhite10100">電話番号</span></div>
                              </td>
                            </tr>
                          </table>
                        </td>
                        <td class="lightsky"> 
                          <table width="162" border="0" cellspacing="0" cellpadding="0">
                            <tr> 
                              <td> 
                                <div align="center"><span class="fWhite10100">メールアドレス</span></div>
                              </td>
                            </tr>
                          </table>
                        </td>
                        <td class="lightsky"> 
                          <table width="106" border="0" cellspacing="0" cellpadding="0">
                            <tr> 
                              <td> 
                                <div align="center"><span class="fWhite10100">操作</span></div>
                              </td>
                            </tr>
                          </table>
                        </td>
                      </tr>
	<?
			while ($i < $Endd) {
				$Tel    = htmlSpecialEscape($dbExecObj->getResult($res_tan , $i , "phone"));
				if ( !$Tel ){ $Tel = "&nbsp"; }
				$Fax    = htmlSpecialEscape($dbExecObj->getResult($res_tan , $i , "fax"));
				if ( !$Fax ){ $Fax = "&nbsp"; }
				$Handy  = htmlSpecialEscape($dbExecObj->getResult($res_tan , $i , "handy"));
				if (!$Handy ){ $Handy = "&nbsp"; }
				$Busyo  = htmlSpecialEscape($dbExecObj->getResult($res_tan , $i , "busyo"));
				if (!$Busyo ){ $Busyo = "&nbsp"; }
				$Yaku  = htmlSpecialEscape($dbExecObj->getResult($res_tan , $i , "yaku"));
				if (!$Yaku ){ $Yaku = "&nbsp"; }

				$E_Mail = htmlSpecialEscape($dbExecObj->getResult($res_tan , $i , "email"));
				//if (!$E_Mail) { $E_Mail = "&nbsp"; }

				if ( !$E_Mail )	{
					$E_Mail = "&nbsp";
				} else {
					 $E_Mail = "<A HREF=\"mailto:$E_Mail\" class=\"usually\">$E_Mail</A>";
				}

				$seq = $dbExecObj->getResult($res_tan , $i , "seq");


			// $deletable が trueだったら、削除リンクを表示。
			// false だったら、削除リンクを非表示にする。
				$strSql = $dbSqlObj->selectAdministratorsAllWithEmpCd($_SERVER["PHP_AUTH_USER"]);
				$res_adm = $dbExecObj->exeSql($conn,$strSql);
				$adminCount   = $dbExecObj->getNumRows($res_adm);

				$input_emp_cd = $dbExecObj->getResult($res_tan, $i, "input_emp_cd");
				if ($input_emp_cd == $_SERVER["PHP_AUTH_USER"]) {
					$tantouDeletable = true;
				} elseif ($adminCount != 0) {
					$tantouDeletable = true;
				} else {
					$tantouDeletable = false;
				}
			// ここまで。

	?>
                      <TR>
                        <TD class="crame">
                          <div align="center"><span class="fBlack10100"><?echo htmlSpecialEscape($dbExecObj->getResult($res_tan , $i , "last_name_j"))?>　<?echo htmlSpecialEscape($dbExecObj->getResult($res_tan , $i , "first_name_j"))?></span></div>
                        </TD>
                        <TD  class="white"><span class="fBlack10100"><?echo $Busyo?></span></TD>
                        <TD  class="white"><span class="fBlack10100"><?echo $Yaku?></span></TD>
                        <TD  class="white"><span class="fBlack10100"><?echo $Tel?></span></TD>
                        <TD  class="white"><span class="fBlack10100"><?echo $E_Mail?></span></TD>
                        <TD  class="white"><span class="fBlack10100">
                          <CENTER>
                            <a href="client.php?sub=ta_edit&seq=<?echo $seq?>&Sel=<?echo $Sel?>&bashocode=<?echo $bashocode?>" class="usually">表示・編集</a> 
<? if ($tantouDeletable) { ?>
                            <a href="client.php?sub=ta_delete&seq=<?echo $seq?>&Sel=<?echo $Sel?>&bashocode=<?echo $bashocode?>" class="usually">削除</a>
<? } ?>
                          </CENTER></span>
                        </TD>
                      </TR>
			<?
				$i++; 
			}
			?>
                      <TR>
                        <TD class="white" colspan=6><span class=fBule10100>
                          <a href="client.php?sub=ta_input&Sel=<?echo $Sel?>&bashocode=<?echo $bashocode?>" class="usually">担当者を登録</a></span>
                        </td>
                      </tr>
                    </TABLE>
			<?
		} else {
			?>
                      <TR>
                        <TD colspan=6 class="crame">
                          <span class="fBlack10100">担当者情報は入力されていません</span>
                        </TD>
                      </TR>
                      <TR>
                        <TD class="white" COLSPAN =6 align=right><span class=fBule10100>
                          <a href="client.php?sub=ta_input&Sel=<?echo $Sel?>&bashocode=<?echo $bashocode?>" class="usually">担当者を登録</a></span>
                        </td>
                      </tr>
                    </TABLE>
			<?
		}
		$j++;
?>
                  </td>
                </tr>
              </table>
<?
	}
?>
