<?php
//
// Copyright (C) 2001-2003 System Consultants Co.,Ltd. All Rights Reserved.
//
// $Id: client_tantou_detail.php 1196 2004-08-25 08:28:01Z hideki-h $
//

/**
 * 取引先・担当者情報
 *
 * @author hiroki KAWAMURA <hiroki@syscon.co.jp>
 * @author yuji TAKAHASHI <yu-ji@syscon.co.jp>
 * @author hideo OHSAWA <ohsawa@syscon.co.jp>
 */



//////////////////////////////////////////////////////
////////////////////   詳細表示   ////////////////////
////////////////////   (担当者)   ////////////////////
//////////////////////////////////////////////////////
if ($seq){
	$strSql = $dbSqlObj->selectTantouWithSeq($seq);
	$result = $dbExecObj->exeSql($conn, $strSql);
	if (!$result) {
		echo "セッティング異常";
		exit;
	}

	if (0 < $dbExecObj->getNumRows($result)) {
		$Kaisya   = $dbExecObj->getResult($result, 0, "toricode");
		$bashocode= $dbExecObj->getResult($result, 0, "bashocode");
		$F_Name_J = $dbExecObj->getResult($result, 0, "first_name_j");
		$L_Name_J = $dbExecObj->getResult($result, 0, "last_name_j");
		$F_Name_E = $dbExecObj->getResult($result, 0, "first_name_e");
		$L_Name_E = $dbExecObj->getResult($result, 0, "last_name_e");
		$Busyo    = $dbExecObj->getResult($result, 0, "busyo");
		$Yaku     = $dbExecObj->getResult($result, 0, "yaku");
		$Sex      = $dbExecObj->getResult($result, 0, "sex");
		$Phone    = $dbExecObj->getResult($result, 0, "phone");
		$Fax      = $dbExecObj->getResult($result, 0, "Fax");
		$Handy    = $dbExecObj->getResult($result, 0, "handy");
		$Email    = $dbExecObj->getResult($result, 0, "email");
		$Gyomu    = $dbExecObj->getResult($result, 0, "gyomu");
		$Memo     = $dbExecObj->getResult($result, 0, "memo");
	}

	// $deletable が trueだったら、削除リンクを表示。
	// false だったら、削除リンクを非表示にする。
		$strSql = $dbSqlObj->selectAdministratorsAllWithEmpCd($_SERVER["PHP_AUTH_USER"]);
		$res_adm = $dbExecObj->exeSql($conn,$strSql);
		$adminCount   = $dbExecObj->getNumRows($res_adm);
		$input_emp_cd = $dbExecObj->getResult($result, 0, "input_emp_cd");

		if ($adminCount != 0) {
			$tantouDeletable = true;
		} elseif ($input_emp_cd == $_SERVER["PHP_AUTH_USER"]) {
			$tantouDeletable = true;
		} else {
			$tantouDeletable = false;
		}
	// ここまで。


}
$strSql = $dbSqlObj->selectTorihikisakiWithToriCode($Sel);
$res_tori = $dbExecObj->exeSql($conn, $strSql);
$corp_name = $dbExecObj->getResult($res_tori,0,"syamei");

$strSql = $dbSqlObj->selectTori_PlaceWithToriCode($Sel);
$res_basho = $dbExecObj->exeSql( $conn , $strSql);
$Cnt_basho = $dbExecObj->getNumRows($res_basho);
$i = 0;

?>
<form method=POST action=client.php>
<input type=hidden name=seq value=<?echo htmlSpecialEscape($seq)?>>
<input type=hidden name=Sel value=<?echo htmlSpecialEscape($Sel)?>>
<TABLE border=0 cellspacing=0>
	<TR><TD COLSPAN = "3"><span class="fBlack12100">■ 担当者の情報</span></TD></TR>
	<TR><TH ALIGN = "LEFT"><span class="fBlack10100"><b><?php echo htmlSpecialEscape($varPhraseSet["strRelations"]) ?>：</b></span></TH>
		<TD COLSPAN = "2">
			<span class="fBlack10100">
				<?echo htmlSpecialEscape($corp_name)?>
			</span>
		</TD>
	</TR>
	<TR><TH ALIGN = "LEFT"><span class="fBlack10100"><b><?php echo htmlSpecialEscape($varPhraseSet["strLocation"]) ?>名：</b></span></TH><TD COLSPAN = "2">
	<SELECT NAME = "bashocode">
<?
	while( $i < $Cnt_basho ){
		echo "<OPTION VALUE =\"" . htmlSpecialEscape($dbExecObj->getResult($res_basho, $i, "bashocode")) . "\"";
		if ( $dbExecObj->getResult($res_basho, $i, "bashocode") == $bashocode ) {  echo " SELECTED"; }
		echo ">" . htmlSpecialEscape($dbExecObj->getResult($res_basho, $i, "bashomei")). "\n";
		$i++;
	}
?>
	</SELECT></TD></TR>

	<TR><TH ALIGN = "LEFT"><span class="fBlack10100"><b>担当者：</b></span></TH>
		<td colspan=2>
			<table border=0 cellspacing=0><tr>
				<TD><span class="fBlack10100">姓(漢字)</span><BR><INPUT TYPE = "TEXT" NAME = "Name_Lj" SIZE = "10" MAXLENGTH = "10" VALUE = "<?echo htmlSpecialEscape($L_Name_J)?>"></TD>
				<TD><span class="fBlack10100">名(漢字)</span><BR><INPUT TYPE = "TEXT" NAME = "Name_Fj" SIZE = "10" MAXLENGTH = "10" VALUE = "<?echo htmlSpecialEscape($F_Name_J)?>"></TD>
			</tr><tr>
				<TD><span class="fBlack10100">姓(よみがな)</span><BR><INPUT TYPE = "TEXT" NAME = "Name_Le" SIZE = "20" MAXLENGTH = "20" VALUE = "<?echo htmlSpecialEscape($L_Name_E)?>"></TD>
				<TD><span class="fBlack10100">名(よみがな)<BR><INPUT TYPE = "TEXT" NAME = "Name_Fe" SIZE = "20" MAXLENGTH = "20" VALUE = "<?echo htmlSpecialEscape($F_Name_E)?>"></TD>
			</tr></table>
		</td>
	</TR>
	<TR><TH ALIGN = "LEFT"><span class="fBlack10100"><b>所属名：</b></span></TH>
		<TD COLSPAN = "2">
			<INPUT TYPE = "TEXT" NAME = "Busyo"   SIZE = "50" MAXLENGTH = "100" VALUE = "<?echo htmlSpecialEscape($Busyo)?>">
		</TD>
	</TR>
	<TR><TH ALIGN = "LEFT"><span class="fBlack10100"><b>役職名：</b></span></TH>
		<TD COLSPAN = "2">
			<INPUT TYPE = "TEXT" NAME = "Yaku"    SIZE = "50" MAXLENGTH = "100" VALUE = "<?echo htmlSpecialEscape($Yaku)?>">
		</TD>
	</TR>
	<TR><TH ALIGN = "LEFT"><span class="fBlack10100"><b>性別：</b></span></TH>
		<TD COLSPAN = "2">
		<?if ( $Sex == "f" ){?>
			<INPUT TYPE = RADIO NAME = "Sex" Value = "true">男
			<INPUT TYPE = RADIO NAME = "Sex" Value = "false" CHECKED>女
		<?} else {?>
			<INPUT TYPE = RADIO NAME = "Sex" Value = "true" CHECKED>男
			<INPUT TYPE = RADIO NAME = "Sex" Value = "false">女
		<?}?>
		</TD>
	</TR>
	<TR><TH ALIGN = "LEFT"><span class="fBlack10100"><b>電話番号：</b></span></TH>
		<TD COLSPAN = "2">
			<INPUT TYPE = "TEXT" NAME = "Phone" SIZE = "20" MAXLENGTH = "20" VALUE = "<?echo htmlSpecialEscape($Phone)?>">
		</TD>
	</TR>
	<TR><TH ALIGN = "LEFT"><span class="fBlack10100"><b>FAX：</b></TH>
		<TD COLSPAN = "2">
			<INPUT TYPE = "TEXT" NAME = "Fax" SIZE = "20" MAXLENGTH = "20" VALUE = "<?echo htmlSpecialEscape($Fax)?>">
		</TD>
	</TR>
	<TR><TH ALIGN = "LEFT"><span class="fBlack10100"><b>携帯電話：</b></span></TH>
		<TD COLSPAN = "2">
			<INPUT TYPE = "TEXT" NAME = "Handy" SIZE = "20" MAXLENGTH = "20" VALUE = "<?echo htmlSpecialEscape($Handy)?>">
		</TD>
	</TR>
	<TR><TH ALIGN = "LEFT"><span class="fBlack10100"><b>メールアドレス：</b></span></TH>
		<TD COLSPAN = "2">
			<INPUT TYPE = "TEXT" NAME = "Email" SIZE = "50" MAXLENGTH = "50" VALUE = "<?echo htmlSpecialEscape($Email)?>">
		</TD>
	</TR>
	<TR><TH ALIGN = "LEFT"><span class="fBlack10100"><b>担当者業務：</b></span></TH>
		<TD COLSPAN = "2">
			<TEXTAREA NAME = "Gyomu" Rows = "3" Cols = "50" wrap="soft"><?echo htmlSpecialEscape($Gyomu)?></TEXTAREA>
		</TD>
	</TR>
	<TR><TH ALIGN = "LEFT"><span class="fBlack10100"><b>メモ：</b></span></TH>
		<TD COLSPAN = "2">
			<TEXTAREA NAME = "Memo" Rows = "3" Cols = "50" wrap="soft"><?echo htmlSpecialEscape($Memo)?></TEXTAREA>
		</TD>
	</TR>
	</TABLE>
    <input type="hidden" name="trans_id" value="<?php echo createTransID(); ?>">
<? if ( $sub == "ta_input") { ?>
	<INPUT TYPE = "SUBMIT" VALUE = "登録" NAME = "BUTTON">
	<input type=hidden name=sub value=ta_input_method>
<? } elseif($sub == "ta_edit") { ?>
<INPUT TYPE = "SUBMIT" VALUE = "更新" NAME = "BUTTON">
<input type=hidden name=sub value=ta_edit_method>
<? } else { 
	if ($tantouDeletable){ ?>
<br><font color=red>上記データを本当に削除してよろしいですか？</font><br>
<br>
<INPUT TYPE = "SUBMIT" VALUE = "削除" NAME = "BUTTON">
<input type=hidden name=sub value=ta_delete_method>
<?	} else { ?>
<font color=red>他の人が作成した担当者情報のため、データを削除できません。</font><br>
<?	}
}?>
</form>
