<?php
//
// Copyright (C) 1999-2000 Top Management Service, inc. All Rights Reserved.
// Copyright (C) 2001-2002 System Consultants Co.,Ltd. All Rights Reserved.
//
// $Id: emp.php 1214 2004-09-01 01:43:28Z hideki-h $
//

/**
 * 社員マスタメンテナンス
 *
 * @author hiroki KAWAMURA <hiroki@syscon.co.jp>
 * @author yuji TAKAHASHI <yu-ji@syscon.co.jp>
 * @author maiko MIKAMI <m-mikami@syscon.co.jp>
 */

// 変数
$last_name_j = $_POST["last_name_j"];
$first_name_j = $_POST["first_name_j"];
$last_name_kana = $_POST["last_name_kana"];
$first_name_kana = $_POST["first_name_kana"];
$last_name_e = $_POST["last_name_e"];
$first_name_e = $_POST["first_name_e"];
$sex = $_POST["sex"];
$type = $_POST["type"];
$division = $_POST["division"];
$birthday = $_POST["birthday"];
$join_date = $_POST["join_date"];
$extension_no = $_POST["extension_no"];
$home_postal1 = $_POST["home_postal1"];
$home_postal2 = $_POST["home_postal2"];
$home_addr1 = $_POST["home_addr1"];
$home_addr2 = $_POST["home_addr2"];
$home_addr3 = $_POST["home_addr3"];
$home_phone = $_POST["home_phone"];
$handy_phone = $_POST["handy_phone"];
$email = $_POST["email"];
$mobileMailAddress = $_POST["mobileMailAddress"];
$unify = $_POST["unify"];
$sub = $_POST["sub"];
$emp_cd = $_POST["emp_cd"];
$last_name_jd = $_POST["last_name_jd"];
$first_name_jd = $_POST["first_name_jd"];
$admchk = $_POST["admchk"];
$sort_no = $_POST["sort_no"];
$retire_date = $_POST["retire_date"];


include("gw.php");
include_once($_ROOT_DIR_ . "class/PhraseSelect.php");
$objPhraseSelect = new PhraseSelect($bolPhraseSelect);
$varPhraseSet = $objPhraseSelect->getPhrase();

include("include/dbChange.php");
$conn = $dbConnectObj->openConnect();
if (!$conn) 
{
	echo "<b>データベース接続に失敗しました。</b><br>\n";
	exit;
}

//-- ケータイ対応のためのクラスを使います。
if(strtoupper($useMobile) == "TRUE")
{
	require_once("./class/keitaiSqlForPc.php");
	require_once("./class/keitaiViewForPc.php");
	require_once("./class/keitaiRoutineForPc.php");
	$keitaiSqlObj  = new keitaiSqlForPc();
	$keitaiViewObj = new keitaiViewForPc();
	$keitaiRoutineObj = new keitaiRoutineForPc();
}

include("include/accept.conf");
include("include/admchk.func");
include("include/passchk.func");
include("include/transactions.func");

// ログオン周りのクラスを使います。
require_once("./class/employeeinfo.php");		// 社員情報クラス
require_once("./class/employeeinfoowner.php");	// 社員情報クラスの処理クラス
$employeeInfoOwner = new EmployeeInfoOwner();
$employeeInfoOwner->setEmp_cd($_SERVER["PHP_AUTH_USER"]);
$employeeInfoOwner->doSelectQuery($conn, $dbSqlObj, $dbExecObj);
$employeeInfoArray = $employeeInfoOwner->getEmployeeInfoArray();
$isAdmin = $employeeInfoArray[$_SERVER["PHP_AUTH_USER"]]->isAdmin();
$empName = $employeeInfoArray[$_SERVER["PHP_AUTH_USER"]]->getName();

// ログの記録を行います。
include ("include/createlog.conf");

// デザインをインクルードします。
require_once("./class/menuHeadder.php");
$menuShowObj = new menuShowObj($conn,$dbSqlObj,$dbExecObj);
$menuShowObj->setEmpName($empName);
$menuShowObj->setCurrentAppli("empedit");
$menuShowObj->setIsAdmin($isAdmin);
$menuShowObj->showHeadder();

$strSql = $dbSqlObj->setDateStyleToIso();
$dbExecObj->exeSql($conn, $strSql);
?>
<form action="emp.php" method="POST">
<?php
if (!$sub)
{
	$sub = "選択";
	$emp_cd = $_SERVER["PHP_AUTH_USER"];
}

if ($sub == "選択")
{
	$strSql = $dbSqlObj->selectEmployeeWithEmpCd($emp_cd);
	$result = $dbExecObj->exeSql($conn, $strSql);
?>
	<table>
	<tr><th align="left"><span class="fBlack10100"><?php echo htmlSpecialEscape($varPhraseSet["strPerson"]) ?>ID：</span></th><td colspan="3"><?echo $emp_cd?></td></tr>
	<tr><th align="left"><span class="fBlack10100">姓<font color="red">*</font>：</span></th><td><input type="TEXT" name="last_name_j" size="10" maxlength="10" value="<?echo htmlSpecialEscape($dbExecObj->getResult($result, 0, "last_name_j"))?>"></td>
	<th align="left"><span class="fBlack10100">名<font color="red">*</font>：</span></th><td><input type="TEXT" name="first_name_j" size="10" maxlength="10" value="<?echo htmlSpecialEscape($dbExecObj->getResult($result, 0, "first_name_j"))?>"></td></tr>
	<tr><th align="left"><span class="fBlack10100">姓（ふりがな）<font color="red">*</font>：</span></th><td><input type="TEXT" name="last_name_kana" size="20" maxlength="20" value="<?echo htmlSpecialEscape($dbExecObj->getResult($result, 0, "last_name_kana"))?>"></td>
	<th align="left"><span class="fBlack10100">名（ふりがな）<font color="red">*</font>：</span></th><td><input type="TEXT" name="first_name_kana" size="20" maxlength="20" value="<?echo htmlSpecialEscape($dbExecObj->getResult($result, 0, "first_name_kana"))?>"><span class="fRed10100">（ひらがな）</span></td></tr>
	<tr><th align="left"><span class="fBlack10100">Last Name<font color="red">*</font>：</span></th><td><input type="TEXT" name="last_name_e" size="20" maxlength="20" value="<?echo htmlSpecialEscape($dbExecObj->getResult($result, 0, "last_name_e"))?>"></td>
	<th align="left"><span class="fBlack10100">First Name<font color="red">*</font>：</span></th><td><input type="TEXT" name="first_name_e" size="20" maxlength="20" value="<?echo htmlSpecialEscape($dbExecObj->getResult($result, 0, "first_name_e"))?>"></td></tr>
<?php
	if ($dbExecObj->getResult($result, 0, "sex") == "t")
	{
?>
		<tr><th align="left"><span class="fBlack10100">性別<font color="red">*</font>：</span></th><td><input type="radio" name="sex" value="t" checked><span class="fBlack10100">男</span><br>
		<input type="radio" name="sex" value="f"><span class="fBlack10100">女</span></td></tr>
<?php
	} 
	else 
	{
?>
		<tr><th align="left"><span class="fBlack10100">性別<font color="red">*</font>：</span></th><td><input type="radio" name="sex" value="t"><span class="fBlack10100">男</span><br>
		<input type="radio" name="sex" value="f" checked><span class="fBlack10100">女</span></td></tr>
<?php
	}
?>
	<tr><th align="left"><span class="fBlack10100"><?php echo htmlSpecialEscape($varPhraseSet["strEmploymentForm"]) ?>：</span></th><td><select name="type" size="1">
<?php
	$sqlstr = $dbSqlObj->selectMstTypeAll();
	$resultb = $dbExecObj->exeSql($conn, $sqlstr);
	if (!$resultb) 
	{
		echo "<b>データベース検索に失敗しました。</b><br>\n";
		exit;
	}
	$count = $dbExecObj->getNumRows($resultb);
	$i = 0;
	while ($i < $count) 
	{
		if ($dbExecObj->getResult($result, 0, "kind")==$dbExecObj->getResult($resultb, $i, "kind"))
		{
			echo "<option value=\"" . htmlSpecialEscape($dbExecObj->getResult($resultb, $i, "kind")) . "\" selected>" . htmlSpecialEscape($dbExecObj->getResult($resultb, $i, "t_name")) . "\n";
		} 
		else 
		{
			echo "<option value=\"" . htmlSpecialEscape($dbExecObj->getResult($resultb, $i, "kind")) . "\">" . htmlSpecialEscape($dbExecObj->getResult($resultb, $i, "t_name")) . "\n";
		}
		$i++;
	}
?>
	</select></td></tr>
	<tr><th align="left"><span class="fBlack10100"><?php echo htmlSpecialEscape($varPhraseSet["strSection"]) ?>：</span></th><td><select name="division" size="1">
<?php
	$sqlstr = $dbSqlObj->selectDivisionAllSortedDivision();
	$resultb = $dbExecObj->exeSql($conn, $sqlstr);
	if (!$resultb)
	{
		echo "<b>データベース検索に失敗しました。</b><br>\n";
		exit;
	}
	$count = $dbExecObj->getNumRows($resultb);
	$i = 0;
	while ($i < $count)
	{
		if ($dbExecObj->getResult($result, 0, "division") == $dbExecObj->getResult($resultb, $i, "division"))
		{
			echo "<option value=\"" . htmlSpecialEscape($dbExecObj->getResult($resultb, $i, "division")) . "\" selected>" . htmlSpecialEscape($dbExecObj->getResult($resultb, $i, "div_name")) . "\n";
		}
		else
		{
			echo "<option value=\"" . htmlSpecialEscape($dbExecObj->getResult($resultb, $i, "division")) . "\">" . htmlSpecialEscape($dbExecObj->getResult($resultb, $i, "div_name")) . "\n";
		}
		$i++;
	}
?>
	</select></td></tr>
	<tr><th align="left"><span class="fBlack10100">生年月日：</span></th><td><input type="TEXT" name="birthday" size="14" maxlength="10" value="<?echo ereg_replace("-", "/", $dbExecObj->getResult($result, 0, "birthday"))?>"></td>
	<td colspan="2"><span class="fRed10100">ex.)yyyy/mm/dd</span></td></tr>
	<tr><th align="left"><span class="fBlack10100">入社日：</span></th><td><input type="TEXT" name="join_date" size="14" maxlength="10" value="<?echo ereg_replace("-", "/", $dbExecObj->getResult($result, 0, "join_date"))?>"></td>

<?php
	// 管理者のみ退職日入力可
	if ($admchk)
	{ 
?>
	<th align="left"><span class="fBlack10100">退職日：</span></th><td><input type="TEXT" name="retire_date" size="14" maxlength="10" value="<?echo ereg_replace("-", "/", $dbExecObj->getResult($result, 0, "retire_date"))?>"></td>

<?php
	}
?>
	</tr>
	<tr><th align="left"><span class="fBlack10100">内線：</span></th><td colspan="3"><input type="TEXT" name="extension_no" size="4" maxlength="4" value="<?echo htmlSpecialEscape($dbExecObj->getResult($result, 0, "extension_no"))?>"></td></tr>
	<tr><th  align="left" valign="top" rowspan="4"><span class="fBlack10100">住所：</span><br>
	<td colspan="4"><span class="fBlack10100">〒<input type="TEXT" name="home_postal1" size="3" maxlength="3" value="<?echo chop(substr($dbExecObj->getResult($result, 0, "home_postal"), 0, 3))?>">-
	<input type="TEXT" name="home_postal2" size="4" maxlength="4" value="<?echo chop(substr($dbExecObj->getResult($result, 0, "home_postal"), 3, 4))?>"></td></tr>
	<tr><td colspan="3"><input type="TEXT" name="home_addr1" size="40" maxlength="100" value="<?echo htmlSpecialEscape($dbExecObj->getResult($result, 0, "home_addr1"))?>"><span class="fBlack10100">(都道府県）</span></td></tr>
	<tr><td colspan="3"><input type="TEXT" name="home_addr2" size="40" maxlength="100" value="<?echo htmlSpecialEscape($dbExecObj->getResult($result, 0, "home_addr2"))?>"><span class="fBlack10100">(市区郡）</span></td></tr>
	<tr><td colspan="3"><input type="TEXT" name="home_addr3" size="40" maxlength="100" value="<?echo htmlSpecialEscape($dbExecObj->getResult($result, 0, "home_addr3"))?>"><span class="fBlack10100">(町名、番地、マンション・アパート名）</span></td></tr>
	<tr><th align="left"><span class="fBlack10100">自宅電話番号：</span></th><td><input type="TEXT" name="home_phone" size="20" maxlength="20" value="<?echo htmlSpecialEscape($dbExecObj->getResult($result, 0, "home_phone"))?>"></td></tr>
	<th align="left"><span class="fBlack10100">携帯電話番号：</span></th><td><input type="TEXT" name="handy_phone" size="20" maxlength="20" value="<?echo htmlSpecialEscape($dbExecObj->getResult($result, 0, "handy_phone"))?>"></td></tr>
	<tr><th align="left"><span class="fBlack10100">E-mail：</span></th><td colspan="3"><input type="TEXT" name="email" size="40" maxlength="50" value="<?echo htmlSpecialEscape($dbExecObj->getResult($result, 0, "email"))?>"></td></tr>
<?php
	//$useMobileが"TRUE"だった時のみ、携帯メールアドレスを表示。
	if (strtoupper($useMobile) == "TRUE") {
		$keitaiViewObj->MobileMailForEmp($dbExecObj->getResult($result, 0, "mobileMailAddress"));
	}
?>

<?
	// 管理者のみソート番号入力可
	if ($admchk)
	{
?>
	<tr><th align="left">ソート番号<font color="red">*</font>：</span></th><td colspan="3"><input type="TEXT" name="sort_no" size="10" maxlength="10" value="<?php echo htmlSpecialEscape($dbExecObj->getResult($result, 0, "sort_no")) ?>"></td></tr>
<?php
	}
?>

<?php
	$tempEmpCd = $dbExecObj->getResult($result,0,"emp_cd");
	$sqlstr = $dbSqlObj->selectEmployeeCountOfUnifyWithEmpCdUnifyT($tempEmpCd);
	$resultc = $dbExecObj->exeSql($conn, $sqlstr);

	$sqlstrb = $dbSqlObj->selectEmployeeCountOfUnifyWithUnifyT();
	$resultd = $dbExecObj->exeSql($conn, $sqlstrb);

	if (0 < $dbExecObj->getResult($resultc, 0, "count_of_records"))
	{
?>
	<tr><th align="left"><span class="fBlack10100">業務統括：</span></th><td colspan="3"><input type="checkbox" name="unify" value="unify" checked></td></tr>
<?php
	}
	elseif ($dbExecObj->getResult($resultd, 0, "count_of_records") <= 0)
	{
?>
	<tr><th align="left"><span class="fBlack10100">業務統括：</span></th><td colspan="3"><input type="checkbox" name="unify" value="unify"></td></tr>
<?php
	}
?>

	</table>
	<input type="submit" name="sub" value="更新">
	<input type="hidden" name="emp_cd" value="<?php echo htmlSpecialEscape($dbExecObj->getResult($result, 0, "emp_cd")) ?>">
	<input type="hidden" name="last_name_jd" value="<?php echo htmlSpecialEscape($dbExecObj->getResult($result, 0, "last_name_j")) ?>">
	<input type="hidden" name="first_name_jd" value="<?php echo htmlSpecialEscape($dbExecObj->getResult($result, 0, "first_name_j")) ?>">
	<input type="hidden" name="admchk" value="<?php echo htmlSpecialEscape($admchk) ?>">
	</form>
<?php
	$dbExecObj->freeResult($result);
	$dbExecObj->freeResult($resultb);

} 
elseif ($sub == "更新")
{
	if (!$last_name_j || !$first_name_j) 
	{
		echo "氏名が入力されていません。<br>\n";
		echo "<a href=\"javascript:history.back()\">[BACK]</a>\n";
		exit;
	}
	if (!$last_name_e || !$first_name_e) 
	{
		echo "氏名が入力されていません。<br>\n";
		echo "<a href=\"javascript:history.back()\">[BACK]</a>\n";
		exit;
	}
	if (!$last_name_kana || !$first_name_kana) 
	{
		echo "氏名が入力されていません。<br>\n";
		echo "<a href=\"javascript:history.back()\">[BACK]</a>\n";
		exit;
	}
	if ($sex != "t" and $sex != 'f') 
	{
		echo "性別が入力されていません。<br>\n";
		echo "<a href=\"javascript:history.back()\">[BACK]</a>\n";
		exit;
	}

	//-- 管理者のみソート番号入力可
	if ($admchk)
	{ 
		if (!$sort_no)
		{
			echo "ソート番号が入力されていません。<br>\n";
			echo "<a href=\"javascript:history.back()\">[BACK]</a>\n";
			exit;
		}
	}

	$home_postal = strval($home_postal1) . strval($home_postal2);

	//-- 半角カナ対応
	$last_name_j = mb_convert_kana($last_name_j);
	$first_name_j = mb_convert_kana($first_name_j);
	$last_name_kana = mb_convert_kana($last_name_kana);
	$first_name_kana = mb_convert_kana($first_name_kana);
	$home_addr1 = mb_convert_kana($home_addr1);
	$home_addr2 = mb_convert_kana($home_addr2);
	$home_addr3 = mb_convert_kana($home_addr3);

	if (strtoupper($useMobile) == "TRUE")
	{
		$sqlstr = $keitaiSqlObj->selectMobileMailAddressWithEmpCd($emp_cd);
		$result = $dbExecObj->exeSql($conn, $sqlstr);
		if (!$result)
		{
			echo "<b>データベース検索に失敗しました。</b><br>\n";
			exit;
		}
		$oldMobileMailAddress = $dbExecObj->getResult($result, 0, "mobileMailAddress");
		$sqlstr = $keitaiSqlObj->updateEmployeeAllDataWithEmpCdForMobile($admchk,$last_name_j,$first_name_j,$last_name_e,$first_name_e,$last_name_kana,$first_name_kana,$sex,$type,$division,$sort_no,$birthday,$join_date,$retire_date,$unify,$extension_no,$home_postal,$home_addr1,$home_addr2,$home_addr3,$home_phone,$handy_phone,$email,$unifystr,$emp_cd,$mobileMailAddress);
	}
	else
	{
		$sqlstr = $dbSqlObj->updateEmployeeAllDataWithEmpCd($admchk,$last_name_j,$first_name_j,$last_name_e,$first_name_e,$last_name_kana,$first_name_kana,$sex,$type,$division,$sort_no,$birthday,$join_date,$retire_date,$unify,$extension_no,$home_postal,$home_addr1,$home_addr2,$home_addr3,$home_phone,$handy_phone,$email,$unifystr,$emp_cd);
	}


	$result = $dbExecObj->exeSql($conn, $sqlstr);
	if ($result) {
		echo "<CENTER>更新しました。<P>\n";
	} else {
		echo "<CENTER>更新できませんでした。<P>\n";
	}

	if (strtoupper($useMobile) == "TRUE")
	{
		if(($mobileMailAddress) && $oldMobileMailAddress != $mobileMailAddress)
		{
			//-- メール送信
		 		$keitaiRoutineObj->sendURLToUser($mobileMailAddress, $admin, $_ROOT_URL_, $emp_cd);
		}
	}

} 

//デザインマージ後のフッタをインクルードします。
$menuShowObj->showFooter();
?>
