<?php
//
// Copyright (C) 1999-2000 Top Management Service, inc. All Rights Reserved.
// Copyright (C) 2001-2003 System Consultants Co.,Ltd. All Rights Reserved.
//
// $Id: empconfig.php 1214 2004-09-01 01:43:28Z hideki-h $
//

/**
 * 社員マスタメンテナンス
 *
 * @author hiroki KAWAMURA <hiroki@syscon.co.jp>
 * @author yuji TAKAHASHI <yu-ji@syscon.co.jp>
 * @author hideo OHSAWA <ohsawa@syscon.co.jp>
 */

//変数
$sub = isset($_POST["sub"]) ? $_POST["sub"] : $_GET["sub"];
$emp_cd = $_POST["emp_cd"];
$division = $_POST["division"];
$last_name_j = $_POST["last_name_j"];
$first_name_j = $_POST["first_name_j"];
$last_name_kana = $_POST["last_name_kana"];
$first_name_kana = $_POST["first_name_kana"];
$last_name_e = $_POST["last_name_e"];
$first_name_e = $_POST["first_name_e"];
$sex = $_POST["sex"];
$type = $_POST["type"];
$birthday = $_POST["birthday"];
$join_date = $_POST["join_date"];
$retire_date = $_POST["retire_date"];
$extension_no = $_POST["extension_no"];
$home_postal1 = $_POST["home_postal1"];
$home_postal2 = $_POST["home_postal2"];
$home_addr1 = $_POST["home_addr1"];
$home_addr2 = $_POST["home_addr2"];
$home_addr3 = $_POST["home_addr3"];
$home_phone = $_POST["home_phone"];
$handy_phone = $_POST["handy_phone"];
$email = $_POST["email"];
$mobileMailAddress = $_POST["mobileMailAddress"];
$sort_no = $_POST["sort_no"];
$unify = $_POST["unify"];
$last_name_jd = $_POST["last_name_jd"];
$first_name_jd = $_POST["first_name_jd"];
$admchk = $_POST["admchk"];
$passw = $_POST["passw"];
$mobilePassword = $_POST["mobilePassword"];



include ("gw.php");
include_once($_ROOT_DIR_ . "class/PhraseSelect.php");
$objPhraseSelect = new PhraseSelect($bolPhraseSelect);
$varPhraseSet = $objPhraseSelect->getPhrase();

include("include/dbChange.php");
$conn = $dbConnectObj->openConnect();
if (!$conn) 
{
	echo "<B>データベース接続に失敗しました。</B><BR>\n";
	exit;
}

include("include/accept.conf");
include("include/admchk.func");
include("include/passchk.func");
include ("include/transactions.func");

$strSql = $dbSqlObj->selectAdministratorsAllWithEmpCd($_SERVER["PHP_AUTH_USER"]);
$result = $dbExecObj->exeSql($conn,$strSql);
$adminCount = $dbExecObj->getNumRows($result);
$admchk = admchk($conn,$_SERVER["PHP_AUTH_USER"],$dbSqlObj,$dbExecObj);
if (!$admchk){
	echo "<FONT COLOR = \"RED\">管理者ではありません</FONT>\n";
	exit;
}

$strSql = $dbSqlObj->setDateStyleToIso();
$dbExecObj->exeSql($conn, $strSql);

//-- ケータイ対応のためのクラスを使います。
if(strtoupper($useMobile) == "TRUE")
{
	require_once("./class/keitaiSqlForPc.php");
	require_once("./class/keitaiViewForPc.php");
	require_once("./class/keitaiRoutineForPc.php");
	$keitaiSqlObj  = new keitaiSqlForPc();
	$keitaiViewObj = new keitaiViewForPc();
	$keitaiRoutineObj = new keitaiRoutineForPc();
}

// ログオン周りのクラスを使います。
require_once("./class/employeeinfo.php");		// 社員情報クラス
require_once("./class/employeeinfoowner.php");	// 社員情報クラスの処理クラス
$employeeInfoOwner = new EmployeeInfoOwner();
$employeeInfoOwner->setEmp_cd($_SERVER["PHP_AUTH_USER"]);
$employeeInfoOwner->doSelectQuery($conn, $dbSqlObj, $dbExecObj);
$employeeInfoArray = $employeeInfoOwner->getEmployeeInfoArray();
$isAdmin = $employeeInfoArray[$_SERVER["PHP_AUTH_USER"]]->isAdmin();
$empName = $employeeInfoArray[$_SERVER["PHP_AUTH_USER"]]->getName();

// デザインをインクルードします。
require_once("./class/menuHeadder.php");
$menuShowObj = new menuShowObj($conn,$dbSqlObj,$dbExecObj);
$menuShowObj->setEmpName($empName);
$menuShowObj->setCurrentAppli("conf");
$menuShowObj->setIsAdmin($isAdmin);
$menuShowObj->showHeadder();
?>

<span class="fBlack12100"> ■ <?php echo htmlSpecialEscape($varPhraseSet["strPerson"]) ?>情報のメンテナンス</span>
<FORM action="empconfig.php" method="POST" name="empConfigForm">

<?
if (!$sub || $sub == "いいえ")
{
	include ("./class/javascriptselect_div_emp_empconfig.php");

	$JavaScriptSelect_DivEmp_EmpConfig = new JavaScriptSelect_DivEmp_EmpConfig();
	$JavaScriptSelect_DivEmp_EmpConfig->setMainElementNameColumnName("div_name");		// メイン要素の名前カラム名
	$JavaScriptSelect_DivEmp_EmpConfig->setMainElementCodeColumnName("division");		// メイン要素のコードカラム名
	$JavaScriptSelect_DivEmp_EmpConfig->setSubElementNameColumnName("name");			// サブ要素の名前カラム名
	$JavaScriptSelect_DivEmp_EmpConfig->setSubElementCodeColumnName("emp_cd");			// サブ要素のコードカラム名
	$JavaScriptSelect_DivEmp_EmpConfig->setMainIncludeAll("True");						// メイン要素が"全て"を含むかどうか
	$JavaScriptSelect_DivEmp_EmpConfig->setSubIncludeAll("False");						// サブ要素が"全て"を含むかどうか
	$JavaScriptSelect_DivEmp_EmpConfig->setSubAllOnly("False");							// メイン要素が"全て"の場合、サブ要素が"全て"のみかどうか
	$JavaScriptSelect_DivEmp_EmpConfig->setMainAllSubIncludeAll("False");				// メイン要素が"全て"の場合、サブ要素が"全て"を含むかどうか
	$JavaScriptSelect_DivEmp_EmpConfig->setMainFormSelectName("division");				// メイン要素の<select>の名前
	$JavaScriptSelect_DivEmp_EmpConfig->setSubFormSelectName("emp_cd");					// サブ要素の<select>の名前
	$JavaScriptSelect_DivEmp_EmpConfig->setInitSelectFunctionName("initSelect");		// initSelect()の名前
	$JavaScriptSelect_DivEmp_EmpConfig->setChangeSelectFunctionName("changeSelect");	// changeSelect()の名前
	$JavaScriptSelect_DivEmp_EmpConfig->setDisableJavaScriptShowMain("False");			// JavaScriptが無効の際、メイン要素を表示させるかどうか
	$JavaScriptSelect_DivEmp_EmpConfig->setMainElementCodeFromHttp($division);			// HTTP経由で受け取ったメイン要素のコード
	$JavaScriptSelect_DivEmp_EmpConfig->setSubElementCodeFromHttp($emp_cd);				// HTTP経由で受け取ったメイン要素のコード
	$JavaScriptSelect_DivEmp_EmpConfig->setElement($conn, $dbSqlObj, $dbExecObj);

?>

	<select name="division" onChange="changeSelect(empConfigForm)">
<?
	$JavaScriptSelect_DivEmp_EmpConfig->printDefaultMainOption();
?>
	</select><br>
	<select name="emp_cd">
<?
	$JavaScriptSelect_DivEmp_EmpConfig->printDefaultSubOption();
?>
	</select>
	<BR>
	<INPUT type="submit" name="sub" value="選択">
	<INPUT type="submit" name="sub" value="新規">
	</FORM>

	<SCRIPT LANGUAGE="JavaScript">
	<!--
<?php
	$JavaScriptSelect_DivEmp_EmpConfig->printInitSelectFunction();
	$JavaScriptSelect_DivEmp_EmpConfig->printChangeSelectFunction();
?>
	initSelect(document.empConfigForm);
	//-->
	</SCRIPT>
<?
} 
elseif ($sub == "新規")
{
?>
	<TABLE>
	<TR><TH align="left"><?php echo htmlSpecialEscape($varPhraseSet["strPerson"]) ?>ID<font color="red">*</font>：</TH><TD colspan="3"><INPUT type="TEXT" name="emp_cd" size="20" maxlength="50"></TD></TR>
	<TR><TH align="left">姓<font color="red">*</font>：</TH><TD><INPUT type="TEXT" name="last_name_j" size="10" maxlength="10"></TD>
	<TH align="left">名<font color="red">*</font>：</TH><TD><INPUT type="TEXT" name="first_name_j" size="10" maxlength="10"></TD></TR>
	<TR><TH align="left">姓（ふりがな）<font color="red">*</font>：</TH><TD><INPUT type="TEXT" name="last_name_kana" size="20" maxlength="20"></TD>
	<TH align="left">名（ふりがな）<font color="red">*</font>：</TH><TD><INPUT type="TEXT" name="first_name_kana" size="20" maxlength="20"><FONT COLOR="red">（ひらがな）</FONT></TD></TR>
	<TR><TH align="left">パスワード<font color="red">*</font>：</TH><TD colspan="3"><INPUT type="PASSWORD" name="passw" size="10" maxlength="50"><font color="red">半角英数記号6文字以上</FONT></TD><TR>
<?php
	if (strtoupper($useMobile) == "TRUE")
	{
		$keitaiViewObj->mobilePasswordForEmpconfig();
	}
?>
	<TR><TH align="left">Last Name<font color="red">*</font>：</TH><TD><INPUT type="TEXT" name="last_name_e" size="20" maxlength="20"></TD>
	<TH align="left">First Name<font color="red">*</font>：</TH><TD><INPUT type="TEXT" name="first_name_e" size="20" maxlength="20"></TD></TR>
	<TR><TH align="left">性別<font color="red">*</font>：</TH><TD><INPUT type="radio" name="sex" value="t">男<BR>
	<INPUT type="radio" name="sex" value="f">女</TD></TR>
	<TR><TH align="left"><?php echo htmlSpecialEscape($varPhraseSet["strEmploymentForm"]) ?>：</TH><TD><SELECT  name="type" size="1">
	<?
	$sqlstr = $dbSqlObj->selectMstTypeAll();
	$result = $dbExecObj->exeSql($conn, $sqlstr);
	if (!$result)
	{
		echo "<B>データベース検索に失敗しました。</B><BR>\n";
		exit;
	}
	$count = $dbExecObj->getNumRows($result);
	$i = 0;
	while ($i < $count) 
	{
		echo "<OPTION VALUE=\"" . htmlSpecialEscape($dbExecObj->getResult($result, $i, "kind")) . "\">".htmlSpecialEscape($dbExecObj->getResult($result, $i, "t_name")) . "\n";
		$i++;
	}
	?>
	</SELECT></TD></TR>
	<TR><TH align="left"><?php echo htmlSpecialEscape($varPhraseSet["strSection"]) ?>：</TH><TD><SELECT  name="division" size="1">
	<?
	$sqlstr = $dbSqlObj->selectDivisionAllSortedDivision();
	$result = $dbExecObj->exeSql($conn, $sqlstr);
	if (!$result) {
		echo "<B>データベース検索に失敗しました。</B><BR>\n";
		exit;
	}
	$count = $dbExecObj->getNumRows($result);
	$i = 0;
	while ($i < $count) {
		echo "<OPTION VALUE=\"" . htmlSpecialEscape($dbExecObj->getResult($result, $i, "division")) . "\">" . htmlSpecialEscape($dbExecObj->getResult($result, $i, "div_name")) . "\n";
		$i++;
	}

	?>
	</SELECT></TD></TR>
	<TR><TH align="left">生年月日：</TH><TD><INPUT type="TEXT" name="birthday" size="14" maxlength="10"></TD>
	<TD colspan="2"><FONT color="Red" >ex.)yyyy/mm/dd</FONT></TD></TR>
	<TR><TH align="left">入社日：</TH><TD><INPUT type="TEXT" name="join_date" size="14" maxlength="10"></TD>
	<TH align="left">退職日：</TH><TD><INPUT type="TEXT" name="retire_date" size="14" maxlength="10"></TD></TR>
	<TR><TH align="left">内線：</TH><TD colspan="3"><INPUT type="TEXT" name="extension_no" size="4" maxlength="4"></TD></TR>
	<TR><TH align="left" valign="top"  rowspan="4">住所：<BR>
	<TD colspan="4">〒<INPUT type="TEXT" name="home_postal1" size="3" maxlength="3">-
	<INPUT type="TEXT" name="home_postal2" size="4" maxlength="4"></TD></TR>
	<TR><TD colspan="3"><INPUT type="TEXT" name="home_addr1" size="40" maxlength="100">(都道府県）</TD></TR>
	<TR><TD colspan="3"><INPUT type="TEXT" name="home_addr2" size="40" maxlength="100">(市区群）</TD></TR>
	<TR><TD colspan="3"><INPUT type="TEXT" name="home_addr3" size="40" maxlength="100">(町名、番地、マンション・アパート名）</TD></TR>
	<TR><TH align="left">自宅電話番号：</TH><TD><INPUT type="TEXT" name="home_phone" size="20" maxlength="20"></TD></TR>
	<TH align="left">携帯電話番号：</TH><TD><INPUT type="TEXT" name="handy_phone" size="20" maxlength="20"></TD></TR>
	<TR><TH align="left">E-mail：</TH><TD colspan="3"><INPUT type="TEXT" name="email" size="40" maxlength="50"></TD></TR>
<?php
	if (strtoupper($useMobile) == "TRUE")
	{
		$keitaiViewObj->mobileMailForEmpconfig();
	}
?>
	<TR><TH align="left">ソート番号<font color="red">*</font>：</TH><TD colspan="3"><INPUT type="TEXT" name="sort_no" size="10" maxlength="10"></TD></TR>

<?
	$sqlstr = $dbSqlObj->selectEmployeeCountOfUnifyWithUnifyT();
	$result = $dbExecObj->exeSql($conn, $sqlstr);

	if ($dbExecObj->getResult($result, 0, "count_of_records") <= 0)
	{
?>
	<TR><TH align="left">業務統括：</TH><TD colspan="3"><INPUT type="checkbox" name="unify" VALUE="unify"></TD></TR>
<?
	}
?>

	</TABLE>
	<INPUT type="submit" name="sub" value="登録">
	<INPUT type="reset" value="クリア">
	</FORM>
<?
} 
elseif ($sub == "選択")
{
	$strSql = $dbSqlObj->selectEmployeeWithEmpCd($emp_cd);
	$result = $dbExecObj->exeSql($conn, $strSql);
?>
	<TABLE>
	<TR><TH align="left"><?php echo htmlSpecialEscape($varPhraseSet["strPerson"]) ?>ID：</TH><TD colspan="3"><?echo htmlSpecialEscape($emp_cd)?></TD></TR>
	<TR><TH align="left">姓<font color="red">*</font>：</TH><TD><INPUT type="TEXT" name="last_name_j" size="10" maxlength="10" value="<?echo htmlSpecialEscape($dbExecObj->getResult($result, 0, "last_name_j"))?>"></TD>
	<TH align="left">名<font color="red">*</font>：</TH><TD><INPUT type="TEXT" name="first_name_j" size="10" maxlength="10" value="<?echo htmlSpecialEscape($dbExecObj->getResult($result, 0, "first_name_j"))?>"></TD></TR>
	<TR><TH align="left">姓（ふりがな）<font color="red">*</font>：</TH><TD><INPUT type="TEXT" name="last_name_kana" size="20" maxlength="20" value="<?echo htmlSpecialEscape($dbExecObj->getResult($result, 0, "last_name_kana"))?>"></TD>
	<TH align="left">名（ふりがな）<font color="red">*</font>：</TH><TD><INPUT type="TEXT" name="first_name_kana" size="20" maxlength="20" value="<?echo htmlSpecialEscape($dbExecObj->getResult($result, 0, "first_name_kana"))?>"><FONT COLOR="RED">（ひらがな）</FONT></TD></TR>
	<TR><TH align="left">Last Name<font color="red">*</font>：</TH><TD><INPUT type="TEXT" name="last_name_e" size="20" maxlength="20" value="<?echo htmlSpecialEscape($dbExecObj->getResult($result, 0, "last_name_e"))?>"></TD>
	<TH align="left">First Name<font color="red">*</font>：</TH><TD><INPUT type="TEXT" name="first_name_e" size="20" maxlength="20" value="<?echo htmlSpecialEscape($dbExecObj->getResult($result, 0, "first_name_e"))?>"></TD></TR>
<?
	if ($dbExecObj->getResult($result, 0, "sex") == "t") 
	{ 
?>
		<TR><TH align="left">性別<font color="red">*</font>：</TH><TD><INPUT type="radio" name="sex" value="t" checked>男<BR>
		<INPUT type="radio" name="sex" value="f">女</TD></TR>
<?
	} 
	else 
	{
?>
		<TR><TH align="left">性別<font color="red">*</font>：</TH><TD><INPUT type="radio" name="sex" value="t">男<BR>
		<INPUT type="radio" name="sex" value="f" checked>女</TD></TR>
<?
	}
?>
	<TR><TH align="left"><?php echo htmlSpecialEscape($varPhraseSet["strEmploymentForm"]) ?>：</TH><TD><SELECT  name="type" size="1">
	<?
	$sqlstr = $dbSqlObj->selectMstTypeAll();
	$resultb = $dbExecObj->exeSql($conn, $sqlstr);
	if (!$resultb) 
	{
		echo "<B>データベース検索に失敗しました。</B><BR>\n";
		exit;
	}
	$count = $dbExecObj->getNumRows($resultb);
	$i = 0;
	while ($i < $count) 
	{
		if ($dbExecObj->getResult($result, 0, "kind")==$dbExecObj->getResult($resultb, $i, "kind"))
		{
			echo "<OPTION VALUE=\"" . htmlSpecialEscape($dbExecObj->getResult($resultb, $i, "kind")) . "\" selected>" . htmlSpecialEscape($dbExecObj->getResult($resultb, $i, "t_name")) . "\n";
		} 
		else 
		{
			echo "<OPTION VALUE=\"" . htmlSpecialEscape($dbExecObj->getResult($resultb, $i, "kind")) . "\">" . htmlSpecialEscape($dbExecObj->getResult($resultb, $i, "t_name")) . "\n";
		}
		$i++;
	}
	?>
	</SELECT></TD></TR>
	<TR><TH align="left"><?php echo htmlSpecialEscape($varPhraseSet["strSection"]) ?>：</TH><TD><SELECT  name="division" size="1">
	<?
	$sqlstr = $dbSqlObj->selectDivisionAllSortedDivision();
	$resultb = $dbExecObj->exeSql($conn, $sqlstr);
	if (!$resultb)
	{
		echo "<B>データベース検索に失敗しました。</B><BR>\n";
		exit;
	}
	$count = $dbExecObj->getNumRows($resultb);
	$i = 0;
	while ($i < $count)
	{
		if ($dbExecObj->getResult($result, 0, "division") == $dbExecObj->getResult($resultb, $i, "division"))
		{
			echo "<OPTION VALUE=\"" . htmlSpecialEscape($dbExecObj->getResult($resultb, $i, "division")) . "\" selected>" . htmlSpecialEscape($dbExecObj->getResult($resultb, $i, "div_name")) . "\n";
		}
		else
		{
			echo "<OPTION VALUE=\"" . htmlSpecialEscape($dbExecObj->getResult($resultb, $i, "division")) . "\">" . htmlSpecialEscape($dbExecObj->getResult($resultb, $i, "div_name")) . "\n";
		}
		$i++;
	}
	?>
	</SELECT></TD></TR>
	<TR><TH align="left">生年月日：</TH><TD><INPUT type="TEXT" name="birthday" size="14" maxlength="10" value="<?echo ereg_replace("-", "/", $dbExecObj->getResult($result, 0, "birthday"))?>"></TD>
	<TD colspan="2"><FONT color="Red" >ex.)yyyy/mm/dd</FONT></TD></TR>
	<TR><TH align="left">入社日：</TH><TD><INPUT type="TEXT" name="join_date" size="14" maxlength="10" value="<?echo ereg_replace("-", "/", $dbExecObj->getResult($result, 0, "join_date"))?>"></TD>

<?
	// 管理者のみソート番号入力可
	if ($admchk)
	{ 
?>
	<TH align="left">退職日：</TH><TD><INPUT type="TEXT" name="retire_date" size="14" maxlength="10" value="<?echo ereg_replace("-", "/", $dbExecObj->getResult($result, 0, "retire_date"))?>"></TD>

<?
	}
?>
	</TR>
	<TR><TH align="left">内線：</TH><TD colspan="3"><INPUT type="TEXT" name="extension_no" size="4" maxlength="4" value="<?echo $dbExecObj->getResult($result, 0, "extension_no")?>"></TD></TR>
	<TR><TH  align="left" valign="top" rowspan="4">住所：<BR>
	<TD colspan="4">〒<INPUT type="TEXT" name="home_postal1" size="3" maxlength="3" value="<?echo htmlSpecialEscape(chop(substr($dbExecObj->getResult($result, 0, "home_postal"), 0, 3)))?>">-
	<INPUT type="TEXT" name="home_postal2" size="4" maxlength="4" value="<?echo htmlSpecialEscape(chop(substr($dbExecObj->getResult($result, 0, "home_postal"), 3, 4)))?>"></TD></TR>
	<TR><TD colspan="3"><INPUT type="TEXT" name="home_addr1" size="40" maxlength="100" value="<?echo htmlSpecialEscape($dbExecObj->getResult($result, 0, "home_addr1"))?>">(都道府県）</TD></TR>
	<TR><TD colspan="3"><INPUT type="TEXT" name="home_addr2" size="40" maxlength="100" value="<?echo htmlSpecialEscape($dbExecObj->getResult($result, 0, "home_addr2"))?>">(市区群）</TD></TR>
	<TR><TD colspan="3"><INPUT type="TEXT" name="home_addr3" size="40" maxlength="100" value="<?echo htmlSpecialEscape($dbExecObj->getResult($result, 0, "home_addr3"))?>">(町名、番地、マンション・アパート名）</TD></TR>
	<TR><TH align="left">自宅電話番号：</TH><TD><INPUT type="TEXT" name="home_phone" size="20" maxlength="20" value="<?echo htmlSpecialEscape($dbExecObj->getResult($result, 0, "home_phone"))?>"></TD></TR>
	<TH align="left">携帯電話番号：</TH><TD><INPUT type="TEXT" name="handy_phone" size="20" maxlength="20" value="<?echo htmlSpecialEscape($dbExecObj->getResult($result, 0, "handy_phone"))?>"></TD></TR>
	<TR><TH align="left">E-mail：</TH><TD colspan="3"><INPUT type="TEXT" name="email" size="40" maxlength="50" value="<?echo htmlSpecialEscape($dbExecObj->getResult($result, 0, "email"))?>"></TD></TR>
<?php
	if (strtoupper($useMobile) == "TRUE")
	{
		$keitaiViewObj->mobileMailForEmp($dbExecObj->getResult($result, 0, "mobileMailAddress"));
	}
?>



<?	// 管理者のみソート番号入力可
	if ($admchk) {
?>
	<TR><TH align="left">ソート番号<font color="red">*</font>：</TH><TD colspan="3"><INPUT type="TEXT" name="sort_no" size="10" maxlength="10" value="<? echo htmlSpecialEscape($dbExecObj->getResult($result, 0, "sort_no")) ?>"></TD></TR>
<?
	}
?>

<?
	$tempEmpCd = $dbExecObj->getResult($result,0,"emp_cd");
	$sqlstr = $dbSqlObj->selectEmployeeCountOfUnifyWithEmpCdUnifyT($tempEmpCd);
	$resultc = $dbExecObj->exeSql($conn, $sqlstr);

	$sqlstrb = $dbSqlObj->selectEmployeeCountOfUnifyWithUnifyT();
	$resultd = $dbExecObj->exeSql($conn, $sqlstrb);

	if (0 < $dbExecObj->getResult($resultc, 0, "count_of_records"))
	{
?>
	<TR><TH align="left">業務統括：</TH><TD colspan="3"><INPUT type="checkbox" name="unify" VALUE="unify" CHECKED></TD></TR>
<?
	}
	elseif ($dbExecObj->getResult($resultd, 0, "count_of_records") <= 0)
	{
?>
	<TR><TH align="left">業務統括：</TH><TD colspan="3"><INPUT type="checkbox" name="unify" VALUE="unify"></TD></TR>
<?
	}
?>

	</TABLE>
	<INPUT type="submit" name="sub" value="更新">
	<INPUT type="hidden" name="emp_cd" value="<? echo htmlSpecialEscape($dbExecObj->getResult($result, 0, "emp_cd")) ?>">
	<INPUT type="hidden" name="last_name_jd" value="<? echo htmlSpecialEscape($dbExecObj->getResult($result, 0, "last_name_j")) ?>">
	<INPUT type="hidden" name="first_name_jd" value="<? echo htmlSpecialEscape($dbExecObj->getResult($result, 0, "first_name_j")) ?>">
	<INPUT type="hidden" name="admchk" value="<? echo htmlSpecialEscape($admchk) ?>">
	</FORM>
<?
	$dbExecObj->freeResult($result);
	$dbExecObj->freeResult($resultb);

} 
elseif ($sub == "削除")
{
	if (admchk($conn, $emp_cd,$dbSqlObj,$dbExecObj) != 0)
	{
		echo "管理者の情報は削除できません。権限を剥奪してから再度削除してください。<BR>\n";
		echo "<A HREF=\"javascript:history.back()\">[BACK]</A>\n";
	} 
	else
	{
		echo "<B>" . $last_name_jd . $first_name_jd . "の情報を削除します。よろしいですか？</B><BR>\n";
?>
		<FORM action="empconfig.php" method="POST">
		<INPUT type="submit" name="sub" value="はい">
		<INPUT type="submit" name="sub" value="いいえ">
		<INPUT type="hidden" name="emp_cd" value="<?echo htmlSpecialEscape($emp_cd)?>">
		</FORM>
<?
	}
} 
elseif ($sub=="はい")
{
	$strSql = $dbSqlObj->deleteEmployeeWithEmpCd($emp_cd);
	$result = $dbExecObj->exeSql($conn, $strSql);
	if ($result)
	{
		echo "<CENTER>削除しました。<P>\n";
		echo "<A HREF=\"empconfig.php\">[戻る]</A>\n";

	}
} 
elseif ($sub == "更新")
{
	if (!$last_name_j || !$first_name_j) 
	{
		echo "氏名が入力されていません。<BR>\n";
		echo "<A HREF=\"javascript:history.back()\">[BACK]</A>\n";
		exit;
	}
	if (!$last_name_e || !$first_name_e) 
	{
		echo "氏名が入力されていません。<BR>\n";
		echo "<A HREF=\"javascript:history.back()\">[BACK]</A>\n";
		exit;
	}
	if (!$last_name_kana || !$first_name_kana) 
	{
		echo "氏名が入力されていません。<BR>\n";
		echo "<A HREF=\"javascript:history.back()\">[BACK]</A>\n";
		exit;
	}
	if ($sex != "t" and $sex != 'f') 
	{
		echo "性別が入力されていません。<BR>\n";
		echo "<A HREF=\"javascript:history.back()\">[BACK]</A>\n";
		exit;
	}

	// 管理者のみソート番号入力可
	if ($admchk)
	{ 
		if (!$sort_no)
		{
			echo "ソート番号が入力されていません。<BR>\n";
			echo "<A HREF=\"javascript:history.back()\">[BACK]</A>\n";
			exit;
		}
	}

	$home_postal = strval($home_postal1) . strval($home_postal2);

	/* 半角カナ対応 */
	$last_name_j = mb_convert_kana($last_name_j);
	$first_name_j = mb_convert_kana($first_name_j);
	$last_name_kana = mb_convert_kana($last_name_kana);
	$first_name_kana = mb_convert_kana($first_name_kana);
	$home_addr1 = mb_convert_kana($home_addr1);
	$home_addr2 = mb_convert_kana($home_addr2);
	$home_addr3 = mb_convert_kana($home_addr3);

	if (strtoupper($useMobile) == "TRUE")
	{
		$sqlstr = $keitaiSqlObj->selectMobileMailAddressWithEmpCd($emp_cd);
		$result = $dbExecObj->exeSql($conn, $sqlstr);
		if (!$result)
		{
			echo "<b>データベース検索に失敗しました。</b><br>\n";
			exit;
		}
		$oldMobileMailAddress = $dbExecObj->getResult($result, 0, "mobileMailAddress");
		$sqlstr = $keitaiSqlObj->updateEmployeeAllDataWithEmpCdForMobile($admchk,$last_name_j,$first_name_j,$last_name_e,$first_name_e,$last_name_kana,$first_name_kana,$sex,$type,$division,$sort_no,$birthday,$join_date,$retire_date,$unify,$extension_no,$home_postal,$home_addr1,$home_addr2,$home_addr3,$home_phone,$handy_phone,$email,$unifystr,$emp_cd,$mobileMailAddress);
	}
	else
	{
		$sqlstr = $dbSqlObj->updateEmployeeAllDataWithEmpCd($admchk,$last_name_j,$first_name_j,$last_name_e,$first_name_e,$last_name_kana,$first_name_kana,$sex,$type,$division,$sort_no,$birthday,$join_date,$retire_date,$unify,$extension_no,$home_postal,$home_addr1,$home_addr2,$home_addr3,$home_phone,$handy_phone,$email,$unifystr,$emp_cd);
	}
	$result = $dbExecObj->exeSql($conn, $sqlstr);
	if ($result) {
		echo "<CENTER>更新しました。<P>\n";
	} else {
		echo "<CENTER>更新できませんでした。<P>\n";
	}

	if (strtoupper($useMobile) == "TRUE")
	{
		if(($mobileMailAddress) && $oldMobileMailAddress != $mobileMailAddress)
		{
			//-- メール送信
		 		$keitaiRoutineObj->sendURLToUser($mobileMailAddress, $admin, $_ROOT_URL_, $emp_cd);
		}
	}
} 
elseif ($sub == "登録")
{
	if (!$emp_cd) 
	{
		echo htmlSpecialEscape($varPhraseSet["strPerson"]) . "IDが入力されていません。<BR>\n";
		echo "<A HREF=\"javascript:history.back()\">[BACK]</A>\n";
		exit;
	}

	$check_char = array("\\","/",":",",",";","*","?","\"","<",">","|");
	for($i = 0; $i < strlen($emp_cd); $i++)
	{
		$emp_cd_char = substr($emp_cd, $i, 1);
		for($j = 0; $j < count($check_char); $j++)
		{
			if($emp_cd_char == $check_char[$j])
			{
				echo htmlSpecialEscape($varPhraseSet["strPerson"]) ."IDに以下の文字を使用しないでください。<BR>";
				echo "\\ / : , ; * ? \" < > |<BR>";
				echo "<A HREF=\"javascript:history.back()\">[BACK]</A><BR>";
				exit;
			}
		}
	}

	$strSql = $dbSqlObj->selectEmployeeCountOfEmpCdWithEmpCd($emp_cd);
	$result = $dbExecObj->exeSql($conn, $strSql);
	if (!$result)
	{
		echo htmlSpecialEscape($varPhraseSet["strPerson"]) . "情報を取得できませんでした。<BR>\n";
		echo "<A HREF=\"javascript:history.back()\">[BACK]</A>\n";
		exit;
	}
	if ($dbExecObj->getResult($result, 0, "count_of_records") != 0)
	{
		echo "同じ" . htmlSpecialEscape($varPhraseSet["strPerson"]) . "IDが登録されています。<BR>\n";
		echo "<A HREF=\"javascript:history.back()\">[BACK]</A>\n";
		exit;
	}

	passchk($passw, $emp_cd);

	if (!$last_name_j || !$first_name_j)
	{
		echo "氏名が入力されていません。<BR>\n";
		echo "<A HREF=\"javascript:history.back()\">[BACK]</A>\n";
		exit;
	}
	if (!$last_name_e || !$first_name_e)
	{
		echo "氏名が入力されていません。<BR>\n";
		echo "<A HREF=\"javascript:history.back()\">[BACK]</A>\n";
		exit;
	}
	if (!$last_name_kana || !$first_name_kana)
	{
		echo "氏名が入力されていません。<BR>\n";
		echo "<A HREF=\"javascript:history.back()\">[BACK]</A>\n";
		exit;
	}
	if ($sex != "t" and $sex != 'f')
	{
		echo "性別が入力されていません。<BR>\n";
		echo "<A HREF=\"javascript:history.back()\">[BACK]</A>\n";
		exit;
	}
	if (!$sort_no)
	{
		echo "ソート番号が入力されていません。<BR>\n";
		echo "<A HREF=\"javascript:history.back()\">[BACK]</A>\n";
		exit;
	}

	$salt = createTransID(2);
	$encrypted_pass = crypt($passw, $salt);
	if (strtoupper($useMobile) == "TRUE") $mobilePassword = crypt($mobilePassword, $salt);

	$home_postal = strval($home_postal1) . strval($home_postal2);

	/* 半角カナ対応 */
	$last_name_j = mb_convert_kana($last_name_j);
	$first_name_j = mb_convert_kana($first_name_j);
	$last_name_kana = mb_convert_kana($last_name_kana);
	$first_name_kana = mb_convert_kana($first_name_kana);
	$home_addr1 = mb_convert_kana($home_addr1);
	$home_addr2 = mb_convert_kana($home_addr2);
	$home_addr3 = mb_convert_kana($home_addr3);

	if (strtoupper($useMobile) == "TRUE")
	{
		$sqlstr = $keitaiSqlObj->insertEmployeeMobile($emp_cd,$encrypted_pass,$last_name_j,$first_name_j,$last_name_e,$first_name_e,$last_name_kana,$first_name_kana,$sex,$type,$division,$birthday,$join_date,$retire_date,$extension_no,$home_postal,$home_addr1,$home_addr2,$home_addr3,$home_phone,$handy_phone,$email,$sort_no,$unify,$mobileMailAddress,$mobilePassword);
	}
	else
	{
		$sqlstr = $dbSqlObj->insertEmployee($emp_cd,$encrypted_pass,$last_name_j,$first_name_j,$last_name_e,$first_name_e,$last_name_kana,$first_name_kana,$sex,$type,$division,$birthday,$join_date,$retire_date,$extension_no,$home_postal,$home_addr1,$home_addr2,$home_addr3,$home_phone,$handy_phone,$email,$sort_no,$unify);
	}

	$result = $dbExecObj->exeSql($conn, $sqlstr);
	if ($result)
	{
		// whiteboard テーブルのデータ作成
		$sqlstr = $dbSqlObj->insertWhiteboard($emp_cd, $_SERVER["PHP_AUTH_USER"]);
		$result = $dbExecObj->exeSql($conn, $sqlstr);

		echo "<CENTER>登録しました。<P>\n";
		echo "<A HREF=\"empconfig.php\">[戻る]</A></CENTER>\n";
	}
	if (strtoupper($useMobile) == "TRUE")
	{
		if($mobileMailAddress)
		{
			//-- メール送信
		 		$keitaiRoutineObj->sendURLToUser($mobileMailAddress, $admin, $_ROOT_URL_, $emp_cd);
		}
	}
} else {
}

$dbConnectObj->closeConnect($conn);

//デザインマージ後のフッタをインクルードします。
	$menuShowObj->showConfFooter();
?>
