<?php
//
// Copyright (C) 1999-2000 Top Management Service, inc. All Rights Reserved.
// Copyright (C) 2001-2004 System Consultants Co.,Ltd. All Rights Reserved.
//
// $Id: facilities.php 1219 2004-09-02 09:04:07Z hideki-h $
//

/**
 * 施設マスタメンテナンス
 *
 * @author hiroki KAWAMURA <hiroki@syscon.co.jp>
 * @author yuji TAKAHASHI <yu-ji@syscon.co.jp>
 * @author hideo OHSAWA <ohsawa@syscon.co.jp>
 */

//print_r($_GET);
//echo "<BR>";
//print_r($_POST);

//変数
$sub = isset($_POST["sub"]) ? $_POST["sub"] : $_GET["sub"];
$fac_cat_cd = $_POST["fac_cat_cd"];
$fac_cd = $_POST["fac_cd"];
$fac_name = $_POST["fac_name"];
$enable = $_POST["enable"];


include ("gw.php");
include("include/dbChange.php");
$conn = $dbConnectObj->openConnect();
if (!$conn) 
{
	echo "<Script language=\"JavaScript\">\n";
	echo "alert('データベース接続に失敗しました。')\n";
	echo "</Script>\n";
	exit;
}
include("include/accept.conf");
	if (!$_SERVER["PHP_AUTH_USER"]) {
		echo "Not Found.<BR>\n";
		exit;
	}

	$strSql = $dbSqlObj->selectAdministratorsAllWithEmpCd($_SERVER["PHP_AUTH_USER"]);
	$result = $dbExecObj->exeSql($conn,$strSql);
	$adminCount = $dbExecObj->getNumRows($result);
	include("include/admchk.func");
	if (admchk($conn,$_SERVER["PHP_AUTH_USER"],$dbSqlObj,$dbExecObj) == 0){
		echo "<FONT COLOR = \"RED\">管理者ではありません</FONT>\n";
		exit;
	}
include("include/getallfacilitycategory.func");
$ar_cat = getallfacilitycategory($conn,$dbSqlObj,$dbExecObj);

// ログオン周りのクラスを使います。
	require_once($_ROOT_DIR_ . "class/employeeinfo.php");		// 社員情報クラス
	require_once($_ROOT_DIR_ . "class/employeeinfoowner.php");	// 社員情報クラスの処理クラス
	$employeeInfoOwner = new EmployeeInfoOwner();
	$employeeInfoOwner->setEmp_cd($_SERVER["PHP_AUTH_USER"]);
	$employeeInfoOwner->doSelectQuery($conn, $dbSqlObj, $dbExecObj);
	$employeeInfoArray = $employeeInfoOwner->getEmployeeInfoArray();
	$isAdmin = $employeeInfoArray[$_SERVER["PHP_AUTH_USER"]]->isAdmin();
	$empName = $employeeInfoArray[$_SERVER["PHP_AUTH_USER"]]->getName();

// デザインをインクルードします。
	require_once($_ROOT_DIR_ . "class/menuHeadder.php");
	$menuShowObj = new menuShowObj($conn,$dbSqlObj,$dbExecObj);
	$menuShowObj->setEmpName($empName);
	$menuShowObj->setCurrentAppli("conf");
	$menuShowObj->setIsAdmin($isAdmin);
	$menuShowObj->showHeadder();

?>
<span class="fBlack12100">■ 施設情報のメンテナンス</span>

<?php
// 2004.08 施設予約切り替え (S)
if (strtoupper($bolFacilitySelect) == "TRUE")
{

	if ($sub == "登録" || $sub == "更新" || $sub == "はい" || $sub == "いいえ")
	{
		if ($sub=="登録")
		{
			if ($fac_name == "" || $enable == "" || $fac_cat_cd == "")
			{
				echo "<B><FONT color=\"red\">入力されていない項目があります。</FONT></B><BR>\n";
				echo "<A HREF=\"javascript:history.back()\">[BACK]</A>\n";
			}
			else
			{
				include("include/serial.func");
				$fac_cd = getSerialCode("facilities",$conn,$dbSqlObj,$dbExecObj);
	
				$strSql = $dbSqlObj->selectFacilitiesCountOfFacCdWithFacCd($fac_cd);
				$result = $dbExecObj->exeSql($conn, $strSql);
				if ($dbExecObj->getResult($result, 0, "count_of_records") != 0)
				{
					echo "<B><FONT color=\"red\">同一施設のコード情報が登録されているため登録できませんでした。</FONT></B><BR>\n";
					echo "<A HREF=\"javascript:history.back()\">[BACK]</A>\n";
				} 
				else
				{
					/*  ２重登録を避ける */
					$strSql = $dbSqlObj->checkFacilities($fac_name,$fac_cat_cd);
					$result = $dbExecObj->exeSql($conn, $strSql);

					if ($dbExecObj->getResult($result, 0, "count_of_records") == 0)
					{
						$strSql = $dbSqlObj->insertFacilitiesWithFacCatCd($fac_cd,$fac_name,$enable,$fac_cat_cd);
						$result = $dbExecObj->exeSql($conn, $strSql);
					} 
/*
					echo "<Script language=\"JavaScript\">\n";
					echo "window.location = '$_SERVER["PHP_SELF"]';\n";
					echo "</Script>\n";
					exit;
*/
				}
			}
		}
		elseif ($sub=="更新")
		{
			if ($fac_name == "" || $enable == "" || $fac_cat_cd == "")
			{
				echo "<B><FONT color=\"red\">入力されていない項目があります。</FONT></B><BR>\n";
				echo "<A HREF=\"javascript:history.back()\">[BACK]</A>\n";
			}
			else
			{
				$strSql = $dbSqlObj->updateFacilitiesWithfacCdFacCatCd($fac_name,$enable,$fac_cat_cd,$fac_cd);
				$result = $dbExecObj->exeSql($conn, $strSql);
/*
				echo "<Script language=\"JavaScript\">\n";
				echo "window.location = '$_SERVER["PHP_SELF"]';\n";
				echo "</Script>\n";
				exit;
*/
			}
		}
		elseif ($sub == "はい")
		{
			$strSql = $dbSqlObj->deleteFacilitiesWithfacCd($fac_cd);
			$result = $dbExecObj->exeSql($conn, $strSql);
/*
			echo "<Script language=\"JavaScript\">\n";
			echo "window.location = '$_SERVER["PHP_SELF"]';\n";
			echo "</Script>\n";
			exit;
*/
		}
/*
		else
		{
			echo "<Script language=\"JavaScript\">\n";
			echo "window.location = '$_SERVER["PHP_SELF"]';\n";
			echo "</Script>\n";
			exit;
		}
*/
	}
} else
// <<< *** 従来システム *** >>>
{
	if (!$sub || $sub == "登録" || $sub == "更新" || $sub == "はい" || $sub == "いいえ") {
		if ($sub=="登録") {

			include("include/serial.func");
			//数字を２桁固定長にするため、頭に0をつめる。
			$fac_cd = getSerialCode("facilities",$conn,$dbSqlObj,$dbExecObj);

			$strSql = $dbSqlObj->selectFacilitiesCountOfFacCdWithFacCd($fac_cd);
			$result = $dbExecObj->exeSql($conn,$strSql);
			if ($dbExecObj->getResult($result,0,"count_of_records") == 0) {
				$strSql = $dbSqlObj->insertFacilities($fac_cd,$fac_name,'true');
				$result = $dbExecObj->exeSql($conn,$strSql);
			} else {
				echo "<B><FONT color=\"red\">同一施設コードの情報が登録されているため登録できませんでした。</FONT></B><BR>\n";
			}
		} elseif ($sub=="更新") {
			$strSql = $dbSqlObj->selectFacilitiesCountOfFacCdWithFacCd($fac_cd);
			$result = $dbExecObj->exeSql($conn,$strSql);
			if ($dbExecObj->getResult($result,0,"count_of_records") == 0) {
				$strSql = $dbSqlObj->insertFacilities($fac_cd,$fac_name);
				$result = $dbExecObj->exeSql($conn,$strSql);
			} else {
				$strSql = $dbSqlObj->updateFacilitiesWithFacCd($fac_name,$enable,$fac_cd);
				$result = $dbExecObj->exeSql($conn,$strSql);
			}
		} elseif ($sub == "はい") {
			$strSql = $dbSqlObj->deleteFacilitiesWithFacCd($fac_cd);
			$result = $dbExecObj->exeSql($conn,$strSql);
		} else {	
		}	
	}

}
// 2004.08 施設予約切り替え (E)
?>

<Script Language="JavaScript">
<!--

function initSelect(myForm) {
<?
	// 施設カテゴリ名
	echo "\tcatname_arr = new Array(";
	while(current($ar_cat))
	{
		echo "\"" . str_replace("\"", "\\\"", $ar_cat[key($ar_cat)]) . "\"";
		if (next($ar_cat))
		{
			echo ",";
		} 
	}
	echo ");\n";
	
	reset($ar_cat);

	// 施設カテゴリコード
	echo "\tcat_arr = new Array(";
	$wcat = "";
	$wstr_facname="";
	$wstr_fac="";
	
	$ii = 0;
	while(current($ar_cat))
	{
		if (key($ar_cat) == $fac_cat_cd)
		{
			$selectedcat = $ii;
		}

		if (current($ar_cat) != $wcat)
		{
			// 施設名
			$wstr_facname .= "\tfacname_arr" . key($ar_cat) . " = new Array(";
			// 施設コード
			$wstr_fac .= "\tfac_arr".key($ar_cat)." = new Array(";

			$sqlstr = $dbSqlObj->selectFacilitiesAllWithFacCatCdSortedFacCd(key($ar_cat));
			$result = $dbExecObj->exeSql($conn, $sqlstr);
			if (!$result)
			{
				echo "施設情報の一覧を取得できません。<BR>\n";
				exit;
			}

			for ($m = 0; $m < $dbExecObj->getNumRows($result); $m++)
			{
				$wstr_facname.= "\"" . str_replace("\"", "\\\"", $dbExecObj->getResult($result, $m, "fac_name")) . "\"";
				$wstr_fac.= "\"" . $dbExecObj->getResult($result, $m, "fac_cd") . "\"";

				if ($m + 1 != $dbExecObj->getNumRows($result))
				{
					$wstr_facname .= ",";
					$wstr_fac .= ",";
				}
			}

			$wstr_facname .= ")\n";
			$wstr_fac .= ")\n";
			$wcat = key($ar_cat);
			
			// メモリの開放
			$dbExecObj->freeResult($result);
		}
		echo "\"".key($ar_cat)."\"";
		if (next($ar_cat))
		{
			echo ",";
		}
		$ii++;
	}
	echo ");\n";
	echo $wstr_facname;
	echo $wstr_fac;
?>
	myForm.fac_cat_cd.options.length = 0;
	for (k = 0; k < catname_arr.length; k++)
	{
		woption = new Option(catname_arr[k], cat_arr[k], '0', '0');
		myForm.fac_cat_cd.options[k] = woption;
	}
	myForm.fac_cd.options.length = 0;
	<?reset($ar_cat)?>
	for (k = 0;k < facname_arr<?echo key($ar_cat)?>.length;k++) {
		woption = new Option(facname_arr<?echo key($ar_cat)?>[k], fac_arr<?echo key($ar_cat)?>[k], '0', '0');
		myForm.fac_cd.options[k] = woption;
	}
<?	
	if (!$selectedcat) 
	{
		$selectedcat = 0;
	}
	if (!$selectedfac) 
	{
		$selectedfac = 0;
	}
?>
	myForm.fac_cat_cd.selectedIndex = <?echo $selectedcat?>;
	changeSelect(myForm);
	myForm.fac_cd.selectedIndex = <?echo $selectedfac?>;
	return true;
}

function changeSelect(myForm) {
	<?reset($ar_cat)?>
	myForm.fac_cd.options.length = 0;
	var category = myForm.fac_cat_cd.options[myForm.fac_cat_cd.selectedIndex].value;
	switch (category)
	{
<?
	while (current($ar_cat)) 
	{
?>
		case "<? echo key($ar_cat) ?>" :
			for (k = 0; k < facname_arr<?echo key($ar_cat)?>.length; k++)
			{
				woption = new Option(facname_arr<?echo key($ar_cat)?>[k], fac_arr<?echo key($ar_cat)?>[k], '0', '0');
				myForm.fac_cd.options[k] = woption;
			}
			myForm.fac_cd.selectedIndex = 0;
			break;
		<? next($ar_cat) ?>
<?	
	}
?>
	}
	
	return true;
}

//-->
</Script>


<?php
// 2004.08 施設予約切り替え (S)
if (strtoupper($bolFacilitySelect) == "TRUE")
{
	if (!$sub || $sub == "登録" || $sub == "更新" || $sub == "はい" || $sub == "いいえ")
	{
	?>
	<FORM  action="facilities.php" method="POST" name="catsel">
	  <TABLE>
	    <TR>
	      <td>施設カテゴリ</td>
	      <td ROWSPAN="2" WIDTH="30">&nbsp;</td><td>施設</td>
	    </TR>
	    <TR>
	      <TD ROWSPAN="2" VALIGN="top">
	        <SELECT  name="fac_cat_cd" size="1" onChange="changeSelect(catsel)">
	          <option value="">初期設定−−−−−−
	          <option value="">初期設定−−−−−−
	          <option value="">初期設定−−−−−−
	          <option value="">初期設定−−−−−−
	          <option value="">初期設定−−−−−−
	          <option value="">初期設定−−−−−−
	          <option value="">初期設定−−−−−−
	          <option value="">初期設定−−−−−−
	          <option value="">初期設定−−−−−−
	        </SELECT>
	      </TD>
	      <TD>
	        <SELECT name="fac_cd" size="1">
	          <option value="">初期設定−−−−−−
	          <option value="">初期設定−−−−−−
	          <option value="">初期設定−−−−−−
	          <option value="">初期設定−−−−−−
	          <option value="">初期設定−−−−−−
	          <option value="">初期設定−−−−−−
	          <option value="">初期設定−−−−−−
	          <option value="">初期設定−−−−−−
	          <option value="">初期設定−−−−−−
	        </SELECT>
	        <BR>
	        <input type="submit" name="sub" value="新規">
	        <input type="submit" name="sub" value="修正">
	        <input type="submit" name="sub" value="削除">
	      </TD>
	    </TR>
	  </TABLE>
	</FORM>
	<Script Language="JavaScript">
	<!--
	var res = initSelect(document.catsel);
	//-->
	</Script>

	<?
	} 
	elseif ($sub == "新規")
	{
	?>
	<FORM action="facilities.php" method="POST" >
	  <TABLE>
	    <TR>
	      <td>施設カテゴリ</td>
	      <TD>
	        <SELECT name="fac_cat_cd" size="1">
	<?
		$strSql = $dbSqlObj->selectFacilityAllWithEnableTSortedCatCd();
		$result = $dbExecObj->exeSql($conn, $strSql);
		if (!$result) 
		{
			echo "施設カテゴリ情報の一覧を取得できません。<BR>\n";
			exit;
		}
		$count = $dbExecObj->getNumRows($result);
		$i = 0;
		while ($i < $count)
		{
			if ($fac_cat_cd == $dbExecObj->getResult($result, $i, "fac_cat_cd"))
			{
				$selected = " SELECTED";
			}
			else
			{
				$selected = "";
			}
			echo("<OPTION VALUE=\"" . htmlSpecialEscape($dbExecObj->getResult($result, $i, "fac_cat_cd")) . "\"" . $selected . ">" . htmlSpecialEscape($dbExecObj->getResult($result, $i, "fac_cat_name")) . "\n");
			$i++;
		}
	?>
	        </SELECT>
	      </TD>
	    </TR>
	    <TR>
	      <td>施設名</Td>
	      <TD><input type="TEXT" name="fac_name" size="50" maxlength="100"></TD>
	    </TR>
	    <TR>
	      <td>使用</td>
	      <TD>使用<input type="radio" name="enable" value="t" checked>　不使用<input type="radio" name="enable" value="f"></TD>
	    </TR>
	    <TR>
	      <TD colspan=2><input type="submit" name="sub" value="登録"></TD>
	    </TR>
	  </TABLE>
	</FORM>
	<Script Language="JavaScript">
	<!--
	document.forms[0].elements[0].focus();
	//-->
	</Script>
	<?
	} 
	elseif ($sub == "修正")
	{
		// 対象が空欄の場合は戻る
		if ($fac_cd == "")
		{
			$A_PHP_SELF = $_SERVER["PHP_SELF"];
			echo "<Script language=\"JavaScript\">\n";
			echo "window.location = '$A_PHP_SELF';\n";
			echo "</Script>\n";
			exit;
		}
	?>
	<FORM  action="facilities.php" method="POST" >
	  <TABLE>
	    <TR>
	      <td><span class="fBlack10100"><b>施設カテゴリ：</b></span></td>
	      <TD>
	        <SELECT name="fac_cat_cd" size="1">
	<?
		$strSql = $dbSqlObj->selectFacilityAllWithEnableTSortedCatCd();
		$result = $dbExecObj->exeSql($conn, $strSql);
		if (!$result)
		{
			echo "施設カテゴリ情報の一覧を取得できません。<BR>\n";
			exit;
		}
		$count = $dbExecObj->getNumRows($result);
		$i = 0;
		while ($i < $count)
		{
			if ($fac_cat_cd == $dbExecObj->getResult($result, $i, "fac_cat_cd"))
			{
				$selected = " SELECTED";
			}
			else
			{
				$selected = "";
			}
			echo "<OPTION VALUE=\"" . htmlSpecialEscape($dbExecObj->getResult($result, $i, "fac_cat_cd")) . "\"" . $selected . ">" . htmlSpecialEscape($dbExecObj->getResult($result, $i, "fac_cat_name")) . "\n";
			$i++;
		}
	?>
	        </SELECT>
	      </TD>
	    </TR>
	    <TR>
	      <td><span class="fBlack10100"><b>施設コード：</b></span></td>
	      <TD><? echo htmlSpecialEscape($fac_cd) ?></TD>
	    </TR>
	<?
		$strSql = $dbSqlObj->selectFacilitiesAllWithFacCd($fac_cd);
		$result = $dbExecObj->exeSql($conn, $strSql);
		if (!$result)
		{
			echo "施設情報の一覧を取得できません。<BR>\n";
			exit;
		}
	?>
	    <TR>
	      <td><span class="fBlack10100"><b>施設名：</b></span></td>
	      <TD><input type="TEXT" name="fac_name" size="50" maxlength="100" value="<?echo htmlSpecialEscape($dbExecObj->getResult($result, 0, "fac_name"))?>"></TD>
	    </TR>
	    <TR>
	      <td><span class="fBlack10100"><b>使用：</b></span></td>
	<?
	if ($dbExecObj->getResult($result, 0, "enable") == "t")
	{
	?>
	      <TD>
	        使用<input type="radio" name="enable" value="t" checked>　不使用<input type="radio" name="enable" value="f">
	      </TD>
	<? } else { ?>
	      <TD>
	        使用<input type="radio" name="enable" value="t">　不使用<input type="radio" name="enable" value="f" checked>
	      </TD>
	<?}?>
	    </TR>
	    <TR>
	      <TD colspan="2">
	        <input type="hidden" name="fac_cd" value="<? echo htmlSpecialEscape($fac_cd) ?>">
	        <input type="submit" name="sub" value="更新">
	      </TD>
	    </TR>
	  </TABLE>
	</FORM>
	<Script Language="JavaScript">
	<!--
	document.forms[0].elements[0].focus();
	//-->
	</Script>
	<?
	} 
	elseif ($sub == "削除")
	{
		// 対象が空欄の場合は戻る
		if ($fac_cd == "")
		{
			$A_PHP_SELF = $_SERVER["PHP_SELF"];
			echo "<Script language=\"JavaScript\">\n";
			echo "window.location = '$A_PHP_SELF';\n";
			echo "</Script>\n";
			exit;
		}
	?>
	<FORM  action="facilities.php" method="POST">
	  本当に削除しますか？<BR>
	  <input type="hidden" name="fac_cd" value="<?echo htmlSpecialEscape($fac_cd)?>">
	  <input type="submit" name="sub" value="はい">
	  <input type="submit" name="sub" value="いいえ">
	</FORM>
	<?
	} 
} else
// <<< *** 従来システム *** >>>
{
	if (!$sub || $sub == "登録" || $sub == "更新" || $sub == "はい" || $sub == "いいえ")
	{
	?>
	<FORM  action="facilities.php" method="POST" >
	  <SELECT  name="fac_cd" size="1">
	<?
		$strSql = $dbSqlObj->selectFacilitiesAllSortedFacName();
		$result=$dbExecObj->exeSql($conn,$strSql);
		if (!$result) {
			echo "施設情報の一覧を取得できません。<BR>\n";
			exit;
		}
		$count = $dbExecObj->getNumRows($result);
		$i = 0;
		while ($i < $count) {
			print("<OPTION VALUE=\"".$dbExecObj->getResult($result,$i,"fac_cd")."\">".$dbExecObj->getResult($result,$i,"fac_name")."\n");
			$i++;
		}
	?>
	  </SELECT>
	  <BR>
	  <INPUT type="submit" name="sub" value="新規">
	  <INPUT type="submit" name="sub" value="検索">
	  <INPUT type="submit" name="sub" value="削除">
	</FORM>
	<?
	} elseif ($sub == "新規") {
	?>
	<FORM action="facilities.php" method="POST" >
	  <TABLE>
	    <TR>
	      <td><span class="fBlack10100"><b>施設名：</b></span></td>
	      <TD><INPUT type="TEXT" name="fac_name" size="50" maxlength="100"></TD>
	    </TR>
	    <TR>
	      <TD coslspan="2"><INPUT type="submit" name="sub" value="登録"></TD>
	    </TR>
	  </TABLE>
	</FORM>
	<Script Language="JavaScript">
	<!--
	document.forms[0].elements[0].focus();
	//-->
	</Script>
	<?
	} elseif ($sub == "検索") {
		$strSql = $dbSqlObj->selectFacilitiesAllWithFacCd($fac_cd);
		$result = $dbExecObj->exeSql($conn,$strSql);
	?>
	<FORM action="facilities.php" method="POST" >
	  <TABLE>
	    <TR>
	      <td><span class="fBlack10100"><b>施設名：</b></span></td>
	      <TD><INPUT type="TEXT" name="fac_name" size="50" maxlength="100" value="<?echo htmlSpecialEscape($dbExecObj->getResult($result,0,"fac_name"))?>"></TD>
	    </TR>
	    <TR>
	      <td><span class="fBlack10100"><b>有効／無効：</b></span></td>
	<?
		if ($dbExecObj->getResult($result,0,"enable") == "t") {
	?>
	      <TD>
	        <INPUT type="radio" name="enable" value="t" checked>有効
	        <INPUT type="radio" name="enable" value="f">無効
	      </TD>
	<?	} else {	?>
	      <TD>
	        <INPUT type="radio" name="enable" value="t">有効
	        <INPUT type="radio" name="enable" value="f" checked>無効
	      </TD>
	<?	}	?>
	    </TR>
	    <TR>	
	      <TD colspan=2>
	        <INPUT TYPE="hidden" name="fac_cd" value="<?echo htmlSpecialEscape($fac_cd)?>">
	        <INPUT type="submit" name="sub" value="更新">
	      </TD>
	    </TR>
	  </TABLE>
	</FORM>
	<Script Language="JavaScript">
	<!--
	document.forms[0].elements[0].focus();
	//-->
	</Script>
	<?
	} elseif ($sub == "削除") {
	?>
	<FORM  action="facilities.php" method="POST" >
	  本当に削除しますか？<BR>
	  <INPUT TYPE="hidden" name="fac_cd" value="<?echo htmlSpecialEscape($fac_cd)?>">
	  <INPUT type="submit" name="sub" value="はい">
	  <INPUT type="submit" name="sub" value="いいえ">
	</FORM>
	<?
	}


}
// 2004.08 施設予約切り替え (E)


// データベースのClose
	$dbConnectObj->closeConnect($conn);
//デザインマージ後のフッタをインクルードします。
	$menuShowObj->showConfFooter();
?>
