<?php
//
// Copyright (C) 1999-2000 Top Management Service, inc. All Rights Reserved.
// Copyright (C) 2001-2003 System Consultants Co.,Ltd. All Rights Reserved.
//
// $Id: flowpetit.php 1196 2004-08-25 08:28:01Z hideki-h $
//

/**
 * ワークフロー（申請書の決裁）
 *
 * @author hiroki KAWAMURA <hiroki@syscon.co.jp>
 * @author yuji TAKAHASHI <yu-ji@syscon.co.jp>
 * @author hideo OHSAWA <ohsawa@syscon.co.jp>
 */

$sub = isset($_POST["sub"]) ? $_POST["sub"] : $_GET["sub"];
$division = isset($_POST["division"]) ? $_POST["division"] : $_GET["division"];
$targetCategory = isset($_POST["targetCategory"]) ? $_POST["targetCategory"] : $_GET["targetCategory"];
$targetEmployee = isset($_POST["targetEmployee"]) ? $_POST["targetEmployee"] : $_GET["targetEmployee"];
$petition_cd = isset($_POST["petition_cd"]) ? $_POST["petition_cd"] : $_GET["petition_cd"];
$petition_time = isset($_POST["petition_time"]) ? $_POST["petition_time"] : $_GET["petition_time"];
$comment = $_POST["comment"];
$oddmaxcount = $_POST["oddmaxcount"];
$odtokcount = $_POST["odtokcount"];
$petition_emp_cd = $_POST["petition_emp_cd"];
$proxy = $_POST["proxy"];
$trans_id = $_POST["trans_id"];
$sortForRev = $_GET["sortForRev"];
$orderColumnName = $_GET["orderColumnName"];
$filenametemp = $_GET["filenametemp "];
$filename = $_GET["filename"];

include ("include/constant.conf");
include ("gw.php");
include("include/dbChange.php");

include_once($_ROOT_DIR_ . "class/PhraseSelect.php");
$objPhraseSelect = new PhraseSelect($bolPhraseSelect);
$varPhraseSet = $objPhraseSelect->getPhrase();

$conn = $dbConnectObj->openConnect();
if (!$conn)
{
	echo "<script language=\"JavaScript\">\n";
	echo "alert('データベース接続に失敗しました。')\n";
	echo "</script>\n";
	exit;
}
$strSql = $dbSqlObj->setDateStyleToIso();

include ("include/accept.conf");
include ("include/file.func");

if ($sub == "download")
{
	//linuxだったらeucで、windowsだったらsjisで。
	switch ($os_type)
	{
		case "Linux":
				$filenametemp = mb_convert_encoding($filenametemp, "UTF-8");
			break;
		case "Windows":
				$filenametemp = mb_convert_encoding($filenametemp, "SJIS");
			break;
		default:
			break;
	}

	fileDownload($savefile_path . "workflow/$petition_cd/" . $filenametemp, $filename);
	exit;
}

// ログオン周りのクラスを使います。
require_once($_ROOT_DIR_ . "class/employeeinfo.php");		// 社員情報クラス
require_once($_ROOT_DIR_ . "class/employeeinfoowner.php");	// 社員情報クラスの処理クラス
$employeeInfoOwner = new EmployeeInfoOwner();
$employeeInfoOwner->setEmp_cd($_SERVER["PHP_AUTH_USER"]);
$employeeInfoOwner->doSelectQuery($conn, $dbSqlObj, $dbExecObj);
$employeeInfoArray = $employeeInfoOwner->getEmployeeInfoArray();
$isAdmin = $employeeInfoArray[$_SERVER["PHP_AUTH_USER"]]->isAdmin();
$empName = $employeeInfoArray[$_SERVER["PHP_AUTH_USER"]]->getName();

// デザインをインクルードします。
require_once($_ROOT_DIR_ . "class/menuHeadder.php");
$menuShowObj = new menuShowObj($conn,$dbSqlObj,$dbExecObj);
$menuShowObj->setEmpName($empName);
$menuShowObj->setCurrentAppli("flowpetit");
$menuShowObj->setIsAdmin($isAdmin);
$menuShowObj->showHeadder();

// 二重処理禁止
include ("./include/transactions.func");
if (!checkTransID($trans_id, $conn, $dbSqlObj, $dbExecObj))
{
	unset($sub);
}

include ("include/createlog.conf");
include ("include/admchk.func");
include ("include/workflow.func");
include("./class/javascriptselect_div_emp.php");

$classify = array("在宅勤務", "有給休暇", "特別休暇", "夏期休暇", "休暇(その他)", "振替休日", "代休", "欠勤", "遅刻", "早退", "私用外出");
$matter = array("件名", "事由", "在宅理由", "件名");

if ($sub == "検索" || $sub == "search" || $sub == "")
{
	/****************************************************/
	/* 検索用の画面表示ルーチン							*/
	/****************************************************/
	//カテゴリ一覧に表示するための項目をゲット
	//		$strSQL = "SELECT * FROM mst_wflow";
	$strSQL = $dbSqlObj->selectMst_WflowAll();
	$result = $dbExecObj->exeSql($conn, $strSQL);

	//取得できなかった場合のエラー表示ルーチン
	if(!$result)
	{
		echo "<b>データベースに障害：カテゴリ一覧を取得できませんでした。</b><br>\n";
		echo "<a class=\"usually\" href=\"javascript:history.back()\">[BACK]</a>\n";
		exit;
	}

	//配列にリストを格納
	$count = $dbExecObj->getNumRows($result);

	$i = 0;

	$javaScriptSelect_DivEmp = new JavaScriptSelect_DivEmp();
	$javaScriptSelect_DivEmp->setMainElementNameColumnName("div_name");		// メイン要素の名前カラム名
	$javaScriptSelect_DivEmp->setMainElementCodeColumnName("division");		// メイン要素のコードカラム名
	$javaScriptSelect_DivEmp->setSubElementNameColumnName("name");			// サブ要素の名前カラム名
	$javaScriptSelect_DivEmp->setSubElementCodeColumnName("emp_cd");		// サブ要素のコードカラム名
	$javaScriptSelect_DivEmp->setMainIncludeAll("True");					// メイン要素が"全て"を含むかどうか
	$javaScriptSelect_DivEmp->setSubIncludeAll("True");						// サブ要素が"全て"を含むかどうか
	$javaScriptSelect_DivEmp->setSubAllOnly("False");						// メイン要素が"全て"の場合、サブ要素が"全て"のみかどうか
	$javaScriptSelect_DivEmp->setMainAllSubIncludeAll("True");				// メイン要素が"全て"の場合、サブ要素が"全て"を含むかどうか
	$javaScriptSelect_DivEmp->setMainFormSelectName("division");			// メイン要素の<select>の名前
	$javaScriptSelect_DivEmp->setSubFormSelectName("targetEmployee");		// サブ要素の<select>の名前
	$javaScriptSelect_DivEmp->setInitSelectFunctionName("initSelect");		// initSelect()の名前
	$javaScriptSelect_DivEmp->setChangeSelectFunctionName("changeSelect");	// changeSelect()の名前
	$javaScriptSelect_DivEmp->setDisableJavaScriptShowMain("False");		// JavaScriptが無効の際、メイン要素を表示させるかどうか
	$javaScriptSelect_DivEmp->setMainElementCodeFromHttp($division);		// HTTP経由で受け取ったメイン要素のコード
	$javaScriptSelect_DivEmp->setSubElementCodeFromHttp($targetEmployee);	// HTTP経由で受け取ったメイン要素のコード
	$javaScriptSelect_DivEmp->setElement($conn, $dbSqlObj, $dbExecObj);
?>

<script LANGUAGE="JavaScript">
<!--
<?php
	$javaScriptSelect_DivEmp->printInitSelectFunction();
	$javaScriptSelect_DivEmp->printChangeSelectFunction();
?>
//-->
</script>

<form action="flowpetit.php" method="POST" name="searchForm">
  <table cellpadding="5">
    <tr>
      <td colspan="2"><span class="fBlack12100">■ 検索条件</span></td>
    </tr>
    <tr>
      <td><div class="fBlack10100"><b>申請書種別</b></div></td>
      <td><div class="fBlack10100"><b>申請者</b></div></td>
    </tr>
    <tr ALIGN="left" valign="top">
      <td>
<!--カテゴリ一覧-->
        <select name="targetCategory">
          <option value="all">全て
<?php
	while ($i < $count)
	{
		if (!targetCategory)
		{
?>
          <option value=<?php echo htmlSpecialEscape($dbExecObj->getResult($result, $i, "petition_cd")); ?>><?php echo htmlSpecialEscape($dbExecObj->getResult($result, $i, "petition_name")); ?></option>
<?php
			print("\n");
		}
		else
		{
			if ($targetCategory == $dbExecObj->getResult($result, $i, "petition_cd"))
			{
?>
          <option value=<?php echo htmlSpecialEscape($dbExecObj->getResult($result, $i, "petition_cd")); ?> selected><?php echo htmlSpecialEscape($dbExecObj->getResult($result, $i, "petition_name")); ?></option>
<?php
			}
			else
			{
?>
          <option value=<?php echo htmlSpecialEscape($dbExecObj->getResult($result, $i, "petition_cd")); ?>><?php echo htmlSpecialEscape($dbExecObj->getResult($result, $i, "petition_name")); ?></option>
<?php
			}
		}
		$i++;
	}
?>
        </select>
<!--カテゴリ一覧ここまで-->
      </td>
      <td>

<!--申請者一覧-->
        <div class="fBlack10100"><?php echo htmlSpecialEscape($varPhraseSet["strSection"]) ?>名：
          <select name="division" onChange="changeSelect(searchForm)">
            <?php
              $javaScriptSelect_DivEmp->printDefaultMainOption();
            ?>
          </select>
          </div> 
        <div class="fBlack10100">個人名：
          <select name="targetEmployee">
            <?php
              $javaScriptSelect_DivEmp->printDefaultSubOption();
            ?>
          </select>
          </div>          
<!--申請者一覧ここまで-->
      </td>
    </tr>
  </table>
<!--検索ボタン-->    
  <table border="0" cellspacing="0" cellpadding="0">
    <tr> 
      <td width="112"> 
        <div class="fBlack10100">
          <input type="submit" name="sub" value="検索">
        </div>
      </td>
    </tr>
  </table>
<!--検索ボタンここまで-->
</form>

<br>

<script language="JavaScript">
<!--
initSelect(document.searchForm);
//-->
</script>
<?php
	// ここから、はじめに表示される個所。
	// 一覧表示するルーチン
	// subにselectViewがはいっていたら動く。はず。
	if ($sub == "検索" || $sub == "search")
	{
		$admin = admchk($conn, $_SERVER["PHP_AUTH_USER"], $dbSqlObj, $dbExecObj);

	//	ソート順のカラム名を決定します。
	//	ソート順をデフォルト登録日時
	switch ($orderColumnName)
	{
		case "shinseiShoShubetsu":
			$orderColumn = "mst_wflow.petition_name";
			break;
		case "shinseiSha":
			$orderColumn = "name";
			break;
		case "shinseiNichiji":
		default:
			$orderColumnName = "shinseiNichiji";
			$orderColumn = "nextodd.petition_time";
			break;
	}

	//	ソートの順番をデフォルト昇順。
	if(!$sortForRev)
	{
		$sortForRev = "SHOUJUN";
	}

	$sqlstr = $dbSqlObj->selectWorkflowNextoddMst_WflowEmployeeInformation($targetCategory, $division, $targetEmployee, $admin, $_SERVER["PHP_AUTH_USER"], $orderColumn, $sortForRev);

	// 昇順降順を逆にする
	if ($sortForRev == "KOUJUN")
	{
		$reverseSortForRev = "SHOUJUN";
	}
	else
	{
		$reverseSortForRev = "KOUJUN";
	}

	$result = $dbExecObj->exeSql($conn, $sqlstr);
	if (!$result)
	{
		echo "<b>データベースに障害：決裁待ち申請書を検索できませんでした。</b><br>\n";
		echo "<a class=\"usually\" href=\"javascript:history.back()\">[BACK]</a>\n";
		exit;
	}

	$count = $dbExecObj->getNumRows($result);
	$i = 0;
?>
<table width="760" border="0" cellspacing="0" cellpadding="0"><tr><td valign="top" class="gray">
<table width="760" border="0" cellspacing="1" cellpadding="3">
  <tr align="center">
    <td valign="middle" class="sundaybrown" colspan="4"><span class="fWhite10100">決裁待ち申請書一覧</span></td>
  </tr>
  <tr>
<?php
	if ($orderColumnName == "shinseiNichiji")
	{
		$orderAscDesc = $reverseSortForRev;
	}
	else
	{
		$orderAscDesc = $sortForRev;
	}
?>
    <td valign="middle" class="orange"> 
      <table width="195" border="0" cellspacing="0" cellpadding="3">
        <tr> 
          <td valign="middle"> 
            <div align="center">
              <span class="fWhite10100">
                <a class="usually" href="flowpetit.php?sub=<?php echo RawUrlEncode("検索"); ?>&division=<?php echo $division ?>&targetCategory=<?php echo $targetCategory ?>&targetEmployee=<?php echo $targetEmployee ?>&orderColumnName=shinseiNichiji&sortForRev=<?php echo $orderAscDesc ?>">
                  申請日時
<?php
	if ($orderColumnName == "shinseiNichiji")
	{
		if ($sortForRev == "SHOUJUN")
		{
?>
                  <img src="./images/triangle_b.gif" border="0" alt="昇順" hspace="10">
<?php
		}
		else
		{
?>
                  <img src="./images/triangle_a.gif" border="0" alt="降順" hspace="10">
<?php
		}
	}
?>
                </a>
              </span>
            </div>
          </td>
        </tr>
      </table>
    </td>
<?php
	if ($orderColumnName == "shinseiSha")
	{
		$orderAscDesc = $reverseSortForRev;
	}
	else
	{
		$orderAscDesc = $sortForRev;
	}
?>
    <td valign="middle" class="orange"> 
      <table width="94" border="0" cellspacing="0" cellpadding="3">
        <tr> 
          <td valign="middle"> 
            <div align="center">
              <span class="fWhite10100">
                <a class="usually" href="flowpetit.php?sub=<?php echo RawUrlEncode("検索"); ?>&division=<?php echo $division ?>&targetCategory=<?php echo $targetCategory ?>&targetEmployee=<?php echo $targetEmployee ?>&orderColumnName=shinseiSha&sortForRev=<?php echo $orderAscDesc ?>">
                  申請者
<?php
	if ($orderColumnName == "shinseiSha")
	{
		if ($sortForRev == "SHOUJUN")
		{
?>
                  <img src="./images/triangle_b.gif" border="0" alt="昇順" hspace="10">
<?php
		}
		else
		{
?>
                  <img src="./images/triangle_a.gif" border="0" alt="降順" hspace="10">
<?php
		}
	}
?>
                </a>
              </span>
            </div>
          </td>
        </tr>
      </table>
    </td>
<?php
	if ($orderColumnName == "shinseiShoShubetsu")
	{
		$orderAscDesc = $reverseSortForRev;
	}
	else
	{
		$orderAscDesc = $sortForRev;
	}
?>
    <td valign="middle" class="orange"> 
      <table width="185" border="0" cellspacing="0" cellpadding="3">
        <tr> 
          <td valign="middle"> 
            <div align="center">
              <span class="fWhite10100">
                <a class="usually" href="flowpetit.php?sub=<?php echo RawUrlEncode("検索"); ?>&division=<?php echo $division ?>&targetCategory=<?php echo $targetCategory ?>&targetEmployee=<?php echo $targetEmployee ?>&orderColumnName=shinseiShoShubetsu&sortForRev=<?php echo $orderAscDesc ?>">
                  申請書種別
<?php
	if ($orderColumnName == "shinseiShoShubetsu")
	{
		if ($sortForRev == "SHOUJUN")
		{
?>
                  <img src="./images/triangle_b.gif" border="0" alt="昇順" hspace="10">
<?php
		}
		else
		{
?>
                  <img src="./images/triangle_a.gif" border="0" alt="降順" hspace="10">
<?php
		}
	}
?>
                </a>
              </span>
            </div>
          </td>
        </tr>
      </table>
    </td>
    <td valign="middle" class="orange"> 
      <table width="250" border="0" cellspacing="0" cellpadding="3">
        <tr> 
          <td valign="middle"> 
            <div align="center">
              <span class="fWhite10100">
                備考
              </span>
            </div>
          </td>
        </tr>
      </table>
    </td>
  </tr>
<?php
		while ($i < $count)
		{
			if ($i % 2 == 1)
			{
				$tempClassName = "white";
			}
			else
			{
				$tempClassName = "crame";
			}
?>
  <tr>
    <td class="<?php echo $tempClassName ?>" valign="middle">
      <span class="fBlack10100">
        <a class="usually" href="flowpetit.php?sub=view&petition_time=<?php echo rawurlencode($dbExecObj->getResult($result, $i, "petition_time")) ?>&targetCategory=<?php echo $targetCategory ?>&division=<?php echo $division ?>&targetEmployee=<?php echo $targetEmployee ?>">
          <?php echo ereg_replace("-", "/", substr($dbExecObj->getResult($result, $i, "petition_time"), 0, 16)); ?>
        </a>
      </span>
    </td>
    <td class="<?php echo $tempClassName ?>" valign="middle">
      <small>
        <?php echo htmlSpecialEscape($dbExecObj->getResult($result, $i, "name")); ?>
      </small>
    </td>
    <td class="<?php echo $tempClassName ?>" valign="middle">
      <small>
        <?php echo htmlSpecialEscape($dbExecObj->getResult($result, $i, "petition_name")); ?>
      </small>
    </td>
<?php
			if ($dbExecObj->getResult($result, $i, "petition_emp_cd") != $_SERVER["PHP_AUTH_USER"])
			{
?>
    <td class="<?php echo $tempClassName ?>" valign="middle">
      <span class="fBlack10100">
       ※※管理者権限で決裁します。※※
      </span>
    </td>
<?php
			}
			else
			{
?>
    <td class="<?php echo $tempClassName ?>" valign="middle">&nbsp;</td>
<?php
			}
			$i++;
?>
  </tr>
<?php
		}
?>
</table>
</td></tr></table>

<?php
	}
}
//** ここまでが、データ一覧表示のためのルーチン   **
//** sub変数になにもはいっていなかったときのもの。**
//** 一番はじめに表示されていた個所               **
//**************************************************

elseif ($sub == "view" || $sub == "決裁" || $sub == "差戻") 
{
	if ($sub != "view")
	{
		$petition_time = rawurldecode($petition_time);

		// 二重決裁防止
		// 次の決裁者＝今から決裁する者であることを確認
		$sqlstr = $dbSqlObj->selectNextOddCountOfAllWithPetitionTimeEmpCd($petition_time, $petition_emp_cd);
		$result = $dbExecObj->exeSql($conn, $sqlstr);
		if (!$result)
		{
			echo "<b>データベースに障害：次の決裁者情報が取得できませんでした。</b><br>\n";
			echo "<a class=\"usually\" href=\"javascript:history.back()\">[BACK]</a>\n";
			exit;
		}

		if ($dbExecObj->getResult($result, 0, "count_of_records") <= 0)
		{
			echo "<b>既に決裁されています。</b>\n";
			exit;
		}
	}

	if ($sub == "差戻")
	{
		// 二重差戻防止
		$sqlstr = $dbSqlObj->selectWorkflowCountOfAllWithPetitionTimeNgflgF($petition_time);
		$result = $dbExecObj->exeSql($conn, $sqlstr);
		if (!$result)
		{
			echo "<b>データベースに障害：次の決裁者情報が取得できませんでした。</b><br>\n";
			echo "<a class=\"usually\" href=\"javascript:history.back()\">[BACK]</a>\n";
			exit;
		}

		if (0 < $dbExecObj->getResult($result, 0, "count_of_records"))
		{
			echo "<b>既に差戻しされています。</b><br>\n";
			echo "<a class=\"usually\" href=\"javascript:history.back()\">[BACK]</a>\n";
			exit;
		}
	}

	if ($sub == "決裁")
	{
		// 代理
		if ($proxy == True)
		{
			$comment .= "\r\n(管理者代理決裁)";
		}

		// strtokの仕様変更対応
		// 空欄にしないようにする
		//$comment = htmlSpecialEscape($comment);
		$comment = "\"" . $comment . "\"";

		$sqlstr = $dbSqlObj->selectWorkflowAllWithPetitionCdPetitionTime($petition_cd,$petition_time);
		$result = $dbExecObj->exeSql($conn, $sqlstr);

		if (!$result) 
		{
			echo "<b>データベースに障害：指定された申請書が検索できませんでした。</b><br>\n";
			echo "<a class=\"usually\" href=\"javascript:history.back()\">[BACK]</a>\n";
			exit;
		}

		$emp_cd = $dbExecObj->getResult($result, 0, "emp_cd");

		$purpose = $dbExecObj->getResult($result, 0, "purpose");

		$stroddtime = $dbExecObj->getResult($result, 0, "oddtime");
		$today = date("Y\/m\/d H:i:s");

		if ($stroddtime == "") 
		{
			// はじめての決裁
			$oddtime = "{" . $today . "}";
		} 
		else 
		{
			$len = strlen($stroddtime);
			$oddtime = substr($stroddtime, 0, $len - 1) . "," . $today . "}";
		}

		$strcomment = $dbExecObj->getResult($result, 0, "remark");
		if ($strcomment == "") 
		{
			/* はじめての決裁 */
			$comment = "{" . $comment . "}";
		} 
		else 
		{
			$len = strlen($strcomment);
			$comment = substr($strcomment, 0, $len - 1) . "," . $comment . "}";
		}

		// 最終決済者かどうか
		if ($odtokcount == ($oddmaxcount - 1))
		{
			$dbExecObj->exeSql($conn, $dbSqlObj->sqlBeginTrans());
			$sqlstr = $dbSqlObj->updateWorkflowOddtimeOddallNgflgEndflgRemarkWithPetitionTime($oddtime,$comment,$petition_time);
			$result = $dbExecObj->exeSql($conn, $sqlstr);
			if (!$result)
			{
				echo "<b>データベースに障害：申請書の決裁ができません。</b><br>\n";
				$dbExecObj->exeSql($conn, $dbSqlObj->sqlRollBackTrans());
				echo "<a class=\"usually\" href=\"javascript:history.back()\">[BACK]</a>\n";
				exit;
			}

			// 次の決裁者を削除
			$strSql = $dbSqlObj->deleteNextoddWithPetitionTime($petition_time);
			$result = $dbExecObj->exeSql($conn, $strSql);
			if (!$result) 
			{
				echo "<b>データベースに障害：申請書の決裁ができません。</b><br>\n";
				$dbExecObj->exeSql($conn, $dbSqlObj->sqlRollBackTrans());
				echo "<a class=\"usually\" href=\"javascript:history.back()\">[BACK]</a>\n";
				exit;
			}

			$dbExecObj->exeSql($conn, $dbSqlObj->sqlCommitTrans());

			$sqlstr = $dbSqlObj->selectEmployeeWorkflowMst_WflowInformationWithPetitionTimePetitionCd($petition_time);

			$result = $dbExecObj->exeSql($conn, $sqlstr);
			if (!$result) 
			{
				echo "<font color=\"red\"><b>";
				echo "申請書の決裁は完了しましたが、申請者のメールアドレスが取得できませんでした。<br>";
				echo "申請者の個人データを確認してください。</b></font><P>\n";
			} 
			else 
			{
				// 承認済みメールを送信するかどうか取得
				$send_end_mail = $dbExecObj->getResult($result, 0, "send_end_mail");

				// アドレスが存在している場合かつ、取り下げメールを送信する設定になっている場合、送信する
				if ($send_end_mail != "f")
				{
					$email = $dbExecObj->getResult($result, 0, "email");
				//-- 2003.01.10 yu-ji.takahashi delete
//					if ($email == "") 
//					{
//						echo "<font color=\"red\"><b>";
//						echo "申請書の決裁は完了しましたが、申請者のメールアドレスが空白でした。<br>";
//						echo "申請者の個人データを確認してください。</b></font><P>\n";
//					}
					if ($email != "")
					{
						$mailstr = "■Message from WIZ\r\n\r\n";
						$mailstr .= $dbExecObj->getResult($result, 0, "petition_name") . "が承認されました。\r\n\r\n";
						$mailstr .= "WIZ上で確認をお願いします。\r\n\r\n";
						$mailstr .= "提出日時：" . TrimGMT($petition_time) . "\r\n";
						$mailstr .= $matter[$dbExecObj->getResult($result, 0, "petition_type") - 1] . "：" . $purpose . "\r\n\r\n";
						$mailstr .= $_ROOT_URL_ . "\r\n";
						$mailstr .= $_ROOT_URL_ . "workflow.php\r\n\r\n";
						$mailstr .= "※本メールに返信は不要です。";

						// 半角対応
						$mailstr = mb_convert_kana($mailstr);

						// Fromを管理者のメールアドレスにする
						$fromMailStr = $admin;

						// カレントの言語を設定
						mb_language("Japanese");

						// ヘッダを指定
//						$MailHeaders  = "Mime-Version: 1.0\r\n";
//						$MailHeaders .= "Content-Type: text/plain; charset=ISO-2022-JP\r\n";
//						$MailHeaders .= "Content-Transfer-Encoding: 7bit\r\n";
//						$MailHeaders .= "From:$fromMailStr\r\n";

						// メール送信
						mb_send_mail($email, "[WIZ] ワークフロー 承認済", $mailstr, "From:$fromMailStr");
						// メール送信
//						mail($email,
//							("=?ISO-2022-JP?B?" . base64_encode(i18n_convert("[WIZ] ワークフロー 承認済","JIS","UTF-8")) . "?="),
//							i18n_convert($mailstr,"JIS","UTF-8"), $MailHeaders);
					}
				}
			}
		}
		else 
		{
			$dbExecObj->exeSql($conn, $dbSqlObj->sqlBeginTrans());

			// ブラウザの戻るボタン対応 */
			$sqlstr = $dbSqlObj->selectNextOddEmpCdWithPetitionTime($petition_time);
			$result = $dbExecObj->exeSql($conn, $sqlstr);
			if (!$result)
			{
				echo "<b>データベースに障害：申請書の決裁ができません。</b><br>\n";
				$dbExecObj->exeSql($conn, $dbSqlObj->sqlRollBackTrans());
				echo "<a class=\"usually\" href=\"javascript:history.back()\">[BACK]</a>\n";
				exit;
			}

			// 管理者は全ての決裁ができる為
			if (($_SERVER["PHP_AUTH_USER"] != $dbExecObj->getResult($result, 0, "emp_cd")) && (admchk($conn, $_SERVER["PHP_AUTH_USER"], $dbSqlObj, $dbExecObj) <= 0))
			{
				echo "<b>有効な決裁者ではありません。</b><br>\n";
				$dbExecObj->exeSql($conn, $dbSqlObj->sqlRollBackTrans());
				echo "<a class=\"usually\" href=\"javascript:history.back()\">[BACK]</a>\n";
				exit;
			}

			$sqlstr = $dbSqlObj->updateWorkflowOddtimeNgflgFRemarkWithPetitionTime($oddtime,$comment,$petition_time);
			$result = $dbExecObj->exeSql($conn, $sqlstr);
			if (!$result) 
			{
				echo "<b>データベースに障害：申請書の決裁ができません。</b><br>\n";
				$dbExecObj->exeSql($conn, $dbSqlObj->sqlRollBackTrans());
				echo "<a class=\"usually\" href=\"javascript:history.back()\">[BACK]</a>\n";
				exit;
			}

			// 次の決裁者をセット
			$strseq = $odtokcount + 2;
			$sqlstr = $dbSqlObj->selectOddmansEmpCdWithPetitionCdPetitionTimeSeq($petition_cd, $petition_time, $strseq);
			$result = $dbExecObj->exeSql($conn, $sqlstr);
			if (!$result)
			{
				echo "<b>データベースに障害：次の決裁者が不明です。</b><br>\n";
				$dbExecObj->exeSql($conn, $dbSqlObj->sqlRollBackTrans());
				echo "<a class=\"usually\" href=\"javascript:history.back()\">[BACK]</a>\n";
				exit;
			}
			$next_emp_cd = $dbExecObj->getResult($result, 0, "emp_cd");

			$strSql = $dbSqlObj->updateNextoddEmpCdWithPetitionTime($next_emp_cd,$petition_time);
			$result = $dbExecObj->exeSql($conn, $strSql);
			if (!$result)
			{
				echo "<b>データベースに障害：申請書の決裁ができません。</b><br>\n";
				$dbExecObj->exeSql($conn, $dbSqlObj->sqlRollBackTrans());
				echo "<a class=\"usually\" href=\"javascript:history.back()\">[BACK]</a>\n";
				exit;
			}

			$dbExecObj->exeSql($conn, $dbSqlObj->sqlCommitTrans());

			// 決裁通知メールを送るかどうか取得
			$sqlstr = $dbSqlObj->selectMst_wflowSend_sanction_mailWithPetition_cd($petition_cd);
			$result = $dbExecObj->exeSql($conn, $sqlstr);
			$send_sanction_mail = $dbExecObj->getResult($result, 0, "send_sanction_mail");

			if ($send_sanction_mail != "f")
			{
				// 次の決裁者にメール送信
				$emailSql = $dbSqlObj->selectEmployeeEmailWithEmpCd($next_emp_cd);

				$result = $dbExecObj->exeSql($conn, $emailSql);
				if (!$result)
				{
					echo "<b>データベースに異常：" . htmlSpecialEscape($varPhraseSet["strPerson"]) . "情報が取得できません。1</b><br>\n";
					echo "<a class=\"usually\" href=\"javascript:history.back()\">[BACK]</a>\n";
					exit;
				}

				$toMailStr = $dbExecObj->getResult($result, 0, "email");
				
				if ($toMailStr != "")
				{
					$petition_name = GetPetitionName($conn, $petition_time,$dbSqlObj,$dbExecObj);
					$petition_type = GetPetitionType($conn, $petition_time,$dbSqlObj,$dbExecObj);
					$emp_name = GetEmpName($conn, $emp_cd,$dbSqlObj,$dbExecObj);

					$mailstr = "■Message from WIZ\r\n\r\n";
					$mailstr .= $petition_name . "が提出されています。\r\n\r\n";
					$mailstr .= "WIZ上で確認・決裁をお願いします。\r\n\r\n";
					$mailstr .= "提出者：" . $emp_name . "\r\n";
					$mailstr .= "提出日時：" . TrimGMT($petition_time) . "\r\n";
					$mailstr .= $matter[$petition_type - 1] . "：" . $purpose . "\r\n\r\n";
					$mailstr .= $_ROOT_URL_ . "\r\n";
					$mailstr .= $_ROOT_URL_ . "index.php\r\n\r\n";
					$mailstr .= "※本メールに返信は不要です。";

					$mailstr = mb_convert_kana($mailstr);
					// カレントの言語を設定
					mb_language("Japanese");

					// Fromを管理者のメールアドレスにする
					$fromMailStr = $admin;

					// ヘッダを指定
//					$MailHeaders  = "Mime-Version: 1.0\r\n";
//					$MailHeaders .= "Content-Type: text/plain; charset=ISO-2022-JP\r\n";
//					$MailHeaders .= "Content-Transfer-Encoding: 7bit\r\n";
//					$MailHeaders .= "From:$fromMailStr\r\n";

					// メール送信
					mb_send_mail($toMailStr, "[WIZ] ワークフロー 決裁", $mailstr, "From:$fromMailStr");
//					mail($toMailStr,
//						("=?ISO-2022-JP?B?" . base64_encode(i18n_convert("[WIZ] ワークフロー 決裁","JIS","UTF-8")) . "?="),
//						i18n_convert($mailstr,"JIS","UTF-8"), $MailHeaders);
				}
			}
		}

		writeTransID($trans_id, $conn, $dbSqlObj,$dbExecObj);
	} 
	elseif ($sub == "差戻")
	{
		$casus = mb_convert_kana($casus);
		$dbExecObj->exeSql($conn, $dbSqlObj->sqlBeginTrans());
		$sqlstr = $dbSqlObj->updateWorkflowNgflgWithPetitionTime($petition_time);
		$result = $dbExecObj->exeSql($conn, $sqlstr);
		if (!$result)
		{
			echo "<b>データベースに障害：申請書を差し戻せません。</b><br>\n";
			$dbExecObj->exeSql($conn,$dbSqlObj->sqlRollBackTrans());
			echo "<a class=\"usually\" href=\"javascript:history.back()\">[BACK]</a>\n";
			exit;
		}

		// 代理
		if ($proxy == True)
		{
			$comment .= "\r\n(管理者代理差戻)\r\n";
		}

		//$comment = htmlSpecialEscape($comment);

		$sqlstr = $dbSqlObj->insertCasus($petition_time,$comment,$petition_emp_cd);
		$result = $dbExecObj->exeSql($conn, $sqlstr);
		if (!$result)
		{
			echo "<b>データベースに障害：申請書を差し戻せません。</b><br>\n";
			$dbExecObj->exeSql($conn, $dbSqlObj->sqlRollBackTrans());
			echo "<a class=\"usually\" href=\"javascript:history.back()\">[BACK]</a>\n";
			exit;
		}

		$dbExecObj->exeSql($conn, $dbSqlObj->sqlCommitTrans());

		// 決裁通知メール送信するかどうか取得
		$sqlstr = $dbSqlObj->selectMst_wflowSend_remand_mailWithPetition_time($petition_time);
		$result = $dbExecObj->exeSql($conn, $sqlstr);
		$send_remand_mail = $dbExecObj->getResult($result, 0, "send_remand_mail");

		if ($send_remand_mail != "f")
		{
			// 差し戻されたので、申請者にメール送信
			$emailSql = $dbSqlObj->selectEmployeeWorkflowEmail($petition_time);
			$result = $dbExecObj->exeSql($conn, $emailSql);
			if (!$result)
			{
				echo "<b>データベースに異常：" . htmlSpecialEscape($varPhraseSet["strPerson"]) . "情報が取得できません。2</b><br>\n";
				echo "<a class=\"usually\" href=\"javascript:history.back()\">[BACK]</a>\n";
				exit;
			}

			$toMailStr = $dbExecObj->getResult($result, 0, "email");
			
			if ($toMailStr != "")
			{
				$strSql = $dbSqlObj->selectWorkflowPurposeWithPetitionTime($petition_time);
				$resultPurpose = $dbExecObj->exeSql($conn, "SELECT purpose FROM workflow WHERE petition_time = '$petition_time';");
				if (!$resultPurpose) 
				{
					echo "<b>データベースに異常：ワークフロー情報が取得できません。</b><br>\n";
					echo "<a class=\"usually\" href=\"javascript:history.back()\">[BACK]</a>\n";
					exit;
				}

				$petition_name = GetPetitionName($conn, $petition_time,$dbSqlObj,$dbExecObj);
				$petition_type = GetPetitionType($conn, $petition_time,$dbSqlObj,$dbExecObj);

				$mailstr = "■Message from WIZ\r\n\r\n";
				$mailstr .= $petition_name . "が差戻されています。\r\n\r\n";
				$mailstr .= "WIZ上で確認をお願いします。\r\n\r\n";
				$mailstr .= "提出日時：" . TrimGMT($petition_time) . "\r\n";
				$mailstr .= $matter[$petition_type - 1] . "：" . $dbExecObj->getResult($resultPurpose, 0, "purpose") . "\r\n\r\n";
				$mailstr .= $_ROOT_URL_ . "\r\n";
				$mailstr .= $_ROOT_URL_ . "index.php\r\n\r\n";
				$mailstr .= "※本メールに返信は不要です。";

				$mailstr = mb_convert_kana($mailstr);

				// Fromを管理者のメールアドレスにする
				$fromMailStr = $admin;

				// カレントの言語を設定
				mb_language("Japanese");

				// ヘッダを指定
//				$MailHeaders  = "Mime-Version: 1.0\r\n";
//				$MailHeaders .= "Content-Type: text/plain; charset=ISO-2022-JP\r\n";
//				$MailHeaders .= "Content-Transfer-Encoding: 7bit\r\n";
//				$MailHeaders .= "From:$fromMailStr\r\n";

				// メール送信
				mb_send_mail($toMailStr, "[WIZ] ワークフロー 差戻", $mailstr, "From:$fromMailStr");
//				mail($toMailStr,
//					("=?ISO-2022-JP?B?" . base64_encode(i18n_convert("[WIZ] ワークフロー 差戻","JIS","UTF-8")) . "?="),
//					i18n_convert($mailstr,"JIS","UTF-8"), $MailHeaders);
			}
		}
		echo "<b><font color=\"red\">申請を差し戻しました。</font></b>\n";

		writeTransID($trans_id, $conn, $dbSqlObj,$dbExecObj);
	} 
	else 
	{
	}

	$petition_time = rawurldecode($petition_time);
	$sqlstr = $dbSqlObj->selectWorkflowEmployeeMst_WflowInformationWithPetitionTime($petition_time);
	$result = $dbExecObj->exeSql($conn, $sqlstr);

	if (!$result)
	{
		echo "<b>データベースに障害：指定された申請書が検索できませんでした。2</b><br>\n";
		echo "<a class=\"usually\" href=\"javascript:history.back()\">[BACK]</a>\n";
		exit;
	}

	$purpose = ereg_replace("\r\n", "<br>", htmlSpecialEscape($dbExecObj->getResult($result, 0, "purpose")));
	if ($purpose == "")
	{
		$purpose = "&nbsp;";
	}

	$detail = ereg_replace("\r\n", "<br>", htmlSpecialEscape($dbExecObj->getResult($result, 0, "detail")));
	if ($detail == "")
	{
		$detail = "&nbsp;";
	}

	$etc = ereg_replace("\r\n", "<br>", htmlSpecialEscape($dbExecObj->getResult($result, 0, "etc")));
	if ($etc == "")
	{
		$etc = "&nbsp;";
	}

	$ammount = htmlSpecialEscape($dbExecObj->getResult($result, 0, "ammount"));
	if ($ammount == "")
	{
		$ammount = "&nbsp;";
	}
	
	$time_begin = $dbExecObj->getResult($result, 0, "time_begin");
	if ($time_begin == "")
	{
		$time_begin = "&nbsp;";
	}
	else
	{
		$time_begin = ereg_replace("-", "/", $time_begin);
	}

	$time_end = $dbExecObj->getResult($result, 0, "time_end");
	if ($time_end == "")
	{
		$time_end = "&nbsp;";
	}
	else
	{
		$time_end = ereg_replace("-", "/", $time_end);
	}

?>

<span class="fBlack12100">■ <?php echo htmlSpecialEscape($dbExecObj->getResult($result, 0, "petition_name")) ?></span>

<?php
	if ($dbExecObj->getResult($result, 0, "ngflg") == "t")
	{
?>
  <table border BGCOLOR="white"><TH><font color="red">※※差し戻し申請書です。※※</font></TH></table>
<?php
	}
?>
<table width="760" border="0" cellspacing="0" cellpadding="0"><tr><td class="gray" valign="top"> 
  <table width="760" border="0" cellspacing="1" cellpadding="3">
    <tr>
      <td class="sky"> 
        <div align="center"><span class="fWhite10100">申請者氏名</span></div>
      </td>
      <td class="white"> 
        <span class="fBlack10100"><?php echo htmlSpecialEscape($dbExecObj->getResult($result, 0, "name")) ?></span>
      </td>
    </tr>
    <tr>
      <td class="sky"> 
        <div align="center"><span class="fWhite10100">申請日時</span></div>
      </td>
      <td class="white"> 
        <span class="fBlack10100"><?php echo ereg_replace("-", "/", substr($dbExecObj->getResult($result, 0, "petition_time"), 0, 16)) ?></span>
      </td>
    </tr>
<?php
	switch ($dbExecObj->getResult($result, 0, "petition_type")) 
	{
		case CIRCULAR_FLOW:
?>
    <tr>
      <td class="sky"> 
        <div align="center"><span class="fWhite10100">件名</span></div>
      </td>
      <td class="white"> 
        <span class="fBlack10100"><?php echo $purpose ?></span>
      </td>
    </tr>
    <tr>
      <td class="sky"> 
        <div align="center"><span class="fWhite10100">提案理由</span></div>
      </td>
      <td class="white"> 
        <span class="fBlack10100"><?php echo $detail ?></span>
      </td>
    </tr>
    <tr>
      <td class="sky"> 
        <div align="center"><span class="fWhite10100">効果</span></div>
      </td>
      <td class="white"> 
        <span class="fBlack10100"><?php echo $etc ?></span>
      </td>
    </tr>
    <tr>
      <td class="sky"> 
        <div align="center"><span class="fWhite10100">予算</span></div>
      </td>
      <td class="white"> 
        <span class="fBlack10100">\<?php echo number_format($ammount) ?></span>
      </td>
    </tr>
<?php
			break;

		case HOLIDAY_FLOW:
			$byear = sprintf("%04d", $dbExecObj->getResult($result, 0, "byear"));
			$bmonth = sprintf("%02d", $dbExecObj->getResult($result, 0, "bmonth"));
			$bday = sprintf("%02d", $dbExecObj->getResult($result, 0, "bday"));
			$bhour = sprintf("%02d", $dbExecObj->getResult($result, 0, "bhour"));
			$bmin = sprintf("%02d", $dbExecObj->getResult($result, 0, "bmin"));
			$eyear = sprintf("%04d", $dbExecObj->getResult($result, 0, "eyear"));
			$emonth = sprintf("%02d", $dbExecObj->getResult($result, 0, "emonth"));
			$eday = sprintf("%02d", $dbExecObj->getResult($result, 0, "eday"));
			$ehour = sprintf("%02d", $dbExecObj->getResult($result, 0, "ehour"));
			$emin = sprintf("%02d", $dbExecObj->getResult($result, 0, "emin"));
?>
    <tr>
      <td class="sky"> 
        <div align="center"><span class="fWhite10100">区分</span></div>
      </td>
      <td class="white"> 
        <span class="fBlack10100"><?php echo htmlSpecialEscape($classify[$ammount]) ?></span>
      </td>
    </tr>
    <tr>
      <td class="sky"> 
        <div align="center"><span class="fWhite10100">取得日時</span></div>
      </td>
      <td class="white"> 
        <span class="fBlack10100"><?php echo $byear . "/" . $bmonth . "/" . $bday . " " . $bhour . ":" . $bmin . " ～ " . $eyear . "/" . $emonth . "/" . $eday . " " . $ehour . ":" . $emin ?></span>
      </td>
    </tr>
    <tr>
      <td class="sky"> 
        <div align="center"><span class="fWhite10100">事由</span></div>
      </td>
      <td class="white"> 
        <span class="fBlack10100"><?php echo $purpose ?></span>
      </td>
    </tr>
    <tr>
      <td class="sky"> 
        <div align="center"><span class="fWhite10100">連絡先</span></div>
      </td>
      <td class="white"> 
        <span class="fBlack10100"><?php echo $detail ?></span>
      </td>
    </tr>
    <tr>
      <td class="sky"> 
        <div align="center"><span class="fWhite10100">備考</span></div>
      </td>
      <td class="white"> 
        <span class="fBlack10100"><?php echo $etc ?></span>
      </td>
    </tr>
<?php
			break;

		case TELECOMMUTING_FLOW:
			$byear = sprintf("%04d", $dbExecObj->getResult($result, 0, "byear"));
			$bmonth = sprintf("%02d", $dbExecObj->getResult($result, 0, "bmonth"));
			$bday = sprintf("%02d", $dbExecObj->getResult($result, 0, "bday"));
			$bhour = sprintf("%02d", $dbExecObj->getResult($result, 0, "bhour"));
			$bmin = sprintf("%02d", $dbExecObj->getResult($result, 0, "bmin"));
			$eyear = sprintf("%04d", $dbExecObj->getResult($result, 0, "eyear"));
			$emonth = sprintf("%02d", $dbExecObj->getResult($result, 0, "emonth"));
			$eday = sprintf("%02d", $dbExecObj->getResult($result, 0, "eday"));
			$ehour = sprintf("%02d", $dbExecObj->getResult($result, 0, "ehour"));
			$emin = sprintf("%02d", $dbExecObj->getResult($result, 0, "emin"));
?>
    <tr>
      <td class="sky"> 
        <div align="center"><span class="fWhite10100">在宅勤務日時</span></div>
      </td>
      <td class="white"> 
        <span class="fBlack10100"><?php echo $byear . "/" . $bmonth . "/" . $bday . " " . $bhour . ":" . $bmin . " ～ " . $eyear . "/" . $emonth . "/" . $eday . " " . $ehour . ":" . $emin ?></span>
      </td>
    </tr>
    <tr>
      <td class="sky"> 
        <div align="center"><span class="fWhite10100">在宅理由</span></div>
      </td>
      <td class="white"> 
        <span class="fBlack10100"><?php echo $purpose ?></span>
      </td>
    </tr>
    <tr>
      <td class="sky"> 
        <div align="center"><span class="fWhite10100">プロジェクト名</span></div>
      </td>
      <td class="white"> 
        <span class="fBlack10100"><?php echo $detail ?></span>
      </td>
    </tr>
    <tr>
      <td class="sky"> 
        <div align="center"><span class="fWhite10100">作業内容</span></div>
      </td>
      <td class="white"> 
        <span class="fBlack10100"><?php echo $etc ?></span>
      </td>
    </tr>
<?php
			break;

		case FILE_FLOW:
			$filename = $dbExecObj->getResult($result, 0, "filename");
			$petition_time_filename = $dbExecObj->getResult($result, 0, "petition_time");
			$petition_time_filename = ereg_replace("[:\+ \-]", "", $petition_time_filename);
?>
    <tr>
      <td class="sky"> 
        <div align="center"><span class="fWhite10100">件名</span></div>
      </td>
      <td class="white"> 
        <span class="fBlack10100"><?php echo $purpose ?></span>
      </td>
    </tr>
    <tr>
      <td class="sky"> 
        <div align="center"><span class="fWhite10100">備考</span></div>
      </td>
      <td class="white"> 
        <span class="fBlack10100"><?php echo $detail ?></span>
      </td>
    </tr>
    <tr>
      <td class="sky"> 
        <div align="center"><span class="fWhite10100">提出ファイル</span></div>
      </td>
      <td class="white"> 
        <span class="fBlack10100"><a class="usually" href="<?php echo htmlSpecialEscape($_SERVER["PHP_SELF"]) ?>?sub=download&petition_cd=<?php echo $dbExecObj->getResult($result, 0, "petition_cd") ?>&filenametemp=<?php echo rawurlencode($petition_time_filename . "_" . $filename) ?>&filename=<?php echo rawurlencode($filename) ?>" target="_blank">
          <?php echo htmlSpecialEscape($filename) ?>
        </a></span>
      </td>
    </tr>
<?php
			break;
	}
?>
  </table>
</td></tr></table>


<?php
	if ($sub != "差戻")
	{
		// 最終決裁後
		if ($odtokcount != ($oddmaxcount - 1))
		{
?>

<form method="post" action="flowpetit.php">
  <span class="fBlack10100"><b>コメント</b></span><br>
  <textarea name="comment" rows="5" cols="80" wrap="soft"></textarea>
  <br>
<?php
		}
?>
  <br>
  <table border="0" cellspacing="0" cellpadding="0"><tr><td class="gray"> 
  <table border="0" cellspacing="1" cellpadding="15">
	<?php
		$od = $dbExecObj->getResult($result, 0, "oddtime");
		$od = ereg_replace("[{}]", "", $od);
		$i = 0;
		$tok = strtok($od, ",");
		while ($tok)
		{
			$odtok[$i] = $tok;
			$tok = strtok(",");
			$i++;
		}

		$cm = ereg_replace("\r\n", "<br>", $dbExecObj->getResult($result, 0, "remark"));
		$cm = ereg_replace("[{\"}]", "", $cm);
		$tok_cm = strtok($cm, ",");
		for ($j = 0; $tok_cm != ""; $j++)
		{
			$arr_comment[$j] = $tok_cm;
			$tok_cm = strtok(",");
		}

		$odtokcount = $i;
		$petition_cd = $dbExecObj->getResult($result, 0, 2);
		$strSql = $dbSqlObj->selectOddmansEmployeeOddmansAllEmployeeLastNameJWithPetitionCdPetitionTimeEmpCdSortedSeq($petition_time,$petition_cd);
		$resultb = $dbExecObj->exeSql($conn, $strSql);
		$oddmaxcount = $dbExecObj->getNumRows($resultb);
?>
    <tr>
<?php
		for ($i = 0; $i < $oddmaxcount; $i++)
		{
?>
      <td class="orange" valign="middle"> 
        <div align="center"><span class="fWhite10100"><?echo htmlSpecialEscape($dbExecObj->getResult($resultb, $i, "last_name_j")) ?></span></div>
      </td>
<?php
		}
?>
    </tr>
    <tr>
<?php
		// 管理者は全ての決裁が可能な為
		$admin = admchk($conn, $_SERVER["PHP_AUTH_USER"], $dbSqlObj, $dbExecObj);

		$i = 0;
		while ($i < $oddmaxcount)
		{
			while ($i < $odtokcount)
			{
				$j = $i + 1;
				$sqlstr = $dbSqlObj->selectOddmansEmployeeEmpCdLastNameJWithSeq($petition_cd, $petition_time, $j);
				$resultc = $dbExecObj->exeSql($conn, $sqlstr);
				$arr_comment[$i] = ereg_replace("<br>", "\r\n", $arr_comment[$i]);
?>
      <td class="white" valign="middle"> 
        <font color="red">
          <div align="center"><b>済</b></div>
        </font>
        <br>
          <div align="center"><?php echo ereg_replace("-", "/", substr($odtok[$i], 1, 10)) ?></div>
        <br>
        <small>
          <div align="center"><?php echo htmlSpecialEscape($arr_comment[$i]) ?></div>
        </small>
      </td>
<?php				$i++;
			}

			if ($i < $oddmaxcount)
			{
				if ($i == $odtokcount)
				{
					$strSql = $dbSqlObj->selectNextoddWherePetition_time($petition_time);
					$result = $dbExecObj->exeSql($conn, $strSql);
					if (!$result)
					{
						echo "<b>データベースに障害：次の決裁者がわかりません。</b><br>\n";
						echo "<a class=\"usually\" href=\"javascript:history.back()\">[BACK]</a>\n";
						exit;
					}

					if ($_SERVER["PHP_AUTH_USER"] == $dbExecObj->getResult($result, 0, "emp_cd") || 0 < $admin)
					{
						if ($_SERVER["PHP_AUTH_USER"] != $dbExecObj->getResult($result, 0, "emp_cd"))
						{
							$proxy = True;
						}
						else
						{
							$proxy = False;
						}

						$commentShow = True;
?>
      <td class="white" valign="middle"> 
        <input type="submit" name="sub" value="決裁"><br><br>
        <input type="submit" name="sub" value="差戻">
        <input type="hidden" name="petition_time" value="<?php echo rawurlencode($petition_time); ?>">
        <input type="hidden" name="petition_cd" value="<?php echo $petition_cd; ?>">
        <input type="hidden" name="oddmaxcount" value="<?php echo $oddmaxcount; ?>">
        <input type="hidden" name="odtokcount" value="<?php echo $odtokcount; ?>">
        <input type="hidden" name="petition_emp_cd" value="<?php echo htmlSpecialEscape($dbExecObj->getResult($result, 0, "emp_cd")); ?>">
        <input type="hidden" name="proxy" value="<?php echo htmlSpecialEscape($proxy) ?>">
        <input type="hidden" name="trans_id" value="<?php echo createTransID(); ?>">
      </td>
<?php
					} 
					else
					{
?>
      <td class="white" valign="middle">&nbsp;</td>
<?php
					}
					$i++;
				}
				else
				{
?>
      <td class="white" valign="middle">&nbsp;</td>
<?php
					$i++;
				}
			}
		}
?>
    </tr>
  </table>
  </td></tr></table>

<?php
		if ($commentShow)
		{
			$strSql = $dbSqlObj->selectNextOddCountOfAllWithPetitionTime($petition_time);
			$result = $dbExecObj->exeSql($conn,$strSql);
			if (!$result)
			{
				echo "<b>データベースに障害：次の決裁者がわかりません。</b><br>\n";
				echo "<a class=\"usually\" href=\"javascript:history.back()\">[BACK]</a>\n";
				exit;
			}
			if (0 < $dbExecObj->getResult($result, 0, "count_of_records"))
			{
?>
</form>

<?php
			}
		}
	}
} 
else 
{
}

$dbExecObj->freeResult($result);
$dbConnectObj->closeConnect($conn);

if ($sub != "検索" && $sub != "search" && $sub != "")
{
?>
<br>
<a class="usually" href="flowpetit.php?sub=search&targetCategory=<?php echo $targetCategory ?>&division=<?php echo $division ?>&targetEmployee=<?php echo $targetEmployee ?>" target="_self">[決裁待ち申請一覧]</a>
<br>
<?php
}

//デザインマージ後のフッタをインクルードします。
$menuShowObj->showFooter();
?>
