<?php
//
// Copyright (C) 1999-2000 Top Management Service, inc. All Rights Reserved.
// Copyright (C) 2001-2003 System Consultants Co.,Ltd. All Rights Reserved.
//
// $Id: holiday.php 1196 2004-08-25 08:28:01Z hideki-h $
//

/**
 * 祝祭日のメンテナンス
 *
 * @author hiroki KAWAMURA <hiroki@syscon.co.jp>
 * @author yuji TAKAHASHI <yu-ji@syscon.co.jp>
 * @author hideo OHSAWA <ohsawa@syscon.co.jp>
 * @author Sugarabotto <viola@vmorita.com>
 * 			振替休日の設定・5月の国民の祝日設定を追加 （2008/11/20)
 * 			春分の日と秋分の日の自動計算機能追加 (2008/11/21)
 * 			9月の国民の祝日設定を追加 （2009/01/04)
 */

//変数
$sub = isset($_POST["sub"]) ? $_POST["sub"] : $_GET["sub"];
$hname = isset($_POST["hname"]) ? $_POST["hname"] : $_GET["hname"];
$hdate = isset($_POST["hdate"]) ? $_POST["hdate"] : $_GET["hdate"];
$hyear = $_POST["hyear"];
$dummy = $_POST["dummy"];
$vyear = $_POST["vyear"];
$presub = $_POST["presub"];


	function holidayadd($arg1,$arg2,$arg3,$arg4,$dbSqlObj,$dbExecObj) {
		$sqlstr = $dbSqlObj->insertHoliday($arg2,$arg3,$arg4);
		$res = $dbExecObj->exeSql($arg1,$sqlstr);
		if (!$res) {
			return 1;
		}
		return 0;
	}

	include("gw.php");
	include("include/dbChange.php");
	$conn = $dbConnectObj->openConnect();
	if (!$conn) {
		echo "データベースに異常。<BR>\n";
		exit;
	}

    include_once($_ROOT_DIR_ . "class/PhraseSelect.php");
    $objPhraseSelect = new PhraseSelect($bolPhraseSelect);
    $varPhraseSet = $objPhraseSelect->getPhrase();

	include ("include/accept.conf");
	if (!$_SERVER["PHP_AUTH_USER"]) {
		echo "Not Found.<BR>\n";
		exit;
	}

	$strSql = $dbSqlObj->setDateStyleToIso();
	$dbExecObj->exeSql($conn,$strSql);

	$strSql = $dbSqlObj->selectAdministratorsAllWithEmpCd($_SERVER["PHP_AUTH_USER"]);
	$result = $dbExecObj->exeSql($conn,$strSql);


	$adminCount = $dbExecObj->getNumRows($result);
	include("include/admchk.func");
	if (admchk($conn,$_SERVER["PHP_AUTH_USER"],$dbSqlObj,$dbExecObj) == 0){
		echo "<FONT COLOR = \"RED\">管理者ではありません</FONT>\n";
		exit;
	}

	if ($sub == "自動設定") {
		$vyear = $hyear;
	} else {
		if (!$vyear) {
			$vyear = date("Y");
		}
	}
	if ($sub == "前年") {
		$vyear--;
	} elseif ($sub == "翌年") {
		$vyear++;
	} else {
	}

// ログオン周りのクラスを使います。
	require_once($_ROOT_DIR_ . "class/employeeinfo.php");		// 社員情報クラス
	require_once($_ROOT_DIR_ . "class/employeeinfoowner.php");	// 社員情報クラスの処理クラス
	$employeeInfoOwner = new EmployeeInfoOwner();
	$employeeInfoOwner->setEmp_cd($_SERVER["PHP_AUTH_USER"]);
	$employeeInfoOwner->doSelectQuery($conn, $dbSqlObj, $dbExecObj);
	$employeeInfoArray = $employeeInfoOwner->getEmployeeInfoArray();
	$isAdmin = $employeeInfoArray[$_SERVER["PHP_AUTH_USER"]]->isAdmin();
	$empName = $employeeInfoArray[$_SERVER["PHP_AUTH_USER"]]->getName();

// デザインをインクルードします。
	require_once($_ROOT_DIR_ . "class/menuHeadder.php");
	$menuShowObj = new menuShowObj($conn,$dbSqlObj,$dbExecObj);
	$menuShowObj->setEmpName($empName);
	$menuShowObj->setCurrentAppli("conf");
	$menuShowObj->setIsAdmin($isAdmin);
	$menuShowObj->showHeadder();

?>
<span class="fBlack12100"> ■ 祝祭日の設定</span> 
<form action="holiday.php" method="POST">
<input type="text" name="hyear" size="4" maxlength="4" value="<?echo $vyear+1?>">
<b>年の国民の祝日を</b>
<input type="submit" name="sub" value="自動設定"><br>
<b>新規祝日を</b><input type="submit" name="sub" value="登録"><P>

<input type="submit" name="sub" value="前年">
<input type="submit" name="sub" value="翌年">
<input type="hidden" name="dummy" value="文字コード自動判別用テキスト">
<input type="hidden" name="vyear" value="<?echo $vyear?>">
</form>
<?
/* 自動設定 */
if ($sub == "自動設定") {
	if (!$hyear) {
		print("<font color=\"red\"><b>");
		print("自動設定する年が不明です。");
		print("</b></font>\n");
		exit;
	}
	if ($hyear > "2030" || $hyear < "1990") {
		print("<font color=\"red\"><b>");
		print("自動設定する年が不正です。");
		print("</b></font>\n");
		exit;
	}
	$bday = $hyear."/01/01";
	$eday = $hyear."/12/31";
	$sqlstr = $dbSqlObj->deleteHolidayWithHDateFlgOrginF($bday,$eday);
	$result = $dbExecObj->exeSql($conn,$sqlstr);
	/* 元旦 */
	$errflg = 0;
	$errflg = holidayadd($conn,$bday,"元日","f",$dbSqlObj,$dbExecObj);
	/* 成人の日 (ハッピーマンデー対応) */
	if ($hyear < "2000") {
		$cday = $hyear."/01/15";
	} else {
		$wofnyd = date("w",mktime(0,0,0,1,1,$hyear)); 
		if ($wofnyd < 2) {
			$cday = date("Y\/m\/d",mktime(0,0,0,1,9-$wofnyd,$hyear));
		} else {
			$cday = date("Y\/m\/d",mktime(0,0,0,1,16-$wofnyd,$hyear));
		}	
	}
	$errflg += holidayadd($conn,$cday,"成人の日","f",$dbSqlObj,$dbExecObj);
	/* 建国記念の日 */
    $wofcday = date("w",mktime(0,0,0,2,11,$hyear));
    if ($wofcday == 0) {
       $cday = $hyear."/02/12";
       $errflg += holidayadd($conn,$cday,"建国記念の日の振替","f",$dbSqlObj,$dbExecObj);
    }
    else {
       $cday = $hyear."/02/11";
       $errflg += holidayadd($conn,$cday,"建国記念の日","f",$dbSqlObj,$dbExecObj);
    }
	/* 春分の日 */
    /*  春分日の科学的計算 (2000年xA群099年の近似式) */
    $spring_equinox = (int)(20.69115 + ($hyear - 2000) * 0.2421904 - (int)(($hyear - 2000) / 4));
    $wofcday = date("w",mktime(0,0,0,3,$spring_equinox,$hyear));
    if ($wofcday == 0) {
       $cday = $hyear."/03/" . ($spring_equinox + 1);
       $errflg += holidayadd($conn,$cday,"春分の日の振替","f",$dbSqlObj,$dbExecObj);
    }
    else {
       $cday = $hyear."/03/" . $spring_equinox;
       $errflg += holidayadd($conn,$cday,"春分の日","f",$dbSqlObj,$dbExecObj);
    }
    /* みどりの日 */
    $wofcday = date("w",mktime(0,0,0,4,29,$hyear));
    if ($wofcday == 0) {
       $cday = $hyear."/04/30";
       $errflg += holidayadd($conn,$cday,"みどりの日の振替","f",$dbSqlObj,$dbExecObj);
    }
	else {
       $cday = $hyear."/04/29";
	   $errflg += holidayadd($conn,$cday,"みどりの日","f",$dbSqlObj,$dbExecObj);
	}
	/* 憲法記念日 */
	$cday = $hyear."/05/03";
	$errflg += holidayadd($conn,$cday,"憲法記念日","f",$dbSqlObj,$dbExecObj);
	/* 国民の祝日 */
	$cday = $hyear."/05/04";
	$errflg += holidayadd($conn,$cday,"国民の祝日","f",$dbSqlObj,$dbExecObj);
	/* こどもの日 */
	$cday = $hyear."/05/05";
	$errflg += holidayadd($conn,$cday,"こどもの日","f",$dbSqlObj,$dbExecObj);
    /* 5月6日が振替休日のとき */
	$wofcday = date("w",mktime(0,0,0,5,6,$hyear));
	if (($wofcday > 0) && ($wofcday < 4)) {
	   $cday = $hyear."/05/06";
       $errflg += holidayadd($conn,$cday,"5月3-5日の振替休日","f",$dbSqlObj,$dbExecObj);
	}
    /* 海の日 (ハッピーマンデー対応) */
	if ($hyear < "2003") {
		$cday = $hyear."/07/20";
	} else {
		$wofnyd = date("w",mktime(0,0,0,7,1,$hyear));
		if ($wofnyd < 2) {
			$cday = date("Y\/m\/d",mktime(0,0,0,7,16-$wofnyd,$hyear));
		} else {
			$cday = date("Y\/m\/d",mktime(0,0,0,7,23-$wofnyd,$hyear));
		}
	}
	$errflg += holidayadd($conn,$cday,"海の日","f",$dbSqlObj,$dbExecObj);
	/* 敬老の日 (ハッピーマンデー対応) */
	if ($hyear < "2003") {
		$cday = $hyear."/09/15";
	} else {
		$wofnyd = date("w",mktime(0,0,0,9,1,$hyear));
		if ($wofnyd < 2) {
			$cday = date("Y\/m\/d",mktime(0,0,0,9,16-$wofnyd,$hyear));
		} else {
			$cday = date("Y\/m\/d",mktime(0,0,0,9,23-$wofnyd,$hyear));
		}
	}
	$errflg += holidayadd($conn,$cday,"敬老の日","f",$dbSqlObj,$dbExecObj);
    /* 秋分の日 */
    /*  秋分日の科学的計算 (2000年xA群099年の近似式) */
    $autumn_equinox = (int)(23.09 + ($hyear - 2000) * 0.2421904 - (int)(($hyear - 2000) / 4));
    $wofcday = date("w",mktime(0,0,0,9,$autumn_equinox,$hyear));
    if ($wofcday == 0) {
       $cday = $hyear."/09/" . ($autumn_equinox + 1);
       $errflg += holidayadd($conn,$cday,"秋分の日の振替","f",$dbSqlObj,$dbExecObj);
    }
    elseif ($wofcday == 3) {
       $cday = $hyear."/09/" . ($autumn_equinox - 1);
       $errflg += holidayadd($conn,$cday,"国民の祝日","f",$dbSqlObj,$dbExecObj);
       $cday = $hyear."/09/" . $autumn_equinox;
       $errflg += holidayadd($conn,$cday,"秋分の日","f",$dbSqlObj,$dbExecObj);
    }
    else {
       $cday = $hyear."/09/" . $autumn_equinox;
       $errflg += holidayadd($conn,$cday,"秋分の日","f",$dbSqlObj,$dbExecObj);
    }
	/* 体育の日 (ハッピーマンデー対応) */
	if ($hyear < "2000") {
		$cday = $hyear."/10/10";
	} else {
		$wofnyd = date("w",mktime(0,0,0,10,1,$hyear));
		if ($wofnyd < 2) {
			$cday = date("Y\/m\/d",mktime(0,0,0,10,9-$wofnyd,$hyear));
		} else {
			$cday = date("Y\/m\/d",mktime(0,0,0,10,16-$wofnyd,$hyear));
		}
	}
	$errflg += holidayadd($conn,$cday,"体育の日","f",$dbSqlObj,$dbExecObj);
	/* 文化の日 */
    $wofcday = date("w",mktime(0,0,0,11,3,$hyear));
    if ($wofcday == 0) {
       $cday = $hyear."/11/04";
       $errflg += holidayadd($conn,$cday,"文化の日の振替","f",$dbSqlObj,$dbExecObj);
    }
    else {
       $cday = $hyear."/11/03";
       $errflg += holidayadd($conn,$cday,"文化の日","f",$dbSqlObj,$dbExecObj);
    }
	/* 勤労感謝の日 */
    $wofcday = date("w",mktime(0,0,0,11,23,$hyear));
    if ($wofcday == 0) {
       $cday = $hyear."/11/24";
       $errflg += holidayadd($conn,$cday,"勤労感謝の日の振替","f",$dbSqlObj,$dbExecObj);
    }
    else {
       $cday = $hyear."/11/23";
       $errflg += holidayadd($conn,$cday,"勤労感謝の日","f",$dbSqlObj,$dbExecObj);
    }
	/* 天皇誕生日 */
    $wofcday = date("w",mktime(0,0,0,12,23,$hyear));
    if ($wofcday == 0) {
       $cday = $hyear."/12/24";
       $errflg += holidayadd($conn,$cday,"天皇誕生日の振替","f",$dbSqlObj,$dbExecObj);
    }
    else {
       $cday = $hyear."/12/23";
       $errflg += holidayadd($conn,$cday,"天皇誕生日","f",$dbSqlObj,$dbExecObj);
    }
	if ($errflg != 0) {
		print("<font color=\"red\"><b>");
		print("自動設定に失敗しました。");
		print("</b></font>\n");
		exit;
	}
	print("<font color=\"red\"><b>");
	print("自動設定しました。");
	print("</b></font><P>\n");
	$vyear = $hyear;

}
if ($sub == "登録" || $sub == "edt") {
?>
	<form action="holiday.php" method="POST">
	<b>祝祭日の日付（YYYY/MM/DD)：</b><br>
	<?if ($sub=="edt") {
		print(ereg_replace("-","/",$hdate)); 
		print("<input type=\"hidden\" name=\"hdate\" value=\"".$hdate."\">");
	} else {?>
		<input type="text" name="hdate" size="10" maxlength="10">
	<?}?>
	<p>
	<b>祝祭日の名称：</b><br>
	<input type="text" name="hname" size="30" maxlength="100" value="<?if ($sub=="edt") { print htmlSpecialEscape(stripslashes(rawurldecode($hname))); }?>"><p>
	<input type="submit" name="sub" value="登録／更新">
	<?if ($sub=="edt") {?>
		<input type="submit" name="sub" value="削除">
	<?}?>
	<input type="hidden" name="presub" value="<?echo $sub?>">
	</form>
<?
}
if ($sub == "登録／更新") {
	if (!$hdate) {
		print("<font color=\"red\"><b>");
		print("登録する祝祭日の年月日が不明です。");
		print("</b></font>\n");
		exit;
	}
	if (!$hname) {
		print("<font color=\"red\"><b>");
		print("登録する祝祭日の名称が不明です。");
		print("</b></font>\n");
		exit;
	}
	if (!checkdate(substr($hdate,5,2),substr($hdate,8,2),substr($hdate,0,4))) {
		print("<font color=\"red\"><b>");
		print("設定する年月日が不正です。");
		print("</b></font>\n");
		exit;
	}
	$hname = mb_convert_kana($hname);
	if ($presub == "edt") {
		$sqlstr = $dbSqlObj->updateHolidayWithHDate($hname,$hdate);
		$result = $dbExecObj->exeSql($conn,$sqlstr);
		if (!$result) {
			print("<font color=\"red\"><b>");
			print("更新に失敗しました。");
			print("</b></font>\n");
			exit;
		}
	} else {
		if (holidayadd($conn,$hdate,$hname,"t",$dbSqlObj,$dbExecObj) != 0) {
			print("<font color=\"red\"><b>");
			print("登録に失敗しました。");
			print("</b></font>\n");
			exit;
		}
	}
}
if ($sub == "削除") {
	if (!$hdate) {
		print("<font color=\"red\"><b>");
		print("登録する祝祭日の年月日が不明です。");
		print("</b></font>\n");
		exit;
	}
	$sqlstr = $dbSqlObj->deleteHolidayWithHDate($hdate);
	$result = $dbExecObj->exeSql($conn,$sqlstr);
	if (!$result) {
		print("<font color=\"red\"><b>");
		print("削除に失敗しました。");
		print("</b></font>\n");
		exit;
	}
}	
?>
<?/*　指定された年の祝祭日一覧 */?>
<span class="fBlack12100">■ <?echo $vyear?>年の祝祭日</span> 
<table border="0" cellspacing="0" cellpadding="0">
  <tr> 
    <td class="gray" valign="top"> 
      <table border="0" cellspacing="1" cellpadding="3">
<?
$vbday = $vyear."\/01\/01";
$veday = $vyear."\/12\/31";
$sqlstr = $dbSqlObj->selectHolidayAllWithHDateSortedHDate($vbday,$veday);
$result = $dbExecObj->exeSql($conn,$sqlstr);
$count = $dbExecObj->getNumRows($result);
$i = 0;
while ($i < $count) {
$m = substr($dbExecObj->getResult($result,$i,"hdate"),5,2);
$d = substr($dbExecObj->getResult($result,$i,"hdate"),8,2);
$y = substr($dbExecObj->getResult($result,$i,"hdate"),0,4);
?>
        <tr> 
          <td class="sky">
            <span class="fWhite10100">
              <a class="usually" href=holiday.php?sub=edt&hdate=<?echo $dbExecObj->getResult($result,$i,"hdate")?>&hname=<?echo rawurlencode($dbExecObj->getResult($result,$i,"hname"))?>>
                <?echo ereg_replace("-","/",substr($dbExecObj->getResult($result,$i,"hdate"),5,5))?>
                (<?echo date("D",mktime(0,0,0,$m,$d,$y))?>)
              </a>
            </span>
          </td>
          <td class="white">
            <span class="fBlack10100">
              <?echo htmlSpecialEscape($dbExecObj->getResult($result,$i,"hname"))?>
            </span>
          </td>
        </tr>
<?
	$i++;
}
?>
      </table>
    </td>
  </tr>
</table>
<?php
//デザインマージ後のフッタをインクルードします。
	$menuShowObj->showConfFooter();
?>
