<?php
//
// Copyright (C) 2001-2002 System Consultants Co.,Ltd. All Rights Reserved.
//
// $Id: resultToStringFunction.php 920 2002-06-07 10:35:21Z hiboki $
//

/**
 * 
 *
 * @author hiroki KAWAMURA <hiroki@syscon.co.jp>
 * @author yuji TAKAHASHI <yu-ji@syscon.co.jp>
 */


/*******************************************
名前：resultToStringFunction.php
引数：$result			レコードセット
	  $getColumnName	取得カラム名
	  $dbExecObj		DB操作クラス
返値：「('hoge','hoge'......)」の文字列
*******************************************/
function resultToString($result,$getColumnName,$dbExecObj) {
	$recordCount = $dbExecObj->getNumRows($result);
	$recordStr = "(";
	for($i=0;$i<$recordCount;$i++){
		$recordStr.= "'" . $dbExecObj->getResult($result,$i,$getColumnName) . "',";
	}
	$recordStr.= ")";
	$recordStr = str_replace (",)", ")", $recordStr);

	if($recordStr == "()"){
		$recordStr = "('')";
	}
	return $recordStr;
}
?>