<?php
//
// Copyright (C) 1999-2000 Top Management Service, inc. All Rights Reserved.
// Copyright (C) 2001-2003 System Consultants Co.,Ltd. All Rights Reserved.
//
// $Id: monsche.php 1251 2004-11-18 01:39:38Z admin $
//

/**
 * 会社スケジュール
 *
 * @author hiroki KAWAMURA <hiroki@syscon.co.jp>
 * @author yuji TAKAHASHI <yu-ji@syscon.co.jp>
 * @author hideo OHSAWA <ohsawa@syscon.co.jp>
 */

$sub = isset($_POST["sub"]) ? $_POST["sub"] : $_GET["sub"];
$begin_year = $_POST["begin_year"];
$begin_month = $_POST["begin_month"];
$begin_day = $_POST["begin_day"];
$end_year = $_POST["end_year"];
$end_month = $_POST["end_month"];
$end_day = $_POST["end_day"];
$bumon = $_POST["bumon"];
$sche_year = $_POST["sche_year"];
$sche_month = $_POST["sche_month"];
$sche_day = $_POST["sche_day"];
$schedule = $_POST["schedule"];
$division = $_POST["division"];
$tantou = $_POST["tantou"];
$trans_id = $_POST["trans_id"];
$tmpdat = $_GET["tmpdat"];
$begin_date = $_GET["begin_date"];
$end_date = $_GET["end_date"];
$dkey = $_GET["dkey"];
$dseq = $_GET["dseq"];



if ($sub == "書き込み")
{
	SetCookie("monscook", rawurlencode($tantou), time() + 2592000);
}

include("gw.php");

include_once($_ROOT_DIR_ . "class/PhraseSelect.php");
$objPhraseSelect = new PhraseSelect($bolPhraseSelect);
$varPhraseSet = $objPhraseSelect->getPhrase();

require_once($_ROOT_DIR_ . "include/dbChange.php");
$conn = $dbConnectObj->openConnect();


if (!$conn) {
	echo "<B>データベース接続に失敗しました。</B><BR>\n";
	exit;
}

	$strSql = $dbSqlObj->setDateStyleToIso();
	$dbExecObj->exeSql($conn,$strSql);
	include ("include/accept.conf");


// ログオン周りのクラスを使います。
require_once($_ROOT_DIR_ . "class/employeeinfo.php");		// 社員情報クラス
require_once($_ROOT_DIR_ . "class/employeeinfoowner.php");	// 社員情報クラスの処理クラス
$employeeInfoOwner = new EmployeeInfoOwner();
$employeeInfoOwner->setEmp_cd($_SERVER["PHP_AUTH_USER"]);
$employeeInfoOwner->doSelectQuery($conn, $dbSqlObj, $dbExecObj);
$employeeInfoArray = $employeeInfoOwner->getEmployeeInfoArray();
$isAdmin = $employeeInfoArray[$_SERVER["PHP_AUTH_USER"]]->isAdmin();
$empName = $employeeInfoArray[$_SERVER["PHP_AUTH_USER"]]->getName();

// デザインをインクルードします。
require_once($_ROOT_DIR_ . "class/menuHeadder.php");
$menuShowObj = new menuShowObj($conn,$dbSqlObj,$dbExecObj);
$menuShowObj->setEmpName($empName);
$menuShowObj->setCurrentAppli("com_event");
$menuShowObj->setIsAdmin($isAdmin);
$menuShowObj->showHeadder();

include("include/admchk.func");
include("include/holiday.func");
include("include/blnk2nbsp.func");
include ("include/transactions.func");
include ("include/inputcheck.func");

if (!checkTransID($trans_id, $conn, $dbSqlObj, $dbExecObj))
{
	unset($sub);
}

// begin_date, end_date を、begin_3, end_3から作成
if ($begin_year != "" && $begin_month != "" && $begin_day != "")
{
	$begin_date = $begin_year . "/" . $begin_month . "/" . $begin_day;
}

if ($end_year != "" && $end_month != "" && $end_day != "")
{
	$end_date = $end_year . "/" . $end_month . "/" . $end_day;
}

// sche_dateをyear,month,dayから作成
if ($sche_year != "" && $sche_month != "" && $sche_day != "")
{
	$sche_date = $sche_year . "/" . $sche_month . "/" . $sche_day;
}
?>

<!-- ↓　表示ボタンのaction -->
<?

//開始日チェックルーチン
if (!$begin_date) {
	/* 一番はじめに起動した時のみのルーチン */
	$begin_time = time();
	$begin_date = Date("Y\/m\/d",$begin_time);
}
else {
	if (checkdate(substr($begin_date,5,2),substr($begin_date,8,2),substr($begin_date,0,4))) {
		$begin_time = mktime(0, 0, 0, substr($begin_date, 5, 2), substr($begin_date, 8, 2), substr($begin_date, 0, 4));
	}
	else {
		echo "<B>日付の指定が無効です。</B><BR>\n";
		exit;
	}
}

//終了日チェックルーチン
if (!$end_date) {
	/* 一番はじめに起動した時のみのルーチン */
	$end_time = $begin_time + 86400 * 30;
	$end_date = Date("Y\/m\/d", $end_time);
}
else {
	if (checkdate(substr($end_date, 5, 2), substr($end_date, 8, 2), substr($end_date, 0, 4))) {
		$end_time = mktime(0, 0, 0, substr($end_date, 5, 2), substr($end_date, 8, 2), substr($end_date, 0, 4));
	}
	else {
		echo "<B>日付の指定が無効です。<br>\n";
		exit;
	}
}

//２つの日付の関連性チェック
// 2001/10/18 yu-ji.takahashi.created.
	if (strtotime($begin_date)>strtotime($end_date)){
		echo "<B>日付の指定が無効です。</B><BR>\n";
		echo "表示開始日付は表示終了日付よりも先の日付を指定してください。</b><br>\n";
		exit;
	}

	/***********************************/
	/* begin_date と end_date の正規化（文字から値へ）*/
	/* 理由：date関数で使うため。	   */
		$begin_date = strtotime($begin_date);
		$end_date = strtotime($end_date);
	/***********************************/
?>
<table width="760" border="0" cellspacing="0" cellpadding="3">
  <tr> 
	<td><span class="fBlack12100">■ 表示期間</span></td>
  </tr>
  <tr>
	<td>
	  <FORM	 name="schedule_group_frm" action="monsche.php" method="POST" >
		<input type=text name='begin_year' value='<? echo date("Y",$begin_date);?>' size=4 maxlength=4><span class="fBlack12100">年</span>
		  <select name='begin_month'>
<? /*月のリストを生成*/
		for($i=1;$i<13;$i++){
			if (strlen($i) == 1) {$j = "0" . $i;}
			else{$j = $i;}
			print("			   <option value=\"$j\"");
			if($j == date("m",$begin_date)) {
				print(" selected>$j\n");
			}
			else {
				print(">$j\n");
			}
		}
?>
		  </select>
		  <span class="fBlack12100">月</span>
		  <select name='begin_day'>
<? /*日のリストを生成*/
		for($i=1;$i<32;$i++){
			if (strlen($i) == 1) {$j = "0" . $i;}
			else{$j = $i;}
			print("			   <option value=\"$j\"");
			if($j == date("d",$begin_date)) {
				print(" selected>$j\n");
			}
			else {
				print(">$j\n");
			}
		}
?>
		  </select>
		  <span class="fBlack12100">日〜</span>
		  <input type=text name='end_year' value='<? echo date("Y",$end_date);?>' size=4 maxlength=4><span class="fBlack12100">年</span>
		  <select name='end_month'>
<? /*月のリストを生成*/
		for($i=1;$i<13;$i++){
			if (strlen($i) == 1) {$j = "0" . $i;}
			else{$j = $i;}
			print("			   <option value=\"$j\"");
			if($j == date("m",$end_date)) {
				print(" selected>$j\n");
			}
			else {
				print(">$j\n");
			}
		}
?>
		  </select>
		  <span class="fBlack12100">月</span>
		  <select name='end_day'>
<? /*日のリストを生成*/
		for($i=1;$i<32;$i++){
			if (strlen($i) == 1) {$j = "0" . $i;}
			else{$j = $i;}
			print("			   <option value=\"$j\"");
			if($j == date("d",$end_date)) {
				print(" selected>$j\n");
			}
			else {
				print(">$j\n");
			}
		}
?>
		  </select>
		  <span class="fBlack12100">日</span>
<?
	/***************************************************/
	/* begin_date と end_date の正規化（値から文字へ） */
		$begin_date = date("Y\/m\/d",$begin_date);
		$end_date = date("Y\/m\/d",$end_date);
	/***************************************************/
?>
		  &nbsp;&nbsp;&nbsp;
		  <p><span class="fBlack12100"><?php echo htmlSpecialEscape($varPhraseSet["strSection"]) ?>＝</span>
			<script language="JavaScript">
			 <!--
			   function setTable()
			   {
			     document.schedule_group_frm.action = "monsche.php";
			     document.schedule_group_frm.submit();
			     return true;
			   }
			 -->
			</script>
		  <SELECT name="bumon" size="1" onChange="setTable()"></p>
<?
	if ($bumon == "all") {
		print("<option value=\"all\" selected>全て");
	}
	else {
		print("<option value=\"all\">全て");
	}

	$strSql = $dbSqlObj->selectDivisionDiv_nameOrderByDiv_nameDivision();
	$result = $dbExecObj->exeSql($conn,$strSql);

	if (!$result) {
		echo "部門情報の一覧を取得できません。<BR>\n";
		exit;
	}

	$count = $dbExecObj->getNumRows($result);
	$i = 0;
	while ($i < $count) {
		if ($bumon == $dbExecObj->getResult($result, $i, "division")) {
			print("			 <OPTION VALUE=\"" . htmlSpecialEscape($dbExecObj->getResult($result, $i, "division")) . "\" selected>" . htmlSpecialEscape($dbExecObj->getResult($result, $i, "div_name")) . "\n");
		}
		else {
			print("			 <OPTION VALUE=\"" . htmlSpecialEscape($dbExecObj->getResult($result, $i, "division")) . "\">" . htmlSpecialEscape($dbExecObj->getResult($result, $i, "div_name")) . "\n");
		}
		$i++;
	}
?>
		  </SELECT>
		<INPUT type="submit" name="sub" value="表示">
	  </FORM>
	</td>
  </tr>
</table>

<? 
	/****************************************************
	2001/10/17 yu-ji.takahashi updated.
	ここに修正のルーチンを組み込みました。
	ほとんど上記と同じようなルーチン＋データを読み込み。
	sub にeditモードを付加。
	******************************************************/
	if ($sub == "add" || $sub == "edit") {
?>
<table width="760" border="0" cellspacing="0" cellpadding="3">
  <tr> 
	<td><span class="fBlack12100">■ 予定入力</span></td>
  </tr>
  <tr>
	<td>
<?
	if($sub == "edit") {
	/* then UPDATE用のキーとして、tmpdatとdseqをurlに追加。*/
?>
	  <FORM	 action="monsche.php?begin_date=<?echo $begin_date;?>&end_date=<?echo $end_date;?>&tmpdat=<?echo $tmpdat;?>&dseq=<?echo $dseq;?>" method="POST" name="empConfigForm">
<?
	}
	else {
	/* elseの場合、そのまんま。*/
?>
	  <FORM	 action="monsche.php?begin_date=<?echo $begin_date;?>&end_date=<?echo $end_date;?>" method="POST" name="empConfigForm">
<?
	}
?>
	  <TABLE width="600">
		<TR>
		  <TD align=left>
			<b>日付(YYYY/MM/DD)</b>
		  </TD>
<?
	if (!$tmpdat) {
		$tmpdat = substr($begin_date, 0, 8);
	}

	/***********************************/
	/* tmpdat の正規化（文字から値へ）*/
	/* 理由：date関数で使うため。	   */
		$tmpdat = strtotime($tmpdat);
	/***********************************/
?>
		<TD>
		<input type=text name='sche_year' value='<? echo date("Y",$tmpdat);?>' size=4 maxlength=4>年
		<select name='sche_month'>
	<? /*月のリストを生成*/
			for($i=1;$i<13;$i++){
				if (strlen($i) == 1) {$j = "0" . $i;}
				else{$j = $i;}
				print("			 <option value=\"$j\"");
				if($j == date("m",$tmpdat)) {
					print(" selected>$j\n");
				}
				else {
					print(">$j\n");
				}
			}
	?>
		</select>
		月
		<select name='sche_day'>
	<? /*日のリストを生成*/
			for($i=1;$i<32;$i++){
				if (strlen($i) == 1) {$j = "0" . $i;}
				else{$j = $i;}
				print("			 <option value=\"$j\"");
				if($j == date("d",$tmpdat)) {
					print(" selected>$j\n");
				}
				else {
					print(">$j\n");
				}
			}
	/***************************************************/
	/* tmpdat の正規化（値から文字へ） */
		$tmpdat = date("Y\/m\/d",$tmpdat);
	/***************************************************/

	?>
		</select>
		日
	  </TD>
	</TR>
	<TR>
	<TD align=left>
	  <b>予定</b>
	</TD>
<?
	/*************************************************
	subの中身がeditだった場合、引数の値を使ってselectをかます。
	キーとなる引数はtmpdatとdseqの２つ。
	$yotei = dbからget(tmpdatとdseq)
	2001/10/17 yu-ji.takahashi.updated.
	****************************************/

	if($sub == "edit") {
		/* SQL作成 */
			$strSQL = $dbSqlObj->selectMonscheScheduleWithScheDateSeq($tmpdat,$dseq);

		/* $resultにSQLの実行結果をいれる。 */
			$result = $dbExecObj->exeSql($conn,$strSQL);

		/* 何もなかったらエラー表示して終了 */
			if(!$result) {
				echo "データを取得できませんでした。<br>\n";
				exit;
			}

		/* $yoteiにスケジュールの中身をいれる。 */
		$yotei = $dbExecObj->getResult($result,0,"schedule");
		/* $tantouに担当の中身をいれる。 */
		$tantou = $dbExecObj->getResult($result,0,"tantou");

		print("		 <TD><TEXTAREA name=\"schedule\" rows=\"3\" cols=\"80\" wrap=\"soft\">$yotei</TEXTAREA></TD></TR>"); 
	}
	else{
		/* $tantouに担当の中身をいれる。 */
		$tantou = $empName;
		print("		 <TD><TEXTAREA name=\"schedule\" rows=\"3\" cols=\"80\" wrap=\"soft\"></TEXTAREA></TD></TR>");
	}
	/* $bumonに部門の中身をいれる。 */
	$bumon_edit = $dbExecObj->getResult($result,0,"division");

	/* $tantou(emp_name)から$tantou(emp_cd)を検索 */
	$strSQL = $dbSqlObj->selectEmpCdWithEmpName($tantou, $bumon_edit);
	$result = $dbExecObj->exeSql($conn, $strSQL);
	$tantou = $dbExecObj->getResult($result, 0, "emp_cd");

	/* 管理者権限があるかどうかチェック */
	if (admchk($conn,$_SERVER["PHP_AUTH_USER"],$dbSqlObj,$dbExecObj) > 0) {
		$admchk = "t";
	}
	else {
		$admchk = "f";
	}


?>
		</TR>
		<TR>
		  <TD align=left><b><?php echo htmlSpecialEscape($varPhraseSet["strSection"]) ?></b></TD>
		  <TD>
<?
	include ("./class/javascriptselect_div_emp_monsche.php");
 
	$JavaScriptSelect_DivEmp_MonSche = new JavaScriptSelect_DivEmp_MonSche();
	$JavaScriptSelect_DivEmp_MonSche->setMainElementNameColumnName("div_name");		// メイン要素の名前カラム名
	$JavaScriptSelect_DivEmp_MonSche->setMainElementCodeColumnName("division");		// メイン要素のコードカラム名
	$JavaScriptSelect_DivEmp_MonSche->setSubElementNameColumnName("name");			// サブ要素の名前カラム名
	$JavaScriptSelect_DivEmp_MonSche->setSubElementCodeColumnName("emp_cd");			// サブ要素のコードカラム名
	$JavaScriptSelect_DivEmp_MonSche->setMainIncludeAll("True");						// メイン要素が"全て"を含むかどうか
	$JavaScriptSelect_DivEmp_MonSche->setSubIncludeAll("False");						// サブ要素が"全て"を含むかどうか
	$JavaScriptSelect_DivEmp_MonSche->setSubAllOnly("False");							// メイン要素が"全て"の場合、サブ要素が"全て"のみかどうか
	$JavaScriptSelect_DivEmp_MonSche->setMainAllSubIncludeAll("False");				// メイン要素が"全て"の場合、サブ要素が"全て"を含むかどうか
	$JavaScriptSelect_DivEmp_MonSche->setMainFormSelectName("division");				// メイン要素の<select>の名前
	$JavaScriptSelect_DivEmp_MonSche->setSubFormSelectName("tantou");					// サブ要素の<select>の名前
	$JavaScriptSelect_DivEmp_MonSche->setInitSelectFunctionName("initSelect");		// initSelect()の名前
	$JavaScriptSelect_DivEmp_MonSche->setChangeSelectFunctionName("changeSelect");	// changeSelect()の名前
	$JavaScriptSelect_DivEmp_MonSche->setDisableJavaScriptShowMain("False");			// JavaScriptが無効の際、メイン要素を表示させるかどうか
	$JavaScriptSelect_DivEmp_MonSche->setMainElementCodeFromHttp($bumon_edit);		// HTTP経由で受け取ったメイン要素のコード
	$JavaScriptSelect_DivEmp_MonSche->setSubElementCodeFromHttp($tantou);				// HTTP経由で受け取ったサブ要素のコード
	$JavaScriptSelect_DivEmp_MonSche->setElement($conn, $dbSqlObj, $dbExecObj);

	if($admchk == "t"){
  
?>
			<select name="division" size="1" onChange="changeSelect(empConfigForm)">
<?
		$JavaScriptSelect_DivEmp_MonSche->printDefaultMainOption();
?>
			</select><br>
		  </TD>
		</TR>
		<TR>
		  <TD align="left"><b>担当</b></TD>
		  <TD>
			<select name="tantou" size="1">
<?
		$JavaScriptSelect_DivEmp_MonSche->printDefaultSubOption($tantou);
?>
			</select>
			<BR>  
  <SCRIPT LANGUAGE="JavaScript">
  <!--
<?php
		$JavaScriptSelect_DivEmp_MonSche->printInitSelectFunction();
		$JavaScriptSelect_DivEmp_MonSche->printChangeSelectFunction();
?>
  initSelect(document.empConfigForm);
  //-->
  </SCRIPT>
		  </TD>
<?
	}
	else {
		$strSql = $dbSqlObj->selectEmployeeDivisionWithEmpCd($_SERVER["PHP_AUTH_USER"]);
		$result = $dbExecObj->exeSql($conn,$strSql);
		$division = $dbExecObj->getResult($result, 0, "division");
		$strSql = $dbSqlObj->selectDivisionAllWithDivision($division);
		$result = $dbExecObj->exeSql($conn,$strSql);
		$div_name = $dbExecObj->getResult($result, 0, "div_name");
		print("<b>" . htmlSpecialEscape($div_name) . "</b>");
?>
			<INPUT name="division" type="hidden" value="<? echo htmlSpecialEscape($division); ?>">
		  </TD>
		</TR>
		<TR>
		  <TD align=left><b>担当</b></TD>
		  <TD>
<?
		print("<b>" . htmlSpecialEscape($empName) . "</b>")
?>
  <!--
			<INPUT name="tantou" type="hidden" value="<? echo htmlSpecialEscape($empName); ?>">
  //-->
			<INPUT name="tantou" type="hidden" value="<? echo htmlSpecialEscape($employeeInfoOwner->getEmp_cd()); ?>">
		  </TD>
<?
	}
?>
		</TR>
		<TR>
		  <TD colspan=2>
		  </TD>
		</TR>
	  </TABLE>
	</td>
  </tr>
</table>
			<INPUT TYPE="hidden" NAME="trans_id" VALUE="<? echo htmlSpecialEscape(createTransID()); ?>">
			<INPUT type="submit" name="sub" value="書き込み">
			<INPUT type="reset" value="クリア">
</FORM>

	<Script Language="JavaScript">
	<!--
	document.forms[1].schedule.focus();
	//-->
	</Script>
<? 
	} 
	else {
	}

	if (admchk($conn,$_SERVER["PHP_AUTH_USER"],$dbSqlObj,$dbExecObj) > 0) {
		$admchk = "t";
	}
	else {
		$admchk = "f";
	}

	if ($sub == "書き込み") {
		if (!checkdate(substr($sche_date, 5, 2), substr($sche_date, 8, 2), substr($sche_date, 0, 4))) {
			echo "<B>日付の指定が無効です。</B><BR>\n";
			exit;
		}

	$tantou = InputCheck($tantou);
	$schedule = InputCheck($schedule);
	  
	$strSql = $dbSqlObj->selectEmployeeWithEmpCd($tantou);
	$result = $dbExecObj->exeSql($conn,$strSql);
	$division = $dbExecObj->getResult($result, 0, "division");
	$strSql = $dbSqlObj->selectEmployeeNameWithEmpCd($tantou);
	$result = $dbExecObj->exeSql($conn,$strSql);
	$tantou = $dbExecObj->getResult($result, 0, "name");

	  
	if($tmpdat != "" && $dseq != "") {
		/* データ修正だった場合 */
		/* いったん元データを削除 */
//			$strSql = "delete from monsche where sche_date = '$tmpdat' and seq = $dseq";
			$strSql = $dbSqlObj->deleteMonscheWithScheDateSeq($tmpdat,$dseq);
			$result = $dbExecObj->exeSql($conn, $strSql);
			if(!$result){
				print("うまくデータを更新できませんでした。<br>\n");
				exit;
			}
	}
//	$result = $dbExecObj->exeSql($conn, "select max(seq) from monsche where sche_date = '$sche_date';");
	$strSql = $dbSqlObj->selectMonscheMaxOfSeqWithScheDate($sche_date);
	$result = $dbExecObj->exeSql($conn,$strSql);
	if ($tmpdat != "" && $dseq != "") {
		$seqval = $dseq;
	} else {
		$seqval = $dbExecObj->getResult($result, 0, "max_of_field") + 1;
	}
//	$sqlstr = "insert into monsche values('$sche_date',$seqval,'$tantou','$schedule','$division');";
	$sqlstr = $dbSqlObj->insertMonsche($sche_date,$seqval,$tantou,$schedule,$division);
	$result = $dbExecObj->exeSql($conn, $sqlstr);

		writeTransID($trans_id,$conn,$dbSqlObj,$dbExecObj);
	}

	if ($sub == "dele") {
//		$dbExecObj->exeSql($conn,"delete from monsche where sche_date = '$dkey' and seq = '$dseq';");
		$strSql = $dbSqlObj->deleteMonscheWithScheDateSeq($dkey,$dseq);
		$dbExecObj->exeSql($conn,$strSql);
	}
?>

			<table width="760" border="0" cellspacing="0" cellpadding="0">
			  <tr> 
				<td class="gray">
				  <table width="760" border="0" cellspacing="1" cellpadding="3">
					<tr> 
					  <td class="sky"> 
						<table width="96" border="0" cellspacing="0" cellpadding="3">
						  <tr> 
							<td valign="middle"> 
							  <div align="center"><span class="fWhite10100">日付</span></div>
							</td>
						  </tr>
						</table>
					  </td>
					  <td class="sky"> 
						<table width="393" border="0" cellspacing="0" cellpadding="3">
						  <tr> 
							<td valign="middle"> 
							  <div align="center"><span class="fWhite10100">予定</span></div>
							</td>
						  </tr>
						</table>
					  </td>
					  <td class="sky"> 
						<table width="120" border="0" cellspacing="0" cellpadding="3">
						  <tr> 
							<td valign="middle"> 
							  <div align="center"><span class="fWhite10100">担当者</span></div>
							</td>
						  </tr>
						</table>
					  </td>
					  <td class="sky"> 
						<table width="120" border="0" cellspacing="0" cellpadding="3">
						  <tr> 
							<td valign="middle"> 
							  <div align="center"><span class="fWhite10100"><?php echo htmlSpecialEscape($varPhraseSet["strSection"]) ?></span></div>
							</td>
						  </tr>
						</table>
					  </td>
					</tr>
<?
	if ($bumon && $bumon != "all") {
		$whrstr = "and division = '$bumon' ";
	}
//	$qstr = "select * from monsche where sche_date between '$begin_date' and '$end_date'" . $whrstr . "order by sche_date, seq;";
	$qstr = $dbSqlObj->selectMonscheAllWithDate($begin_date,$end_date,$whrstr);
	$result = $dbExecObj->exeSql($conn,$qstr);
	if(!$result) {
		echo "データを取得できませんでした！";
		exit;
	}
	$count = $dbExecObj->getNumRows($result);
	$j = 0;
	$i = $begin_time; 
	$ar_holiday = getholidays($conn,Date("Y",$i),$dbSqlObj,$dbExecObj);
	while ($i <= $end_time)
	{
		$k = 0;
		while ($j < $count && $dbExecObj->getResult($result,$j,"sche_date") == Date("Y\-m\-d",$i))
		{
			$arr_key[$k] = urlencode($dbExecObj->getResult($result,$j,"sche_date"));
			$arr_seq[$k] = $dbExecObj->getResult($result,$j,"seq");
			$arr_schedule[$k] = ereg_replace("\r\n", "<BR>", $dbExecObj->getResult($result, $j, "schedule"));
			$arr_tantou[$k] = $dbExecObj->getResult($result,$j,"tantou");
			$arr_div[$k] = $dbExecObj->getResult($result,$j,"division");
			$k++;
			$j++;
		}

		$rowspan_k = $k ? $k : 1;			//	Opera ブラウザの rowspan="0" によるエラー表示対策 （2010/10/18 スガラボット追加修正. 6行下も $k → $rowspan_k に変更)

		$linkdat=Date("Y\/m\/d",$i);

?>
<TR>
	<TD rowspan="<?echo htmlSpecialEscape($rowspan_k)?>" class="crame" valign="middle"><span class="fBlack10100">
		<a class="usually" href="monsche.php?sub=add&tmpdat=<?echo $linkdat?>&begin_date=<?echo $begin_date?>&end_date=<?echo $end_date?>"><?echo Date("m月d日",$i)?></a></span>
<?
		$weekday = Date("D",$i);
		switch ($weekday)
		{
			case "Mon":
				$weekday_j = "(月)";
				break;
			case "Tue":
				$weekday_j = "(火)";
				break;
			case "Wed":
				$weekday_j = "(水)";
				break;
			case "Thu":
				$weekday_j = "(木)";
				break;
			case "Fri":
				$weekday_j = "(金)";
				break;
			case "Sat":
				$weekday_j = "(土)";
				break;
			case "Sun":
				$weekday_j = "(日)";
				break;
		}

		if ($weekday == "Sun" || chkholiday($ar_holiday,Date("Y-m-d",$i)) != "")
		{
			$tempFontColor = "fRed10100";
		}
		else
		{
			if ($weekday == "Sat")
			{
				$tempFontColor = "fBule10100";
			}
			else
			{
				$tempFontColor = "fBlack10100";
			}
		}


?>
	<span class="<?echo $tempFontColor?>"><?echo htmlSpecialEscape($weekday_j)?></span>
<?
	if (chkholiday($ar_holiday,Date("Y-m-d",$i)) != "")
	{
?>
		<br><span class="<?echo $tempFontColor?>"><?echo htmlSpecialEscape(chkholiday($ar_holiday,Date("Y-m-d",$i)))?></span>
<?
	}
?>
</TD>
<?
		if ($k == 0)
		{
?>
	<TD class="white"><span class="fBlack10100">&nbsp;</span></TD>
	<TD class="white"><span class="fBlack10100">&nbsp;</span></TD>
	<TD class="white"><span class="fBlack10100">&nbsp;</span></TD>
</TR>
<?
		}
		else
		{
			$m = 0;
			while ($m < $k)
			{
				if ($m > 0)
				{
?>
<TR>
<?				}
//				if ($admchk == "t" || ($empName == $arr_tantou[$m] && $employeeInfoOwner->getDivision() == $arr_div[$m]))
//				if ($admchk == "t" || ($empName == $arr_tantou[$m] && $division == $arr_div[$m]))
				if ($admchk == "t" || $empName == $arr_tantou[$m])
				{
?>
	<TD class="white"><span class="fBlack10100"><A class="usually" HREF="monsche.php?sub=edit&tmpdat=<?echo $linkdat?>&dkey=<?echo $arr_key[$m]?>&dseq=<?echo $arr_seq[$m]?>&begin_date=<?echo $begin_date?>&end_date=<?echo $end_date?>"><?echo htmlSpecialEscape($arr_schedule[$m])?></a>&nbsp;
	<A class="usually" HREF="monsche.php?sub=dele&dkey=<?echo $arr_key[$m]?>&dseq=<?echo $arr_seq[$m]?>&begin_date=<?echo $begin_date?>&end_date=<?echo $end_date?>" onClick="return confirm('本当に削除しますか？')">[削除]</A>
<?
				}
				else {
?>
<TD class="white"><span class="fBlack10100"><?echo htmlSpecialEscape($arr_schedule[$m])?>
<?
				}
				if (!$arr_tantou[$m])
				{
					!$arr_tantou[$m] = "&nbsp";
				}
?>
</span>
</TD>
<TD class="white" align=center><span class="fBlack10100"><?echo blnk2nbsp(htmlSpecialEscape($arr_tantou[$m]))?></span></TD>
<TD class="white" align=center>
<?
				$strSql = $dbSqlObj->selectDivisionDivNameWithDivision($arr_div[$m]);
				$rslt_div = $dbExecObj->exeSql($conn,$strSql);
				if ($dbExecObj->getNumRows($rslt_div) != 0)
				{
?>
<span class="fBlack10100"><?echo blnk2nbsp(htmlSpecialEscape($dbExecObj->getResult($rslt_div, 0, "div_name")))?></span></TD>
<?
				}
				$m++;
			}
		}
		$i = $i + 86400;
	}
?>
				  </table>
				</td>
			  </tr>
			</table>
<?php
	// ログの記録を行います。
	include ("include/createlog.conf");

//デザインマージ後のフッタをインクルードします。
	$menuShowObj->showFooter();
?>
