<?php
//
// Copyright (C) 1999-2000 Top Management Service, inc. All Rights Reserved.
// Copyright (C) 2001-2002 System Consultants Co.,Ltd. All Rights Reserved.
//
// $Id: notice1.php 1330 2005-09-29 05:07:05Z root $
//

/**
 * 回覧板
 *
 * @author hiroki KAWAMURA <hiroki@syscon.co.jp>
 * @author yuji TAKAHASHI <yu-ji@syscon.co.jp>
 * @author maiko MIKAMI <m-mikami@syscon.co.jp>
 */
session_start();
$sub = rawurldecode(isset($_POST["sub"]) ? $_POST["sub"] : $_GET["sub"]);
$sendtime = rawurldecode(isset($_POST["sendtime"]) ? $_POST["sendtime"] : $_GET["sendtime"]);
$sub_screen = $_GET['sub_screen'];

if (!isset($_SESSION["session_sub_screen"])) {
	$_SESSION["session_sub_screen"];
}
if(!isset ($sub_screen) && isset($session_sub_screen)){
	$sub_screen = $session_sub_screen;
}
else{
	$session_sub_screen = $sub_screen;
}

include ("gw.php");
include("include/dbChange.php");
$conn = $dbConnectObj->openConnect();
if (!$conn) {
	echo "<Script language=\"JavaScript\">\n";
	echo "alert('データベース接続に失敗しました。')\n";
	echo "</Script>\n";
	exit;
}

include_once($_ROOT_DIR_ . "class/PhraseSelect.php");
$objPhraseSelect = new PhraseSelect($bolPhraseSelect);
$varPhraseSet = $objPhraseSelect->getPhrase();

$dbExecObj->exeSql($conn,$dbSqlObj->setDateStyleToIso());
include ("include/accept.conf");

include("include/admchk.func");
include("include/getallemp.func");
include("include/getalldiv.func");
include("include/blnk2nbsp.func");
include("include/getnowtime.func");
// ログの記録を行います。
include ("include/createlog.conf");

// ログオン周りのクラスを使います。
	require_once($_ROOT_DIR_ . "class/employeeinfo.php");		// 社員情報クラス
	require_once($_ROOT_DIR_ . "class/employeeinfoowner.php");	// 社員情報クラスの処理クラス
	$employeeInfoOwner = new EmployeeInfoOwner();
	$employeeInfoOwner->setEmp_cd($_SERVER["PHP_AUTH_USER"]);
	$employeeInfoOwner->doSelectQuery($conn, $dbSqlObj, $dbExecObj);
	$employeeInfoArray = $employeeInfoOwner->getEmployeeInfoArray();
	$isAdmin = $employeeInfoArray[$_SERVER["PHP_AUTH_USER"]]->isAdmin();
	$empName = $employeeInfoArray[$_SERVER["PHP_AUTH_USER"]]->getName();

// デザインをインクルードします。
	require_once($_ROOT_DIR_ . "class/menuHeadder.php");
	$menuShowObj = new menuShowObj($conn,$dbSqlObj,$dbExecObj);
	$menuShowObj->setEmpName($empName);
	$menuShowObj->setCurrentAppli($logg);
	$menuShowObj->setIsAdmin($isAdmin);
	$menuShowObj->showHeadder();

if ($sub == "この回覧を削除する")
{
	//回覧板削除用オブジェクト
	require_once($_ROOT_DIR_ . "class/NoticeDrawUp.php");
	$noticeDrawUp = new NoticeDrawUp($conn, $dbSqlObj, $dbExecObj);
	//変数設定
	$noticeDrawUp->setSendtime($sendtime);
	//削除
	$result = $noticeDrawUp->deleteNotice(1);
	if (!$result)
	{
		echo "<Script language=\"JavaScript\">\n";
		echo "alert('削除に失敗しました。')\n";
		echo "history.go(-1);\n";
		echo "</Script>\n";
		exit;
	}
} 

//回覧板更新用オブジェクト
require_once($_ROOT_DIR_ . "class/NoticeAnser.php");
$noticeAnser = new NoticeAnser($conn, $dbSqlObj, $dbExecObj);

//登録データ設定
$noticeAnser->setSendtime($sendtime);
$noticeAnser->setEmp_cd($_SERVER["PHP_AUTH_USER"]);
$noticeAnser->setComment($_POST["comment"]);
$noticeAnser->setReply($_POST["reply"]);

if ($sub == "返答")
{
	$ret = $noticeAnser->anserNotice(NULL);
	if ($ret == false) {
		echo "<Script language=\"JavaScript\">\n";
		echo "alert('返答できません。'')\n";
		echo "history.go(-1);\n";
		echo "</Script>\n";
		exit;
	}
}
elseif ($sub == "参加")
{
	$ret = $noticeAnser->anserNotice("1");
	if ($ret == false) {
		echo "<Script language=\"JavaScript\">\n";
		echo "alert('返答できません。'')\n";
		echo "history.go(-1);\n";
		echo "</Script>\n";
		exit;
	}
}
elseif ($sub == "不参加")
{
	$ret = $noticeAnser->anserNotice("0");
	if ($ret == false) {
		echo "<Script language=\"JavaScript\">\n";
		echo "alert('返答できません。'')\n";
		echo "history.go(-1);\n";
		echo "</Script>\n";
		exit;
	}

}

if($sub == "delMyPnotice")
{
	$ret = $noticeAnser->updateMyPNoticePrintFlg($_GET['print_flg']);
	if ($ret == false) {
		echo "<Script language=\"JavaScript\">\n";
		echo "alert('削除できません。'')\n";
		echo "history.go(-1);\n";
		echo "</Script>\n";
		exit;
	}
}

?>
<table border=0 cellspacing=0 cellpadding=0 width=760>
  <tr>
    <td>
      <table width="760" border="0" cellspacing="0" cellpadding="0">
        <tr> 
          <td><img src="images/circulation_all_a.gif" width="360" height="29" alt="着信一覧を見る" border="0"></td>
          <td><a href="notice3.php"><img src="images/circulation_make_b.gif" width="180" height="29" border="0" alt="回覧の新規作成"></a></td>
          <td> 
            <div align="right"><a href="notice4.php"><img src="images/circulation_confirmation_b.gif" width="180" height="29" alt="作成分の確認" border="0"></a></div>
          </td>
        </tr>
      </table>
    </td>
  </tr>
  <tr> 
    <td class="yellow">&nbsp;</td>
  </tr>
  <tr> 
    <td>&nbsp;</td>
  </tr>
  <tr>
    <td>
      <table border="0" cellspacing="0" cellpadding="0" width=760>
		<tr>
		  <td class="fBlack10100">
<?php
if($sub_screen == "printAll"){
?>
            <a class="usually" href="notice1.php?sub_screen=printNone">非表示を隠す</a>
<?php
}
else{
?>
            <a class="usually" href="notice1.php?sub_screen=printAll">全て表示</a>
<?php
}
?>
		  </td>
		</tr>
        <tr>
          <td class="gray" valign="top"> 
            <TABLE width="760" border="0" cellspacing="1" cellpadding="3">
              <TR align="center">
                <td class="sky"> <span class="fWhite10100">送信日時</span></td>
                <td class="sky"> <span class="fWhite10100">タイトル</span></td>
                <td class="sky"> <span class="fWhite10100">送信者氏名</span></td>
                <td class="sky"> <span class="fWhite10100">表示/非表示</span></td>
              </TR>
<?
if (!$vlimit)
{
	$vlimit = 20;
}

if($sub_screen == "printAll"){
	$sqlstr = $dbSqlObj->selectAllNotice($_SERVER["PHP_AUTH_USER"],$vlimit,'1');
	$result = $dbExecObj->exeSql($conn,$sqlstr);
}
else{
	$sqlstr = $dbSqlObj->selectAllNotice($_SERVER["PHP_AUTH_USER"],$vlimit,'0');
	$result = $dbExecObj->exeSql($conn,$sqlstr);
}
if (!$result)
{
	echo "<Script language=\"JavaScript\">\n";
	echo "alert('回覧を取得できません。')\n";
	echo "</Script>\n";
	exit;
}

$count = $dbExecObj->getNumRows($result);
for ($i = 0; $i < $count; $i++)
{
	if ($i % 2 == 1)
	{
		$tempClass = "white";
	}
	else
	{
		$tempClass = "crame";
	}
?>
              <TR>
                <TD VALIGN="top" class=<?echo $tempClass?>>
                  <span class="fBlack10100">
<? echo substr($dbExecObj->getResult($result, $i, "sendtime"), 5, 2) ?>月<? echo substr($dbExecObj->getResult($result, $i, "sendtime"), 8, 2) ?>日
<? echo substr($dbExecObj->getResult($result, $i, "sendtime"), 11, 2) ?>時<? echo substr($dbExecObj->getResult($result, $i, "sendtime"), 14, 2) ?>分
                  </span>
                </TD>
                <TD VALIGN="top" class=<?echo $tempClass?>>
                  <span class="fBlack10100">
                    <A class="usually" HREF="notice2.php?sub=view&sendtime=<? echo rawurlencode($dbExecObj->getResult($result, $i, "sendtime")) ?>">
<? echo htmlSpecialEscape($dbExecObj->getResult($result, $i, "title")) ?>
                    </A>
                  </span>
                </TD>
                <TD VALIGN="top" class=<?echo $tempClass?>>
                  <span class="fBlack10100">
<? echo htmlSpecialEscape($dbExecObj->getResult($result, $i, "name")) ?>
                  </span>
                </TD>
                <TD VALIGN="top" class=<?echo $tempClass?>>
                  <span class="fBlack10100">
<?php
if($dbExecObj->getResult($result, $i, "emp_cd") == $_SERVER["PHP_AUTH_USER"]){
	echo "&nbsp;";
}
else{
	if($dbExecObj->getResult($result, $i, "print_flg") == '1'){
?>
                    <A class="usually" HREF="notice1.php?sub=delMyPnotice&sub_screen=<?php echo $sub_screen ?>&print_flg=0&sendtime=<? echo rawurlencode($dbExecObj->getResult($result, $i, "sendtime")) ?>">
                      非表示にする
                    </A>
<?php
	}
	else{
?>
                    <A class="usually" HREF="notice1.php?sub=delMyPnotice&print_flg=1&sub_screen=<?php echo $sub_screen ?>&sendtime=<? echo rawurlencode($dbExecObj->getResult($result, $i, "sendtime")) ?>">
                      表示にする
                    </A>
<?php
	}
}
?>
                  </span>
                </TD>
                
              </TR>
<?
}
?>
            </TABLE>
          </td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<?php
//デザインマージ後のフッタをインクルードします。
	$menuShowObj->showFooter();
?>
