<?php
//
// Copyright (C) 1999-2000 Top Management Service, inc. All Rights Reserved.
// Copyright (C) 2001-2002 System Consultants Co.,Ltd. All Rights Reserved.
//
// $Id: record.php 1219 2004-09-02 09:04:07Z hideki-h $
//

/**
 * ファイル共有
 *
 * @author hiroki KAWAMURA <hiroki@syscon.co.jp>
 * @author yuji TAKAHASHI <yu-ji@syscon.co.jp>
 * @author maiko MIKAMI <m-mikami@syscon.co.jp>
 */

// 変数
$sub = isset($_POST["sub"]) ? $_POST["sub"] : $_GET["sub"];
$cat_cd = isset($_POST["cat_cd"]) ? $_POST["cat_cd"] : $_GET["cat_cd"];
$subcat_cd = isset($_POST["subcat_cd"]) ? $_POST["subcat_cd"] : $_GET["subcat_cd"];
$term = isset($_POST["term"]) ? $_POST["term"] : $_GET["term"];
$show_no = isset($_POST["show_no"]) ? $_POST["show_no"] : $_GET["show_no"];
$division = isset($_POST["division"]) ? $_POST["division"] : $_GET["division"];
$emp_cd = isset($_POST["emp_cd"]) ? $_POST["emp_cd"] : $_GET["emp_cd"];
$orderColumnName = isset($_POST["orderColumnName"]) ? $_POST["orderColumnName"] : $_GET["orderColumnName"];
$sortForRev = isset($_POST["sortForRev"]) ? $_POST["sortForRev"] : $_GET["sortForRev"];
$comment = isset($_POST["comment"]) ? $_POST["comment"] : $_GET["comment"];
$up_time = isset($_POST["up_time"]) ? $_POST["up_time"] : $_GET["up_time"];
$trans_id = isset($_POST["trans_id"]) ? $_POST["trans_id"] : $_GET["trans_id"];
$filename = isset($_POST["filename"]) ? $_POST["filename"] : $_GET["filename"];

$subcat_name = $_GET["subcat_name"];
$viewCategoryList = $_GET["viewCategoryList"];
$allPage = $_GET["allPage"];
$nowPage = $_GET["nowPage"];
$previous_next = $_GET["previous_next"];

$title = $_POST["title"];
$honmon = $_POST["honmon"];
$update = $_POST["update"];
$userfile = $_POST["userfile"];
$MAX_FILE_SIZE = $_POST["MAX_FILE_SIZE"];
$groupAccess = $_POST["groupAccess"];
$group_cd = array();
$group_cd = $_POST["group_cd"];
$publicAccess = $_POST["publicAccess"];

if ($sub == "検索")
{
	setcookie("show_no_cookie", $show_no, time() + 2592000);
	setcookie("term_cookie", $term, time() + 2592000);
}

if ($viewCategoryList)
{
	setcookie("viewCategoryList_cookie", $viewCategoryList, time() + 2592000);
}

if ($viewCategoryList == "")
{
	if ($_COOKIE["viewCategoryList_cookie"] == "")
	{
		$viewCategoryList = "on";
	}
	else
	{
		$viewCategoryList = $_COOKIE["viewCategoryList_cookie"];
	}
}

include("gw.php");
include("include/dbChange.php");

$conn = $dbConnectObj->openConnect();
include("include/accept.conf");
require("class/js.php");
include("include/file.func");
include("include/resultToStringFunction.php");


if ($sub == "download")
{
	//自分の所属するグループをゲットする。
	$strSql = $dbSqlObj->selectGroup_RelationWithEmpCd($_SERVER["PHP_AUTH_USER"]);
	$result = $dbExecObj->exeSql($conn, $strSql);
	if (!$result)
	{
		print("<font color=\"red\">データベースに障害：ドキュメントを検索できません。</font><br>\n");
		exit;
	}
	else
	{
		$myGroup = resultToString($result, "group_cd", $dbExecObj);
	}

	$strSql = $dbSqlObj->selectRecord_AccessWithMyGroup($up_time, $myGroup, $_SERVER["PHP_AUTH_USER"]);
	$result = $dbExecObj->exeSql($conn, $strSql);
	if (!$result)
	{
		print("<font color=\"red\">データベースに障害：ドキュメントを検索できません。</font><br>\n");
		exit;
	}

	if ($dbExecObj->getResult($result, 0, "count_of_records") < 1)
	{
		exit;
	}

	//日付の正規化
	$strDate = eregi_replace("-", "", substr($up_time, 0, 10));
	$strTime = eregi_replace(":", "", substr($up_time, 11, 8));
	//日付をキーにＤＢからファイル名をゲット
	$strsql = $dbSqlObj->selectRecordGetFileNameWithUpTime($up_time);
	$result = $dbExecObj->exeSql($conn, $strsql);
	//DB接続のチェック
	if (!$result)
	{
		echo "データベースのオープンに失敗しました";
		exit;
	}

	$filename = $dbExecObj->getResult($result, 0, "filename");

	//ゲットしてくるファイル名の正規化
	$fromFileName = $strDate . $strTime . "_" . $filename;

	//ファイルアップロードタイプのexistチェック
	switch ($os_type)
	{
		case "Linux":
			$fromFileName = mb_convert_encoding($fromFileName, "UTF-8");
			break;
		case "Windows":
			$fromFileName = mb_convert_encoding($fromFileName, "SJIS");
			break;
		default:
			break;
	}

	fileDownload($savefile_path . "record/" . $fromFileName,$filename);

	exit;
}

include("include/admchk.func");
$isAdmin = admchk($conn, $_SERVER["PHP_AUTH_USER"], $dbSqlObj, $dbExecObj);

include ("include/transactions.func");

if ($sub == "移動")
{
	$strSql = $dbSqlObj->updateRecordCatCdSubCatCdWithUpTime($cat_cd, $subcat_cd, $up_time);
	$dbExecObj->exeSql($conn, $strSql);
	writeTransID($trans_id, $conn, $dbSqlObj,$dbExecObj);
}

if ($sub == "サブカテゴリ移動")
{
	$strSql = $dbSqlObj->updateSubcategoryCatCdWithSubCatCd($cat_cd, $subcat_cd);
	$dbExecObj->exeSql($conn, $strSql);
	$strSql = $dbSqlObj->updateRecordCatCdWithSubCatCd($cat_cd, $subcat_cd);
	$dbExecObj->exeSql($conn, $strSql);
// 2004.08アクセス権切り替え (S)
	if (strtoupper($bolAccessSelect) == "TRUE")
	{
		// 2004.08 部門アクセス権も移動
		$strSql = $dbSqlObj->updateGroupAccessCatCdWithSubCatCd($cat_cd, $subcat_cd);
		$dbExecObj->exeSql($conn, $strSql);
	}
// 2004.08アクセス権切り替え (E)
	writeTransID($trans_id, $conn, $dbSqlObj,$dbExecObj);
}


include("include/getcategory.func");
include ("include/blnk2nbsp.func");

$FileName = basename($_SERVER["PHP_SELF"]);

$strSql = $dbSqlObj->selectAppconfWithFileName($FileName);
$appResult = $dbExecObj->exeSql($conn,$strSql);
$ar_cat = getcategory($conn,$dbSqlObj,$dbExecObj);
$strSql = $dbSqlObj->setDateStyleToIso();
$dbExecObj->exeSql($conn,$strSql);

// ログオン周りのクラスを使います。
require_once($_ROOT_DIR_ . "class/employeeinfo.php");
require_once($_ROOT_DIR_ . "class/employeeinfoowner.php");
$employeeInfoOwner = new EmployeeInfoOwner();
$employeeInfoOwner->setEmp_cd($_SERVER["PHP_AUTH_USER"]);
$employeeInfoOwner->doSelectQuery($conn, $dbSqlObj, $dbExecObj);
$employeeInfoArray = $employeeInfoOwner->getEmployeeInfoArray();
$isAdmin = $employeeInfoArray[$_SERVER["PHP_AUTH_USER"]]->isAdmin();
$empName = $employeeInfoArray[$_SERVER["PHP_AUTH_USER"]]->getName();

// ログの記録を行います。
include ("include/createlog.conf");

// デザインをインクルードします。
require_once($_ROOT_DIR_ . "class/menuHeadder.php");
$menuShowObj = new menuShowObj($conn,$dbSqlObj,$dbExecObj);
$menuShowObj->setEmpName($empName);
$menuShowObj->setCurrentAppli("document");
$menuShowObj->setIsAdmin($isAdmin);
$menuShowObj->showHeadder();

include("include/getnowtime.func");
?>
<table width="760" border="0" cellspacing="0" cellpadding="0">
  <tr> 
<?php
switch ($sub)
{
	case "テキストファイル作成":
?>
<td valign="bottom"><a href="record.php"><img name="read_a" src="images/document_read_b.gif" width="360" height="29" border="0" alt="閲覧・検索"></a></td>
<td valign="bottom"><img  name="sub2" src="images/document_text_a.gif" width="180" height="29" alt="テキスト作成" border="0"></td>
<td valign="bottom"><div align="right"><a href="record.php?sub=<?php echo rawurlencode("ファイルアップロード") ?>"><img src="images/document_file_b.gif" width="180" height="29" alt="ファイル登録" border="0"></a></div></td>
<?php
		break;
	case "ファイルアップロード":
?>
<td valign="bottom"><a href="record.php"><img name="read_a" src="images/document_read_b.gif" width="360" height="29" border="0" alt="閲覧・検索"></a></td>
<td valign="bottom"><a href="record.php?sub=<?php echo rawurlencode("テキストファイル作成") ?>"><img  name="sub2" src="images/document_text_b.gif" width="180" height="29" alt="テキスト作成" border="0"></a></td>
<td valign="bottom"><div align="right"><img src="images/document_file_a.gif" width="180" height="29" alt="ファイル登録" border="0"></div></td>
<?php
		break;
	default:
?>
<td valign="bottom"><img name="read_a" src="images/document_read_a.gif" width="360" height="29" border="0" alt="閲覧・検索"></td>
<td valign="bottom"><a href="record.php?sub=<?php echo rawurlencode("テキストファイル作成") ?>"><img  name="sub2" src="images/document_text_b.gif" width="180" height="29" alt="テキスト作成" border="0"></a></td>
<td valign="bottom"><div align="right"><a href="record.php?sub=<?php echo rawurlencode("ファイルアップロード") ?>"><img src="images/document_file_b.gif" width="180" height="29" alt="ファイル登録" border="0"></a></div></td>
<?php
		break;
}
?>
  </tr>
  <tr>
    <td colspan="3" class="yellow">&nbsp;</td>
  </tr>
</table>

<?php
if ($sub != "update")
{
?>
<script language="JavaScript">
<!--

<?php
//$jsselect = new JSSelect();
//$jsselect->PrintJS($ar_cat, $cat_cd, $subcat_cd, $sub,$conn,$dbSqlObj,$dbExecObj);
?>

function inputChk(myForm)
{
	if ((myForm.term.value.length == 0) || (isNaN(myForm.term.value) == true) || (myForm.term.value <= 0))
	{
		myForm.term.value = "1";
	}
	
	return true;
}

function fileNameCheck(myForm)
{
	checkTaishouMojiretsu = myForm.title.value;

	if (checkTaishouMojiretsu == "")
	{
		return true;
	}

	alertMsg = "以下の文字を使用しないでください。\n";
	alertMsg += "\\ / : , ; * ? \" < > |\n";
	forbiddenChara = new Array("\\","/",":",",",";","*","?","\"","<",">","|");

	for (i = 0; i < forbiddenChara.length; i++)
	{
		if (checkTaishouMojiretsu.indexOf(forbiddenChara[i], 0) != -1)
		{
			alert(alertMsg);
			return false;
		}
	}
	return true;
}
//-->
</script>

<?php
}

if (!checkTransID($trans_id, $conn, $dbSqlObj, $dbExecObj))
{
	unset($sub);
}

// バックカラー
$bcolor = "pink";

// 2004.08アクセス権切り替え (S)
if (strtoupper($bolAccessSelect) == "TRUE")
{
	//自分の所属する部署を獲得する。
	$strSql = $dbSqlObj->selectDivisionWithEmpCd($_SERVER["PHP_AUTH_USER"]);
	$result_div = $dbExecObj->exeSql($conn, $strSql);
	if (!$result_div)
	{
		print("<font color=\"red\">データベースに障害：ドキュメントを検索できません。</font><br>\n");
		exit;
	}
	$Div_cd = $dbExecObj->getResult($result_div, 0, "division");
}
// 2004.08アクセス権切り替え (E)

// リスト表示
if ($sub != "ファイルアップロード" && $sub != "テキストファイル作成" && $sub != "update" && $sub != "move" && $sub != "dirmove")
{
	include("./class/javascriptselect_cat_subcat.php");
	include("./class/javascriptselect_div_emp.php");

	$javaScriptSelect_CatSubcat = new JavaScriptSelect_CatSubcat();
	$javaScriptSelect_CatSubcat->setMainElementNameColumnName("cat_name");		// メイン要素の名前カラム名
	$javaScriptSelect_CatSubcat->setMainElementCodeColumnName("cat_cd");		// メイン要素のコードカラム名
	$javaScriptSelect_CatSubcat->setSubElementNameColumnName("subcat_name");	// サブ要素の名前カラム名
	$javaScriptSelect_CatSubcat->setSubElementCodeColumnName("subcat_cd");		// サブ要素のコードカラム名
	$javaScriptSelect_CatSubcat->setMainIncludeAll("True");						// メイン要素が"全て"を含むかどうか
	$javaScriptSelect_CatSubcat->setSubIncludeAll("True");						// サブ要素が"全て"を含むかどうか
	$javaScriptSelect_CatSubcat->setSubAllOnly("True");							// メイン要素が"全て"の場合、サブ要素が"全て"のみかどうか
	$javaScriptSelect_CatSubcat->setMainAllSubIncludeAll("True");				// メイン要素が"全て"の場合、サブ要素が"全て"を含むかどうか
	$javaScriptSelect_CatSubcat->setMainFormSelectName("cat_cd");				// メイン要素の<select>の名前
	$javaScriptSelect_CatSubcat->setSubFormSelectName("subcat_cd");				// サブ要素の<select>の名前
	$javaScriptSelect_CatSubcat->setInitSelectFunctionName("initSelect");		// initSelect()の名前
	$javaScriptSelect_CatSubcat->setChangeSelectFunctionName("changeSelect");	// changeSelect()の名前
	$javaScriptSelect_CatSubcat->setDisableJavaScriptShowMain("True");			// JavaScriptが無効の際、メイン要素を表示させるかどうか
	$javaScriptSelect_CatSubcat->setMainElementCodeFromHttp($cat_cd);			// HTTP経由で受け取ったメイン要素のコード
	$javaScriptSelect_CatSubcat->setSubElementCodeFromHttp($subcat_cd);			// HTTP経由で受け取ったメイン要素のコード
	// 2004.08アクセス権切り替え (S)
	if (strtoupper($bolAccessSelect) == "TRUE")
	{
		if ($isAdmin){
			$javaScriptSelect_CatSubcat->setDivision("0");						// 2004.08 管理者の場合は部署コード"0"を設定
			$javaScriptSelect_CatSubcat->setwriteableFlg("f");					// 2004.08 初期化
        }else{
			$javaScriptSelect_CatSubcat->setDivision($Div_cd);					// 2004.08 部署コード
			$javaScriptSelect_CatSubcat->setwriteableFlg("f");					// 2004.08 初期化
        }
	}
	// 2004.08アクセス権切り替え (E)
	$javaScriptSelect_CatSubcat->setElement($conn, $dbSqlObj, $dbExecObj);

	$javaScriptSelect_DivEmp = new JavaScriptSelect_DivEmp();
	$javaScriptSelect_DivEmp->setMainElementNameColumnName("div_name");		// メイン要素の名前カラム名
	$javaScriptSelect_DivEmp->setMainElementCodeColumnName("division");		// メイン要素のコードカラム名
	$javaScriptSelect_DivEmp->setSubElementNameColumnName("name");			// サブ要素の名前カラム名
	$javaScriptSelect_DivEmp->setSubElementCodeColumnName("emp_cd");		// サブ要素のコードカラム名
	$javaScriptSelect_DivEmp->setMainIncludeAll("True");					// メイン要素が"全て"を含むかどうか
	$javaScriptSelect_DivEmp->setSubIncludeAll("True");						// サブ要素が"全て"を含むかどうか
	$javaScriptSelect_DivEmp->setSubAllOnly("False");						// メイン要素が"全て"の場合、サブ要素が"全て"のみかどうか
	$javaScriptSelect_DivEmp->setMainAllSubIncludeAll("True");				// メイン要素が"全て"の場合、サブ要素が"全て"を含むかどうか
	$javaScriptSelect_DivEmp->setMainFormSelectName("division");			// メイン要素の<select>の名前
	$javaScriptSelect_DivEmp->setSubFormSelectName("emp_cd");				// サブ要素の<select>の名前
	$javaScriptSelect_DivEmp->setInitSelectFunctionName("initSelect2");		// initSelect()の名前
	$javaScriptSelect_DivEmp->setChangeSelectFunctionName("changeSelect2");	// changeSelect()の名前
	$javaScriptSelect_DivEmp->setDisableJavaScriptShowMain("False");		// JavaScriptが無効の際、メイン要素を表示させるかどうか
	$javaScriptSelect_DivEmp->setMainElementCodeFromHttp($division);		// HTTP経由で受け取ったメイン要素のコード
	$javaScriptSelect_DivEmp->setSubElementCodeFromHttp($emp_cd);			// HTTP経由で受け取ったメイン要素のコード
	$javaScriptSelect_DivEmp->setElement($conn, $dbSqlObj, $dbExecObj);
?>

<script language="JavaScript">
<!--
<?php
	$javaScriptSelect_CatSubcat->printInitSelectFunction();
	$javaScriptSelect_CatSubcat->printChangeSelectFunction();
	$javaScriptSelect_DivEmp->printInitSelectFunction();
	$javaScriptSelect_DivEmp->printChangeSelectFunction();
?>
//-->
</script>



<form action="record.php" method="POST" name="catsel" onSubmit="return inputChk(this)">
  <table>
    <tr>
      <td colspan="3"><span class="fBlack12100">■ 検索条件</span></td>
      <td rowspan="3">&nbsp;</td>
      <td><span class="fBlack12100">■ 結果表示</span></td>
      <td rowspan="4" valign="bottom"></td>
    </tr>
    <tr>
      <td><div class="fBlack10100"><b>カテゴリ/サブカテゴリ</b></div></td>
      <td><div class="fBlack10100"><b>登録者</b></div></td>
      <td><div class="fBlack10100"><b>期間</b></div></td>
      <td><div class="fBlack10100"><b>件数</b></div></td>
    </tr>
    <tr align="left" valign="top">
      <td>
        <select name="cat_cd" size="1" onChange="changeSelect(document.catsel)">
<?php
	$javaScriptSelect_CatSubcat->printDefaultMainOption();
?>
        </select><br><select name="subcat_cd" size="1">
<?php
	$javaScriptSelect_CatSubcat->printDefaultSubOption();
?>
        </select>
      </td>
      <td>
        <select name="division" onChange="changeSelect2(document.catsel)">
<?php
	$javaScriptSelect_DivEmp->printDefaultMainOption();
?>
        </select><br><select name="emp_cd" size="1">
<?php
	$javaScriptSelect_DivEmp->printDefaultSubOption();
?>
        </select>
      </td>
      <td>
<?php
	if ($term == "")
	{
		if ($_COOKIE["term_cookie"] == "")
		{
			$term = 12;
		}
		else
		{
			$term = $_COOKIE["term_cookie"];
		}
	}
?>
        <input type="text" name="term" size="2" maxlength="2" value="<?php echo $term ?>"><span class="fBlack10100">ヶ月前</span>
      </td>
      <td>
<?php
	if ($show_no == "")
	{
		if ($_COOKIE["show_no_cookie"] == "")
		{
			$show_no = 10;
		}
		else
		{
			$show_no = $_COOKIE["show_no_cookie"];
		}
	}
?>
        <select name="show_no" size="1">
          <option value="10"<?php if ($show_no == "10") echo " selected"; ?>>10件</option>
          <option value="25"<?php if ($show_no == "25") echo " selected"; ?>>25件</option>
          <option value="50"<?php if ($show_no == "50") echo " selected"; ?>>50件</option>
          <option value="75"<?php if ($show_no == "75") echo " selected"; ?>>75件</option>
          <option value="100"<?php if ($show_no == "100") echo " selected"; ?>>100件</option>
        </select>
      </td>
    </tr>
  </table>
  <input type="submit" name="sub" value="検索">
  <input type="hidden" name="sortForRev" value="<?php echo htmlSpecialEscape($sortForRev) ?>">
  <input type="hidden" name="orderColumnName" value="<?php echo htmlSpecialEscape($orderColumnName) ?>">
</form>

<script language="JavaScript">
<!--
initSelect(document.catsel);
initSelect2(document.catsel);
//-->
</script>
<?php
}

// ファイルアップロード画面

if ($sub == "ファイルアップロード" || $sub == "update" || $sub == "テキストファイル作成" || $sub == "move" || $sub == "dirmove")
{
	if ($sub == "ファイルアップロード" || $sub == "テキストファイル作成" || $sub == "move")
	{
		include("./class/javascriptselect_cat_subcat.php");

		$javaScriptSelect_CatSubcat = new JavaScriptSelect_CatSubcat();
		$javaScriptSelect_CatSubcat->setMainElementNameColumnName("cat_name");		// メイン要素の名前カラム名
		$javaScriptSelect_CatSubcat->setMainElementCodeColumnName("cat_cd");		// メイン要素のコードカラム名
		$javaScriptSelect_CatSubcat->setSubElementNameColumnName("subcat_name");	// サブ要素の名前カラム名
		$javaScriptSelect_CatSubcat->setSubElementCodeColumnName("subcat_cd");		// サブ要素のコードカラム名
		$javaScriptSelect_CatSubcat->setMainIncludeAll("False");					// メイン要素が"全て"を含むかどうか
		$javaScriptSelect_CatSubcat->setSubIncludeAll("False");						// サブ要素が"全て"を含むかどうか
		$javaScriptSelect_CatSubcat->setSubAllOnly("True");							// メイン要素が"全て"の場合、サブ要素が"全て"のみかどうか
		$javaScriptSelect_CatSubcat->setMainAllSubIncludeAll("False");				// メイン要素が"全て"の場合、サブ要素が"全て"を含むかどうか
		$javaScriptSelect_CatSubcat->setMainFormSelectName("cat_cd");				// メイン要素の<select>の名前
		$javaScriptSelect_CatSubcat->setSubFormSelectName("subcat_cd");				// サブ要素の<select>の名前
		$javaScriptSelect_CatSubcat->setInitSelectFunctionName("initSelect");		// initSelect()の名前
		$javaScriptSelect_CatSubcat->setChangeSelectFunctionName("changeSelect");	// changeSelect()の名前
		$javaScriptSelect_CatSubcat->setDisableJavaScriptShowMain("True");			// JavaScriptが無効の際、メイン要素を表示させるかどうか
		$javaScriptSelect_CatSubcat->setMainElementCodeFromHttp($cat_cd);			// HTTP経由で受け取ったメイン要素のコード
		$javaScriptSelect_CatSubcat->setSubElementCodeFromHttp($subcat_cd);			// HTTP経由で受け取ったメイン要素のコード
		// 2004.08アクセス権切り替え (S)
		if (strtoupper($bolAccessSelect) == "TRUE")
		{
			if ($isAdmin){
				$javaScriptSelect_CatSubcat->setDivision("0");						// 2004.08 管理者の場合は部署コード"0"を設定
				$javaScriptSelect_CatSubcat->setwriteableFlg("f");					// 2004.08 初期化
            }else{
				$javaScriptSelect_CatSubcat->setDivision($Div_cd);					// 2004.08 部署コード
				$javaScriptSelect_CatSubcat->setwriteableFlg("t");					// 2004.08 アクセス更新権を有する部署のみ抽出
            }
		}
		// 2004.08アクセス権切り替え (E)
		$javaScriptSelect_CatSubcat->setElement($conn, $dbSqlObj, $dbExecObj);
?>

<Script Language="JavaScript">
<!--
<?php
	$javaScriptSelect_CatSubcat->printInitSelectFunction();
	$javaScriptSelect_CatSubcat->printChangeSelectFunction();
?>
//-->
</Script>
<?php
	}
?>
<form enctype="multipart/form-data" action="record.php" method="POST" name="catsel">
  <input type="hidden" name="MAX_FILE_SIZE" value="<?php echo $maxfilesize ?>">
  <table width="760">
<?php
	// ファイルアップロード の場合
	if ($sub == "ファイルアップロード" || $sub == "update")
	{
?>
    <tr>
      <td valign=top><span class="fBlack10100"><b>送信ファイル：</b></span></td>
      <td>
        <input type="file" name="userfile" size="60"><br><span class="fRed10100"><B>（<?php echo (round($maxfilesize/1024/1024)) ?>MBまで）</B></span>
      </td>
    </tr>
<?php
	// テキストファイル作成 の場合
	}
	elseif ($sub == "テキストファイル作成")
	{
?>
    <tr>
      <td valign="top"><span class="fBlack10100"><b>タイトル：</b></span></td>
      <td>
        <input type="text" name="title" size="20" maxlength="20">
      </td>
    </tr>
    <tr>
      <td><span class="fRed10100"><b>*</b></span><span class="fBlack10100"><b>本文：</b></span></td>
      <td><textarea name="honmon" rows="7" cols="50" wrap="soft"></textarea></td>
    </tr>
<?php
	}
?>

<?php
	if ($sub != "ファイルアップロード" && $sub != "テキストファイル作成")
	{
?>
    <tr>
      <td valign="top">
<?php
		if ($sub == "dirmove")
		{
?>
        <span class="fBlack10100"><b>サブカテゴリ名：</b></span>
      </td>
      <td valign="top"><span class="fBlack10100"><?echo htmlSpecialEscape($subcat_name) ?></span></td>
	
<?php
		}
		else
		{
?>
        <span class="fBlack10100"><b>ファイル名：</b></span>
      </td>
      <td valign="top"><span class="fBlack10100"><?echo htmlSpecialEscape($filename) ?></span></td>
        <input type="hidden" name="rename" value="<?php echo htmlSpecialEscape($filename) ?>">
<?php
		}
?>
        <input type="hidden" name="update" value="update">
    </tr>
<?php
	}
?>

  </tr>

<?php
	/* 移動 の場合はコメントじゃなく、現在の場所を表示させる */
	/* ここから----------------------------------------------*/

	if ($sub != "move" && $sub != "dirmove")
	{
?>
  <tr>
    <td valign="top">
      <span class="fBlack10100"><b>コメント：</b></span>
    </td>
    <td valign="top">
      <textarea name="comment" rows="3" cols="50" wrap="soft"><?php echo htmlSpecialEscape($comment) ?></textarea>
    </td>
  </tr>
<?php
	}
	else
	{
		// カテゴリコードからカテゴリ名前をゲットしてきます
		$strSql = $dbSqlObj->selectCategoryCatNameWithCatCd($cat_cd);
		$result = $dbExecObj->exeSql($conn, $strSql);
		if (!$result)
		{
			print("<font color=\"red\">データベースに障害：カテゴリ情報を検索できません。</font><br>\n");
			exit;
		}
		else
		{
			$currentCategoryName = $dbExecObj->getResult($result, 0, "cat_name");
		}

		// ファイル単位の移動時、サブカテゴリコードからサブカテゴリ名前をゲットしてきます
		if ($sub == "move")
		{
			$strSql = $dbSqlObj->selectSubCategorySubCatNameWithSubCatCd($subcat_cd);
			$result = $dbExecObj->exeSql($conn, $strSql);
			if (!$result)
			{
				print("<font color=\"red\">データベースに障害：カテゴリ情報を検索できません。</font><br>\n");
				exit;
			}
			else
			{
				$currentSubCategoryName = $dbExecObj->getResult($result, 0, "subcat_name");
			}
		}

?>
  <tr>
    <td valign="top">
      <span class="fBlack10100"><b>現在のカテゴリ：</b></span>
    </td>
    <td valign="top"><span class="fBlack10100"><?php echo htmlSpecialEscape($currentCategoryName); ?></span></td>
  </tr>
<?php
		if ($sub == "move")
		{
?>
  <tr>
    <td valign="top">
      <span class="fBlack10100"><b>現在のサブカテゴリ：</b></span>
    </td>
    <td valign="top"><span class="fBlack10100"><b>
        <?php echo htmlSpecialEscape($currentSubCategoryName); ?>
    </span></td>
  </tr>
<?php
		}
	}
	/* ここまで----------------------------------------------*/
?>

  <tr>
    <td valign="top">
<?php
	if ($sub == "move" || $sub == "dirmove")
	{
?>
      <span class="fBlack10100"><b>移動先のカテゴリ：</b></span>
<?php
	}
	else
	{
?>
      <span class="fBlack10100"><b>カテゴリ：</b></span>
<?php
	}
?>
    </td>

<?php
	if ($sub == "ファイルアップロード" || $sub == "テキストファイル作成" || $sub == "move" || $sub == "dirmove")
	{
?>
    <td valign="top">
<?php
		if ($sub != "dirmove")
		{
?>
      <select name="cat_cd" size="1" onChange="changeSelect(document.catsel)">
<?php
	$javaScriptSelect_CatSubcat->printDefaultMainOption();
?>
      </select>
<?php
		}
		else
		{
?>
      <select name="cat_cd" size="1">
<?php
			$strSql = $dbSqlObj->selectCategoryCatCdCatNameSortedCatCd();
			$result = $dbExecObj->exeSql($conn, $strSql);
			if (!$result)
			{
				print("<font color=\"red\">データベースに障害：カテゴリ名を参照できません。</font><br>\n");
				exit;
			}

			for ($i = 0; $i < $dbExecObj->getNumRows($result); $i++)
			{
				echo "<option value=" . $dbExecObj->getResult($result, $i, "cat_cd") . ">" . htmlSpecialEscape($dbExecObj->getResult($result, $i, "cat_name")) . "</option>\n";
			}
?>
      </select>
<?php
		}
?>

    </td>

<?php
	}
	else
	{
		$strSql = $dbSqlObj->selectCategoryCatNameWithCatCd($cat_cd);
		$result = $dbExecObj->exeSql($conn,$strSql);
		if (!$result)
		{
			print("<font color=\"red\">データベースに障害：カテゴリ名を参照できません。</font><br>\n");
			exit;
		}
?>

    <td valign="top">
      <span class="fBlack10100"><b><?echo htmlSpecialEscape($dbExecObj->getResult($result, 0, "cat_name")); ?></small>
      <input type="hidden" name="cat_cd" value="<?php echo $cat_cd ?>">
    </td>
<?php
		$dbExecObj->freeResult($result);
	}
?>
  </tr>

<?php
	if ($sub != "dirmove")
	{
?>
  <tr>
    <td valign="top">
<?php
		if($sub == "move")
		{
?>
      <span class="fBlack10100"><b>移動先のサブカテゴリ：</b></span>
<?php
		}
		else
		{
?>
      <span class="fBlack10100"><b>サブカテゴリ：</b></span>
<?php
		}
?>
    </td>
<?php
		if ($sub == "ファイルアップロード" || $sub == "テキストファイル作成" || $sub == "move")
		{
?>

    <td valign="top">
      <select name="subcat_cd" size="1">
<?php
	$javaScriptSelect_CatSubcat->printDefaultSubOption();
?>
      </select>
    </td>

<?php
		}
		else
		{
			$strSql = $dbSqlObj->selectSubCategorySubCatNameWithSubCatCd($subcat_cd);
			$result = $dbExecObj->exeSql($conn,$strSql);
			if (!$result)
			{
				print("<font color=\"red\">データベースに障害：サブカテゴリ名を参照できません。</font><br>\n");
				exit;
			}
?>

    <td valign="top">
      <span class="fBlack10100"><b><?php echo htmlSpecialEscape($dbExecObj->getResult($result, 0, "subcat_name")); ?></b></span>
      <input type="hidden" name="subcat_cd" value="<?php echo $subcat_cd ?>">
    </td>

<?php
			$dbExecObj->freeResult($result);
		}
?>


  <tr>
    <script language="JavaScript">
    <!--
    var WIN  = (navigator.platform.charAt(0) == "W");
    var NN   = (navigator.appName.charAt(0) == "N");
    var IE   = (navigator.appName.charAt(0) == "M");
    var ver4 = (navigator.appVersion.charAt(0) == "4");
    var IE4 = (navigator.userAgent.indexOf("MSIE 4.") >= 0);
    var IE5 = (navigator.userAgent.indexOf("MSIE 5.") >= 0);
    
    var subWin = null;
    var subHref = "";
    var WinNo = 'ctr';
    var W = 250;
    var H = 400;
    
    function subWinOpen(subHref, WinNo, W, H)
    {
    	if (!NN)
    	{
    		if (subWin != null)
    		{
    			subWin.close();
    		}
    	}
    	subWin = window.open(subHref, WinNo, 'toolbar=0, location=0, directories=0, status=0, menubar=0, scrollbars=1, resizable=1, width='+W+', height='+H+'');
    	if (NN)
    	{
    		subWin.focus();
    	}
    }

    function radioCheck(objName)
    {
    	document.catsel.groupAccess.checked = true;
    	return true;
    }
    
    //-->
    </script>
<?php
		if ($sub != "move")
		{
			if ($sub == "update")
			{
				$strSql = $dbSqlObj->selectRecord_AccessWithUpTime($up_time);
				$result_allow = $dbExecObj->exeSql($conn,$strSql);
				if (!$result_allow)
				{
					echo "データベースからデータを取得できません。 01<br>\n";
					exit;
				}

				$getAllowCount = $dbExecObj->getNumRows($result_allow);
				$getReadableStatus = $dbExecObj->getResult($result_allow, 0, "readable_status");
				$getGroupCd = $dbExecObj->getResult($result_allow, 0, "group_cd");
				$strSql = $dbSqlObj->selectRecordEmpCdWithUpTime($up_time);
				$result = $dbExecObj->exeSql($conn,$strSql);
				if (!$result)
				{
					echo "データベースからデータを取得できません。 02<br>\n";
					exit;
				}

				$record_owner = $dbExecObj->getResult($result, 0, "emp_cd");
			}

			if ($record_owner == $_SERVER["PHP_AUTH_USER"] || $isAdmin || $sub !="update")
			{
// 2004.08アクセス権切り替え (S)
if (strtoupper($bolAccessSelect) != "TRUE")
{
?>
    <td valign="top">
      <span class="fBlack10100"><b>アクセス制限：</b></span>
    </td>
    <td valign="top">
      <table border="0" cellpadding="5" cellspacing="0">
        <tr>
          <td valign="top">
<?php
				if ($getAllowCount && $getGroupCd != 9999)
				{
?>
            <input type="checkbox" name="groupAccess" checked>
<?php
				}
				else
				{
?>
            <input type="checkbox" name="groupAccess">
<?php
				}
?>
					<span class="fBlack10100">グループ毎にアクセス制限をかける</span>
          </td>
        </tr>
      <tr>
        <td valign="top">
          <span class="fBlack10100">閲覧・更新を許可するグループを選択してください。</span><br>
          <table border="0" cellspacing="0" cellpadding="0">
            <tr>
              <td width="20" valign="top"><br></td>
              <td>
                <select name="group_cd[]" multiple size="6" onChange="radioCheck('group_cd')">
<?php
				if ($isAdmin && $sub == "update")
				{
					$strSql = $dbSqlObj->selectGroup_MasterAll();
				}
				else
				{
					$strSql = $dbSqlObj->selectGroup_MasterAllWithOwner_Emp_Cd($_SERVER["PHP_AUTH_USER"]);
				}

				$result = $dbExecObj->exeSql($conn,$strSql);

				if (!$result)
				{
					echo "グループ一覧を取得できません。<br>\n";
					exit;
				}

				$count = $dbExecObj->getNumRows($result);
				for ($i = 0; $i < $count; $i++)
				{
					$existFlag = false;
					$getListGroupCd = $dbExecObj->getResult($result,$i,"group_cd");
					$getListGroupName = $dbExecObj->getResult($result,$i,"group_name");

					for ($j = 0; $j < $getAllowCount; $j++)
					{
						$getAllowGroupCd = $dbExecObj->getResult($result_allow,$j,"group_cd");
						if ($getListGroupCd == $getAllowGroupCd)
						{
							$existFlag = true;
							print("<option value=\"" . $getListGroupCd . "\" selected>" . htmlSpecialEscape($getListGroupName) . "</option>\n");
						}

						if ($existFlag)
						{
							break;
						}											
					}

					if (!$existFlag)
					{
						print("<option value=\"" . $getListGroupCd . "\">" . htmlSpecialEscape($getListGroupName) . "</option>\n");
					}
				}

				if ($count == 0)
				{
?>
                  <option>現在グループは1件も作成されていません。</option>
<?php
				}
?>
                </select>
		<?php
		?>
                <span class="fBule10100">
		<?php
		echo "<a href=\"JavaScript:void(0);\" onClick=\"subHref='groupMemberWindow.php?strAUTHUSER=" . $_SERVER["PHP_AUTH_USER"] . "'; subWinOpen(subHref,WinNo,W,H)\">グループに属するメンバーの一覧を表示する</a>";
		?>
		</span>
              </td>
            </tr>
          </table>
        </td>
      </tr>
      <tr>
        <td valign="top">
<?php
				if ($getReadableStatus == "T")
				{
?>
          <input type="checkbox" name="publicAccess" checked>
<?php
				}
				else
				{
?>
          <input type="checkbox" name="publicAccess">
<?php
				}
?>
          <span class="fBlack10100">選択済みのグループ以外の人を、閲覧のみ可能とする </span>
        </td>
      </tr>
    </table>
  </td>
<?php
}
// 2004.08アクセス権切り替え (E)
?>
</tr>
<?php
			}
		}
	}
?>
<tr>
  <td colspan="2" valign="top">
<?php
	if ($sub == "move")
	{
?>
    <input type="submit" name="sub" value="移動">
<?php
	}
	elseif ($sub == "dirmove")
	{
?>
    <input type="hidden" name="subcat_cd" value="<?php echo $subcat_cd ?>">
    <input type="submit" name="sub" value="サブカテゴリ移動">
<?php
	}
	else
	{
?>
    <input type="submit" name="sub" value="アップロード">
<?php
	}
?>

    <input type="hidden" value="文字コード判別用補助テキスト">
    <input type="hidden" name="emp_cd" value="<?php echo htmlSpecialEscape($emp_cd) ?>">
    <input type="hidden" name="division" value="<?php echo htmlSpecialEscape($division) ?>">
    <input type="hidden" name="up_time" value="<?php echo $up_time ?>">
    <input type="hidden" name="trans_id" value="<?php echo createTransID(); ?>">
<?php // テキストファイル作成 の場合
	if ($sub =="テキストファイル作成")
	{
?>
    <input type="hidden" name="update" value="text">
<?php
	}
?>
  </td>
</tr>
</table>
</form>
<?php
	if ($sub == "ファイルアップロード" || $sub == "テキストファイル作成" || $sub == "move")
	{
?>
<SCRIPT LANGUAGE="JavaScript">
<!--
var res = initSelect(document.catsel);
//-->
</SCRIPT>
<?php
	}
}

//	if ($sub == "アップロード")
if (($sub == "アップロード") || (mb_convert_encoding($sub, "UTF-8", "SJIS") == "アップロード"))
{
	$from_up_time = $up_time;
	// アクセス制限チェック
	if ($groupAccess && (!$group_cd || $group_cd[0] == "現在グループは1件も作成されていません。"))
	{
		echo "<font color=red>制限するグループが選択されていません。</font><br>\n";
		exit;
	}

	// タグ対応
	// タグがSJISだったとき、EUCに変換。
	if (mb_detect_encoding($comment) == "SJIS")
	{
		mb_convert_variables("UTF-8", "SJIS", $comment);
	}
//	$comment = htmlSpecialEscape($comment);

	// ファイル名がSJISだったとき、EUCに変換。
	if (mb_detect_encoding($_FILES['userfile']['name']) == "SJIS")
	{
		mb_convert_variables("UTF-8", "SJIS", $_FILES['userfile']['name']);
	}

	// 更新の場合かつコメントのみ更新の場合
	if ($update == "update" && !$_FILES['userfile']['name'])
	{
		$sqlstr = $dbSqlObj->updateRecordRemarkWithUpTime($comment,$up_time);
		$result = $dbExecObj->exeSql($conn,$sqlstr);
		if (!$result)
		{
			print("<SCRIPT LANGUAGE=\"JavaScript\">\n");
			print("alert('コメントの更新に失敗しました。');\n");
			print("</SCRIPT>\n");
		}

		// アクセス権
		//作者のemp_cdをゲットしとく。
		$strSql = $dbSqlObj->selectRecordEmpCdWithUpTime($up_time);
		$result = $dbExecObj->exeSql($conn,$strSql);
		if (!$result) {
			print("<SCRIPT LANGUAGE=\"JavaScript\">\n");
			print("alert('登録データの削除に失敗しました。');\n");
			print("</SCRIPT>\n");
			$dbExecObj->exeSql($conn,$dbSqlObj->sqlRollBackTrans());
			exit;
		}

		$original_record_owner = $dbExecObj->getResult($result,0,"emp_cd");
		if ($original_record_owner == $_SERVER["PHP_AUTH_USER"] || $isAdmin)
		{
			// 更新だった場合、元のやつを削除します。
			$strSql = $dbSqlObj->deleteRecord_AccessWithUp_Time($up_time);
			$result = $dbExecObj->exeSql($conn,$strSql);
			if (!$result)
			{
				print("<font color=\"red\">データベースに障害：ドキュメントを登録できません。 #1</font><br>\n");
				$dbExecObj->exeSql($conn,$dbSqlObj->sqlRollBackTrans());
				exit;
			}

			// アクセス制限個所に、レコードをインサートします！
			if ($publicAccess)
			{
				$publicFlag = "T";
			}
			else
			{
				$publicFlag = "F";
			}

			if ($groupAccess)
			{
				for ($i = 0; $i < count($group_cd); $i++)
				{
					$strSql = $dbSqlObj->insertRecord_Access($up_time, $group_cd[$i], $publicFlag);
					$result = $dbExecObj->exeSql($conn,$strSql);
					if (!$result)
					{
						print("<font color=\"red\">データベースに障害：ドキュメントを登録できません。 #2</font><br>\n");
						$dbExecObj->exeSql($conn,$dbSqlObj->sqlRollBackTrans());
						exit;
					}
				}
			}
			else
			{
				$strSql = $dbSqlObj->insertRecord_Access($up_time, 9999, $publicFlag);
				$result = $dbExecObj->exeSql($conn,$strSql);
				if (!$result)
				{
					print("<font color=\"red\">データベースに障害：ドキュメントを登録できません。</font><br>\n");
					$dbExecObj->exeSql($conn,$dbSqlObj->sqlRollBackTrans());
					exit;
				}
			}
		}
	}
	else
	{
		//テキストファイル作成時のチェック
		if ($update == "text")
		{
			if (!$honmon)
			{
				print("<font color=\"red\">本文が入力されていません。</font><br>\n");
				exit;
			}

			// 禁止文字列チェック
			$checkTaishouMojiretsu = $title;

			//空白だったらtrue
			if ($checkTaishouMojiretsu != "")
			{
				$alertMsg = "タイトルに以下の文字を使用しないでください。<br>\n";
				$alertMsg .= "\\ / : , ; * ? \" < > |\n";
				$forbiddenChara = Array("\\", "/", ":", ",", ";", "*", "?", "\"", "<", ">", "|");

				for ($i = 0; $i < count($forbiddenChara); $i++)
				{
					if (strstr($checkTaishouMojiretsu, $forbiddenChara[$i]))
					{
						echo "<font color=\"red\">" . $alertMsg . "</font>";
						exit;
					}
				}
			}
			else
			{
				$title = "無題";
			}

			$title = str_replace(" ", "", $title);

			if (!$title)
			{
				$title = "無題";
			}

		}
		else
		{
			if (!$_FILES['userfile']['name'] && $update != "update")
			{
				print("<font color=\"red\">ファイルが指定されていません。</font><br>\n");
				exit;
			}

			if (!file_exists($_FILES['userfile']['tmp_name']))
			{
				print("<font color=\"red\">ファイルのアップロードに失敗しました。</font>\n");
				exit;
			}
		}

		// ↓トランザクション開始
		$dbExecObj->exeSql($conn,$dbSqlObj->sqlBeginTrans());
		if ($update == "update")
		{
			// recordテーブル
			//元々のものから、登録者emp_cdをゲット。
			$strSql = $dbSqlObj->selectRecordEmpCdWithUpTime($up_time);
			$result = $dbExecObj->exeSql($conn,$strSql);
			if (!$result)
			{
				print("<SCRIPT LANGUAGE=\"JavaScript\">\n");
				print("alert('登録データの削除に失敗しました。');\n");
				print("</SCRIPT>\n");
				$dbExecObj->exeSql($conn, $dbSqlObj->sqlRollBackTrans());
				exit;
			}

			$original_record_owner = $dbExecObj->getResult($result, 0, "emp_cd");
				
			// データベースから削除
			$sqlstr = $dbSqlObj->deleteRecordWithUpTime($up_time);
			$result = $dbExecObj->exeSql($conn,$sqlstr);
			if (!$result)
			{
				print("<SCRIPT LANGUAGE=\"JavaScript\">\n");
				print("alert('登録データの削除に失敗しました。');\n");
				print("</SCRIPT>\n");
				$dbExecObj->exeSql($conn, $dbSqlObj->sqlRollBackTrans());
				exit;
			}

			if ($original_record_owner == $_SERVER["PHP_AUTH_USER"])
			{
				// アクセス権
				// 更新だった場合、元のやつを削除します。
				$strSql = $dbSqlObj->deleteRecord_AccessWithUp_Time($up_time);
				$result = $dbExecObj->exeSql($conn, $strSql);
				if (!$result)
				{
					print("<font color=\"red\">データベースに障害：ドキュメントを登録できません。</font><br>\n");
					$dbExecObj->exeSql($conn, $dbSqlObj->sqlRollBackTrans());
					exit;
				}
			}
            //実ファイル削除
			$up_time_origine = ereg_replace("-", "", substr($up_time, 0, 19));
			$up_time_origine = ereg_replace(":", "", $up_time_origine);
			$up_time_origine = ereg_replace(" ", "", $up_time_origine);
			$deleteFileName = $savefile_path . "record/" . $up_time_origine . "_" . $rename;
			//LinuxだったらEUC,WindowsだったらSJIS。
			switch ($os_type)
			{
				case "Linux" :
					$deleteFileName = mb_convert_encoding($deleteFileName, "UTF-8");
					break;
				case "Windows" :
					$deleteFileName = mb_convert_encoding($deleteFileName, "SJIS");
					break;
				default:
					break;
			}
			fileDelete($deleteFileName);
			$emp_cd = $_SERVER["PHP_AUTH_USER"];
		}

		// ファイル名を抽出
//		$userfile_name2 = basename($_FILES['userfile']['name']);
		$userfile_name2 = $_FILES['userfile']['name'];
		$userfile_name2 = str_replace(" ", "", $userfile_name2);
		if (!$_FILES['userfile']['name'])
		{
			$userfile_name2 = $title . ".txt";
		}

		// データベースに登録
		$comment = mb_convert_kana($comment);
		// テキスト入力時のファイルサイズ取得
		if(!$_FILES['userfile']['size']) {
			$_FILES['userfile']['size'] = strlen($honmon);
		}

		if ($original_record_owner)
		{
			$record_owner = $original_record_owner;
		}
		else
		{
			$record_owner = $_SERVER["PHP_AUTH_USER"];
		}

        /* 20040506 haranaka start*/
		//up_time作成
        $up_time_temp1 = date('Y-m-d H:i:s');
        $up_time_temp2 = microtime() * 1000000;
        $up_time = $up_time_temp1 . "." . $up_time_temp2;

		$sqlstr = $dbSqlObj->insertRecord($userfile_name2, $cat_cd, $subcat_cd, $comment, $record_owner, $_FILES['userfile']['size'], $up_time);
		//$sqlstr = $dbSqlObj->insertRecord($userfile_name2, $cat_cd, $subcat_cd, $comment, $record_owner, $userfile_size);
        /* 20040506 haranaka end*/
		
		$result = $dbExecObj->exeSql($conn,$sqlstr);
		if (!$result)
		{
			print("<font color=\"red\">データベースに障害：ドキュメントを登録できません。</font><br>\n");
			$dbExecObj->exeSql($conn,$dbSqlObj->sqlRollBackTrans());
			exit;
		}

/*
		//更新の場合、ファイルを削除するルーチン
		if ($update == "update")
		{
			$up_time = ereg_replace("-", "", substr($up_time, 0, 19));
			$up_time = ereg_replace(":", "", $up_time);
			$up_time = ereg_replace(" ", "", $up_time);
			$deleteFileName = $savefile_path . "record/" . $up_time . "_" . $rename;
			//LinuxだったらEUC,WindowsだったらSJIS。
			switch ($os_type)
			{
				case "Linux" :
					$deleteFileName = mb_convert_encoding($deleteFileName, "UTF-8");
					break;
				case "Windows" :
					$deleteFileName = mb_convert_encoding($deleteFileName, "SJIS");
					break;
				default:
					break;
			}
			fileDelete($deleteFileName);
			$emp_cd = $_SERVER["PHP_AUTH_USER"];
		}
*/
//		$sqlstr = "select up_time from record order by up_time desc;";
		$sqlstr = $dbSqlObj->selectRecordUpTimeSortedUpTime();
		$result = $dbExecObj->exeSql($conn, $sqlstr);
		$up_time = $dbExecObj->getResult($result, 0, "up_time");
		$to_up_time = $up_time;
		$up_time_temp = ereg_replace("-", "", substr($up_time, 0, 19));
		$up_time_temp = ereg_replace(":", "", $up_time_temp);
		$up_time_temp = ereg_replace(" ", "", $up_time_temp);

		//LinuxだったらEUC,WindowsだったらSJIS。
		switch ($os_type)
		{
			case "Linux" :
				$userfile_name2 = mb_convert_encoding($userfile_name2, "UTF-8");
				break;
			case "Windows" :
				$userfile_name2 = mb_convert_encoding($userfile_name2, "SJIS");
				break;
			default:
				break;
		}

		if ($update == "text")
		{
			createFile($savefile_path . "record/",$up_time_temp . "_" . $userfile_name2,$honmon);
		}
		else
		{
			fileMove($_FILES['userfile']['tmp_name'], $savefile_path . "record/" . $up_time_temp . "_" . $userfile_name2);
		}

		if ($update == "update" && $_FILES['userfile']['name'] && $original_record_owner != $_SERVER["PHP_AUTH_USER"])
		{
			// 他人がファイルを更新した場合、アクセス権テーブルのup_timeだけを変更する。
			$strSql = $dbSqlObj->updateRecord_AccessUpTimeWithUpTime($from_up_time,$to_up_time);
			$result = $dbExecObj->exeSql($conn,$strSql);
			if (!$result)
			{
				print("<font color=\"red\">データベースに障害：ドキュメントを登録できません。</font><br>\n");
				$dbExecObj->exeSql($conn,$dbSqlObj->sqlRollBackTrans());
				exit;
			}
		}
		else
		{
			if (($update == "update" && $original_record_owner == $_SERVER["PHP_AUTH_USER"]) || $update != "update")
			{
				// 作者がファイルを更新、または、ファイルを登録します。
				// アクセス制限個所に、レコードをインサートします！
				if ($publicAccess)
				{
					$publicFlag = "T";
				}
				else
				{
					$publicFlag = "F";
				}

				if ($groupAccess)
				{
					for ($i = 0; $i < count($group_cd); $i++)
					{
						$strSql = $dbSqlObj->insertRecord_Access($up_time, $group_cd[$i], $publicFlag);
						$result = $dbExecObj->exeSql($conn,$strSql);
						if (!$result)
						{
							print("<font color=\"red\">データベースに障害：ドキュメントを登録できません。</font><br>\n");
							$dbExecObj->exeSql($conn, $dbSqlObj->sqlRollBackTrans());
							exit;
						}
					}
				}
				else
				{
					$strSql = $dbSqlObj->insertRecord_Access($up_time,9999,$publicFlag);
					$result = $dbExecObj->exeSql($conn,$strSql);
					if (!$result)
					{
						print("<font color=\"red\">データベースに障害：ドキュメントを登録できません。</font><br>\n");
						$dbExecObj->exeSql($conn,$dbSqlObj->sqlRollBackTrans());
						exit;
					}
				}
			}
		}
		
		$dbExecObj->exeSql($conn, $dbSqlObj->sqlCommitTrans());
		writeTransID($trans_id, $conn, $dbSqlObj, $dbExecObj);
	}
}


// ファイル削除
if ($sub == "delete")
{
	$sqlstr = $dbSqlObj->selectRecordFileNameWithUpTime($up_time);
	$result = $dbExecObj->exeSql($conn,$sqlstr);
	if (!$result)
	{
		print("<SCRIPT LANGUAGE=\"JavaScript\">\n");
		print("alert('登録データの削除に失敗しました。');\n");
		print("</SCRIPT>\n");
	}
	$filename = $dbExecObj->getResult($result, 0, "filename");
		
	$sqlstr = $dbSqlObj->deleteRecordWithUpTime($up_time);

	$result = $dbExecObj->exeSql($conn,$sqlstr);
	if (!$result)
	{
		print("<SCRIPT LANGUAGE=\"JavaScript\">\n");
		print("alert('登録データの削除に失敗しました。');\n");
		print("</SCRIPT>\n");
	}
	
	$up_time = ereg_replace("-", "", substr($up_time, 0, 19));
	$up_time = ereg_replace(":", "", $up_time);
	$up_time = ereg_replace(" ", "", $up_time);

	//OS別文字コード対応
	switch ($os_type)
	{
		case "Linux":
			$filename = mb_convert_encoding($filename, "UTF-8");
			break;
		case "Windows":
			$filename = mb_convert_encoding($filename, "SJIS");
			break;
		default:
			break;
	}

	if (file_exists($savefile_path . "record/" . $up_time . "_" . $filename))
	{
		fileDelete($savefile_path . "record/" . $up_time . "_" . $filename);
	}
	elseif (file_exists($savefile_path . "record/" . $up_time . ".txt"))
	{
		fileDelete($savefile_path . "record/" . $up_time . ".txt");
	}

	writeTransID($trans_id, $conn, $dbSqlObj, $dbExecObj);
}


//**********************************************
//検索結果画面を表示する。
//**********************************************

//**********************************************
//ページ数

//自分の所属するグループをゲットする。
$strSql = $dbSqlObj->selectGroup_RelationWithEmpCd($_SERVER["PHP_AUTH_USER"]);
$result = $dbExecObj->exeSql($conn, $strSql);
if (!$result)
{
	print("<font color=\"red\">データベースに障害：ドキュメントを検索できません。</font><br>\n");
	exit;
}
else
{
	$myGroup = resultToString($result, "group_cd", $dbExecObj);
}

if ($sub != "ファイルアップロード" && $sub != "テキストファイル作成" && $sub != "" && $sub != "update" && $sub != "move" && $sub != "dirmove")
{
	// 全件数の取得
	if ($original_record_owner)
	{
		$emp_cd = $original_record_owner;
	}

// 2004.08アクセス権切り替え (S)
	if (strtoupper($bolAccessSelect) == "TRUE")
	{
		$Divcd = $Div_cd;
	} else
	{
		$Divcd = "";
	}
// 2004.08アクセス権切り替え (E)

	// 2004.08 パラメタ追加
	$sqlstr = $dbSqlObj->selectRecordCountOfFileNametWithCatCdSubCatCdEmpCd($cat_cd, $subcat_cd, $division, $emp_cd, $term, $_SERVER["PHP_AUTH_USER"], $isAdmin, $myGroup, $Divcd);
	$resultAllCount = $dbExecObj->exeSql($conn, $sqlstr);
	if (!$resultAllCount)
	{
		print("<font color=\"red\">データベースに障害：ドキュメントを検索できません。</font><br>\n");
		exit;
	}

	$allCount = $dbExecObj->getResult($resultAllCount, 0, "count_of_records");
	$dbExecObj->freeResult($resultAllCount);

	// ページ数算出
	$allPage = (int)($allCount / $show_no);
	if ($allCount % $show_no != 0)
	{
		$allPage++;
	}
}

//**********************************************
//recordテーブルからデータを持ってくる。

if ($sub != "ファイルアップロード" && $sub != "テキストファイル作成" && $sub != "" && $sub != "update" && $sub != "move" && $sub != "dirmove" || $previous_next  != "")
{
	if ($previous_next == 1)
	{
		$nowPage--;
	}
	elseif ($previous_next == 2)
	{
		$nowPage++;
	}

	if (!$nowPage)
	{
		$nowPage = 1;
	}

	// 検索SQL、実行！
	// ソート順のカラム名を決定します。
	// ソート順をデフォルト登録日時
	switch ($orderColumnName)
	{
		case "fileName":
			$orderColumn = "record.filename";
			break;
		case "ownerName":
			$orderColumn = "name";
			break;
		case "comment":
			$orderColumn = "record.remark";
			break;
		case "category":
			$orderColumn = "record.cat_cd";
			break;
		case "subCategory":
			$orderColumn = "record.subcat_cd";
			break;
		case "fileSize":
			$orderColumn = "record.filesize";
			break;
		case "upTime":
		default:
			$orderColumnName = "upTime";
			$orderColumn = "record.up_time";
			break;
	}

	//	ソートの順番をデフォルト降順。
	if (!$sortForRev)
	{
		$sortForRev = "KOUJUN";
	}

// 2004.08アクセス権切り替え (S)
	if (strtoupper($bolAccessSelect) == "TRUE")
	{
		$sqlstr = $dbSqlObj->selectRecordAllEmployeeNameWithEmpCdCatCdSubCatCdDivcd($division, $emp_cd, $cat_cd, $subcat_cd, $nowPage, $show_no, $term, $_SERVER["PHP_AUTH_USER"], $isAdmin, $myGroup, $orderColumn, $sortForRev, $Div_cd);
	} else
	{
		$sqlstr = $dbSqlObj->selectRecordAllEmployeeNameWithEmpCdCatCdSubCatCd($division, $emp_cd, $cat_cd, $subcat_cd, $nowPage, $show_no, $term, $_SERVER["PHP_AUTH_USER"], $isAdmin, $myGroup, $orderColumn, $sortForRev);
	}
// 2004.08アクセス権切り替え (E)

	$result = $dbExecObj->exeSql($conn, $sqlstr);
	if (!$result)
	{
		print("<font color=\"red\">データベースに障害：ドキュメントを検索できません。</font><br>\n");
		exit;
	}

	$count = $dbExecObj->getNumRows($result);

	// 昇順降順を逆にする
	if ($sortForRev == "KOUJUN")
	{
		$reverseSortForRev = "SHOUJUN";
	}
	else
	{
		$reverseSortForRev = "KOUJUN";
	}
?>
<?php
	if ($orderColumnName == "fileName")
	{
		$orderAscDesc = $reverseSortForRev;
	}
	else
	{
		$orderAscDesc = $sortForRev;
	}
?>
<table border="0" cellspacing="0" cellpadding="0" width="760">
<tr>
<td class="gray">
<table border="0" cellspacing="1" cellpadding="3" width="760">
<tr align="center">
<td class="orange">
<span class="fWhite10100">
<a class="usually" href="record.php?sub=<?php echo rawurlencode("検索") ?>&division=<?php echo $division ?>&emp_cd=<?php echo $emp_cd ?>&cat_cd=<?php echo $cat_cd ?>&subcat_cd=<?php echo $subcat_cd ?>&show_no=<?php echo $show_no ?>&term=<?php echo $term ?>&orderColumnName=fileName&sortForRev=<?php echo $orderAscDesc ?>">
ファイル名
<?php
	if ($orderColumnName == "fileName")
	{
		if ($sortForRev == "SHOUJUN")
		{
?>
		<img src="./images/triangle_b.gif" border="0" alt="昇順" hspace="10">
<?php
		}
		else
		{
?>
		<img src="./images/triangle_a.gif" border="0" alt="降順" hspace="10">
<?php
		}
	}
?>
</a>
</span>
</td>
<?php
	if ($orderColumnName == "ownerName")
	{
		$orderAscDesc = $reverseSortForRev;
	}
	else
	{
		$orderAscDesc = $sortForRev;
	}
?>
<td class="orange">
<span class="fWhite10100">
<a class="usually" href="record.php?sub=<?php echo rawurlencode("検索") ?>&division=<?php echo $division ?>&emp_cd=<?php echo $emp_cd ?>&cat_cd=<?php echo $cat_cd ?>&subcat_cd=<?php echo $subcat_cd ?>&show_no=<?php echo $show_no ?>&term=<?php echo $term ?>&orderColumnName=ownerName&sortForRev=<?php echo $orderAscDesc ?>">
登録者
<?php
	if ($orderColumnName == "ownerName")
	{
		if ($sortForRev == "SHOUJUN")
		{
?>
		<img src="./images/triangle_b.gif" border="0" alt="昇順" hspace="10">
<?php
		}
		else
		{
?>
		<img src="./images/triangle_a.gif" border="0" alt="降順" hspace="10">
<?php
		}
	}
?>
</a>
</span>
</td>
<?php
	if ($orderColumnName == "upTime")
	{
		$orderAscDesc = $reverseSortForRev;
	}
	else
	{
		$orderAscDesc = $sortForRev;
	}
?>
<td class="orange">
<span class="fWhite10100">
<a class="usually" href="record.php?sub=<?php echo rawurlencode("検索") ?>&division=<?php echo $division ?>&emp_cd=<?php echo $emp_cd ?>&cat_cd=<?php echo $cat_cd ?>&subcat_cd=<?php echo $subcat_cd ?>&show_no=<?php echo $show_no ?>&term=<?php echo $term ?>&orderColumnName=upTime&sortForRev=<?php echo $orderAscDesc ?>">
登録日時
<?php
	if ($orderColumnName == "upTime")
	{
		if ($sortForRev == "SHOUJUN")
		{
?>
		<img src="./images/triangle_b.gif" border="0" alt="昇順" hspace="10">
<?php
		}
		else
		{
?>
		<img src="./images/triangle_a.gif" border="0" alt="降順" hspace="10">
<?php
		}
	}
?>
</a>
</span>
</td>
<?php
	if ($orderColumnName == "comment")
	{
		$orderAscDesc = $reverseSortForRev;
	}
	else
	{
		$orderAscDesc = $sortForRev;
	}
?>
<td class="orange">
<span class="fWhite10100">
<a class="usually" href="record.php?sub=<?php echo rawurlencode("検索") ?>&division=<?php echo $division ?>&emp_cd=<?php echo $emp_cd ?>&cat_cd=<?php echo $cat_cd ?>&subcat_cd=<?php echo $subcat_cd ?>&show_no=<?php echo $show_no ?>&term=<?php echo $term ?>&orderColumnName=comment&sortForRev=<?php echo $orderAscDesc ?>">
コメント
<?php
	if ($orderColumnName == "comment")
	{
		if ($sortForRev == "SHOUJUN")
		{?>
		<img src="./images/triangle_b.gif" border="0" alt="昇順" hspace="10">
<?php
		}
		else
		{
?>
		<img src="./images/triangle_a.gif" border="0" alt="降順" hspace="10">
<?php
		}
	}
?>
</a>
</span>
</td>
<?php
	if ($orderColumnName == "category")
	{
		$orderAscDesc = $reverseSortForRev;
	}
	else
	{
		$orderAscDesc = $sortForRev;
	}
?>
<td class="orange">
<span class="fWhite10100">
<a class="usually" href="record.php?sub=<?php echo rawurlencode("検索") ?>&division=<?php echo $division ?>&emp_cd=<?php echo $emp_cd ?>&cat_cd=<?php echo $cat_cd ?>&subcat_cd=<?php echo $subcat_cd ?>&show_no=<?php echo $show_no ?>&term=<?php echo $term ?>&orderColumnName=category&sortForRev=<?php echo $orderAscDesc ?>">
カテゴリ
<?php
	if ($orderColumnName == "category")
	{
		if ($sortForRev == "SHOUJUN")
		{
?>
		<img src="./images/triangle_b.gif" border="0" alt="昇順" hspace="10">
<?php
		}
		else
		{
?>
		<img src="./images/triangle_a.gif" border="0" alt="降順" hspace="10">
<?php
		}
	}
?>
</a>
</span>
</td>
<?php
	if ($orderColumnName == "subCategory")
	{
		$orderAscDesc = $reverseSortForRev;
	}
	else
	{
		$orderAscDesc = $sortForRev;
	}
?>
<td class="orange">
<span class="fWhite10100">
<a class="usually" href="record.php?sub=<?php echo rawurlencode("検索") ?>&division=<?php echo $division ?>&emp_cd=<?php echo $emp_cd ?>&cat_cd=<?php echo $cat_cd ?>&subcat_cd=<?php echo $subcat_cd ?>&show_no=<?php echo $show_no ?>&term=<?php echo $term ?>&orderColumnName=subCategory&sortForRev=<?php echo $orderAscDesc ?>">
サブカテゴリ
<?php
	if ($orderColumnName == "subCategory")
	{
		if ($sortForRev == "SHOUJUN")
		{
?>
		<img src="./images/triangle_b.gif" border="0" alt="昇順" hspace="10">
<?php
		}
		else
		{
?>
		<img src="./images/triangle_a.gif" border="0" alt="降順" hspace="10">
<?php
		}
	}
?>
</a>
</span>
</td>
<?php
	if ($orderColumnName == "fileSize")
	{
		$orderAscDesc = $reverseSortForRev;
	}
	else
	{
		$orderAscDesc = $sortForRev;
	}
?>
<td class="orange">
<span class="fWhite10100">
<a class="usually" href="record.php?sub=<?php echo rawurlencode("検索") ?>&division=<?php echo $division ?>&emp_cd=<?php echo $emp_cd ?>&cat_cd=<?php echo $cat_cd ?>&subcat_cd=<?php echo $subcat_cd ?>&show_no=<?php echo $show_no ?>&term=<?php echo $term ?>&orderColumnName=fileSize&sortForRev=<?php echo $orderAscDesc ?>">
サイズ(KB)
<?php
	if ($orderColumnName == "fileSize")
	{
		if ($sortForRev == "SHOUJUN")
		{
?>
		<img src="./images/triangle_b.gif" border="0" alt="昇順" hspace="10">
<?php
		}
		else
		{
?>
		<img src="./images/triangle_a.gif" border="0" alt="降順" hspace="10">
<?php
		}
	}
?>
</a>
</span>
</td>
<td class="orange"><span class="fWhite10100">
操作
</span>
</td>
</tr>

<?php
	for ($i = 0; $i < $count; $i++)
	{
		$userfile_name_euc = $dbExecObj->getResult($result, $i, "filename");
		$filesizeKB = (int)($dbExecObj->getResult($result, $i, "filesize") / 1024);
		if (!$filesizeKB)
		{
			$filesizeKB = 1;
		}

		if ($i % 2 == 0)
		{
			$bcolor = "crame";
		}
		else
		{
			$bcolor = "white";
		}

		print("<tr><td class=\"$bcolor\"><span class=\"fBule10100\"><a class=\"usually\" href=\"record.php?sub=download&up_time=");
		print(rawurlencode($dbExecObj->getResult($result, $i, "up_time")) . "\" target=\"_blank\">");
		print($dbExecObj->getResult($result, $i, "filename") . "</span></a></td>\n");

		print("<td class=\"$bcolor\"><span class=\"fBlack10100\">" . htmlSpecialEscape($dbExecObj->getResult($result, $i, "name")) . "</span></td>\n");
		print("<td class=\"$bcolor\"><span class=\"fBlack10100\">");
		print(ereg_replace("-", "/", substr($dbExecObj->getResult($result, $i, "up_time"), 0, 19)));
		print("</span></td>\n");
		print("<td class=\"$bcolor\"><span class=\"fBlack10100\">" . blnk2nbsp(nl2br(htmlSpecialEscape($dbExecObj->getResult($result, $i, "remark")))) . "</span></td>\n");
		print("<td class=\"$bcolor\"><span class=\"fBlack10100\">" . htmlSpecialEscape($dbExecObj->getResult($result, $i, "cat_name")) . "</span>\n");
		print("<td class=\"$bcolor\"><span class=\"fBlack10100\">" . htmlSpecialEscape($dbExecObj->getResult($result, $i, "subcat_name")) . "</span>\n");
		print("<td class=\"$bcolor\" align=\"right\"><span class=fBlack10100>" . number_format($filesizeKB) . "</span>\n");

		print("<td class=\"$bcolor\">");

		$recordOwner  = $dbExecObj->getResult($result, $i, "emp_cd");
		if (!$isAdmin)
		{
			$recordAccess = $dbExecObj->getResult($result, $i, "readable_status");
		}

		$check_up_time = $dbExecObj->getResult($result,$i,"up_time");
		$strSql = $dbSqlObj->selectRecord_AccessWithUpTimeGroup($check_up_time,$myGroup);
		$result_temp = $dbExecObj->exeSql($conn,$strSql);

		if ($dbExecObj->getNumRows($result_temp) == 0)
		{
			$isMember = false;
		}
		else
		{
			$isMember = true;
		}

		$strSql = $dbSqlObj->selectRecord_AccessWithUpTime($check_up_time);
		$result_temp = $dbExecObj->exeSql($conn,$strSql);

		if ($dbExecObj->getResult($result_temp, 0, "group_cd") == 9999)
		{
			$isPublic = true;
		}
		else
		{
			$isPublic = false;
		}

		// 2004.08アクセス権切り替え (S)
		if (strtoupper($bolAccessSelect) == "TRUE")
		{
			//該当カテゴリ・サブカテゴリ・部署に対応するアクセス権を参照する
			$strsql = $dbSqlObj->selectAccessWithCatCDSubCatCdDivision($dbExecObj->getResult($result, $i, "cat_cd"),$dbExecObj->getResult($result, $i, "subcat_cd"),$Div_cd);
			$result_Access = $dbExecObj->exeSql($conn, $strsql);
			if (!$result_Access)
			{
				echo "error!";
				exit;
			}
			$writebleCount = $dbExecObj->getNumRows($result_Access);
			if ($writebleCount == 0)
			{
				$writeable = true;
			}
			else
			{
				$writeable = $dbExecObj->getResult($result_Access, 0, "writeable");
			}
		}
		// 2004.08アクセス権切り替え (E)
//*******************
//管理者と更新アクセス権のある部のみ、「更新・削除・移動」ができる
		// 2004.08アクセス権切り替え (S)
		if (strtoupper($bolAccessSelect) == "TRUE")
		{
			if ($isAdmin || $writeable == 't')
			{
				$syoriFlg = true;
			} else {
				$syoriFlg = false;
			}
		} else {
			if ($isAdmin || $recordOwner == $_SERVER["PHP_AUTH_USER"] || ($recordAccess != "T" && $isPublic) || $isMember)
			{
				$syoriFlg = true;
			} else {
				$syoriFlg = false;
			}
		}
		// 2004.08アクセス権切り替え (E)

		if ($syoriFlg)
		{
			print("<span class=\"fBule10100\"><a class=\"usually\" href=\"record.php?sub=update&filename=");
			print(htmlSpecialEscape(rawurlencode($dbExecObj->getResult($result, $i, "filename"))) . "&supp=");
			print(rawurlencode("文字コード判別用補助テキスト") . "&up_time=");
			print(rawurlencode($dbExecObj->getResult($result, $i, "up_time")) . "&cat_cd=");
			print($dbExecObj->getResult($result, $i, "cat_cd") . "&subcat_cd=");
			print($dbExecObj->getResult($result, $i, "subcat_cd") . "&comment=");
			print(htmlSpecialEscape(rawurlencode($dbExecObj->getResult($result, $i, "remark"))) . "&division=");
			print($dbExecObj->getResult($result, $i, "division") . "&emp_cd=");
			print($dbExecObj->getResult($result, $i, "emp_cd") . "\">");
			print("更新</a></span>\n");

			print("<span class=\"fBule10100\"><a class=\"usually\" href=\"record.php?sub=delete&up_time=");
			print(rawurlencode($dbExecObj->getResult($result, $i, "up_time")) . "&supp=");
			print(rawurlencode("文字コード判別用補助テキスト") . "&cat_cd=");
			print($dbExecObj->getResult($result, $i, "cat_cd") . "&subcat_cd=");
			print($dbExecObj->getResult($result, $i, "subcat_cd") . "&division=");
			print($dbExecObj->getResult($result, $i, "division") . "&emp_cd=");
			print($dbExecObj->getResult($result, $i, "emp_cd") . "&trans_id=" . createTransID() . "\" ");

			print("onClick=\"return confirm('本当に削除しますか？')\">");
			print("削除</a></span>\n");

			print("<span class=\"fBule10100\"><a class=\"usually\" href=\"record.php?sub=move&filename=");
			print(htmlSpecialEscape(rawurlencode($dbExecObj->getResult($result, $i, "filename"))) . "&up_time=");
			print(rawurlencode($dbExecObj->getResult($result, $i, "up_time")) . "&supp=");
			print(rawurlencode("文字コード判別用補助テキスト") . "&cat_cd=");
			print($dbExecObj->getResult($result, $i, "cat_cd") . "&subcat_cd=");
			print($dbExecObj->getResult($result, $i, "subcat_cd") . "&division=");
			print($dbExecObj->getResult($result, $i, "division") . "&emp_cd=");
			print($dbExecObj->getResult($result, $i, "emp_cd") . "\">");
			print("移動</a></span>\n");
		}
		else
		{
			print("<br>");
		}

		print("</td></tr>\n");
	}
?>
</table>
</td></tr></table>

<br>

<table border="0" cellspacing="0" cellpadding="0" width="760"><tr><td>
<table border="0" cellspacing="0" cellpadding="0" width="270" align="right">
  <tr>
<?php
	// 前にページがある場合
	if ($nowPage > 1)
	{
?>
    <td> 
      <div align="right">
        <a href="record.php?cat_cd=<?php echo $cat_cd ?>&subcat_cd=<?php echo $subcat_cd ?>&division=<?php echo $division ?>&emp_cd=<?php echo $emp_cd ?>&term=<?php echo $term ?>&show_no=<?php echo $show_no ?>&allPage=<?php echo $allPage ?>&nowPage=<?php echo $nowPage ?>&previous_next=1&orderColumnName=<?php echo $orderColumnName ?>&sortForRev=<?php echo $sortForRev ?>">
          <img src="images/triangle_l_s.gif" width="24" height="24" border="0" alt="前のページ">
        </a>
      </div>
    </td>
    <td> 
      <div align="left">
        <span class="fBlack10100">
          <a class="usually" href="record.php?cat_cd=<?php echo $cat_cd ?>&subcat_cd=<?php echo $subcat_cd ?>&division=<?php echo $division ?>&emp_cd=<?php echo $emp_cd ?>&term=<?php echo $term ?>&show_no=<?php echo $show_no ?>&allPage=<?php echo $allPage ?>&nowPage=<?php echo $nowPage ?>&previous_next=1&orderColumnName=<?php echo $orderColumnName ?>&sortForRev=<?php echo $sortForRev ?>">
            前のページ
          </a>
        </span>
      </div>
    </td>
<?php
	}else {
?>
	<td colspan="2" width="58">&nbsp;</td>
<?php
	}
?>
    <td></td>
<?php
	// 次にページがある場合
	if ($nowPage < $allPage)
	{
?>
    <td> 
      <div align="right">
        <span class="fBlack10100">
          <a class="usually" href="record.php?cat_cd=<?php echo $cat_cd ?>&subcat_cd=<?php echo $subcat_cd ?>&division=<?php echo $division ?>&emp_cd=<?php echo $emp_cd ?>&term=<?php echo $term ?>&show_no=<?php echo $show_no ?>&allPage=<?php echo $allPage ?>&nowPage=<?php echo $nowPage ?>&previous_next=2&orderColumnName=<?php echo $orderColumnName ?>&sortForRev=<?php echo $orderAscDesc ?>">次のページ</a>
        </span>
      </div>
    </td>
    <td> 
      <div align="left">
        <a href="record.php?cat_cd=<?php echo $cat_cd ?>&subcat_cd=<?php echo $subcat_cd ?>&division=<?php echo $division ?>&emp_cd=<?php echo $emp_cd ?>&term=<?php echo $term ?>&show_no=<?php echo $show_no ?>&allPage=<?php echo $allPage ?>&nowPage=<?php echo $nowPage ?>&previous_next=2&orderColumnName=<?php echo $orderColumnName ?>&sortForRev=<?php echo $orderAscDesc ?>">
          <img src="images/triangle_r_s.gif" width="24" height="24" alt="次のページ" border="0">
        </a>
      </div>
    </td>
<?php
	}else {
?>
	<td colspan="2" width="58">&nbsp;</td>
<?php
	}
?>
    <td> 
      <div align="left">
        <span class="fBlack10100">
<?php
	if (!$allPage)
	{
		$nowPage = 0;
	}
?>
      <?php echo $nowPage ?>/<?php echo $allPage ?>
        </span>
      </div>
    </td>
    <td>
    </td>
  </tr>
</table>
</td></tr></table>
<?php
}
?>

<?php

if ($viewCategoryList == "on")
{
?>
<table border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td valign="top">
<?php
	//表示させる列数と行数にかかわるルーチン。
	$maxColumn = 3;	//表示する列数指定
	$strsql = $dbSqlObj->selectSubCategoryCountOfCatCd();
	$result = $dbExecObj->exeSql($conn, $strsql);
	if (!$result)
	{
		echo "error!";
		exit;
	}

	$maxRow = $dbExecObj->getResult($result, 0, "count_of_records") / $maxColumn;

	//カテゴリデータのゲット
	// 2004.08アクセス権切り替え (S)
	if (strtoupper($bolAccessSelect) == "TRUE")
	{
		// アクセス権の設定されている部署のみカテゴリ・サブカテゴリを表示
		if ($isAdmin)
		{
			$strsql = $dbSqlObj->selectCategoryCatCdCatNameSortedCatName();
		}
		else
		{
			//自分の所属する部署を獲得する。
			$strSql = $dbSqlObj->selectDivisionWithEmpCd($_SERVER["PHP_AUTH_USER"]);
			$result = $dbExecObj->exeSql($conn, $strSql);
			if (!$result)
			{
				print("<font color=\"red\">データベースに障害：ドキュメントを検索できません。</font><br>\n");
				exit;
			}
			else
			{
				$Div_cd = $dbExecObj->getResult($result, 0, "division");
				//該当部署に参照・更新権のいずれかのあるカテゴリと、どの部署にもアクセス権の無いカテゴリを獲得
				$strsql = $dbSqlObj->selectCategoryCatCdCatNameSortedCatNameAccess($Div_cd);
			}
		}
	} else
	{
		$strsql = $dbSqlObj->selectCategoryCatCdCatNameSortedCatName();
	}
	// 2004.08アクセス権切り替え (E)

	$result = $dbExecObj->exeSql($conn, $strsql);
	if (!$result)
	{
		echo "error!";
		exit;
	}

	$getCategoryCount = $dbExecObj->getNumRows($result);

	//##################
	//テーブル表示開始
	//##################
?>
      <table border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td valign="top">
            <table border="0" cellspacing="0" cellpadding="0"><tr><td class="gray" valign="top">
            <table border="0" cellspacing="1" cellpadding="1">
<?php
	for ($i = 0; $i < $getCategoryCount; $i++)
	{
		//先頭だったらヘッダ表示
		if ($totalSubCategoryCount == 0)
		{ 
?>
              <tr>
                <td bgcolor="#73ACE6" align="center" valign="middle" class="fWhite10100">カテゴリ</td>
                <td bgcolor="#80C0FF" align="center" valign="middle" class="fWhite10100">サブカテゴリ</td>
              </tr>
<?php
		}

		$getCategoryName = $dbExecObj->getResult($result,$i,"cat_name");
		$getCategoryCode = $dbExecObj->getResult($result,$i,"cat_cd");
?>
              <tr>
                <td bgcolor="#FFFFCC" width="100">
                  <a href="record.php?sub=<?php echo rawurlencode("検索") ?>&cat_cd=<?php echo $getCategoryCode ?>&subcat_cd=all&term=<?php echo $term ?>&show_no=<?php echo $show_no ?>" class="usually">
                    <?php echo htmlSpecialEscape($getCategoryName) ?>
                  </a>
                </td>
                <td width="150" class="white">
<?php
		//サブカテゴリデータの獲得
		// 2004.08アクセス権切り替え (S)
		if (strtoupper($bolAccessSelect) == "TRUE")
		{
			if ($isAdmin)
			{
				$strsql = $dbSqlObj->selectSubCategorySubCatNameSubCatCdWithCatCdSortedSubCatName($getCategoryCode);
			}
			else
			{
				//該当部署・該当カテゴリに参照・更新権のいずれかのあるサブカテゴリと、どの部署にもアクセス権の無いサブカテゴリを獲得
				$strsql = $dbSqlObj->selectSubCatNameSubCatCdWithCatCdSortedSubCatNameAccess($getCategoryCode,$Div_cd);
			}
		} else 
		{
			$strsql = $dbSqlObj->selectSubCategorySubCatNameSubCatCdWithCatCdSortedSubCatName($getCategoryCode);
		}
		// 2004.08アクセス権切り替え (E)

		$result_sub = $dbExecObj->exeSql($conn,$strsql);
		if (!$result_sub)
		{
			echo "DBからのデータ取得に失敗しました。";
			exit;
		}

		$getSubCategoryCount = $dbExecObj->getNumRows($result_sub);

		//サブカテゴリ表示
		for ($j = 0; $j < $getSubCategoryCount; $j++)
		{
			$getSubCategoryName = $dbExecObj->getResult($result_sub, $j, "subcat_name");
			$getSubCategoryCode = $dbExecObj->getResult($result_sub, $j, "subcat_cd");

			if (($totalSubCategoryCount + 1) % 2 == 0)
			{
				$bgColor = "lightyellow";
			}
			else
			{
				$bgColor = "bisque";
			}
?>
                  <table width="150" border="0" cellspacing="0" cellpadding="2">
                    <tr> 
                      <td valign="middle">
                        <span class="fBlack10100">
                        <a class="usually" href="record.php?sub=<?php echo rawurlencode("検索") ?>&cat_cd=<?php echo $getCategoryCode ?>&subcat_cd=<?php echo $getSubCategoryCode ?>&term=<?php echo $term ?>&show_no=<?php echo $show_no ?>">
                          <?php echo htmlSpecialEscape($getSubCategoryName) ?>
                        </a>
                        </span>
                      </td>
                      <td align="right" valign="middle">
<?php
			//フォルダ移動は管理者のみです。
			if (admchk($conn, $_SERVER["PHP_AUTH_USER"], $dbSqlObj, $dbExecObj))
			{
?>
                        <span class="fBlack10100"><a class="usually" href="record.php?sub=dirmove&cat_cd=<?php echo $getCategoryCode ?>&subcat_cd=<?php echo $getSubCategoryCode ?>&subcat_name=<?php echo rawurlencode($getSubCategoryName) ?>">
                          <small>移動</small>
                        </a></span>
<?php
			}
?>
                      </td>
                    </tr>
                  </table>
<?php
			$totalSubCategoryCount++;
		}

		if ($getSubCategoryCount == 0)
		{
?>
                  <br>
<?php
		}
?>
                </td>
              </tr>
<?php			
		if ($totalSubCategoryCount != 0 && ($totalSubCategoryCount) >= $maxRow)
		{
			$totalSubCategoryCount = 0;

			if ($totalSubCategoryCount == $getCategoryCount)
			{
?>
            </table>
          </td>
        </tr>
<?php
			}
			else
			{
?>
            </table></td></tr></table>
          </td>
          <td width="15"> </td>
          <td valign="top">
            <table border="0" cellspacing="0" cellpadding="0"><tr><td class="gray" valign="top">
            <table border="0" cellspacing="1" cellpadding="1">
<?php
			}
		}
	}
?>
            </table></td></tr></table>
          </td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<br>
<span class="fBlack10100"><a class="usually" href="record.php?viewCategoryList=off">カテゴリ一覧を隠す</a></span>
<?php
}
else
{
?>
<span class="fBlack10100"><a class="usually" href="record.php?viewCategoryList=on">カテゴリ一覧を表示する</a></span>
<?php
}
?>

<?php
// Resultの開放
	$dbExecObj->freeResult($appResult);
	$dbConnectObj->closeConnect($conn);

//デザインマージ後のフッタをインクルードします。
	$menuShowObj->showFooter();
?>
