<?php
//
// Copyright (C) 2001-2002 System Consultants Co.,Ltd. All Rights Reserved.
//
// $Id: recordAccessView.php,v 1.53 2004/08/06 10:15:49 hideki-h Exp $
//

/**
 * アクセス権設定情報表示
 *
 * @author hiroki KAWAMURA <hiroki@syscon.co.jp>
 * @author yuji TAKAHASHI <yu-ji@syscon.co.jp>
 */

//変数
$cat_cd = $_GET["cat_cd"];
$subcat_cd = $_GET["subcat_cd"];
$sub = $_GET["sub"];


include("gw.php");
include("include/dbChange.php");

$conn = $dbConnectObj->openConnect();
if (!$conn) 
{
	echo "データベースに異常。<BR>\n";
	exit;
}
include("include/accept.conf");
if (!$_SERVER["PHP_AUTH_USER"]) {
	echo "Not Found.<BR>\n";
	exit;
}

include_once($_ROOT_DIR_ . "class/PhraseSelect.php");
$objPhraseSelect = new PhraseSelect($bolPhraseSelect);
$varPhraseSet = $objPhraseSelect->getPhrase();

require("class/js.php");
include("include/resultToStringFunction.php");
include ("include/blnk2nbsp.func");


// ログオン周りのクラスを使います。
require_once($_ROOT_DIR_ . "class/employeeinfo.php");
require_once($_ROOT_DIR_ . "class/employeeinfoowner.php");
$employeeInfoOwner = new EmployeeInfoOwner();
$employeeInfoOwner->setEmp_cd($_SERVER["PHP_AUTH_USER"]);
$employeeInfoOwner->doSelectQuery($conn, $dbSqlObj, $dbExecObj);
$employeeInfoArray = $employeeInfoOwner->getEmployeeInfoArray();
$isAdmin = $employeeInfoArray[$_SERVER["PHP_AUTH_USER"]]->isAdmin();
$empName = $employeeInfoArray[$_SERVER["PHP_AUTH_USER"]]->getName();

// デザインをインクルードします。
require_once($_ROOT_DIR_ . "class/menuHeadder.php");
$menuShowObj = new menuShowObj($conn,$dbSqlObj,$dbExecObj);
$menuShowObj->setEmpName($empName);
$menuShowObj->setCurrentAppli("conf");
$menuShowObj->setIsAdmin($isAdmin);
$menuShowObj->showHeadder();

?>

<?php
// バックカラー
$bcolor = "pink";
?>

<span class="fBlack12100">■ ファイル共有 アクセス権設定</span>

<?php
//**********************************************
//検索結果画面を表示する。
//**********************************************

//ページ数

//自分の所属するグループをゲットする。
$strSql = $dbSqlObj->selectGroup_RelationWithEmpCd($_SERVER["PHP_AUTH_USER"]);
$result = $dbExecObj->exeSql($conn, $strSql);
if (!$result)
{
	print("<font color=\"red\">データベースに障害：ドキュメントを検索できません。</font><br>\n");
	exit;
}
else
{
	$myGroup = resultToString($result, "group_cd", $dbExecObj);
}
?>


<table border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td valign="top">
<?php
	//表示させる列数と行数にかかわるルーチン。
	$maxColumn = 3;	//表示する列数指定
	$strsql = $dbSqlObj->selectSubCategoryCountOfCatCd();
	$result = $dbExecObj->exeSql($conn, $strsql);
	if (!$result)
	{
		echo "error!";
		exit;
	}

	$maxRow = $dbExecObj->getResult($result, 0, "count_of_records") / $maxColumn;

	//カテゴリデータのゲット
	$strsql = $dbSqlObj->selectCategoryCatCdCatNameSortedCatName();
	$result = $dbExecObj->exeSql($conn, $strsql);
	if (!$result)
	{
		echo "error!";
		exit;
	}

	$getCategoryCount = $dbExecObj->getNumRows($result);

	//##################
	//テーブル表示開始
	//##################
?>
      <table border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td valign="top">
            <table border="0" cellspacing="0" cellpadding="0"><tr><td class="gray" valign="top">
            <table border="0" cellspacing="1" cellpadding="1">
<?php
	for ($i = 0; $i < $getCategoryCount; $i++)
	{
		//先頭だったらヘッダ表示
		if ($totalSubCategoryCount == 0)
		{ 
?>
              <tr>
                <td bgcolor="#73ACE6" align="center" valign="middle" class="fWhite10100">カテゴリ</td>
                <td bgcolor="#80C0FF" align="center" valign="middle" class="fWhite10100">サブカテゴリ</td>
              </tr>
<?php
		}

		$getCategoryName = $dbExecObj->getResult($result,$i,"cat_name");
		$getCategoryCode = $dbExecObj->getResult($result,$i,"cat_cd");
?>
              <tr>
                <td bgcolor="#FFFFCC" width="100">
                    <?php echo htmlSpecialEscape($getCategoryName) ?>
                </td>
                <td width="150" class="white">
<?php
// グループアクセス権管理を参照する
//		$strsql = $dbSqlObj->selectSubCategorySubCatNameSubCatCdWithCatCdSortedSubCatName($getCategoryCode);
		$strsql = $dbSqlObj->selectSubCategorySubCatNameSubCatCdWithCatCdSortedSubCatNameAccess($getCategoryCode);
		$result_sub = $dbExecObj->exeSql($conn,$strsql);
		if (!$result_sub)
		{
			echo "DBからのデータ取得に失敗しました。";
			exit;
		}

		$getSubCategoryCount = $dbExecObj->getNumRows($result_sub);

		//サブカテゴリ表示
		for ($j = 0; $j < $getSubCategoryCount; $j++)
		{
			$getSubCategoryName = $dbExecObj->getResult($result_sub, $j, "subcat_name");
			$getSubCategoryCode = $dbExecObj->getResult($result_sub, $j, "subcat_cd");
			$getSubCategoryAccMode = $dbExecObj->getResult($result_sub, $j, "acc_mode");

			if (($totalSubCategoryCount + 1) % 2 == 0)
			{
				$bgColor = "lightyellow";
			}
			else
			{
				$bgColor = "bisque";
			}
?>
                  <table width="150" border="0" cellspacing="0" cellpadding="2">
                    <tr> 
                      <td valign="middle">
                        <span class="fBlack10100">
                        <a class="usually" href="recordAccessPermit.php?cat_cd=<?php echo $getCategoryCode ?>&subcat_cd=<?php echo $getSubCategoryCode ?>">
                          <?php echo htmlSpecialEscape($getSubCategoryName) ?>
                        </a>
                        </span>
                      </td>
                      <td align="right" valign="middle">
						<!-- サブカテゴリのアクセス権有無を表示    -->
                        <span class="fBlack10100"><small><?php echo htmlSpecialEscape($getSubCategoryAccMode) ?></small></span>
                      </td>
                    </tr>
                  </table>
<?php
			$totalSubCategoryCount++;
		}

		if ($getSubCategoryCount == 0)
		{
?>
                  <br>
<?php
		}
?>
                </td>
              </tr>
<?php			
		if ($totalSubCategoryCount != 0 && ($totalSubCategoryCount) >= $maxRow)
		{
			$totalSubCategoryCount = 0;

			if ($totalSubCategoryCount == $getCategoryCount)
			{
?>
            </table>
          </td>
        </tr>
<?php
			}
			else
			{
?>
            </table></td></tr></table>
          </td>
          <td width="15"> </td>
          <td valign="top">
            <table border="0" cellspacing="0" cellpadding="0"><tr><td class="gray" valign="top">
            <table border="0" cellspacing="1" cellpadding="1">
<?php
			}
		}
	}
?>
            </table></td></tr></table>
          </td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<br>

<?php
// Resultの開放
	$dbConnectObj->closeConnect($conn);

//デザインマージ後のフッタをインクルードします。
	$menuShowObj->showConfFooter();
?>
