<?php

//
// Copyright (C) 1999-2000 Top Management Service, inc. All Rights Reserved.
// Copyright (C) 2001-2004 System Consultants Co.,Ltd. All Rights Reserved.
//
// $Id: reserve.php 1345 2005-10-07 13:54:24Z root $
//

/**
 * 施設予約
 *
 * @author hiroki KAWAMURA <hiroki@syscon.co.jp>
 * @author yuji TAKAHASHI <yu-ji@syscon.co.jp>
 * @author hideo OHSAWA <ohsawa@syscon.co.jp>
 * @author maiko MIKAMI <m-mikami@syscon.co.jp>
 */

// 変数
$sub = isset ($_POST["sub"]) ? $_POST["sub"] : $_GET["sub"];
$faccat_cd = isset ($_GET["faccat_cd"]) ? $_GET["faccat_cd"] : $_POST["faccat_cd"];
$emp_cd = isset ($_POST["emp_cd"]) ? $_POST["emp_cd"] : $_GET["emp_cd"];
$refPage = isset ($_POST["refPage"]) ? $_POST["refPage"] : $_GET["refPage"];
$event_mode = isset ($_POST["event_mode"]) ? $_POST["event_mode"] : $_GET["event_mode"];
$schedule_cd = isset ($_GET["schedule_cd"]) ? $_GET["schedule_cd"] : $_POST["schedule_cd"];
//GETだけかも？
$begin_date_diff = isset ($_GET["begin_date_diff"]) ? $_GET["begin_date_diff"] : $_POST["begin_date_diff"];
$schedule_date_cd = isset ($_GET["schedule_date_cd"]) ? $_GET["schedule_date_cd"] : $_POST["schedule_date_cd"];
//POSTだけかも？
$n = isset ($_POST["n"]) ? $_POST["n"] : $_GET["n"];

$trans_id = $_POST["trans_id"];
$originScreenMode = $_POST["originScreenMode"];
$date_mode = $_POST["date_mode"];
$year_s = $_POST["year_s"];
$month_s = $_POST["month_s"];
$day_s = $_POST["day_s"];
$hour_s = $_POST["hour_s"];
$minute_s = $_POST["minute_s"];
$year_e = $_POST["year_e"];
$month_e = $_POST["month_e"];
$day_e = $_POST["day_e"];
$hour_e = $_POST["hour_e"];
$minute_e = $_POST["minute_e"];
$plan = $_POST["plan"];
$remark = $_POST["remark"];
$public = $_POST["public"];
$subBtn = $_POST["subBtn"];
$nextButton = $_POST["nextButton"];
$nextButton1 = $_POST["nextButton1"];
$nextButton2 = $_POST["nextButton2"];
$nextButton3 = $_POST["nextButton3"];
$schedule_date_cd_array = array ();
$schedule_date_cd_array = $_POST["schedule_date_cd_array"];
$facilities1 = array();
$facilities1 = $_POST["facilities1"];
$cmdAddFacility = $_POST["cmdAddFacility"];
$facilities2 = array();
$facilities2 = $_POST["facilities2"];
$facilityOperate = $_POST["facilityOperate"];
$subCmd = $_POST["subCmd"];
$subCmddel = $_POST["subCmddel"];
$cmdAddMenber = $_POST["cmdAddMenber"];
$division = $_POST["division"];
$group_member1 = array();
$group_member1 = $_POST["group_member1"];
$group_member2 = array();
$group_member2 = $_POST["group_member2"];
$group_member3 = array();
$group_member3 = $_POST["group_member3"];
$memberOperate = $_POST["memberOperate"];
$compulsion = $_POST["compulsion"];
$bolscheduleUpdateCmd = $_POST["bolscheduleUpdateCmd"];
$scheduleUpdateCmd = $_POST["scheduleUpdateCmd"];
$maxScheduleDateCd = $_POST["maxScheduleDateCd"];
$deleteEvent = $_POST["deleteEvent"];
$week_day = array ();
$week_day = $_POST["week_day"];
$month_of_week = array ();
$month_of_week = $_POST["month_of_week"];
$month_of_day = $_POST["month_of_day"];

$year = $_GET["year"];
$month = $_GET["month"];
$day = $_GET["day"];
$fac_cd = $_GET["fac_cd"];
$bolInit = $_GET["bolInit"];

/*
$place = $_POST["place"];
$public_flg = $_POST["public_flg"];
$header_flg = $_POST["header_flg"];
$encode_type = $_POST["encode_type"];
$input = $_POST["input"];
*/

include ("gw.php");

require_once ($_ROOT_DIR_."include/dbChange.php");

include_once ($_ROOT_DIR_."class/PhraseSelect.php");
$objPhraseSelect = new PhraseSelect($bolPhraseSelect);
$varPhraseSet = $objPhraseSelect->getPhrase();

$conn = $dbConnectObj->openConnect();

include ("./include/getnowtime.func");
include ("./include/constant.conf");
include ("./include/transactions.func");

require_once ($_ROOT_DIR_."class/execsql.php"); // クエリー処理クラス
require_once ($_ROOT_DIR_."class/appconfinfo.php"); // アプリケーション情報クラス
require_once ($_ROOT_DIR_."class/appconfinfoowner.php"); // アプリケーション情報クラスの処理クラス
require_once ($_ROOT_DIR_."class/scheduleinfo.php"); // スケジュール情報クラス
require_once ($_ROOT_DIR_."class/scheduleinfoowner.php"); // スケジュール情報クラスの処理クラス
require_once ($_ROOT_DIR_."class/dateinfo.php"); // 日付情報クラス
require_once ($_ROOT_DIR_."class/codeinfo.php"); // コード情報クラス
require_once ($_ROOT_DIR_."class/codeinfoowner.php"); // コード情報クラスの処理クラス
require_once ($_ROOT_DIR_."class/employeeinfo.php"); // 社員情報クラス
require_once ($_ROOT_DIR_."class/employeeinfoowner.php"); // 社員情報クラスの処理クラス
require_once ($_ROOT_DIR_."class/ScheduleDateInfo.php"); //スケジュール管理用日付情報管理

include ("include/accept.conf");
include ("include/admchk.func");
include ("include/holiday.func");
include ("include/blnk2nbsp.func");

if (!checkTransID($trans_id, $conn, $dbSqlObj, $dbExecObj)) {
	unset ($sub);
}

//page_open(array("sess" => "Wiz_Session"));

// セッション開始 (include/accept.conf出既にセッションは開始済みのため以下の行はコメントアウト 2010/11/03:スガラボット修正)
// session_start();

// アプリケーション情報の取得
$appConfInfoOwner = new AppConfInfoOwner();
$appConfInfoOwner->setLinkName("reserve.php");
$appConfInfoOwner->doQuery($conn, $dbSqlObj, $dbExecObj);
$appConfInfo = new AppConfInfo();
$appConfInfo = $appConfInfoOwner->getAppConfInfo();

// ユーザー情報の取得
unset ($employeeInfoOwner);
$employeeInfoOwner = new EmployeeInfoOwner();
$employeeInfoOwner->setEmp_cd($_SERVER["PHP_AUTH_USER"]);
$employeeInfoOwner->doSelectQuery($conn, $dbSqlObj, $dbExecObj);
$employeeInfoArray = $employeeInfoOwner->getEmployeeInfoArray();
$isAdmin = $employeeInfoArray[$_SERVER["PHP_AUTH_USER"]]->isAdmin();
$empName = $employeeInfoArray[$_SERVER["PHP_AUTH_USER"]]->getName();

// デザインをインクルードします。
require_once ($_ROOT_DIR_."class/menuHeadder.php");
$menuShowObj = new menuShowObj($conn, $dbSqlObj, $dbExecObj);
$menuShowObj->setEmpName($empName);
$menuShowObj->setCurrentAppli("reserve");
$menuShowObj->setIsAdmin($isAdmin);
$menuShowObj->showHeadder();

$admchk = admchk($conn, $_SERVER["PHP_AUTH_USER"], $dbSqlObj, $dbExecObj);

$dbExecObj->exeSql($conn, $dbSqlObj->setDateStyleToIso());

// ログの記録を行います。
include ("include/createlog.conf");

// 新規登録画面
if ($sub == "addScreen") {
	//
	if ($emp_cd == "") {
		$emp_cd = $_SERVER["PHP_AUTH_USER"];
	}

	// 社員情報の取得
	$employeeInfoOwner = new EmployeeInfoOwner();
	$employeeInfoOwner->setEmp_cd($emp_cd);
	$employeeInfoOwner->doSelectQuery($conn, $dbSqlObj, $dbExecObj);
	$employeeInfoArray = $employeeInfoOwner->getEmployeeInfoArray();

	$employeeInfoOwner_authUser = new EmployeeInfoOwner();
	$employeeInfoOwner_authUser->setEmp_cd($_SERVER["PHP_AUTH_USER"]);
	$employeeInfoOwner_authUser->doSelectQuery($conn, $dbSqlObj, $dbExecObj);
	$employeeInfoArray_authUser = $employeeInfoOwner_authUser->getEmployeeInfoArray();
	$isAdmin_authUser = $employeeInfoArray_authUser[$_SERVER["PHP_AUTH_USER"]]->isAdmin();

	if ($emp_cd != $_SERVER["PHP_AUTH_USER"]) {
		if ($isAdmin_authUser != True) {
			$errorMessage = "管理者ではありません。";
			include ("schedule_error_view.php");

			// フッターの出力
			$menuShowObj->showFooter();

			exit;
		} else {
			$division = $employeeInfoOwner_authUser->getDivision();
		}
	} else {
		$division = $employeeInfoOwner->getDivision();
	}

	// 日付情報初期化
	$startDateInfo = new dateInfo();
	$endDateInfo = new dateInfo();
	if (isset ($year)) {
		$startDateInfo->setYear($year);
		$startDateInfo->setMonth($month);
		$startDateInfo->setDay($day);
		$startDateInfo->setHour("");
		$startDateInfo->setMinute("");

		$endDateInfo->setYear($year);
		$endDateInfo->setMonth($month);
		$endDateInfo->setDay($day);
		$endDateInfo->setHour("");
		$endDateInfo->setMinute("");

	} else
		if (!isset ($year) && !isset ($year_s)) {
			$startDateInfo->setYear(Date("Y"));
			$startDateInfo->setMonth(Date("m"));
			$startDateInfo->setDay(Date("d"));
			$startDateInfo->setHour("");
			$startDateInfo->setMinute("");

			$endDateInfo->setYear(Date("Y"));
			$endDateInfo->setMonth(Date("m"));
			$endDateInfo->setDay(Date("d"));
			$endDateInfo->setHour("");
			$endDateInfo->setMinute("");
		} else {
			$startDateInfo->setYear($year_s);
			$startDateInfo->setMonth($month_s);
			$startDateInfo->setDay($day_s);
			$startDateInfo->setHour($hour_s);
			$startDateInfo->setMinute($minute_s);

			if (isset ($year_e) || isset ($month_e) || isset ($day_e)) {
				$endDateInfo->setYear($year_e);
				$endDateInfo->setMonth($month_e);
				$endDateInfo->setDay($day_e);
				$endDateInfo->setHour($hour_e);
				$endDateInfo->setMinute($minute_e);
			} else {
				$endDateInfo->setYear($year_s);
				$endDateInfo->setMonth($month_s);
				$endDateInfo->setDay($day_s);
				$endDateInfo->setHour($hour_e);
				$endDateInfo->setMinute($minute_e);
			}
		}

	$addDateInfo = new ScheduleDateInfo();
	$addDateInfo->setStartDateInfo($startDateInfo);
	$addDateInfo->setEndDateInfo($endDateInfo);
	$addDateInfo->setWeek_day($week_day);
	$addDateInfo->setMonth_of_day($month_of_day);
	$addDateInfo->setMonth_of_week($month_of_week);

	if ($sessionSub == "dayScreen") {
		$monthTab = "schedule_month_b.gif";
		$weekTab = "schedule_week_b.gif";
		$dayTab = "schedule_day_a.gif";
	}
	elseif ($sessionSub == "weekScreen") {
		$monthTab = "schedule_month_b.gif";
		$weekTab = "schedule_week_a.gif";
		$dayTab = "schedule_day_b.gif";
	} else {
		$monthTab = "schedule_month_a.gif";
		$weekTab = "schedule_week_b.gif";
		$dayTab = "schedule_day_b.gif";
	}

	//スケジュールイベント管理クラス初期化
	include_once ("./class/ScheduleEventInfo.php");
	$objScheduleEventInfo = new ScheduleEventInfo();
	$objScheduleEventInfo->setPlan($plan);
	$objScheduleEventInfo->setRemark($remark);
	$objScheduleEventInfo->setPublic($public);
	$objScheduleEventInfo->setCompulsion($compulsion);
	$objScheduleEventInfo->setOwner_emp_cd($employeeInfoOwner->getEmp_cd());
	$objScheduleEventInfo->setEvent_mode($event_mode);

	//初回アクセス時テンポラリテーブルを初期化する
	if ($bolInit) {
		$objScheduleEventInfo->doDeleteTmpAllMemberQuery($conn, $dbSqlObj, $dbExecObj);
		$objScheduleEventInfo->doInitialTmpAllMemberQuery($conn, $dbSqlObj, $dbExecObj);
		$objScheduleEventInfo->doDeleteTmpAllFacilityQuery($conn, $dbSqlObj, $dbExecObj);
		//指定された施設をあらかじめテンポラリテーブルにINSERTしておく
		$tmpFacilities = array ();
		array_push($tmpFacilities, $fac_cd);
		$objScheduleEventInfo->doInsertTmpFacilityQuery($tmpFacilities, $conn, $dbSqlObj, $dbExecObj);
	}

	if (isset ($facilityOperate) or $facilityOperate != "") {
		switch ($facilityOperate) {
			case 1 :
				if (!isset ($facilities1)) {
					$errorMessage = "追加する施設を選択してください";
					include ("schedule_error_view.php");

					// フッターの出力
					$menuShowObj->showFooter();

					exit;
				}
				$objScheduleEventInfo->doInsertTmpFacilityQuery($facilities1, $conn, $dbSqlObj, $dbExecObj);
				break;

			case 2 :
				if (!isset ($facilities2)) {
					$errorMessage = "削除する施設を選択してください";
					include ("schedule_error_view.php");

					// フッターの出力
					$menuShowObj->showFooter();

					exit;
				}
				$objScheduleEventInfo->doDeleteTmpFacilityQuery($facilities2, $conn, $dbSqlObj, $dbExecObj);
				break;
		}
	}

	if (isset ($memberOperate) or $memberOperate != "") {
		switch ($memberOperate) {
			case 1 :
				if (!isset ($group_member1)) {
					$errorMessage = "追加するメンバーを選択してください";
					include ("schedule_error_view.php");

					// フッターの出力
					$menuShowObj->showFooter();

					exit;
				}
				$objScheduleEventInfo->doUpdateTmpMemberQuery($group_member1, "1", $conn, $dbSqlObj, $dbExecObj);
				break;

			case 2 :
				if (!isset ($group_member2)) {
					$errorMessage = "削除するメンバーを選択してください";
					include ("schedule_error_view.php");

					// フッターの出力
					$menuShowObj->showFooter();

					exit;
				}
				$objScheduleEventInfo->doUpdateTmpMemberQuery($group_member2, "0", $conn, $dbSqlObj, $dbExecObj);
				break;

			case 3 :
				if (!isset ($group_member3)) {
					$errorMessage = "削除するメンバーを選択してください";
					include ("schedule_error_view.php");

					// フッターの出力
					$menuShowObj->showFooter();

					exit;
				}
				$objScheduleEventInfo->doUpdateTmpMemberQuery($group_member3, "0", $conn, $dbSqlObj, $dbExecObj);
				break;
		}
	}

	$objScheduleEventInfo->doSelectTmpFacilityQuery($conn, $dbSqlObj, $dbExecObj);
	$objScheduleEventInfo->doSelectTmpMemberQuery($conn, $dbSqlObj, $dbExecObj);

	$objScheduleEventInfo->setJavaScriptSelect_DivEmpScheduleMember($division, $conn, $dbSqlObj, $dbExecObj);
	$objScheduleEventInfo->setJavaScriptSelect_CatFacScheduleFacility($fac_cat_cd, $conn, $dbSqlObj, $dbExecObj);

	//    print_r($objScheduleEventInfo);

	//スケジュールイベント登録画面表示クラス初期化
	include_once ("./class/ScheduleEventView.php");
	$objScheduleEventView = new ScheduleEventView();
	$objScheduleEventView->setDateInfo($addDateInfo);
	$objScheduleEventView->setDate_mode($date_mode);
	$objScheduleEventView->setScheduleEventInfo($objScheduleEventInfo);
	$objScheduleEventView->setSubScreenMode($sub);
	$objScheduleEventView->setRefPage($refPage);
	$objScheduleEventView->printEventView($monthTab, $weekTab, $dayTab);
	//    include("schedule_add_view.php");
}
// 更新処理、新規登録処理
elseif ($sub == "スケジュール追加" || $sub == "登録") {
	//
	if ($emp_cd == "") {
		$emp_cd = $_SERVER["PHP_AUTH_USER"];
	}

	// 社員情報の取得
	$employeeInfoOwner = new EmployeeInfoOwner();
	$employeeInfoOwner->setEmp_cd($emp_cd);
	$employeeInfoOwner->doSelectQuery($conn, $dbSqlObj, $dbExecObj);
	$employeeInfoArray = $employeeInfoOwner->getEmployeeInfoArray();

	$employeeInfoOwner_authUser = new EmployeeInfoOwner();
	$employeeInfoOwner_authUser->setEmp_cd($_SERVER["PHP_AUTH_USER"]);
	$employeeInfoOwner_authUser->doSelectQuery($conn, $dbSqlObj, $dbExecObj);
	$employeeInfoArray_authUser = $employeeInfoOwner_authUser->getEmployeeInfoArray();
	$isAdmin_authUser = $employeeInfoArray_authUser[$_SERVER["PHP_AUTH_USER"]]->isAdmin();

	if ($sub == "登録") {
		if ($emp_cd != $_SERVER["PHP_AUTH_USER"]) {
			if ($isAdmin_authUser != True) {
				$errorMessage = "管理者ではありません。";
				include ("schedule_error_view.php");

				// フッターの出力
				$menuShowObj->showFooter();

				exit;
			} else {
				$division = $employeeInfoOwner_authUser->getDivision();
			}
		} else {
			$division = $employeeInfoOwner->getDivision();
		}
	}

	$plan = userInputOperate($plan);
	$place = userInputOperate($place);
	$remark = userInputOperate($remark);
	$public = userInputOperate($public);

	//日付のチェック
	$errMsg = dateCheck($event_mode, $date_mode, $week_day, $month_of_week, $year_s, $month_s, $day_s, $hour_s, $minute_s, $year_e, $month_e, $day_e, $hour_e, $minute_e);
	if ($errMsg != "") {
		$errorMessage = $errMsg;
		include ("schedule_error_view.php");

		// フッターの出力
		$menuShowObj->showFooter();

		exit;
	}

	if ($plan == "") {
		$errorMessage = "予定を入力して下さい";
		include ("schedule_error_view.php");

		// フッターの出力
		$menuShowObj->showFooter();

		exit;
	}

	if ($public != "t" && $public != "f") {
		$errorMessage = "公開／非公開の値が不正です";
		include ("schedule_error_view.php");

		// フッターの出力
		$menuShowObj->showFooter();

		exit;
	}

	// 日付情報初期化
	$startDateInfo = new dateInfo();
	$endDateInfo = new dateInfo();

	$startDateInfo->setYear($year_s);
	$startDateInfo->setMonth($month_s);
	$startDateInfo->setDay($day_s);
	$startDateInfo->setHour($hour_s);
	$startDateInfo->setMinute($minute_s);

	$endDateInfo->setYear($year_e);
	$endDateInfo->setMonth($month_e);
	$endDateInfo->setDay($day_e);
	$endDateInfo->setHour($hour_e);
	$endDateInfo->setMinute($minute_e);

	$addDateInfo = new ScheduleDateInfo();
	$addDateInfo->setDate_mode($date_mode);
	$addDateInfo->setStartDateInfo($startDateInfo);
	$addDateInfo->setEndDateInfo($endDateInfo);
	$addDateInfo->setWeek_day($week_day);
	$addDateInfo->setMonth_of_day($month_of_day);
	$addDateInfo->setMonth_of_week($month_of_week);
	$addDateInfo->createScheduleDateArray();

	if ($event_mode == "1" || $event_mode == "2") {
		$compulsion = "3";
	}

	//スケジュールイベント管理クラス初期化
	include_once ("./class/ScheduleEventInfo.php");
	$objScheduleEventInfo = new ScheduleEventInfo();
	$objScheduleEventInfo->setPlan($plan);
	$objScheduleEventInfo->setRemark($remark);
	$objScheduleEventInfo->setPublic($public);
	$objScheduleEventInfo->setCompulsion($compulsion);
	$objScheduleEventInfo->setOwner_emp_cd($employeeInfoOwner->getEmp_cd());
	$objScheduleEventInfo->setOwner_emp_name($employeeInfoArray_authUser[$_SERVER["PHP_AUTH_USER"]]->getName());

	if ($sub == "スケジュール追加") {
		$objScheduleEventInfo->setSchedule_cd($schedule_cd);
		$maxScheduleDateCd = $maxScheduleDateCd +1;
	} else {
		include_once ("./include/serial.func");
		$schedule_cd = getSerialCode("schedule_cd", $conn, $dbSqlObj, $dbExecObj);
		$objScheduleEventInfo->setSchedule_cd($schedule_cd);
	}

	if ($sub == "スケジュール追加") {
		$bolRes = false;
		if ($emp_cd != $_SERVER["PHP_AUTH_USER"]) {
			if ($isAdmin_authUser != True) {
				$bolRes = $objScheduleEventInfo->doCheckSchedulePermit($_SERVER["PHP_AUTH_USER"], $conn, $dbSqlObj, $dbExecObj);
			} else {
				//$objScheduleEventInfo->setOwner_emp_cd($employeeInfoOwner_authUser->getEmp_cd());
				$bolRes = true;
			}
		} else {
			$bolRes = true;
		}
	} else {
		if ($emp_cd != $_SERVER["PHP_AUTH_USER"]) {
			if ($isAdmin_authUser != True) {
				$errorMessage = "管理者ではありません。";
				include ("schedule_error_view.php");

				// フッターの出力
				$menuShowObj->showFooter();

				exit;
			} else {
				$objScheduleEventInfo->setOwner_emp_cd($employeeInfoOwner->getEmp_cd());
			}
		} else {
			$objScheduleEventInfo->setOwner_emp_cd($employeeInfoOwner->getEmp_cd());
		}
	}
	$objScheduleEventInfo->setEvent_mode($event_mode);
	$objScheduleEventInfo->setScheduleDateInfoArray($addDateInfo->getScheduleDateArray());

	//トランザクション開始
	$dbExecObj->exeSql($conn, $dbSqlObj->sqlBeginTrans());
	$bolRes = "true";
	switch ($event_mode) {
		case 1 :
			$bolRes = $objScheduleEventInfo->doDeleteTmpAllMemberQuery($conn, $dbSqlObj, $dbExecObj);
			if (!$bolRes) {
				$dbExecObj->exeSql($conn, $dbSqlObj->sqlRollBackTrans());
				showScheduleView($sessionSub, $objScheduleEventInfo->getErrMsg());
			}
			$bolRes = $objScheduleEventInfo->doInitialTmpAllMemberQuery($conn, $dbSqlObj, $dbExecObj);
			if (!$bolRes) {
				$dbExecObj->exeSql($conn, $dbSqlObj->sqlRollBackTrans());
				showScheduleView($sessionSub, $objScheduleEventInfo->getErrMsg());
			}
			$bolRes = $objScheduleEventInfo->doDeleteTmpAllFacilityQuery($conn, $dbSqlObj, $dbExecObj);
			if (!$bolRes) {
				$dbExecObj->exeSql($conn, $dbSqlObj->sqlRollBackTrans());
				showScheduleView($sessionSub, $objScheduleEventInfo->getErrMsg());
			}
			/*施設予約からの場合　自分はメンバーとして登録しない
				   	    $tmpMember = array();
				   	    array_push($tmpMember,$employeeInfoOwner->getEmp_cd());
				   	    $bolRes = $objScheduleEventInfo->doUpdateTmpMemberQuery($tmpMember, "1", $conn, $dbSqlObj, $dbExecObj);
					    if(!$bolRes){
							$dbExecObj->exeSql($conn,$dbSqlObj->sqlRollBackTrans());	   	    	
						    showScheduleView($sessionSub, $objScheduleEventInfo->getErrMsg());
					    }
			*/

			break;
		case 2 :
			$bolRes = $objScheduleEventInfo->doDeleteTmpAllMemberQuery($conn, $dbSqlObj, $dbExecObj);
			if (!$bolRes) {
				$dbExecObj->exeSql($conn, $dbSqlObj->sqlRollBackTrans());
				showScheduleView($sessionSub, $objScheduleEventInfo->getErrMsg());
			}

			$bolRes = $objScheduleEventInfo->doInitialTmpAllMemberQuery($conn, $dbSqlObj, $dbExecObj);
			if (!$bolRes) {
				$dbExecObj->exeSql($conn, $dbSqlObj->sqlRollBackTrans());
				showScheduleView($sessionSub, $objScheduleEventInfo->getErrMsg());
			}
			/*施設予約からの場合　自分はメンバーとして登録しない
				   	    $tmpMember = array();
				   	    array_push($tmpMember,$employeeInfoOwner->getEmp_cd());
				   	    $bolRes = $objScheduleEventInfo->doUpdateTmpMemberQuery($tmpMember, "1", $conn, $dbSqlObj, $dbExecObj);
					    if(!$bolRes){
							$dbExecObj->exeSql($conn,$dbSqlObj->sqlRollBackTrans());	   	    	
						    showScheduleView($sessionSub, $objScheduleEventInfo->getErrMsg());
					    }
			*/
			break;
		case 3 :
			$bolRes = $objScheduleEventInfo->doDeleteTmpAllFacilityQuery($conn, $dbSqlObj, $dbExecObj);
			if (!$bolRes) {
				$dbExecObj->exeSql($conn, $dbSqlObj->sqlRollBackTrans());
				showScheduleView($sessionSub, $objScheduleEventInfo->getErrMsg());
			}
			break;
		case 4 :
			break;
	}

	$objScheduleEventInfo->doSelectTmpFacilityQuery($conn, $dbSqlObj, $dbExecObj);
	$objScheduleEventInfo->doSelectTmpMemberQuery($conn, $dbSqlObj, $dbExecObj);

	if ($bolRes) {
		// スケジュール追加
		if ($sub == "スケジュール追加") {
			$bolRes = $objScheduleEventInfo->doInsertDateQuery($maxScheduleDateCd, $conn, $dbSqlObj, $dbExecObj);
			if (!$bolRes) {
				$dbExecObj->exeSql($conn, $dbSqlObj->sqlRollBackTrans());
				showScheduleView($sessionSub, $objScheduleEventInfo->getErrMsg());
			}
			//$rsvDoubleBooking = false;
			$bolRes = $objScheduleEventInfo->doInsertMemberQuery($maxScheduleDateCd, $conn, $dbSqlObj, $dbExecObj);
			if (!$bolRes) {
				$dbExecObj->exeSql($conn, $dbSqlObj->sqlRollBackTrans());
				showScheduleView($sessionSub, $objScheduleEventInfo->getErrMsg());
			}
			$bolRes = $objScheduleEventInfo->doInsertFacilityQuery($maxScheduleDateCd, $conn, $dbSqlObj, $dbExecObj, $rsvDoubleBooking);
			if (!$bolRes) {
				$dbExecObj->exeSql($conn, $dbSqlObj->sqlRollBackTrans());
				showScheduleView($sessionSub, $objScheduleEventInfo->getErrMsg());
			}
			$bolRes = $objScheduleEventInfo->doUpdateEventQuery($conn, $dbSqlObj, $dbExecObj);
			if (!$bolRes) {
				$dbExecObj->exeSql($conn, $dbSqlObj->sqlRollBackTrans());
				showScheduleView($sessionSub, $objScheduleEventInfo->getErrMsg());
			}
			$member = array ();
			$objScheduleEventInfo->getNoticeData($employeeInfoArray_authUser[$_SERVER["PHP_AUTH_USER"]]->getName(), $title, $body, $member);
		}
		// 新規登録処理の場合
		elseif ($sub == "登録") {
			$bolRes = $objScheduleEventInfo->doInsertEventQuery($conn, $dbSqlObj, $dbExecObj);
			if (!$bolRes) {
				$dbExecObj->exeSql($conn, $dbSqlObj->sqlRollBackTrans());
				showScheduleView($sessionSub, $objScheduleEventInfo->getErrMsg());
			}
			$bolRes = $objScheduleEventInfo->doInsertDateQuery(0, $conn, $dbSqlObj, $dbExecObj);
			if (!$bolRes) {
				$dbExecObj->exeSql($conn, $dbSqlObj->sqlRollBackTrans());
				showScheduleView($sessionSub, $objScheduleEventInfo->getErrMsg());
			}
			//$rsvDoubleBooking = false;
			$bolRes = $objScheduleEventInfo->doInsertMemberQuery(0, $conn, $dbSqlObj, $dbExecObj);
			if (!$bolRes) {
				$dbExecObj->exeSql($conn, $dbSqlObj->sqlRollBackTrans());
				showScheduleView($sessionSub, $objScheduleEventInfo->getErrMsg());
			}
			$bolRes = $objScheduleEventInfo->doInsertFacilityQuery(0, $conn, $dbSqlObj, $dbExecObj, $rsvDoubleBooking);
			if (!$bolRes) {
				$dbExecObj->exeSql($conn, $dbSqlObj->sqlRollBackTrans());
				showScheduleView($sessionSub, $objScheduleEventInfo->getErrMsg());
			}
			$bolRes = $objScheduleEventInfo->doUpdateEventQuery($conn, $dbSqlObj, $dbExecObj);
			if (!$bolRes) {
				$dbExecObj->exeSql($conn, $dbSqlObj->sqlRollBackTrans());
				showScheduleView($sessionSub, $objScheduleEventInfo->getErrMsg());
			}
			$member = array ();
			$objScheduleEventInfo->getNoticeData($employeeInfoArray_authUser[$_SERVER["PHP_AUTH_USER"]]->getName(), $title, $body, $member);

			//入力データチェック
			$bolRes = $objScheduleEventInfo->checkEventData($conn, $dbSqlObj, $dbExecObj);
			if (!$bolRes) {
				$dbExecObj->exeSql($conn, $dbSqlObj->sqlRollBackTrans());
				//システムエラー
				$errFacilityInfoArray = array ();
				$errFacilityInfoArray = $objScheduleEventInfo->getErrFacilityInfoArray();
				$wkErrMsg = $objScheduleEventInfo->getErrMsg();
				if ($wkErrMsg != "" && count($errFacilityInfoArray) == 0) {
					showScheduleView($sessionSub, $wkErrMsg);
					//入力データのエラー
				} else {
					$wkErrMsg = str_replace("\\n", "<br>", $wkErrMsg);
					$errorMessage = $wkErrMsg."<br>メンバーも施設もないスケジュールは登録できません。";
					include ("schedule_error_view.php");

					// フッターの出力
					$menuShowObj->showFooter();

					exit;
				}
			}
		} else {
			showScheduleView($sessionSub, "");
			exit;
		}
	}

	//一時テーブル初期化
	$objScheduleEventInfo->doDeleteTmpAllMemberQuery($conn, $dbSqlObj, $dbExecObj);
	$objScheduleEventInfo->doDeleteTmpAllFacilityQuery($conn, $dbSqlObj, $dbExecObj);

	unset($_SESSION["scheduleInfoOwner"]);
	unset ($scheduleInfoOwner);

	$dbExecObj->exeSql($conn, $dbSqlObj->sqlCommitTrans());

	writeTransID($trans_id, $conn, $dbSqlObj, $dbExecObj);

	//回覧板通知
	if ($objScheduleEventInfo->getCompulsion() == "1" || $objScheduleEventInfo->getCompulsion() == "2") {
		//$objScheduleEventInfo->getNoticeData($title, $body, $member);
		//回覧板登録用オブジェクト
		require_once ($_ROOT_DIR_."class/NoticeDrawUp.php");
		$noticeDrawUp = new NoticeDrawUp($conn, $dbSqlObj, $dbExecObj);
		//登録データ設定
		$noticeDrawUp->setSendtime(Date("Y")."-".Date("m")."-".Date("d")." ".Date("H").":".Date("i").":".Date("s"));
		$noticeDrawUp->setOwner_emp_cd($_SERVER["PHP_AUTH_USER"]);
		$noticeDrawUp->setTitle($title);
		$noticeDrawUp->setBody($body);
		$noticeDrawUp->setConfirm("t");
		$noticeDrawUp->setArrEmp_cd($member);
		$noticeDrawUp->setRootURL($_ROOT_URL_);
		$noticeDrawUp->setSchedule_cd($objScheduleEventInfo->getSchedule_cd());
		//複数日登録のときはschedule_date_cdをNULLで登録する
		if ($date_mode == 0) {
			$noticeDrawUp->setScdl_date_cd($objScheduleEventInfo->getScheduleDate_cd());
		}
		$bolRes = $noticeDrawUp->createNoticeWithoutTransaction();
		if ($bolRes == false) {
			//echo "<Script language=\"JavaScript\">\n";
			//echo "alert('エラーのため処理を中止しました。')\n";
			//echo "</Script>\n";
			//exit;
			$errorMessage = "エラーのため処理を中止しました。";
			$dbExecObj->exeSql($conn, $dbSqlObj->sqlRollBackTrans());
			writeTransID($trans_id, $conn, $dbSqlObj, $dbExecObj);
			showScheduleView($sessionSub, $errorMessage);
		}

	}
	//$dbExecObj->freeResult($result);
	unset($_SESSION["scheduleInfoOwner"]);
	unset ($scheduleInfoOwner);

	$dbExecObj->exeSql($conn, $dbSqlObj->sqlCommitTrans());

	writeTransID($trans_id, $conn, $dbSqlObj, $dbExecObj);

	showScheduleView($sessionSub, $objScheduleEventInfo->getErrMsg());
}
// 削除処理
elseif ($sub == "削除") {
	$schedule_cd = userInputOperate($schedule_cd);
	$empCd = userInputOperate($emp_cd);

	//スケジュールイベント管理クラス初期化
	include_once ("./class/ScheduleEventInfo.php");
	$objScheduleEventInfo = new ScheduleEventInfo();
	$objScheduleEventInfo->setOwner_emp_cd($employeeInfoOwner->getEmp_cd());
	$objScheduleEventInfo->setSchedule_cd($schedule_cd);

	//トランザクション開始
	$dbExecObj->exeSql($conn, $dbSqlObj->sqlBeginTrans());
	$bolRes = true;

	$bolRes = $objScheduleEventInfo->doDeleteEventQuery($conn, $dbSqlObj, $dbExecObj);
	if (!$bolRes) {
		$dbExecObj->exeSql($conn, $dbSqlObj->sqlRollBackTrans());
	}

	//回覧板削除処理
	require_once ($_ROOT_DIR_."class/NoticeDrawUp.php");
	$noticeDrawUp = new NoticeDrawUp($conn, $dbSqlObj, $dbExecObj);
	$noticeDrawUp->setSchedule_cd($objScheduleEventInfo->getSchedule_cd());
	$bolRes = $noticeDrawUp->deleteNoticeWithoutTransaction(3);
	if (!$bolRes) {
		$dbExecObj->exeSql($conn, $dbSqlObj->sqlRollBackTrans());
	}

	$dbExecObj->exeSql($conn, $dbSqlObj->sqlCommitTrans());

	writeTransID($trans_id, $conn, $dbSqlObj, $dbExecObj);

	showScheduleView($sessionSub, $objScheduleEventInfo->getErrMsg());
}
// 詳細／修正画面
elseif ($sub == "updateDetailScreen") {
	// スケジュール情報の取得
	$scheduleInfoOwner = new ScheduleInfoOwner();
	$scheduleInfoOwner->setPhpAuthUser($_SERVER["PHP_AUTH_USER"]);
	$scheduleInfoOwner->setAdmin($isAdmin);
	$scheduleInfoOwner->setDivision($division);

	$sqlStr = $dbSqlObj->selectScheduleInfoWithScdlcdScdldatecd($schedule_cd, $schedule_date_cd);
	$result = $dbExecObj->exeSql($conn, $sqlStr);

	// ScheduleInfoへのコンバート
	$scheduleInfoOwner->convertResult2ScheduleInfo($dbExecObj, $result);

	$scheduleInfoArray = $scheduleInfoOwner->getScheduleInfoArray();
	$n = 0;

	$sqlStr = $dbSqlObj->selectMaxScheduleDateCdWithScdlcd($schedule_cd);
	$result = $dbExecObj->exeSql($conn, $sqlStr);
	$maxScheduleDateCd = $dbExecObj->getResult($result, 0, "maxScheduleDateCd");


	// 選択されたスケジュールデータの取得
	$scheduleInfo = $scheduleInfoArray[$emp_cd][$n];
	if ($scheduleInfo == NULL) {
		$scheduleInfoOwner = new ScheduleInfoOwner();
		$scheduleInfoOwner->setPhpAuthUser($_SERVER["PHP_AUTH_USER"]);
		$scheduleInfoOwner->setAdmin($isAdmin);
		$scheduleInfoOwner->setDivision($division);
		$sqlStr = $dbSqlObj->selectScheduleInfoWithScdlcdScdldatecdEmpCd($schedule_cd, $maxScheduleDateCd, $_SERVER["PHP_AUTH_USER"]);
		$result = $dbExecObj->exeSql($conn, $sqlStr);
		if (!$result) {
			showScheduleView($sessionSub, "スケジュールデータの取得に失敗しました");
			exit;
		}
		// ScheduleInfoへのコンバート
		$scheduleInfoOwner->convertResult2ScheduleInfo($dbExecObj, $result);
		$scheduleInfoArray = $scheduleInfoOwner->getScheduleInfoArray();
		$n = 0;
		$schedule_date_cd = $maxScheduleDateCd;
		$scheduleInfo = $scheduleInfoArray[$_SERVER["PHP_AUTH_USER"]][$n];
		if ($scheduleInfo == NULL) {
			showScheduleView($sessionSub, "スケジュールデータの取得に失敗しました");
			exit;
		}
	}

	// 開始日時情報
	$startDateInfo = new dateInfo();
	$startDateInfo->setDateData($scheduleInfo->getStartDate());
	$startDateInfo->setTimeData($scheduleInfo->getStartTime());

	// 終了日時情報
	$endDateInfo = new dateInfo();

	if ($scheduleInfo->getEndDate() == "") {
		$endDateInfo->setDateData($scheduleInfo->getStartDate());
	} else {
		$endDateInfo->setDateData($scheduleInfo->getEndDate());
	}

	$endDateInfo->setTimeData($scheduleInfo->getEndTime());

	// 社員情報の取得
	$employeeInfoOwner = new EmployeeInfoOwner();
	$employeeInfoOwner->setEmp_cd($emp_cd);
	$employeeInfoOwner->doSelectQuery($conn, $dbSqlObj, $dbExecObj);
	$employeeInfoArray = $employeeInfoOwner->getEmployeeInfoArray();

	$employeeInfoOwner_authUser = new EmployeeInfoOwner();
	$employeeInfoOwner_authUser->setEmp_cd($_SERVER["PHP_AUTH_USER"]);
	$employeeInfoOwner_authUser->doSelectQuery($conn, $dbSqlObj, $dbExecObj);
	$employeeInfoArray_authUser = $employeeInfoOwner_authUser->getEmployeeInfoArray();
	$isAdmin_authUser = $employeeInfoArray_authUser[$_SERVER["PHP_AUTH_USER"]]->isAdmin();

	//スケジュールイベント管理クラス初期化
	include_once ("./class/ScheduleEventInfo.php");
	$objScheduleEventInfo = new ScheduleEventInfo();
	$objScheduleEventInfo->setOwner_emp_cd($employeeInfoOwner->getEmp_cd());
	$objScheduleEventInfo->setSchedule_cd($scheduleInfo->getSchedule_cd());
	$objScheduleEventInfo->setScheduleDate_cd($scheduleInfo->getSchedule_date_cd());

	$bolRes = false;
	if ($emp_cd != $_SERVER["PHP_AUTH_USER"]) {
		if ($isAdmin_authUser != True) {
			$bolRes = $objScheduleEventInfo->doCheckSchedulePermit($_SERVER["PHP_AUTH_USER"], $conn, $dbSqlObj, $dbExecObj);
		} else {
			$bolRes = true;
		}
	} else {
		$bolRes = true;
	}

	if (isset ($bolscheduleUpdateCmd) and $bolscheduleUpdateCmd != "" and $bolscheduleUpdateCmd == "update") {
		$objScheduleEventInfo->setPlan($plan);
		$objScheduleEventInfo->setRemark($remark);
		//トランザクション開始
		$dbExecObj->exeSql($conn, $dbSqlObj->sqlBeginTrans());
		$bolRes = "true";

		$bolRes = $objScheduleEventInfo->doUpdateScheduleQuery($conn, $dbSqlObj, $dbExecObj);

		if (!$bolRes) {
			$dbExecObj->exeSql($conn, $dbSqlObj->sqlRollBackTrans());
		}

		$dbExecObj->exeSql($conn, $dbSqlObj->sqlCommitTrans());

		writeTransID($trans_id, $conn, $dbSqlObj, $dbExecObj);
	}

	if (isset ($bolscheduleUpdateCmd) and $bolscheduleUpdateCmd != "" and $bolscheduleUpdateCmd == "delete") {
		//トランザクション開始
		$dbExecObj->exeSql($conn, $dbSqlObj->sqlBeginTrans());
		$bolRes = "true";

		$bolRes = $objScheduleEventInfo->doDeleteScheduleQuery($schedule_date_cd_array, $conn, $dbSqlObj, $dbExecObj);
		if (!$bolRes) {
			$dbExecObj->exeSql($conn, $dbSqlObj->sqlRollBackTrans());
		}
		//スケジュールに日付データが残っているか確認する
		$date_count = $objScheduleEventInfo->doCheckDateQuery($conn, $dbSqlObj, $dbExecObj);
		if (!$bolRes) {
			$dbExecObj->exeSql($conn, $dbSqlObj->sqlRollBackTrans());
		}

		//回覧板削除処理
		require_once ($_ROOT_DIR_."class/NoticeDrawUp.php");
		$noticeDrawUp = new NoticeDrawUp($conn, $dbSqlObj, $dbExecObj);
		$noticeDrawUp->setSchedule_cd($objScheduleEventInfo->getSchedule_cd());
		foreach ($schedule_date_cd_array as $key => $value) {
			$noticeDrawUp->setScdl_date_cd($value);
			$bolRes = $noticeDrawUp->deleteNoticeWithoutTransaction(4);
		}
		if (!$bolRes) {
			$dbExecObj->exeSql($conn, $dbSqlObj->sqlRollBackTrans());
		}

		//日付データが一件も無い場合は、そのイベント全体を削除する
		if ($date_count == 0) {
			$bolRes = $objScheduleEventInfo->doDeleteEventQuery($conn, $dbSqlObj, $dbExecObj);
			if (!$bolRes) {
				$dbExecObj->exeSql($conn, $dbSqlObj->sqlRollBackTrans());
			}
		}

		$dbExecObj->exeSql($conn, $dbSqlObj->sqlCommitTrans());

		writeTransID($trans_id, $conn, $dbSqlObj, $dbExecObj);

		if ($date_count == 0 and $bolRes) {
			showScheduleView($sessionSub, $objScheduleEventInfo->getErrMsg());
		}
	}

	//初回アクセス時テンポラリテーブルを初期化する
	if (!isset ($event_mode) or $event_mode == "") {
		$objScheduleEventInfo->doSelectInitialEventDetailInfo($conn, $dbSqlObj, $dbExecObj);
	}

	$addDateInfo = new ScheduleDateInfo();
	$addDateInfo->setStartDateInfo($startDateInfo);
	$addDateInfo->setEndDateInfo($endDateInfo);

	$addDateInfo->setSchedule_cd($scheduleInfo->getSchedule_cd());
	$addDateInfo->createUpdateAllScheduleDateArray($conn, $dbSqlObj, $dbExecObj);

	//スケジュールイベント登録画面表示クラス初期化
	include_once ("./class/ScheduleUpdateEventView.php");
	$objScheduleEventView = new ScheduleUpdateEventView();
	$objScheduleEventView->setDateInfo($addDateInfo);
	$objScheduleEventView->setScheduleEventInfo($objScheduleEventInfo);
	$objScheduleEventView->setSubScreenMode($sub);
	$objScheduleEventView->setRefPage($refPage);
	$objScheduleEventView->setArrayIndexN($n);
	$objScheduleEventView->setMaxScheduleDateCd($maxScheduleDateCd);
	//print_r($objScheduleEventInfo);
	if ($bolRes) {
		$objScheduleEventView->printUpdateDetailScreen();
		//include("schedule_update_view.php");
	} else {
		$objScheduleEventView->printNonPermitUpdateDetailScreen();
		//include("schedule_browse_view.php");
	}

}
elseif ($sub == "updateScreen" or $sub == "addScheduleScreen") {
	if ($sub == "addScheduleScreen") {
		// スケジュール情報の取得
		$scheduleInfoOwner = new ScheduleInfoOwner();
		$scheduleInfoOwner->setPhpAuthUser($emp_cd);
		$scheduleInfoOwner->setAdmin($isAdmin);
		$scheduleInfoOwner->setDivision($division);
		$sqlStr = $dbSqlObj->selectScheduleInfoWithScdlcdScdldatecd($schedule_cd, $maxScheduleDateCd);
		$result = $dbExecObj->exeSql($conn, $sqlStr);
		if (!$result) {
			showScheduleView($sessionSub, "スケジュールデータの取得に失敗しました");
			exit;
		}

		// ScheduleInfoへのコンバート
		$scheduleInfoOwner->convertResult2ScheduleInfo($dbExecObj, $result);

		$scheduleInfoArray = $scheduleInfoOwner->getScheduleInfoArray();
		$n = 0;
		$schedule_date_cd = $maxScheduleDateCd;

		$sqlStr = $dbSqlObj->selectMaxScheduleDateCdWithScdlcd($schedule_cd);
		$result = $dbExecObj->exeSql($conn, $sqlStr);
		$maxScheduleDateCd = $dbExecObj->getResult($result, 0, "maxScheduleDateCd");


		$scheduleInfo = $scheduleInfoArray[$emp_cd][$n];
		if ($scheduleInfo == NULL) {
			$scheduleInfoOwner = new ScheduleInfoOwner();
			$scheduleInfoOwner->setPhpAuthUser($_SERVER["PHP_AUTH_USER"]);
			$scheduleInfoOwner->setAdmin($isAdmin);
			$scheduleInfoOwner->setDivision($division);
			$sqlStr = $dbSqlObj->selectScheduleInfoWithScdlcdScdldatecdEmpCd($schedule_cd, $maxScheduleDateCd, $_SERVER["PHP_AUTH_USER"]);
			$result = $dbExecObj->exeSql($conn, $sqlStr);
			if (!$result) {
				showScheduleView($sessionSub, "スケジュールデータの取得に失敗しました");
				exit;
			}
			// ScheduleInfoへのコンバート
			$scheduleInfoOwner->convertResult2ScheduleInfo($dbExecObj, $result);

			$scheduleInfoArray = $scheduleInfoOwner->getScheduleInfoArray();
			$n = 0;
			$schedule_date_cd = $maxScheduleDateCd;
			$scheduleInfo = $scheduleInfoArray[$_SERVER["PHP_AUTH_USER"]][$n];
			if ($scheduleInfo == NULL) {
				showScheduleView($sessionSub, "スケジュールデータの取得に失敗しました");
				exit;
			}
		}

	} else {
		// スケジュール情報の取得
		$scheduleInfoOwner = new ScheduleInfoOwner();
		$scheduleInfoOwner->setPhpAuthUser($_SERVER["PHP_AUTH_USER"]);
		$scheduleInfoOwner->setAdmin($isAdmin);
		$scheduleInfoOwner->setDivision($division);

		$sqlStr = $dbSqlObj->selectScheduleInfoWithScdlcdScdldatecd($schedule_cd, $schedule_date_cd);
		$result = $dbExecObj->exeSql($conn, $sqlStr);

		// ScheduleInfoへのコンバート
		$scheduleInfoOwner->convertResult2ScheduleInfo($dbExecObj, $result);

		$sqlStr = $dbSqlObj->selectMaxScheduleDateCdWithScdlcd($schedule_cd);
		$result = $dbExecObj->exeSql($conn, $sqlStr);
		$maxScheduleDateCd = $dbExecObj->getResult($result, 0, "maxScheduleDateCd");

		$scheduleInfoArray = $scheduleInfoOwner->getScheduleInfoArray();
		$n = 0;
		$scheduleInfo = $scheduleInfoArray[$emp_cd][$n];
		if ($scheduleInfo == NULL) {
			$scheduleInfoOwner = new ScheduleInfoOwner();
			$scheduleInfoOwner->setPhpAuthUser($_SERVER["PHP_AUTH_USER"]);
			$scheduleInfoOwner->setAdmin($isAdmin);
			$scheduleInfoOwner->setDivision($division);
			$sqlStr = $dbSqlObj->selectScheduleInfoWithScdlcdScdldatecdEmpCd($schedule_cd, $maxScheduleDateCd, $_SERVER["PHP_AUTH_USER"]);
			$result = $dbExecObj->exeSql($conn, $sqlStr);
			if (!$result) {
				showScheduleView($sessionSub, "スケジュールデータの取得に失敗しました");
				exit;
			}
			// ScheduleInfoへのコンバート
			$scheduleInfoOwner->convertResult2ScheduleInfo($dbExecObj, $result);

			$scheduleInfoArray = $scheduleInfoOwner->getScheduleInfoArray();
			$n = 0;
			$schedule_date_cd = $maxScheduleDateCd;
			$scheduleInfo = $scheduleInfoArray[$_SERVER["PHP_AUTH_USER"]][$n];
			if ($scheduleInfo == NULL) {
				showScheduleView($sessionSub, "スケジュールデータの取得に失敗しました");
				exit;
			}
		}

	}

	// 選択されたスケジュールデータの取得
//	$scheduleInfoArray = $scheduleInfoOwner->getScheduleInfoArray();
//	$scheduleInfo = $scheduleInfoArray[$emp_cd][$n];
//	if ($scheduleInfo == NULL) {
//		showScheduleView($sessionSub, "スケジュールデータを取得できませんでした");
//		exit;
//	}

	// 開始日時情報
	$startDateInfo = new dateInfo();
	$startDateInfo->setDateData($scheduleInfo->getStartDate());
	$startDateInfo->setTimeData($scheduleInfo->getStartTime());

	// 終了日時情報
	$endDateInfo = new dateInfo();

	if ($scheduleInfo->getEndDate() == "") {
		$endDateInfo->setDateData($scheduleInfo->getStartDate());
	} else {
		$endDateInfo->setDateData($scheduleInfo->getEndDate());
	}

	$endDateInfo->setTimeData($scheduleInfo->getEndTime());

	$addDateInfo = new ScheduleDateInfo();
	$addDateInfo->setStartDateInfo($startDateInfo);
	$addDateInfo->setEndDateInfo($endDateInfo);
	$addDateInfo->setWeek_day($week_day);
	$addDateInfo->setMonth_of_day($month_of_day);
	$addDateInfo->setMonth_of_week($month_of_week);

	$addDateInfo->setSchedule_cd($scheduleInfo->getSchedule_cd());
	if ($sub == "updateScreen") {
		if (!isset ($schedule_date_cd_array) or count($schedule_date_cd_array) == 0) {
			$schedule_date_cd_array = array ();
			array_push($schedule_date_cd_array, $scheduleInfo->getSchedule_date_cd());
			$date_mode = "1";
		} else {
			$date_mode = "1";
		}
	} else {
		$schedule_date_cd_array = array ();
		array_push($schedule_date_cd_array, $scheduleInfo->getSchedule_date_cd());
		$date_mode = "0";
	}
	$addDateInfo->setSchedule_date_cd_array($schedule_date_cd_array);
	if (!$addDateInfo->createUpdateScheduleDateArray($conn, $dbSqlObj, $dbExecObj)) {
		$errorMessage = "指定したスケジュールは削除されました。";
		showScheduleView($sessionSub, $errorMessage);
	}
	// 社員情報の取得
	$employeeInfoOwner = new EmployeeInfoOwner();
	$employeeInfoOwner->setEmp_cd($emp_cd);
	$employeeInfoOwner->doSelectQuery($conn, $dbSqlObj, $dbExecObj);
	$employeeInfoArray = $employeeInfoOwner->getEmployeeInfoArray();

	$employeeInfoOwner_authUser = new EmployeeInfoOwner();
	$employeeInfoOwner_authUser->setEmp_cd($_SERVER["PHP_AUTH_USER"]);
	$employeeInfoOwner_authUser->doSelectQuery($conn, $dbSqlObj, $dbExecObj);
	$employeeInfoArray_authUser = $employeeInfoOwner_authUser->getEmployeeInfoArray();
	$isAdmin_authUser = $employeeInfoArray_authUser[$_SERVER["PHP_AUTH_USER"]]->isAdmin();

	//スケジュールイベント管理クラス初期化
	include_once ("./class/ScheduleEventInfo.php");
	$objScheduleEventInfo = new ScheduleEventInfo();
	$objScheduleEventInfo->setOwner_emp_cd($employeeInfoOwner->getEmp_cd());
	$objScheduleEventInfo->setOwner_emp_name($employeeInfoArray[$emp_cd]->getName());
	$objScheduleEventInfo->setSchedule_cd($scheduleInfo->getSchedule_cd());
	$objScheduleEventInfo->setScheduleDate_cd($schedule_date_cd_array[count($schedule_date_cd_array) - 1]);

	$bolRes = false;
	if ($emp_cd != $_SERVER["PHP_AUTH_USER"]) {
		if ($isAdmin_authUser != True) {
			$bolRes = $objScheduleEventInfo->doCheckSchedulePermit($_SERVER["PHP_AUTH_USER"], $conn, $dbSqlObj, $dbExecObj);
		} else {
			$bolRes = true;
		}
	} else {
		$bolRes = true;
	}

	//初回アクセス時テンポラリテーブルを初期化する
	if (!isset ($event_mode) or $event_mode == "") {
		$objScheduleEventInfo->doSelectInitialEventInfo($conn, $dbSqlObj, $dbExecObj);
		$objScheduleEventInfo->doSelectInitialEventModeWithoutOwner($conn, $dbSqlObj, $dbExecObj);
		$event_mode = $objScheduleEventInfo->getEvent_mode();
		$objScheduleEventInfo->doDeleteTmpAllMemberQuery($conn, $dbSqlObj, $dbExecObj);
		$objScheduleEventInfo->doDeleteTmpAllFacilityQuery($conn, $dbSqlObj, $dbExecObj);
		$objScheduleEventInfo->doUpdateInitialTmpAllMemberQuery($conn, $dbSqlObj, $dbExecObj);
		$objScheduleEventInfo->doUpdateInitialTmpAllFacilityQuery($conn, $dbSqlObj, $dbExecObj);
	}

	$objScheduleEventInfo->doSelectTmpFacilityQuery($conn, $dbSqlObj, $dbExecObj);
	$objScheduleEventInfo->doSelectTmpMemberQuery($conn, $dbSqlObj, $dbExecObj);

	$objScheduleEventInfo->setJavaScriptSelect_DivEmpScheduleMember($division, $conn, $dbSqlObj, $dbExecObj);
	$objScheduleEventInfo->setJavaScriptSelect_CatFacScheduleFacility($fac_cat_cd, $conn, $dbSqlObj, $dbExecObj);

	$bolOneDayInSchedule = $objScheduleEventInfo->doCheckDateQuery( $conn,  $dbSqlObj,  $dbExecObj) == 1 ? true : false;


	//スケジュールイベント登録画面表示クラス初期化
	include_once ("./class/ScheduleUpdateEventView.php");
	$objScheduleEventView = new ScheduleUpdateEventView();
	$objScheduleEventView->setDateInfo($addDateInfo);
	$objScheduleEventView->setDate_mode($date_mode);
	$objScheduleEventView->setScheduleEventInfo($objScheduleEventInfo);
	$objScheduleEventView->setSubScreenMode($sub);
	$objScheduleEventView->setRefPage($refPage);
	$objScheduleEventView->setArrayIndexN($n);
	$objScheduleEventView->setMaxScheduleDateCd($maxScheduleDateCd);
	$objScheduleEventView->setBolOneDayInSchedule($bolOneDayInSchedule);

	//print_r($objScheduleEventInfo);
	if ($bolRes) {
		if ($sub == "addScheduleScreen") {
			$objScheduleEventView->printAddEventView();
			//include("schedule_update_view.php");
		}
		elseif ($sub == "updateScreen") {
			$objScheduleEventView->printEventView();
			//include("schedule_update_view.php");
		}
	} else {
		$objScheduleEventView->printNonPermitEventView();
		//include("schedule_browse_view.php");
	}

}
elseif ($sub == "updateScreen2" or $sub == "addScheduleScreen2") {
	//
	if ($emp_cd == "") {
		$emp_cd = $_SERVER["PHP_AUTH_USER"];
	}

	// 社員情報の取得
	$employeeInfoOwner = new EmployeeInfoOwner();
	$employeeInfoOwner->setEmp_cd($emp_cd);
	$employeeInfoOwner->doSelectQuery($conn, $dbSqlObj, $dbExecObj);
	$employeeInfoArray = $employeeInfoOwner->getEmployeeInfoArray();

	$employeeInfoOwner_authUser = new EmployeeInfoOwner();
	$employeeInfoOwner_authUser->setEmp_cd($_SERVER["PHP_AUTH_USER"]);
	$employeeInfoOwner_authUser->doSelectQuery($conn, $dbSqlObj, $dbExecObj);
	$employeeInfoArray_authUser = $employeeInfoOwner_authUser->getEmployeeInfoArray();
	$isAdmin_authUser = $employeeInfoArray_authUser[$_SERVER["PHP_AUTH_USER"]]->isAdmin();

	// 日付情報初期化
	$startDateInfo = new dateInfo();
	$endDateInfo = new dateInfo();
	$addDateInfo = new ScheduleDateInfo();
	$addDateInfo->setSchedule_cd($schedule_cd);
	$addDateInfo->setSchedule_date_cd_array($schedule_date_cd_array);
	//$addDateInfo->createUpdateScheduleDateArray($conn, $dbSqlObj, $dbExecObj);

	if ($sub == "updateScreen2") {
		$addDateInfo->setSchedule_date_cd_array($schedule_date_cd_array);
		if (!$addDateInfo->createUpdateScheduleDateArray($conn, $dbSqlObj, $dbExecObj)) {
			$errorMessage = "指定したスケジュールは削除されました。";
			showScheduleView($sessionSub, $errorMessage);
		}
		$tmpDateArray = $addDateInfo->getScheduleDateArray();
		if (count($schedule_date_cd_array) == 1) {
			if (isset ($year_s) || isset ($month_s) || isset ($day_s) || isset ($year_e) || isset ($month_e) || isset ($day_e)) {
				$startDateInfo->setYear($year_s);
				$startDateInfo->setMonth($month_s);
				$startDateInfo->setDay($day_s);
				$endDateInfo->setYear($year_e);
				$endDateInfo->setMonth($month_e);
				$endDateInfo->setDay($day_e);
			} else {
				$startDateInfo->setYear($tmpDateArray[count($tmpDateArray) - 1]['year']);
				$startDateInfo->setMonth($tmpDateArray[count($tmpDateArray) - 1]['month']);
				$startDateInfo->setDay($tmpDateArray[count($tmpDateArray) - 1]['day']);
				$endDateInfo->setYear($tmpDateArray[count($tmpDateArray) - 1]['year']);
				$endDateInfo->setMonth($tmpDateArray[count($tmpDateArray) - 1]['month']);
				$endDateInfo->setDay($tmpDateArray[count($tmpDateArray) - 1]['day']);
			}

			if (isset ($hour_s) || isset ($minute_s) || isset ($hour_e) || isset ($minute_e)) {
				$startDateInfo->setHour($hour_s);
				$startDateInfo->setMinute($minute_s);
				$endDateInfo->setHour($hour_e);
				$endDateInfo->setMinute($minute_e);
			} else {
				$startDateInfo->setHour($tmpDateArray[count($tmpDateArray) - 1]['hour_s']);
				$startDateInfo->setMinute($tmpDateArray[count($tmpDateArray) - 1]['minute_s']);
				$endDateInfo->setHour($tmpDateArray[count($tmpDateArray) - 1]['hour_e']);
				$endDateInfo->setMinute($tmpDateArray[count($tmpDateArray) - 1]['minute_e']);
			}
			$date_mode = "1";
		} else {
			$date_mode = "1";
		}
	} else {
		$schedule_date_cd_array = array ();
		array_push($schedule_date_cd_array, $schedule_date_cd);
		$addDateInfo->setSchedule_date_cd_array($schedule_date_cd_array);

		// 日付情報初期化
		$startDateInfo = new dateInfo();
		$endDateInfo = new dateInfo();
		if (isset ($year)) {
			$startDateInfo->setYear($year);
			$startDateInfo->setMonth($month);
			$startDateInfo->setDay($day);
			$startDateInfo->setHour("");
			$startDateInfo->setMinute("");

			$endDateInfo->setYear($year);
			$endDateInfo->setMonth($month);
			$endDateInfo->setDay($day);
			$endDateInfo->setHour("");
			$endDateInfo->setMinute("");

		} else
			if (!isset ($year) and !isset ($year_s)) {
				$startDateInfo->setYear(Date("Y"));
				$startDateInfo->setMonth(Date("m"));
				$startDateInfo->setDay(Date("d"));
				$startDateInfo->setHour("");
				$startDateInfo->setMinute("");

				$endDateInfo->setYear(Date("Y"));
				$endDateInfo->setMonth(Date("m"));
				$endDateInfo->setDay(Date("d"));
				$endDateInfo->setHour("");
				$endDateInfo->setMinute("");
			} else {
				$startDateInfo->setYear($year_s);
				$startDateInfo->setMonth($month_s);
				$startDateInfo->setDay($day_s);
				$startDateInfo->setHour($hour_s);
				$startDateInfo->setMinute($minute_s);

				if (isset ($year_e) || isset ($month_e) || isset ($day_e)) {
					$endDateInfo->setYear($year_e);
					$endDateInfo->setMonth($month_e);
					$endDateInfo->setDay($day_e);
					$endDateInfo->setHour($hour_e);
					$endDateInfo->setMinute($minute_e);
				} else {
					$endDateInfo->setYear($year_s);
					$endDateInfo->setMonth($month_s);
					$endDateInfo->setDay($day_s);
					$endDateInfo->setHour($hour_e);
					$endDateInfo->setMinute($minute_e);
				}
			}
	}
	$addDateInfo->setStartDateInfo($startDateInfo);
	$addDateInfo->setEndDateInfo($endDateInfo);

	//スケジュールイベント管理クラス初期化
	include_once ("./class/ScheduleEventInfo.php");
	$objScheduleEventInfo = new ScheduleEventInfo();
	$objScheduleEventInfo->setSchedule_cd($schedule_cd);
	$objScheduleEventInfo->setScheduleDate_cd($schedule_date_cd);
	$objScheduleEventInfo->setPlan($plan);
	$objScheduleEventInfo->setRemark($remark);
	$objScheduleEventInfo->setPublic($public);
	$objScheduleEventInfo->setCompulsion($compulsion);
	$objScheduleEventInfo->setOwner_emp_cd($employeeInfoOwner->getEmp_cd());
	$objScheduleEventInfo->setScheduleDate_cd($tmpDateArray[count($tmpDateArray) - 1]['schedule_date_cd']);
	$objScheduleEventInfo->setEvent_mode($event_mode);
	//初回アクセス時テンポラリテーブルを初期化する
	if (!isset ($event_mode) or $event_mode == "") {
		$objScheduleEventInfo->doSelectInitialEventInfo($conn, $dbSqlObj, $dbExecObj);
		$objScheduleEventInfo->doSelectInitialEventModeWithoutOwner($conn, $dbSqlObj, $dbExecObj);
		$event_mode = $objScheduleEventInfo->getEvent_mode();
		$objScheduleEventInfo->doDeleteTmpAllMemberQuery($conn, $dbSqlObj, $dbExecObj);
		$objScheduleEventInfo->doDeleteTmpAllFacilityQuery($conn, $dbSqlObj, $dbExecObj);
		$objScheduleEventInfo->doUpdateInitialTmpAllMemberQuery($conn, $dbSqlObj, $dbExecObj);
		$objScheduleEventInfo->doUpdateInitialTmpAllFacilityQuery($conn, $dbSqlObj, $dbExecObj);
	}
	$bolRes = false;
	if ($emp_cd != $_SERVER["PHP_AUTH_USER"]) {
		if ($isAdmin_authUser != True) {
			$bolRes = $objScheduleEventInfo->doCheckSchedulePermit($_SERVER["PHP_AUTH_USER"], $conn, $dbSqlObj, $dbExecObj);
		} else {
			$bolRes = true;
		}
	} else {
		$bolRes = true;
	}

	if (isset ($facilityOperate) or $facilityOperate != "") {
		switch ($facilityOperate) {
			case 1 :
				if (!isset ($facilities1)) {
					$errorMessage = "追加する施設を選択してください";
					include ("schedule_error_view.php");

					// フッターの出力
					$menuShowObj->showFooter();

					exit;
				}
				$objScheduleEventInfo->doInsertTmpFacilityQuery($facilities1, $conn, $dbSqlObj, $dbExecObj);
				break;

			case 2 :
				if (!isset ($facilities2)) {
					$errorMessage = "削除する施設を選択してください";
					include ("schedule_error_view.php");

					// フッターの出力
					$menuShowObj->showFooter();

					exit;
				}
				$objScheduleEventInfo->doDeleteTmpFacilityQuery($facilities2, $conn, $dbSqlObj, $dbExecObj);
				break;
		}
	}

	if (isset ($memberOperate) or $memberOperate != "") {
		switch ($memberOperate) {
			case 1 :
				if (!isset ($group_member1)) {
					$errorMessage = "追加するメンバーを選択してください";
					include ("schedule_error_view.php");

					// フッターの出力
					$menuShowObj->showFooter();

					exit;
				}
				$objScheduleEventInfo->doUpdateTmpMemberQuery($group_member1, "1", $conn, $dbSqlObj, $dbExecObj);
				break;

			case 2 :
				if (!isset ($group_member2)) {
					$errorMessage = "削除するメンバーを選択してください";
					include ("schedule_error_view.php");

					// フッターの出力
					$menuShowObj->showFooter();

					exit;
				}
				$objScheduleEventInfo->doUpdateTmpMemberQuery($group_member2, "0", $conn, $dbSqlObj, $dbExecObj);
				break;

			case 3 :
				if (!isset ($group_member3)) {
					$errorMessage = "追加するメンバーを選択してください";
					include ("schedule_error_view.php");

					// フッターの出力
					$menuShowObj->showFooter();

					exit;
				}
				$objScheduleEventInfo->doUpdateTmpMemberQuery($group_member3, "1", $conn, $dbSqlObj, $dbExecObj);
				break;

			case 4 :
				if (!isset ($group_member2)) {
					$errorMessage = "削除するメンバーを選択してください";
					include ("schedule_error_view.php");

					// フッターの出力
					$menuShowObj->showFooter();

					exit;
				}
				$objScheduleEventInfo->doUpdateTmpMemberQuery($group_member2, "2", $conn, $dbSqlObj, $dbExecObj);
				break;

			case 5 :
				if (!isset ($group_member1)) {
					$errorMessage = "追加するメンバーを選択してください";
					include ("schedule_error_view.php");

					// フッターの出力
					$menuShowObj->showFooter();

					exit;
				}
				$objScheduleEventInfo->doUpdateTmpMemberQuery($group_member1, "2", $conn, $dbSqlObj, $dbExecObj);
				break;

			case 6 :
				if (!isset ($group_member3)) {
					$errorMessage = "削除するメンバーを選択してください";
					include ("schedule_error_view.php");

					// フッターの出力
					$menuShowObj->showFooter();

					exit;
				}
				$objScheduleEventInfo->doUpdateTmpMemberQuery($group_member3, "0", $conn, $dbSqlObj, $dbExecObj);
				break;
		}
	}

	$objScheduleEventInfo->doSelectTmpFacilityQuery($conn, $dbSqlObj, $dbExecObj);
	$objScheduleEventInfo->doSelectTmpMemberQuery($conn, $dbSqlObj, $dbExecObj);

	$objScheduleEventInfo->setJavaScriptSelect_DivEmpScheduleMember($division, $conn, $dbSqlObj, $dbExecObj);
	$objScheduleEventInfo->setJavaScriptSelect_CatFacScheduleFacility($fac_cat_cd, $conn, $dbSqlObj, $dbExecObj);

	$bolOneDayInSchedule = $objScheduleEventInfo->doCheckDateQuery( $conn,  $dbSqlObj,  $dbExecObj) == 1 ? true : false;

	//スケジュールイベント登録画面表示クラス初期化
	include_once ("./class/ScheduleUpdateEventView.php");
	$objScheduleEventView = new ScheduleUpdateEventView();
	$objScheduleEventView->setDateInfo($addDateInfo);
	$objScheduleEventView->setDate_mode($date_mode);
	$objScheduleEventView->setScheduleEventInfo($objScheduleEventInfo);
	$objScheduleEventView->setSubScreenMode($sub);
	$objScheduleEventView->setRefPage($refPage);
	$objScheduleEventView->setArrayIndexN($n);
	$objScheduleEventView->setMaxScheduleDateCd($maxScheduleDateCd);
	$objScheduleEventView->setBolOneDayInSchedule($bolOneDayInSchedule);

	if ($bolRes) {
		if ($sub == "addScheduleScreen2") {
			$objScheduleEventView->printAddEventView();
			//include("schedule_update_view.php");
		}
		elseif ($sub == "updateScreen2") {
			$objScheduleEventView->printEventView();
			//include("schedule_update_view.php");
		}
	} else {
		//include("schedule_browse_view.php");
	}

}
//指定スケジュール削除
else
	if ($sub == "指定スケジュール削除") {
		// 社員情報の取得
		$employeeInfoOwner = new EmployeeInfoOwner();
		$employeeInfoOwner->setEmp_cd($emp_cd);
		$employeeInfoOwner->doSelectQuery($conn, $dbSqlObj, $dbExecObj);
		$employeeInfoArray = $employeeInfoOwner->getEmployeeInfoArray();

		$employeeInfoOwner_authUser = new EmployeeInfoOwner();
		$employeeInfoOwner_authUser->setEmp_cd($_SERVER["PHP_AUTH_USER"]);
		$employeeInfoOwner_authUser->doSelectQuery($conn, $dbSqlObj, $dbExecObj);
		$employeeInfoArray_authUser = $employeeInfoOwner_authUser->getEmployeeInfoArray();
		$isAdmin_authUser = $employeeInfoArray_authUser[$_SERVER["PHP_AUTH_USER"]]->isAdmin();

		//スケジュールイベント管理クラス初期化
		include_once ("./class/ScheduleEventInfo.php");
		$objScheduleEventInfo = new ScheduleEventInfo();
		$objScheduleEventInfo->setOwner_emp_cd($employeeInfoOwner->getEmp_cd());
		$objScheduleEventInfo->setSchedule_cd($schedule_cd);

		$bolRes = false;
		if ($emp_cd != $_SERVER["PHP_AUTH_USER"]) {
			if ($isAdmin_authUser != True) {
				$bolRes = $objScheduleEventInfo->doCheckSchedulePermit($_SERVER["PHP_AUTH_USER"], $conn, $dbSqlObj, $dbExecObj);
			} else {
				$bolRes = true;
			}
		} else {
			$bolRes = true;
		}

		//トランザクション開始
		$dbExecObj->exeSql($conn, $dbSqlObj->sqlBeginTrans());
		$bolRes = "true";

		$bolRes = $objScheduleEventInfo->doDeleteScheduleQuery($schedule_date_cd_array, $conn, $dbSqlObj, $dbExecObj);
		if (!$bolRes) {
			$dbExecObj->exeSql($conn, $dbSqlObj->sqlRollBackTrans());
		}
		//スケジュールに日付データが残っているか確認する
		$date_count = $objScheduleEventInfo->doCheckDateQuery($conn, $dbSqlObj, $dbExecObj);
		if (!$bolRes) {
			$dbExecObj->exeSql($conn, $dbSqlObj->sqlRollBackTrans());
		}

		//回覧板削除処理
		require_once ($_ROOT_DIR_."class/NoticeDrawUp.php");
		$noticeDrawUp = new NoticeDrawUp($conn, $dbSqlObj, $dbExecObj);
		$noticeDrawUp->setSchedule_cd($objScheduleEventInfo->getSchedule_cd());
		foreach ($schedule_date_cd_array as $key => $value) {
			$noticeDrawUp->setScdl_date_cd($value);
			$bolRes = $noticeDrawUp->deleteNoticeWithoutTransaction(4);
		}
		if (!$bolRes) {
			$dbExecObj->exeSql($conn, $dbSqlObj->sqlRollBackTrans());
		}

		//日付データが一件も無い場合は、そのイベント全体を削除する
		if ($date_count == 0) {
			$bolRes = $objScheduleEventInfo->doDeleteEventQuery($conn, $dbSqlObj, $dbExecObj);
			if (!$bolRes) {
				$dbExecObj->exeSql($conn, $dbSqlObj->sqlRollBackTrans());
			}
		}

		$dbExecObj->exeSql($conn, $dbSqlObj->sqlCommitTrans());

		writeTransID($trans_id, $conn, $dbSqlObj, $dbExecObj);

		$errMsg = $objScheduleEventInfo->getErrMsg();
		if ($errMsg == "") {
			$errMsg = "スケジュールを削除しました。";
		}
		showScheduleView($sessionSub, $errMsg);
	}
//指定スケジュール更新
else
	if ($sub == "指定スケジュール更新") {

		//$plan = userInputOperate($plan);
		$plan = $plan;
		$remark = userInputOperate($remark);
		$public = userInputOperate($public);

		// 社員情報の取得
		$employeeInfoOwner = new EmployeeInfoOwner();
		$employeeInfoOwner->setEmp_cd($emp_cd);
		$employeeInfoOwner->doSelectQuery($conn, $dbSqlObj, $dbExecObj);
		$employeeInfoArray = $employeeInfoOwner->getEmployeeInfoArray();

		$employeeInfoOwner_authUser = new EmployeeInfoOwner();
		$employeeInfoOwner_authUser->setEmp_cd($_SERVER["PHP_AUTH_USER"]);
		$employeeInfoOwner_authUser->doSelectQuery($conn, $dbSqlObj, $dbExecObj);
		$employeeInfoArray_authUser = $employeeInfoOwner_authUser->getEmployeeInfoArray();
		$isAdmin_authUser = $employeeInfoArray_authUser[$_SERVER["PHP_AUTH_USER"]]->isAdmin();

		if (count($schedule_date_cd_array) == 1) {
			//日付のチェック
			$errMsg = dateCheck($event_mode, $date_mode, $week_day, $month_of_week, $year_s, $month_s, $day_s, $hour_s, $minute_s, $year_e, $month_e, $day_e, $hour_e, $minute_e);
			if ($errMsg != "") {
				// ヘッダーの出力
				require_once ($_ROOT_DIR_."class/menuHeadder.php");
				$menuShowObj = new menuShowObj($conn, $dbSqlObj, $dbExecObj);
				$menuShowObj->setEmpName($empName);
				$menuShowObj->setCurrentAppli("scdl", True);
				$menuShowObj->setIsAdmin($isAdmin);

				$errorMessage = $errMsg;
				include ("schedule_error_view.php");

				// フッターの出力
				$menuShowObj->showFooter();

				exit;
			}
		}

		if ($public != "t" && $public != "f") {
			$errorMessage = "公開／非公開の値が不正です";
			include ("schedule_error_view.php");

			// フッターの出力
			$menuShowObj->showFooter();

			exit;
		}

		// 日付情報初期化
		$startDateInfo = new dateInfo();
		$endDateInfo = new dateInfo();

		$startDateInfo->setYear($year_s);
		$startDateInfo->setMonth($month_s);
		$startDateInfo->setDay($day_s);
		$startDateInfo->setHour($hour_s);
		$startDateInfo->setMinute($minute_s);

		$endDateInfo->setYear($year_e);
		$endDateInfo->setMonth($month_e);
		$endDateInfo->setDay($day_e);
		$endDateInfo->setHour($hour_e);
		$endDateInfo->setMinute($minute_e);

		$addDateInfo = new ScheduleDateInfo();
		$addDateInfo->setDate_mode($date_mode);
		$addDateInfo->setStartDateInfo($startDateInfo);
		$addDateInfo->setEndDateInfo($endDateInfo);
		$addDateInfo->setSchedule_cd($schedule_cd);
		$addDateInfo->setSchedule_date_cd_array($schedule_date_cd_array);
		$addDateInfo->createUpdateScheduleDateArray($conn, $dbSqlObj, $dbExecObj);

		if ($event_mode == "1" || $event_mode == "2") {
			$compulsion = "3";
		}

		//スケジュールイベント管理クラス初期化
		include_once ("./class/ScheduleEventInfo.php");
		$objScheduleEventInfo = new ScheduleEventInfo();
		$objScheduleEventInfo->setSchedule_cd($schedule_cd);
		$objScheduleEventInfo->setPlan($plan);
		$objScheduleEventInfo->setRemark($remark);
		$objScheduleEventInfo->setPublic($public);
		$objScheduleEventInfo->setCompulsion($compulsion);
		$objScheduleEventInfo->setOwner_emp_cd($employeeInfoOwner->getEmp_cd());
		$objScheduleEventInfo->setOwner_emp_name($employeeInfoArray[$emp_cd]->getName());
		$objScheduleEventInfo->setEvent_mode($event_mode);
		$objScheduleEventInfo->setScheduleDateInfoArray($addDateInfo->getScheduleDateArray());

		$bolRes = false;
		if ($emp_cd != $_SERVER["PHP_AUTH_USER"]) {
			if ($isAdmin_authUser != True) {
				$bolRes = $objScheduleEventInfo->doCheckSchedulePermit($_SERVER["PHP_AUTH_USER"], $conn, $dbSqlObj, $dbExecObj);
				//$objScheduleEventInfo->setOwner_emp_cd($employeeInfoOwner_authUser->getEmp_cd());
			} else {
				$bolRes = true;
			}
		} else {
			$bolRes = true;
		}

		//トランザクション開始
		$dbExecObj->exeSql($conn, $dbSqlObj->sqlBeginTrans());
		//$bolRes = true;
		switch ($event_mode) {
			case 1 :
				$bolRes = $objScheduleEventInfo->doDeleteTmpAllMemberQuery($conn, $dbSqlObj, $dbExecObj);
				if (!$bolRes) {
					$dbExecObj->exeSql($conn, $dbSqlObj->sqlRollBackTrans());
					showScheduleView($sessionSub, $objScheduleEventInfo->getErrMsg());
				}
				$bolRes = $objScheduleEventInfo->doInitialTmpAllMemberQuery($conn, $dbSqlObj, $dbExecObj);
				if (!$bolRes) {
					$dbExecObj->exeSql($conn, $dbSqlObj->sqlRollBackTrans());
					showScheduleView($sessionSub, $objScheduleEventInfo->getErrMsg());
				}
				$bolRes = $objScheduleEventInfo->doDeleteTmpAllFacilityQuery($conn, $dbSqlObj, $dbExecObj);
				if (!$bolRes) {
					$dbExecObj->exeSql($conn, $dbSqlObj->sqlRollBackTrans());
					showScheduleView($sessionSub, $objScheduleEventInfo->getErrMsg());
				}
				/* 施設予約時は自分をとうろくしない イベントモード1のとき
					   	    $tmpMember = array();
					   	    array_push($tmpMember,$employeeInfoOwner->getEmp_cd());
					   	    $bolRes = $objScheduleEventInfo->doUpdateTmpMemberQuery($tmpMember, "1", $conn, $dbSqlObj, $dbExecObj);
						    if(!$bolRes){
								$dbExecObj->exeSql($conn,$dbSqlObj->sqlRollBackTrans());	   	    	
							    showScheduleView($sessionSub, $objScheduleEventInfo->getErrMsg());
						    }
				*/
				break;
			case 2 :
				$bolRes = $objScheduleEventInfo->doDeleteTmpAllMemberQuery($conn, $dbSqlObj, $dbExecObj);
				if (!$bolRes) {
					$dbExecObj->exeSql($conn, $dbSqlObj->sqlRollBackTrans());
					showScheduleView($sessionSub, $objScheduleEventInfo->getErrMsg());
				}

				$bolRes = $objScheduleEventInfo->doInitialTmpAllMemberQuery($conn, $dbSqlObj, $dbExecObj);
				if (!$bolRes) {
					$dbExecObj->exeSql($conn, $dbSqlObj->sqlRollBackTrans());
					showScheduleView($sessionSub, $objScheduleEventInfo->getErrMsg());
				}
				/* 施設予約時は自分をとうろくしない イベントモード2のとき
					   	    $tmpMember = array();
					   	    array_push($tmpMember,$employeeInfoOwner->getEmp_cd());
					   	    $bolRes = $objScheduleEventInfo->doUpdateTmpMemberQuery($tmpMember, "1", $conn, $dbSqlObj, $dbExecObj);
						    if(!$bolRes){
								$dbExecObj->exeSql($conn,$dbSqlObj->sqlRollBackTrans());	   	    	
							    showScheduleView($sessionSub, $objScheduleEventInfo->getErrMsg());
						    }
				*/
				break;
			case 3 :
				$bolRes = $objScheduleEventInfo->doDeleteTmpAllFacilityQuery($conn, $dbSqlObj, $dbExecObj);
				if (!$bolRes) {
					$dbExecObj->exeSql($conn, $dbSqlObj->sqlRollBackTrans());
					showScheduleView($sessionSub, $objScheduleEventInfo->getErrMsg());
				}
				break;
			case 4 :
				break;
		}

		$objScheduleEventInfo->doSelectTmpFacilityQuery($conn, $dbSqlObj, $dbExecObj);
		$objScheduleEventInfo->doSelectTmpMemberQuery($conn, $dbSqlObj, $dbExecObj);

		if ($bolRes) {
			if ($sub == "指定スケジュール更新") {
				//$schedule_date_cd_array = array(0,1,2,3,4,5);
				if (count($schedule_date_cd_array) == 1) {
					$bolRes = $objScheduleEventInfo->doUpdateDateDateQuery($schedule_date_cd_array, $conn, $dbSqlObj, $dbExecObj, $year_s, $month_s, $day_s, $hour_s, $minute_s, $hour_e, $minute_e);
					if (!$bolRes) {
						$dbExecObj->exeSql($conn, $dbSqlObj->sqlRollBackTrans());
						showScheduleView($sessionSub, $objScheduleEventInfo->getErrMsg());
					}
				} else {
					$bolRes = $objScheduleEventInfo->doUpdateDateQuery($schedule_date_cd_array, $conn, $dbSqlObj, $dbExecObj);
					if (!$bolRes) {
						$dbExecObj->exeSql($conn, $dbSqlObj->sqlRollBackTrans());
						showScheduleView($sessionSub, $objScheduleEventInfo->getErrMsg());
					}
				}
				//$rsvDoubleBooking = false;
				$bolRes = $objScheduleEventInfo->doUpdateMemberQuery($schedule_date_cd_array, $conn, $dbSqlObj, $dbExecObj);
				if (!$bolRes) {
					$dbExecObj->exeSql($conn, $dbSqlObj->sqlRollBackTrans());
					showScheduleView($sessionSub, $objScheduleEventInfo->getErrMsg());
				}

				if (count($schedule_date_cd_array) == 1) {
					$bolRes = $objScheduleEventInfo->doUpdateOneFacilityQuery($schedule_date_cd_array, $conn, $dbSqlObj, $dbExecObj, $rsvDoubleBooking, $year_s, $month_s, $day_s, $hour_s, $minute_s, $hour_e, $minute_e);
					if (!$bolRes) {
						$dbExecObj->exeSql($conn, $dbSqlObj->sqlRollBackTrans());
						showScheduleView($sessionSub, $objScheduleEventInfo->getErrMsg());
					}
				} else {
					$bolRes = $objScheduleEventInfo->doUpdateFacilityQuery($schedule_date_cd_array, $conn, $dbSqlObj, $dbExecObj, $rsvDoubleBooking);
					if (!$bolRes) {
						$dbExecObj->exeSql($conn, $dbSqlObj->sqlRollBackTrans());
						showScheduleView($sessionSub, $objScheduleEventInfo->getErrMsg());
					}
				}
				$bolRes = $objScheduleEventInfo->doUpdateEventQuery($conn, $dbSqlObj, $dbExecObj);
				if (!$bolRes) {
					$dbExecObj->exeSql($conn, $dbSqlObj->sqlRollBackTrans());
					showScheduleView($sessionSub, $objScheduleEventInfo->getErrMsg());
				}
				$member = array ();
				$objScheduleEventInfo->getUpdateNoticeData($employeeInfoArray_authUser[$_SERVER["PHP_AUTH_USER"]]->getName(), $title, $body, $member);

				//入力データチェック
				$bolRes = $objScheduleEventInfo->checkEventData($conn, $dbSqlObj, $dbExecObj);
				if (!$bolRes) {
					$errFacilityInfoArray = array ();
					$errFacilityInfoArray = $objScheduleEventInfo->getErrFacilityInfoArray();
					$wkErrMsg = $objScheduleEventInfo->getErrMsg();
					//ダブルブッキングされていない
					if (count($errFacilityInfoArray) == 0) {
						//スケジュール削除
						$bolRes = $objScheduleEventInfo->doDeleteEventQuery($conn, $dbSqlObj, $dbExecObj);
						if (!$bolRes) {
							$dbExecObj->exeSql($conn, $dbSqlObj->sqlRollBackTrans());
							showScheduleView($sessionSub, $objScheduleEventInfo->getErrMsg());
						}
						//一時テーブル初期化
						$objScheduleEventInfo->doDeleteTmpAllMemberQuery($conn, $dbSqlObj, $dbExecObj);
						$objScheduleEventInfo->doDeleteTmpAllFacilityQuery($conn, $dbSqlObj, $dbExecObj);
						$dbExecObj->exeSql($conn, $dbSqlObj->sqlCommitTrans());

						writeTransID($trans_id, $conn, $dbSqlObj, $dbExecObj);

						showScheduleView($sessionSub, $objScheduleEventInfo->getErrMsg());
					}
					//ダブルブッキングされてる
					else {
						$dbExecObj->exeSql($conn, $dbSqlObj->sqlRollBackTrans());
						$wkErrMsg = str_replace("\\n", "<br>", $wkErrMsg);
						$errorMessage = $wkErrMsg."<br>メンバーも施設もないスケジュールは登録できません。";
						include ("schedule_error_view.php");

						// フッターの出力
						$menuShowObj->showFooter();

						exit;
					}
				}

				//スケジュールに人データが残っているか確認する
				$member_count = $objScheduleEventInfo->doCheckMemberQuery($schedule_date_cd_array, $conn, $dbSqlObj, $dbExecObj);
				if (!$bolRes) {
					$dbExecObj->exeSql($conn, $dbSqlObj->sqlRollBackTrans());
					showScheduleView($sessionSub, $objScheduleEventInfo->getErrMsg());
				}

				//スケジュールに施設データが残っているか確認する
				$facility_count = $objScheduleEventInfo->doCheckFacilityQuery($schedule_date_cd_array, $conn, $dbSqlObj, $dbExecObj);
				if (!$bolRes) {
					$dbExecObj->exeSql($conn, $dbSqlObj->sqlRollBackTrans());
					showScheduleView($sessionSub, $objScheduleEventInfo->getErrMsg());
				}

				//人データ、施設データが一件も無い場合は、その日付を削除する
				if ($member_count == 0 and $facility_count == 0) {
					$bolRes = $objScheduleEventInfo->doDeleteScheduleQuery($schedule_date_cd_array, $conn, $dbSqlObj, $dbExecObj);
					if (!$bolRes) {
						$dbExecObj->exeSql($conn, $dbSqlObj->sqlRollBackTrans());
						showScheduleView($sessionSub, $objScheduleEventInfo->getErrMsg());
					}
				}

				//スケジュールに日付データが残っているか確認する
				$date_count = $objScheduleEventInfo->doCheckDateQuery($conn, $dbSqlObj, $dbExecObj);
				if (!$bolRes) {
					$dbExecObj->exeSql($conn, $dbSqlObj->sqlRollBackTrans());
					showScheduleView($sessionSub, $objScheduleEventInfo->getErrMsg());
				}

				//日付データが一件も無い場合は、そのイベント全体を削除する
				if ($date_count == 0) {
					$bolRes = $objScheduleEventInfo->doDeleteEventQuery($conn, $dbSqlObj, $dbExecObj);
					if (!$bolRes) {
						$dbExecObj->exeSql($conn, $dbSqlObj->sqlRollBackTrans());
						showScheduleView($sessionSub, $objScheduleEventInfo->getErrMsg());
					}
					//一時テーブル初期化
					$objScheduleEventInfo->doDeleteTmpAllMemberQuery($conn, $dbSqlObj, $dbExecObj);
					$objScheduleEventInfo->doDeleteTmpAllFacilityQuery($conn, $dbSqlObj, $dbExecObj);
					$dbExecObj->exeSql($conn, $dbSqlObj->sqlCommitTrans());

					writeTransID($trans_id, $conn, $dbSqlObj, $dbExecObj);

					showScheduleView($sessionSub, $objScheduleEventInfo->getErrMsg());
				}
				
				//単一スケジュールの予定更新対応
				$objScheduleEventInfo->doUpdateScheduleQuery($conn, $dbSqlObj, $dbExecObj);
				
			} else {
				showScheduleView($sessionSub, "");
				exit;
			}
		}

		//一時テーブル初期化
		$objScheduleEventInfo->doDeleteTmpAllMemberQuery($conn, $dbSqlObj, $dbExecObj);
		$objScheduleEventInfo->doDeleteTmpAllFacilityQuery($conn, $dbSqlObj, $dbExecObj);

		//回覧板通知
		if ($objScheduleEventInfo->getCompulsion() == "1" || $objScheduleEventInfo->getCompulsion() == "2") {
			//$objScheduleEventInfo->getNoticeData($title, $body, $member);
			//回覧板登録用オブジェクト
			require_once ($_ROOT_DIR_."class/NoticeDrawUp.php");
			$noticeDrawUp = new NoticeDrawUp($conn, $dbSqlObj, $dbExecObj);
			//登録データ設定
			$noticeDrawUp->setSendtime(Date("Y")."-".Date("m")."-".Date("d")." ".Date("H").":".Date("i").":".Date("s"));
			$noticeDrawUp->setOwner_emp_cd($_SERVER["PHP_AUTH_USER"]);
			$noticeDrawUp->setTitle($title);
			$noticeDrawUp->setBody($body);
			$noticeDrawUp->setConfirm("t");
			$noticeDrawUp->setArrEmp_cd($member);
			$noticeDrawUp->setRootURL($_ROOT_URL_);
			$noticeDrawUp->setSchedule_cd($objScheduleEventInfo->getSchedule_cd());
			$tmpDateArray = array ();
			$tmpDateArray = $addDateInfo->getScheduleDateArray();
			if (count($tmpDateArray) == 1) {
				$noticeDrawUp->setScdl_date_cd($tmpDateArray[count($tmpDateArray) - 1]['schedule_date_cd']);
			} else {
				$noticeDrawUp->setScdl_date_cd(NULL);
			}
			$bolRes = $noticeDrawUp->createNoticeWithoutTransaction();
			if ($bolRes == false) {
				//echo "<Script language=\"JavaScript\">\n";
				//echo "alert('エラーのため処理を中止しました。')\n";
				//echo "</Script>\n";
				//exit;
				$errorMessage = "エラーのため処理を中止しました。";
				$dbExecObj->exeSql($conn, $dbSqlObj->sqlRollBackTrans());
				writeTransID($trans_id, $conn, $dbSqlObj, $dbExecObj);
				showScheduleView($sessionSub, $errorMessage);
			}
		}
		//$dbExecObj->freeResult($result);
		unset($_SESSION["scheduleInfoOwner"]);
		unset ($scheduleInfoOwner);

		$dbExecObj->exeSql($conn, $dbSqlObj->sqlCommitTrans());

		writeTransID($trans_id, $conn, $dbSqlObj, $dbExecObj);

		showScheduleView($sessionSub, $objScheduleEventInfo->getErrMsg());
	}
// 週間スケジュール画面
else {
	if (!isset ($begin_date_diff) || $begin_date_diff == "") {
		$begin_date_diff = $_SESSION["session_begin_date_diff"];
	} else {
		$_SESSION["session_begin_date_diff"] = $begin_date_diff;
	}
	if (!isset ($faccat_cd) || $faccat_cd == "") {
		$faccat_cd = $_SESSION["session_faccat_cd"];
	} else {
		$_SESSION["session_faccat_cd"] = $faccat_cd;
	}

	if ($begin_date_diff) {
		$tempBeginDateDiff = $begin_date_diff;
	}

	$begin_date = Date("Y\/m\/d");

	if ($begin_date_diff && $begin_date_diff != 0) {
		$view_day = substr($begin_date, 8, 2) + $begin_date_diff;
		$view_mon = substr($begin_date, 5, 2);
		$view_year = substr($begin_date, 0, 4);
		$begin_date = Date("Y\/m\/d", mktime(0, 0, 0, $view_mon, $view_day, $view_year));
		$wk_begin_date_diff = $begin_date_diff;
	} else {
		$wk_begin_date_diff = 0;
	}

	$begin_weekday = Date("D", $begin_date);

	include ("reserve_week_view.php");
}

// フッターの出力
$menuShowObj->showFooter();

//######################
//# これ以下はFUNCTION #
//######################

// 半角数字以外のものがあればFalseを返す
function isNumeric($str) {
	if (ereg("[0-9]+", $str)) {
		return True;
	} else {
		return False;
	}
}

// ユーザー入力内容の操作
function userInputOperate($str) {
	$str = trim($str);
	$str = ereg_replace("^　{1,}|　{1,}$", "", $str);
	//$str = $str;
	$str = mb_convert_kana($str);
	$str = mb_strcut($str, 0, 1024);

	return $str;
}

// ユーザー出力内容の操作
function userOutputOperate($str) {
//	$str = $str;

	return $str;
}

// 時刻が正当なものであるかチェック
function checkTime($hour, $minute) {
	if ($hour < 0 || 23 < $hour) {
		return False;
	}

	if ($minute < 0 || 59 < $minute) {
		return False;
	}

	return True;
}

function showScheduleView($sessionSub, $errMsg) {
	$action_url = "";
	if (!isset ($errMsg) || $errMsg == "") {
		$errMsg = "スケジュールを登録しました";
	}

	$action_url = "reserve.php?";
?>

<html>
<head>
<?php
	echo "<Script language=\"JavaScript\">\n";
	echo "function MsgBoard(){";
	echo "alert('".nl2br($errMsg)."');\n";
	echo "document.schedule_date_frm.action = \"".$action_url."\";\n";
	echo "document.schedule_date_frm.submit();\n";
	echo "}";
	echo "</Script>\n";
?>
</head>
<body onLoad="MsgBoard()">
<form name="schedule_date_frm" method="post">
<input type="hidden" name="<?php echo session_name() ?>" value="<?php echo session_id() ?>">
</form>
</body>
</html>
<?php

	exit;
}

function showErrorScheduleView() {
	$sub = $_POST["sub"];
	$emp_cd = $_POST["emp_cd"];
	$n = $_POST["n"];
	$year_s = $_POST["year_s"];
	$month_s = $_POST["month_s"];
	$day_s = $_POST["day_s"];
	$hour_s = $_POST["hour_s"];
	$minute_s = $_POST["minute_s"];
	$year_e = $_POST["year_e"];
	$month_e = $_POST["month_e"];
	$day_e = $_POST["day_e"];
	$hour_e = $_POST["hour_e"];
	$minute_e = $_POST["minute_e"];
	$plan = $_POST["plan"];
	$place = $_POST["place"];
	$remark = $_POST["remark"];
	$public = $_POST["public"];
	$division = $_POST["division"];
	$public_flg = $_POST["public_flg"];
	$header_flg = $_POST["header_flg"];
	$encode_type = $_POST["encode_type"];
	$input = $_POST["input"];
	$schedule_cd = $_POST["schedule_cd"];
	$originScreenMode = $_POST["originScreenMode"];

	//新スケジュール用
	$date_mode = $_POST["date_mode"];
	$event_mode = $_POST["event_mode"];
	$compulsion = $_POST["compulsion"];

	$facilityOperate = $_POST["facilityOperate"];
	$facilities1 = $_POST["facilities1"];
	$facilities2 = $_POST["facilities2"];

	$memberOperate = $_POST["memberOperate"];
	$group_member1 = $_POST["group_member1"];
	$group_member2 = $_POST["group_member2"];
	$group_member3 = $_POST["group_member3"];

	$week_day = array ();
	$week_day = $_POST["week_day"];

	$month_of_week = array ();
	$month_of_week = $_POST["month_of_week"];

	$schedule_date_cd_array = array ();
	$schedule_date_cd_array = $_POST["schedule_date_cd_array"];

	$month_of_day = $_POST["month_of_day"];

	$refPage = $_POST["refPage"];
	$trans_id = $_POST["trans_id"];

	$bolscheduleUpdateCmd = $_POST["bolscheduleUpdateCmd"];

	$maxScheduleDateCd = $_POST["maxScheduleDateCd"];
?>
<?php
 /* <input type="hidden" name="sub" value="<?php echo $sub ?>"> */
?>
<input type="hidden" name="emp_cd" value="<?php echo htmlSpecialEscape($emp_cd) ?>">
<input type="hidden" name="n" value="<?php echo htmlSpecialEscape($n) ?>">
<input type="hidden" name="year_s" value="<?php echo $year_s ?>">
<input type="hidden" name="month_s" value="<?php echo $month_s ?>">
<input type="hidden" name="day_s" value="<?php echo $day_s ?>">
<input type="hidden" name="hour_s" value="<?php echo $hour_s ?>">
<input type="hidden" name="minute_s" value="<?php echo $minute_s ?>">
<input type="hidden" name="year_e" value="<?php echo $year_e ?>">
<input type="hidden" name="month_e" value="<?php echo $month_e ?>">
<input type="hidden" name="day_e" value="<?php echo $day_e ?>">
<input type="hidden" name="hour_e" value="<?php echo $hour_e ?>">
<input type="hidden" name="minute_e" value="<?php echo $minute_e ?>">
<input type="hidden" name="plan" value="<?php echo htmlSpecialEscape(stripslashes($plan)) ?>">
<input type="hidden" name="place" value="<?php echo htmlSpecialEscape($place) ?>">
<input type="hidden" name="remark" value="<?php echo htmlSpecialEscape(stripslashes($remark)) ?>">
<input type="hidden" name="public" value="<?php echo htmlSpecialEscape($public) ?>">
<input type="hidden" name="division" value="<?php echo htmlSpecialEscape($division) ?>">
<input type="hidden" name="public_flg" value="<?php echo $public_flg ?>">
<input type="hidden" name="header_flg" value="<?php echo $header_flg ?>">
<input type="hidden" name="encode_type" value="<?php echo $encode_type ?>">
<input type="hidden" name="input" value="<?php echo $input ?>">
<input type="hidden" name="schedule_cd" value="<?php echo $schedule_cd ?>">
<input type="hidden" name="date_mode" value="<?php echo $date_mode ?>">
<input type="hidden" name="event_mode" value="<?php echo $event_mode ?>">
<input type="hidden" name="compulsion" value="<?php echo htmlSpecialEscape($compulsion) ?>">
<input type="hidden" name="month_of_day" value="<?php echo $month_of_day ?>">
<input type="hidden" name="refPage" value="<?php echo $refPage ?>">
<input type="hidden" name="trans_id" value="<?php echo $trans_id ?>">
<input type="hidden" name="bolscheduleUpdateCmd" value="<?php echo $bolscheduleUpdateCmd ?>">
<input type="hidden" name="maxScheduleDateCd" value="<?php echo $maxScheduleDateCd ?>">

<?php

	if (count($week_day) >= 1) {
		$i = 0;
		foreach ($week_day as $key => $value) {
			echo "<input type=\"hidden\" name=\"week_day[".$i."]\" value=\"".htmlSpecialEscape($value)."\">";
			$i += 1;
		}
	}
	if (count($month_of_week) >= 1) {
		$i = 0;
		foreach ($month_of_week as $key => $value) {
			echo "<input type=\"hidden\" name=\"month_of_week[".$i."]\" value=\"".htmlSpecialEscape($value)."\">";
			$i += 1;
		}
	}
	if (count($schedule_date_cd_array) >= 1) {
		$i = 0;
		foreach ($schedule_date_cd_array as $key => $value) {
			echo "<input type=\"hidden\" name=\"schedule_date_cd_array[".$i."]\" value=\"".htmlSpecialEscape($value)."\">";
			$i += 1;
		}
	}

}

function dateCheck($event_mode, $date_mode, $week_day, $month_of_week, $year_s, $month_s, $day_s, $hour_s, $minute_s, $year_e, $month_e, $day_e, $hour_e, $minute_e) {
	$errorMessage = "";

	// 入力チェック
	$year_s = userInputOperate($year_s);
	$month_s = userInputOperate($month_s);
	$day_s = userInputOperate($day_s);
	$hour_s = userInputOperate($hour_s);
	$minute_s = userInputOperate($minute_s);
	$year_e = userInputOperate($year_e);
	$month_e = userInputOperate($month_e);
	$day_e = userInputOperate($day_e);
	$hour_e = userInputOperate($hour_e);
	$minute_e = userInputOperate($minute_e);

	if (!isNumeric($year_s)) {
		$year_s = "";
	}

	if (!isNumeric($month_s)) {
		$month_s = "";
	}

	if (!isNumeric($day_s)) {
		$day_s = "";
	}

	if (!isNumeric($hour_s)) {
		$hour_s = "";
	}

	if (!isNumeric($minute_s)) {
		$minute_s = "00";
	}

	if (!isNumeric($year_e)) {
		$year_e = "";
	}

	if (!isNumeric($month_e)) {
		$month_e = "";
	}

	if (!isNumeric($day_e)) {
		$day_e = "";
	}

	if (!isNumeric($hour_e)) {
		$hour_e = "";
	}

	if (!isNumeric($minute_e)) {
		$minute_e = "00";
	}

	// 不正な日付、時刻のチェック
	// 日付モードによる入力有無チェック
	switch ($date_mode) {
		case 1 :
			if (count($week_day) == 0) {
				$errorMessage = "曜日を指定してください。";
				return $errorMessage;
			}
			break;
		case 2 :
			if (count($month_of_week) == 0) {
				$errorMessage = "週を指定してください。";
				return $errorMessage;
			}
			break;
	}

	switch ($date_mode) {
		case 1 :
		case 2 :
		case 3 :
		case 4 :
		case 5 :
			// 終了日
			if ($year_e == "" || $month_e == "" || $day_e == "") {
				$errorMessage = "終了日が不正です。";
				return $errorMessage;
			}
	}

	switch ($event_mode) {
		case 2 :
		case 4 :
			// 終了日
			if ($hour_e == "" || $minute_e == "") {
				$errorMessage = "施設登録の期間指定は「期間と時間指定」をお使い下さい。";
				return $errorMessage;
			}
			if (mktime($hour_s, $minute_s, 0, 1, 1, 2000) == mktime($hour_e, $minute_e, 0, 1, 1, 2000)) {
				$errorMessage = "開始終了時間が同じに設定されています";
				return $errorMessage;
			}
			break;
		case 1 :
		case 3 :
			if ($date_mode == "4") {
				if ($year_e == "" || $month_e == "" || $day_e == "") {
					$errorMessage = "終了日が不正です。";
					return $errorMessage;
				}

			}
			break;
	}

	// 開始日
	if ($year_s == "" || $month_s == "" || $day_s == "") {
		$errorMessage = "開始日が不正です。";
		return $errorMessage;
	}

	if (!checkdate($month_s, $day_s, $year_s)) {
		$errorMessage = "開始日が不正です。";
		return $errorMessage;
	}

	// 終了日
	if ($year_e == "" || $month_e == "" || $day_e == "") {
		$year_e = "";
		$month_e = "";
		$day_e = "";
	} else {
		if (!checkdate($month_e, $day_e, $year_e)) {
			$errorMessage = "終了日が不正です";
			return $errorMessage;
		}
	}

	// 開始時刻
	if ($hour_s == "" || $minute_s == "") {
		$hour_s = "";
		$minute_s = "";
		//        $hour_e = "";
		//        $minute_e = "";
	} else {
		if (!checkTime($hour_s, $minute_s)) {
			$errorMessage = "開始時刻が不正です";
			return $errorMessage;
		}
	}

	// 終了時刻
	if ($hour_e == "" || $minute_e == "") {
		$hour_e = "";
		$minute_e = "";
	} else {
		if (!checkTime($hour_e, $minute_e)) {
			$errorMessage = "終了時刻が不正です";
			return $errorMessage;
		}
	}

	// 開始日が入力されている場合
	if ($year_s != "") {
		// 開始時刻が入力されている場合
		if ($hour_s != "") {
			// 終了日が入力されている場合
			if ($year_e != "") {
				// 終了時刻が入力されている場合
				if ($hour_e != "") {
					// 開始日＝終了日
					if (mktime(0, 0, 0, $month_s, $day_s, $year_s) == mktime(0, 0, 0, $month_e, $day_e, $year_e)) {
						// 開始時刻＞終了時刻
						if (mktime($hour_s, $minute_s, 0, 1, 1, 2000) > mktime($hour_e, $minute_e, 0, 1, 1, 2000)) {
							$errorMessage = "時刻が逆です";
							return $errorMessage;
						}
					}
					// 開始日＞終了日
					elseif (mktime(0, 0, 0, $month_s, $day_s, $year_s) > mktime(0, 0, 0, $month_e, $day_e, $year_e)) {
						$errorMessage = "日付が逆です";
						return $errorMessage;
					}
				} else {
					// 開始日＞終了日
					if (mktime(0, 0, 0, $month_s, $day_s, $year_s) > mktime(0, 0, 0, $month_e, $day_e, $year_e)) {
						$errorMessage = "日付が逆です";
						return $errorMessage;
					}
				}
			} else {
				// 終了時刻が入力されている場合
				if ($hour_e != "") {
					// 開始時刻＞終了時刻
					if (mktime($hour_s, $minute_s, 0, 1, 1, 2000) > mktime($hour_e, $minute_e, 0, 1, 1, 2000)) {
						$errorMessage = "時刻が逆です";
						return $errorMessage;
					}
				}
			}
		} else {
			// 終了日が入力されている場合
			if ($year_e != "") {
				// 終了時刻が入力されている場合
				if ($hour_e != "") {
					$errorMessage = "開始時刻を設定してください(1)";
					return $errorMessage;
				} else {
					// 開始日＞終了日
					if (mktime(0, 0, 0, $month_s, $day_s, $year_s) > mktime(0, 0, 0, $month_e, $day_e, $year_e)) {
						$errorMessage = "日付が逆です";
						return $errorMessage;
					}
				}
			} else {
				// 終了時刻が入力されている場合
				if ($hour_e != "") {
					$errorMessage = "開始時刻を設定してください(2)";
					return $errorMessage;
				}
			}
		}
	} else {
		$errorMessage = "開始日を入力して下さい。";
		return $errorMessage;
	}

	return $errorMessage;
}
?>
