<?php
//
// Copyright (C) 2001-2003 System Consultants Co.,Ltd. All Rights Reserved.
//
// $Id: schedule_browse_view.php 1137 2003-06-19 04:27:43Z ohsawa $
//

/**
 * スケジュール修正画面のView
 *
 * @author hiroki KAWAMURA <hiroki@syscon.co.jp>
 * @author yuji TAKAHASHI <yu-ji@syscon.co.jp>
 * @author hideo OHSAWA <ohsawa@syscon.co.jp>
 */
?>
              <table width="760" border="0" cellspacing="0" cellpadding="0">
                <tr> 
                  <td valign="bottom"> <a href="<?php echo "schedule2.php?sub=monthScreen&year=" . $dateInfo->getYear() . "&month=" . $dateInfo->getMonth() . "&day=" . $dateInfo->getDay() ?>"><img src="<?php echo $_ROOT_URL_ ?>images/<?php echo $monthTab ?>" width="240" height="29" alt="月で表示" border="0"></a></td>
                  <td valign="bottom"> 
                    <div align="center"><a href="<?php echo "schedule2.php?sub=weekScreen&year=" . $dateInfo->getYear() . "&month=" . $dateInfo->getMonth() . "&day=" . $dateInfo->getDay() ?>"><img src="<?php echo $_ROOT_URL_ ?>images/<?php echo $weekTab ?>" width="240" height="29" alt="週で表示" border="0"></a></div>
                  </td>
                  <td valign="bottom"> 
                    <div align="right"><a href="<?php echo "schedule2.php?sub=dayScreen&year=" . $dateInfo->getYear() . "&month=" . $dateInfo->getMonth() . "&day=" . $dateInfo->getDay() ?>"><img src="<?php echo $_ROOT_URL_ ?>images/<?php echo $dayTab ?>" width="240" height="29" alt="日で表示" border="0"></a></div>
                  </td>
                </tr>
              </table>
            </td>
          </tr>
          <tr> 
            <td><img src="<?php echo $_ROOT_URL_ ?>images/spazio.gif" width="1" height="15" alt=""></td>
            <td class="yellow">　</td>
            <td class="yellow">　</td>
          </tr>
<?php
	// 曜日色の取得
	switch ($dateInfo->getDateNumber())
	{
		case 0:
			$dateColor = "fRed10150";
			break;
		case 6:
			$dateColor = "fBule10150";
			break;
		default:
			$dateColor = "fBlack10150";
			break;
	}
?>
          <tr>
            <td><img src="<?php echo $_ROOT_URL_ ?>images/spazio.gif" width="1" height="5" alt=""></td>
            <td></td>
            <td></td>
          </tr>
          <tr> 
            <td>　</td>
              <td> <span class="<?php echo $dateColor ?>"><b><?php echo $startDateInfo->getMonth(); ?>月<?php echo $startDateInfo->getDay(); ?>日</b></span><span class="<?php echo $dateColor ?>"><b>(<?php echo $startDateInfo->getDateName(); ?>)</b></span> 
              </td>

            <td></td>
          </tr>
          <tr> 
            <td><img src="<?php echo $_ROOT_URL_ ?>images/spazio.gif" width="1" height="5" alt=""></td>
            <td></td>
            <td></td>
          </tr>

          <tr> 
            <td>　</td>
            <td colspan="2">
              <table border="0" cellspacing="2" cellpadding="3">
                <tr> 
                  <td valign="top"> <span class="fBlack10100"><b>名前：</b></span></td>
                  <td><span class="fBlack10100"><?php echo $employeeInfoArray[$emp_cd]->getName(); ?></span></td>
                </tr>
                <tr> 
                  <td valign="top"> <span class="fBlack10150"><b>日時：</b></span></td>
                  <td>
                    <span class="fBlack10100">
                      <?php echo ($startDateInfo->getYear() != "") ? $startDateInfo->getYear() : "----" ?>年
                      <?php echo ($startDateInfo->getMonth() != "") ? $startDateInfo->getMonth() : "--" ?>月
                      <?php echo ($startDateInfo->getDay() != "") ? $startDateInfo->getDay() : "--" ?>日
<?php
if ($startDateInfo->getHour() != "")
{
  printf("%02d", $startDateInfo->getHour());
}
else
{
  echo "--";
}
?>
時
<?php
if ($startDateInfo->getMinute() != "")
{
  printf("%02d", $startDateInfo->getMinute());
}
else
{
  echo "--";
}
?>
分&nbsp;から <br>
                      <?php echo ($endDateInfo->getYear() != "") ? $endDateInfo->getYear() : "----" ?>年
                      <?php echo ($endDateInfo->getMonth() != "") ? $endDateInfo->getMonth() : "--" ?>月
                      <?php echo ($endDateInfo->getDay() != "") ? $endDateInfo->getDay() : "--" ?>日
<?php
if ($endDateInfo->getHour() != "")
{
  printf("%02d", $endDateInfo->getHour());
}
else
{
  echo "--";
}
?>
時
<?php
if ($endDateInfo->getMinute() != "")
{
  printf("%02d", $endDateInfo->getMinute());
}
else
{
  echo "--";
}
?>
分&nbsp;まで
                    </span>
                  </td>
                </tr>
                <tr>
                  <td valign="top"> <span class="fBlack10100"><b>予定：</b></span></td>
                  <td>
                    <span class="fBlack10100">
                      <?php echo nl2br($scheduleInfo->getPlan()); ?>
					</span>
                  </td>
                </tr>
                <tr>
                  <td valign="top"> <span class="fBlack10100"><b>場所：</b></span></td>
                  <td>
                    <span class="fBlack10100">
                      <?php echo nl2br($scheduleInfo->getPlace()); ?>
					</span>
                  </td>
                </tr>
                <tr>
                  <td valign="top"> <span class="fBlack10100"><b>備考：</b></span></td>
                  <td>
                    <span class="fBlack10100">
                      <?php echo nl2br($scheduleInfo->getRemark()); ?>
					</span>
                  </td>
                </tr>
                <tr>
                  <td valign="top"> <span class="fBlack10100"><b>公開/非公開：</b></span></td>
                  <td>
                    <span class="fBlack10100">
                      <?php echo $scheduleInfo->isPublic() == "t" ? "公開" : "非公開" ?>
					</span>
			      </td>
                </tr>
              </table>