<?php
//
// Copyright (C) 2001-2002 System Consultants Co.,Ltd. All Rights Reserved.
//
// $Id: schedule_add_view.php,v 1.20 2002/12/20 06:14:31 yu-ji Exp $
//

/**
 * CSV DownLoad の View
 *
 * @author hideki HARANAKA <hideki-h@syscon.co.jp>
 */

if($isAdmin)
{
  include($_ROOT_DIR_ . "class/javascriptselect_div_emp.php");

  $javaScriptSelect_DivEmp = new JavaScriptSelect_DivEmp();
  $javaScriptSelect_DivEmp->setMainElementNameColumnName("div_name");             // メイン要素の名前カラム名
  $javaScriptSelect_DivEmp->setMainElementCodeColumnName("division");             // メイン要素のコードカラム名
  $javaScriptSelect_DivEmp->setSubElementNameColumnName("name");                  // サブ要素の名前カラム名
  $javaScriptSelect_DivEmp->setSubElementCodeColumnName("emp_cd");                // サブ要素のコードカラム名
  $javaScriptSelect_DivEmp->setMainIncludeAll("True");                                    // メイン要素が"全て"を含むかどうか
  $javaScriptSelect_DivEmp->setSubIncludeAll("False");                                             // サブ要素が"全て"を含むかどうか
  $javaScriptSelect_DivEmp->setSubAllOnly("False");                                               // メイン要素が"全て"の場合、サブ要素が"全て"のみかどうか
  $javaScriptSelect_DivEmp->setMainAllSubIncludeAll("False");                              // メイン要素が"全て"の場合、サブ要素が"全て"を含むかどうか
  $javaScriptSelect_DivEmp->setMainFormSelectName("division");                    // メイン要素の<select>の名前
  $javaScriptSelect_DivEmp->setSubFormSelectName("emp_cd");                               // サブ要素の<select>の名前
  $javaScriptSelect_DivEmp->setInitSelectFunctionName("initSelect");             // initSelect()の名前
  $javaScriptSelect_DivEmp->setChangeSelectFunctionName("changeSelect"); // changeSelect()の名前
  $javaScriptSelect_DivEmp->setDisableJavaScriptShowMain("False");                // JavaScriptが無効の際、メイン要素を表示させるかどうか
  $javaScriptSelect_DivEmp->setMainElementCodeFromHttp($division);                // HTTP経由で受け取ったメイン要素のコード
  $javaScriptSelect_DivEmp->setSubElementCodeFromHttp($emp_cd);                   // HTTP経由で受け取ったメイン要素のコード
  $javaScriptSelect_DivEmp->setElement($conn, $dbSqlObj, $dbExecObj);

  //    print_r($javaScriptSelect_DivEmp);
?>

<script language="JavaScript">
<!--
<?php
  $javaScriptSelect_DivEmp->printInitSelectFunction();
  $javaScriptSelect_DivEmp->printChangeSelectFunction();
?>
//-->
</script>
<?php
}
?>
              <table width="760" border="0" cellspacing="0" cellpadding="0">
                <tr>
                  <td valign="bottom"> <a href="<?php echo "schedule2.php?sub=monthScreen&year=" . $dateInfo->getYear() . "&month=" . $dateInfo->getMonth() . "&day=" . $dateInfo->getDay() ?>"><img src="<?php echo $_ROOT_URL_ ?>images/<?php echo $monthTab ?>" width="240" height="29" alt="月で表示" border="0"></a></td>
                  <td valign="bottom">
                    <div align="center"><a href="<?php echo "schedule2.php?sub=weekScreen&year=" . $dateInfo->getYear() . "&month=" . $dateInfo->getMonth() . "&day=" . $dateInfo->getDay() ?>"><img src="<?php echo $_ROOT_URL_ ?>images/<?php echo $weekTab ?>" width="240" height="29" alt="週で表示" border="0"></a></div>
                  </td>
                  <td valign="bottom">
                    <div align="right"><a href="<?php echo "schedule2.php?sub=dayScreen&year=" . $dateInfo->getYear() . "&month=" . $dateInfo->getMonth() . "&day=" . $dateInfo->getDay() ?>"><img src="<?php echo $_ROOT_URL_ ?>images/<?php echo $dayTab ?>" width="240" height="29" alt="日で表示" border="0"></a></div>
                  </td>
                </tr>
              </table>
            </td>
          </tr>
          <tr>
            <td><img src="<?php echo $_ROOT_URL_ ?>images/spazio.gif" width="1" height="15" alt=""></td>
            <td class="yellow">　</td>
            <td class="yellow">　</td>
          </tr>
          <tr> 
            <td>　</td>
            <td colspan="2">
            <p class="fBlack10200">
            </p>
            <p class="fBlack12100">
              ■CSV ダウンロード
            </p>

            <form method="post" action="<?php echo htmlSpecialEscape($_SERVER["PHP_SELF"]) ?>" name="userSelect">

              <!-- ↓スケジュール入力テーブル -->
              <input type="hidden" name="sub" value="csvDownLoad">
              <table border="0" cellspacing="2" cellpadding="3">
<?php
if($isAdmin)
{
?>
                <tr>
                  <td>
<?php
	      global $varPhraseSet;
?>
                    <span class="fBlack10100"><b><?php echo $varPhraseSet["strSection"] ?>:</b></span><br>
                  </td>
                  <td>
                    <select name="division" onChange="changeSelect(document.userSelect)">
<?php
                      $javaScriptSelect_DivEmp->printDefaultMainOption();
?>
                    </select>
                  </td>
                </tr>
                <tr>
                  <td>
                    <span class="fBlack10100"><b><?php echo $varPhraseSet["strPerson"] ?>:</b></span>
                  </td>
                  <td>
                    <select name="emp_cd" size="1">
<?php
			$javaScriptSelect_DivEmp->printDefaultSubOption();
?>
                    </select>
                  </td>
                </tr>
                <SCRIPT Language="JavaScript">
                <!--
                  initSelect(document.userSelect);
                //-->
                </SCRIPT>
<?php
}
else
{
?>
                <tr> 
                  <td valign="top"> <span class="fBlack10100"><b><?php echo $varPhraseSet["strPerson"] ?>:</b></span></td>
                  <td>
                    <span class="fBlack10100"><?php echo htmlSpecialEscape($empName) ?></span>
		    <input type="hidden" name="emp_cd" value="<?php echo htmlSpecialEscape($_SERVER["PHP_AUTH_USER"]) ?>">
		  </td>
                </tr>
<?php
}
?>
                <tr> 
                  <td valign="top"> <span class="fBlack10150"><b>年月日：</b></span></td>
                  <td><span class="fBlack10150"> 
                    <input type="text" name="year_s" size="6" maxlength="4" value="<?php echo $startDate["0"] ?>">
                   年
                    <select name="month_s">
<?
for ($i = 1; $i <= 12; $i++)
{
?>
                      <option<?php if ($startDate["1"] == $i) { echo " selected"; } ?>><? echo $i . "\n" ?></option>
<?
}
?>
                    </select>
                    月
                    <select name="day_s">
<?
for ($i = 1; $i <= 31; $i++)
{
?>
                      <option<?php if ($startDate["2"] == $i) { echo " selected"; } ?>><? echo $i . "\n" ?></option>
<?
}
?>
                    </select>
                    日から <br>
                    <input type="text" name="year_e" size="6" maxlength="4" value="<?php echo $endDate["0"] ?>">
                    年
                    <select name="month_e">
<?
for ($i = 1; $i <= 12; $i++)
{
?>
                      <option<?php if ($endDate["1"] == $i) { echo " selected"; } ?>><? echo $i . "\n" ?></option>
<?
}
?>
                    </select>
                    月
                    <select name="day_e">
<?
for ($i = 1; $i <= 31; $i++)
{
?>
                      <option<?php if ($endDate["2"] == $i) { echo " selected"; } ?>><? echo $i . "\n" ?></option>
<?
}
?>
                    </select>
                    日まで </span> </td>
                </tr>
                <tr> 
                  <td valign="top"> <span class="fBlack10100"><b>公開/非公開：</b></span></td>
                  <td><span class="fBlack10100">
                    <input type="radio" name="public_flg" value="0" checked>
                    公開
                    <input type="radio" name="public_flg" value="1">
                    非公開
                    <input type="radio" name="public_flg" value="2">
		    公開/非公開
		  </span></td>
                </tr>
                <tr>
                  <td valign="top"> <span class="fBlack10100"><b>最初の1行目に項目名を追加：</b></span></td>
                  <td>
                    <span class="fBlack10100">
                      <input type="radio" name="header_flg" value="0" checked>追加する
                      <input type="radio" name="header_flg" value="1">追加しない
                    </span> 
                </tr>
                <tr> 
                  <td valign="top"> <span class="fBlack10100"><b>エンコードタイプ：</b></span></td>
                  <td><span class="fBlack10100">
                    <input type="radio" name="encode_type" value="1" checked>SJIS
                    <input type="radio" name="encode_type" value="0">EUC-JP
                    <input type="radio" name="encode_type" value="2">UTF-8
                    <input type="submit" name="cmd" value="ダウンロード">
					</span>
					</td>
                </tr>
                <tr> 
                  <td valign="top"><span class="fBlack10100"></span></td>
                  <td><span class="fBlack10100"> 
                    </span> </td>
                </tr>
              </table>
          </form>
