<?php
//
// Copyright (C) 2001-2003 System Consultants Co.,Ltd. All Rights Reserved.
//
// $Id: setsoftclass.php 1196 2004-08-25 08:28:01Z hideki-h $
//

/**
 * ソフト種別マスタメンテナンス
 *
 * @author hiroki KAWAMURA <hiroki@syscon.co.jp>
 * @author yuji TAKAHASHI <yu-ji@syscon.co.jp>
 * @author hideo OHSAWA <ohsawa@syscon.co.jp>
 */



include("gw.php");
include("include/dbChange.php");
$conn = $dbConnectObj->openConnect();
if (!$conn) {
	echo "データベースに異常。<BR>\n";
	exit;
}

include_once($_ROOT_DIR_ . "class/PhraseSelect.php");
$objPhraseSelect = new PhraseSelect($bolPhraseSelect);
$varPhraseSet = $objPhraseSelect->getPhrase();

include("include/accept.conf");
if (!$_SERVER["PHP_AUTH_USER"])
{
	echo "Not Found.<BR>\n";
	exit;
}
	$strSql = $dbSqlObj->selectAdministratorsAllWithEmpCd($_SERVER["PHP_AUTH_USER"]);
	$result = $dbExecObj->exeSql($conn,$strSql);
	$adminCount = $dbExecObj->getNumRows($result);
	include("include/admchk.func");
	if (admchk($conn,$_SERVER["PHP_AUTH_USER"],$dbSqlObj,$dbExecObj) == 0){
		echo "<FONT COLOR = \"RED\">管理者ではありません</FONT>\n";
		exit;
	}
// メモリの開放
$dbExecObj->freeResult($result);
include("include/serial.func");

// ログオン周りのクラスを使います。
	require_once($_ROOT_DIR_ . "class/employeeinfo.php");		// 社員情報クラス
	require_once($_ROOT_DIR_ . "class/employeeinfoowner.php");	// 社員情報クラスの処理クラス
	$employeeInfoOwner = new EmployeeInfoOwner();
	$employeeInfoOwner->setEmp_cd($_SERVER["PHP_AUTH_USER"]);
	$employeeInfoOwner->doSelectQuery($conn, $dbSqlObj, $dbExecObj);
	$employeeInfoArray = $employeeInfoOwner->getEmployeeInfoArray();
	$isAdmin = $employeeInfoArray[$_SERVER["PHP_AUTH_USER"]]->isAdmin();
	$empName = $employeeInfoArray[$_SERVER["PHP_AUTH_USER"]]->getName();

// デザインをインクルードします。
	require_once($_ROOT_DIR_ . "class/menuHeadder.php");
	$menuShowObj = new menuShowObj($conn,$dbSqlObj,$dbExecObj);
	$menuShowObj->setEmpName($empName);
	$menuShowObj->setCurrentAppli("conf");
	$menuShowObj->setIsAdmin($isAdmin);
	$menuShowObj->showHeadder();
?>
<span class="fBlack12100"> ■ ソフトウェア種別情報のメンテナンス</span>
<?
if ($sub == "登録" || $sub == "更新" || $sub == "はい" || $sub == "いいえ")
{
	if ($sub=="登録")
	{
		if ($name == "" || $enable == "")
		{
			echo "<B><FONT color=\"red\">入力されていない項目があります。</FONT></B><BR>\n";
			echo "<A HREF=\"javascript:history.back()\">[BACK]</A>\n";
			exit;
		}
		else
		{
			$class_cd = getSerialCode("software_class",$conn,$dbSqlObj,$dbExecObj);
			$strSql = $dbSqlObj->INSERTsoftware_classsetsoftclass_php_82($class_cd,$name,$enable);
			$result = $dbExecObj->exeSql($conn,$strSql);
		}
	} 
	elseif ($sub=="更新")
	{
		if ($name == "" || $enable == "")
		{
			echo "<B><FONT color=\"red\">入力されていない項目があります。</FONT></B><BR>\n";
			echo "<A HREF=\"javascript:history.back()\">[BACK]</A>\n";
			exit;
		}
		else
		{
			$strSql = $dbSqlObj->UPDATEsoftware_classsetsoftclass_php_95($name,$enable,$class_cd);
			$result = $dbExecObj->exeSql($conn,$strSql);
		}
	} 
	elseif ($sub == "はい")
	{
		$strSql = $dbSqlObj->DELETEsoftware_classsetsoftclass_php_100($class_cd);
		$result = $dbExecObj->exeSql($conn,$strSql);
	} 
	else 
	{
	}
}

if ($sub != "新規" && $sub != "修正" && $sub != "削除")
{
?>
<FORM action="setsoftclass.php" method="POST">
  <SELECT name="class_cd" size="1">
<?
	$strSql = $dbSqlObj->SELECTsoftware_classsetsoftclass_php_113();
	$result = $dbExecObj->exeSql($conn,$strSql);
	if (!$result) 
	{
		echo "ソフトウェア種別情報の一覧を取得できません。<BR>\n";
		exit;
	}
	$count = $dbExecObj->getNumRows($result);
	for ($i = 0; $i < $count; $i++)
	{
		echo "<OPTION VALUE=\"" . $dbExecObj->getResult($result, $i, "class_cd") . "\">" . $dbExecObj->getResult($result, $i, "name") . "\n";
	}
?>
  </SELECT>
  <BR>
  <input type="submit" name="sub" value="新規">
<?	
	if ($count != 0)
	{
?>
  <input type="submit" name="sub" value="修正">
  <input type="submit" name="sub" value="削除">
<?	
	}
?>
</FORM>
<?
} 
elseif ($sub == "新規")
{
?>
<FORM action="setsoftclass.php" method="POST" >
  <TABLE>
    <TR>
      <td><span class="fBlack10100"><b>ソフトウェア種別名：</b></span></Td>
      <TD><input type="TEXT" name="name" size="20" maxlength="100"></TD>
    </TR>
    <TR>
      <td><span class="fBlack10100"><b>使用：</b></span></td>
      <TD>使用<input type="radio" name="enable" value="t" checked>　不使用<input type="radio" name="enable" value="f"></TD>
    </TR>
    <TR>
      <TD colspan=2><input type="submit" name="sub" value="登録"></TD>
    </TR>
  </TABLE>
</FORM>
<Script Language="JavaScript">
<!--
document.forms[0].elements[0].focus();
//-->
</Script>
<?
} 
elseif ($sub == "修正")
{
// 対象が空欄の場合は戻る
if ($class_cd == "")
{
	$A_PHP_SELF = $_SERVER["PHP_SELF"];
	echo "<Script language=\"JavaScript\">\n";
	echo "window.location = '$A_PHP_SELF';\n";
	echo "</Script>\n";
	exit;
}
$strSql = $dbSqlObj->SELECTsoftware_classsetsoftclass_php_174($class_cd);
$result = $dbExecObj->exeSql($conn,$strSql);
?>
<FORM action="setsoftclass.php" method="POST" >
  <TABLE>
    <TR>
      <td><span class="fBlack10100"><b>ソフトウェア種別名：</b></span></td>
      <TD><input type="TEXT" name="name" size="20" maxlength="100" value="<? echo $dbExecObj->getResult($result, 0, "name") ?>"></TD>
    </TR>
    <TR>
      <td><span class="fBlack10100"><b>使用：</b></span></td>
<?
if ($dbExecObj->getResult($result, 0, "enable") == "t")
{
?>
      <TD>
        使用<input type="radio" name="enable" value="t" checked>　
        不使用<input type="radio" name="enable" value="f">
      </TD>
<?
}
else
{
?>
      <TD>
        使用<input type="radio" name="enable" value="t">　
        不使用<input type="radio" name="enable" value="f" checked>
      </TD>
<?
}
?>
    </TR>
    <TR>
      <TD colspan="2">
        <input type="hidden" name="class_cd" value="<? echo $class_cd ?>">
        <input type="submit" name="sub" value="更新">
      </TD>
    </TR>
  </TABLE>
</FORM>
<Script Language="JavaScript">
<!--
document.forms[0].elements[0].focus();
//-->
</Script>
<?
}
elseif ($sub == "削除")
{
	// 対象が空欄の場合は戻る
	if ($class_cd == "")
	{
		$A_PHP_SELF = $_SERVER["PHP_SELF"];
		echo "<Script language=\"JavaScript\">\n";
		echo "window.location = '$A_PHP_SELF';\n";
		echo "</Script>\n";
		exit;
	}
	else
	{
?>
<FORM action="setsoftclass.php" method="POST">
  本当に削除しますか？<BR>
  <input type="hidden" name="class_cd" value="<?echo $class_cd?>">
  <input type="submit" name="sub" value="はい">
  <input type="submit" name="sub" value="いいえ">
</FORM>
<?
	}
} 
// データベースのClose
$dbConnectObj->closeConnect($conn);

//デザインマージ後のフッタをインクルードします。
	$menuShowObj->showConfFooter();
?>
