<?php
//
// Copyright (C) 2001-2003 System Consultants Co.,Ltd. All Rights Reserved.
//
// $Id: setsoftplace2.php 1196 2004-08-25 08:28:01Z hideki-h $
//

/**
 * 置き場所２マスタメンテナンス
 *
 * @author hiroki KAWAMURA <hiroki@syscon.co.jp>
 * @author yuji TAKAHASHI <yu-ji@syscon.co.jp>
 * @author hideo OHSAWA <ohsawa@syscon.co.jp>
 */



include("gw.php");
include("include/dbChange.php");
$conn = $dbConnectObj->openConnect();
if (!$conn) {
	echo "データベースに異常。<BR>\n";
	exit;
}

include_once($_ROOT_DIR_ . "class/PhraseSelect.php");
$objPhraseSelect = new PhraseSelect($bolPhraseSelect);
$varPhraseSet = $objPhraseSelect->getPhrase();

include("include/accept.conf");
	if (!$_SERVER["PHP_AUTH_USER"]) {
		echo "Not Found.<BR>\n";
		exit;
	}
	$strSql = $dbSqlObj->selectAdministratorsAllWithEmpCd($_SERVER["PHP_AUTH_USER"]);
	$result = $dbExecObj->exeSql($conn,$strSql);
	$adminCount = $dbExecObj->getNumRows($result);
	include("include/admchk.func");
	if (admchk($conn,$_SERVER["PHP_AUTH_USER"],$dbSqlObj,$dbExecObj) == 0){
		echo "<FONT COLOR = \"RED\">管理者ではありません</FONT>\n";
		exit;
	}

include("include/getallplace1.func");
include("include/serial.func");
$ar_cat = getallplace1($conn,$dbSqlObj,$dbExecObj);

// ログオン周りのクラスを使います。
	require_once($_ROOT_DIR_ . "class/employeeinfo.php");		// 社員情報クラス
	require_once($_ROOT_DIR_ . "class/employeeinfoowner.php");	// 社員情報クラスの処理クラス
	$employeeInfoOwner = new EmployeeInfoOwner();
	$employeeInfoOwner->setEmp_cd($_SERVER["PHP_AUTH_USER"]);
	$employeeInfoOwner->doSelectQuery($conn, $dbSqlObj, $dbExecObj);
	$employeeInfoArray = $employeeInfoOwner->getEmployeeInfoArray();
	$isAdmin = $employeeInfoArray[$_SERVER["PHP_AUTH_USER"]]->isAdmin();
	$empName = $employeeInfoArray[$_SERVER["PHP_AUTH_USER"]]->getName();

// デザインをインクルードします。
	require_once($_ROOT_DIR_ . "class/menuHeadder.php");
	$menuShowObj = new menuShowObj($conn,$dbSqlObj,$dbExecObj);
	$menuShowObj->setEmpName($empName);
	$menuShowObj->setCurrentAppli("conf");
	$menuShowObj->setIsAdmin($isAdmin);
	$menuShowObj->showHeadder();
?>
<span class="fBlack12100"> ■ ソフトウェアの置き場所２のメンテナンス</span> 
<Script Language="JavaScript">
<!--

function initSelect(myForm) {
<?
	// カテゴリ名
	echo "\tcatname_arr = new Array(";
	while(current($ar_cat))
	{
		echo "\"" . $ar_cat[key($ar_cat)] . "\"";
		if (next($ar_cat))
		{
			echo ",";
		} 
	}
	echo ");\n";
	
	reset($ar_cat);

	// カテゴリコード
	echo "\tcat_arr = new Array(";
	$wcat = "";
	$wstr_subcatname="";
	$wstr_subcat="";
	
	$ii = 0;
	while(current($ar_cat))
	{
		if (key($ar_cat) == $cat_cd)
		{
			$selectedcat = $ii;
		}

		if (current($ar_cat) != $wcat)
		{
			// サブカテゴリ名
			$wstr_subcatname .= "\tsubcatname_arr" . key($ar_cat) . " = new Array(";
			// サブカテゴリコード
			$wstr_subcat .= "\tsubcat_arr".key($ar_cat)." = new Array(";
			$strSql = $dbSqlObj->SELECTsoftware_place_2setsoftplace2_php_96(key($ar_cat));
			$result = $dbExecObj->exeSql($conn,$strSql);
			if (!$result)
			{
				echo "置き場所２情報の一覧を取得できません。<BR>\n";
				exit;
			}

			for ($m = 0; $m < $dbExecObj->getNumRows($result); $m++)
			{
				$wstr_subcatname.= "\"" . $dbExecObj->getResult($result, $m, "name") . "\"";
				$wstr_subcat.= "\"" . $dbExecObj->getResult($result, $m, "place_cd") . "\"";

				if ($m + 1 != $dbExecObj->getNumRows($result))
				{
					$wstr_subcatname .= ",";
					$wstr_subcat .= ",";
				}
			}

			$wstr_subcatname .= ")\n";
			$wstr_subcat .= ")\n";
			$wcat = key($ar_cat);
			
			// メモリの開放
			$dbExecObj->freeResult($result);
		}

		echo "\"".key($ar_cat)."\"";
		if (next($ar_cat))
		{
			echo ",";
		}
		$ii++;
	}
	echo ");\n";
	echo $wstr_subcatname;
	echo $wstr_subcat;
?>
	myForm.cat_cd.options.length = 0;
	for (k = 0; k < catname_arr.length; k++)
	{
		woption = new Option(catname_arr[k], cat_arr[k], '0', '0');
		myForm.cat_cd.options[k] = woption;
	}
	myForm.subcat_cd.options.length = 0;
	<?reset($ar_cat)?>
	for (k = 0;k < subcatname_arr<?echo key($ar_cat)?>.length;k++) {
		woption = new Option(subcatname_arr<?echo key($ar_cat)?>[k], subcat_arr<?echo key($ar_cat)?>[k], '0', '0');
		myForm.subcat_cd.options[k] = woption;
	}
<?	
	if (!$selectedcat) 
	{
		$selectedcat = 0;
	}
	if (!$selectedsubcat) 
	{
		$selectedsubcat = 0;
	}
?>
	myForm.cat_cd.selectedIndex = <?echo $selectedcat?>;
	changeSelect(myForm);
	myForm.subcat_cd.selectedIndex = <?echo $selectedsubcat?>;
	return true;
}

function changeSelect(myForm) {
	<? reset($ar_cat) ?>
	myForm.subcat_cd.options.length = 0;
	var category = myForm.cat_cd.options[myForm.cat_cd.selectedIndex].value;
	switch (category)
	{
<?
	while (current($ar_cat)) 
	{
?>
		case "<? echo key($ar_cat) ?>" :
			for (k = 0; k < subcatname_arr<?echo key($ar_cat)?>.length; k++)
			{
				woption = new Option(subcatname_arr<?echo key($ar_cat)?>[k], subcat_arr<?echo key($ar_cat)?>[k], '0', '0');
				myForm.subcat_cd.options[k] = woption;
			}
			myForm.subcat_cd.selectedIndex = 0;
			break;
		<? next($ar_cat) ?>
<?	
	}
?>
	}
	
	return true;
}

//-->
</Script>

<?
if (!$_SERVER["PHP_AUTH_USER"])
{
	echo "Not Found.<BR>\n";
	exit;
}

if ($sub == "登録" || $sub == "更新" || $sub == "はい" || $sub == "いいえ")
{
	if ($sub=="登録")
	{
		if ($subcat_name == "" || $enable == "" || $cat_cd == "")
		{
			echo "<B><FONT color=\"red\">入力されていない項目があります。</FONT></B><BR>\n";
			echo "<A HREF=\"javascript:history.back()\">[BACK]</A>\n";
		}
		else
		{
			$subcat_cd = getSerialCode("software_place_2",$conn,$dbSqlObj,$dbExecObj);
			$strSql = $dbSqlObj->INSERTsoftware_place_2setsoftplace2_php_227($subcat_cd,$subcat_name,$enable,$cat_cd);
			$result = $dbExecObj->exeSql($conn,$strSql);
			$A_PHP_SELF = $_SERVER["PHP_SELF"];
			echo "<Script language=\"JavaScript\">\n";
			echo "window.location = '$A_PHP_SELF';\n";
			echo "</Script>\n";
			exit;
		}
	}
	elseif ($sub=="更新")
	{
		if ($subcat_name == "" || $enable == "" || $cat_cd == "")
		{
			echo "<B><FONT color=\"red\">入力されていない項目があります。</FONT></B><BR>\n";
			echo "<A HREF=\"javascript:history.back()\">[BACK]</A>\n";
		}
		else
		{
			$strSql = $dbSqlObj->UPDATEsoftware_place_2setsoftplace2_php_243($subcat_name,$enable,$cat_cd,$subcat_cd);
			$result = $dbExecObj->exeSql($conn,$strSql);
			$A_PHP_SELF = $_SERVER["PHP_SELF"];
			echo "<Script language=\"JavaScript\">\n";
			echo "window.location = '$A_PHP_SELF';\n";
			echo "</Script>\n";
			exit;
		}
	} 
	elseif ($sub == "はい")
	{
		$strSql = $dbSqlObj->DELETEsoftware_place_2setsoftplace2_php_252($subcat_cd);
		$result = $dbExecObj->exeSql($conn,$strSql);
		$A_PHP_SELF = $_SERVER["PHP_SELF"];
		echo "<Script language=\"JavaScript\">\n";
		echo "window.location = '$A_PHP_SELF';\n";
		echo "</Script>\n";
		exit;
	} 
	else
	{
		$A_PHP_SELF = $_SERVER["PHP_SELF"];
		echo "<Script language=\"JavaScript\">\n";
		echo "window.location = '$A_PHP_SELF';\n";
		echo "</Script>\n";
		exit;
	}
}
elseif (!$sub)
{
?>
<FORM  action="setsoftplace2.php" method="POST" name="catsel">
  <TABLE>
    <TR>
      <td><span class="fBlack10100"><b>置き場所１：</b></span></td>
      <td ROWSPAN="2" WIDTH="30">&nbsp;</td>
      <td><span class="fBlack10100"><b>置き場所２：</b></span></td>
    </TR>
    <TR>
      <TD ROWSPAN="2" VALIGN="top">
        <SELECT  name="cat_cd" size="1" onChange="changeSelect(catsel)">
          <option value="">初期設定−−−−−−
          <option value="">初期設定−−−−−−
          <option value="">初期設定−−−−−−
          <option value="">初期設定−−−−−−
          <option value="">初期設定−−−−−−
          <option value="">初期設定−−−−−−
          <option value="">初期設定−−−−−−
          <option value="">初期設定−−−−−−
          <option value="">初期設定−−−−−−
        </SELECT>
      </TD>
      <TD>
        <SELECT name="subcat_cd" size="1">
          <option value="">初期設定−−−−−−
          <option value="">初期設定−−−−−−
          <option value="">初期設定−−−−−−
          <option value="">初期設定−−−−−−
          <option value="">初期設定−−−−−−
          <option value="">初期設定−−−−−−
          <option value="">初期設定−−−−−−
          <option value="">初期設定−−−−−−
          <option value="">初期設定−−−−−−
        </SELECT>
        <BR>
        <input type="submit" name="sub" value="新規">
        <input type="submit" name="sub" value="修正">
        <input type="submit" name="sub" value="削除">
      </TD>
    </TR>
  </TABLE>
</FORM>
<Script Language="JavaScript">
<!--
var res = initSelect(document.catsel);
//-->
</Script>

<?
} 
elseif ($sub == "新規")
{
?>
<FORM action="setsoftplace2.php" method="POST" >
  <TABLE>
    <TR>
      <td><span class="fBlack10100"><b>置き場所１：</b></span></td>
      <TD>
        <SELECT name="cat_cd" size="1">
<?
	$strSql = $dbSqlObj->SELECTsoftware_place_1setsoftplace2_php_323();
	$result = $dbExecObj->exeSql($conn,$strSql);
	if (!$result) 
	{
		echo "置き場所１情報の一覧を取得できません。<BR>\n";
		exit;
	}
	$count = $dbExecObj->getNumRows($result);
	$i = 0;
	while ($i < $count)
	{
		if ($cat_cd == $dbExecObj->getResult($result, $i, "place_cd"))
		{
			$selected = " SELECTED";
		}
		else
		{
			$selected = "";
		}
		echo("<OPTION VALUE=\"" . $dbExecObj->getResult($result, $i, "place_cd") . "\"" . $selected . ">" . $dbExecObj->getResult($result, $i, "name") . "\n");
		$i++;
	}
?>
        </SELECT>
      </TD>
    </TR>
    <TR>
      <td>
        <span class="fBlack10100"><b>置き場所２：</b></span>
      </td>
      <TD>
        <input type="TEXT" name="subcat_name" size="20" maxlength="100">
      </TD>
    </TR>
    <TR>
      <td><span class="fBlack10100"><b>使用：</b></span></td>
      <TD>
        使用<input type="radio" name="enable" value="t" checked>　
        不使用<input type="radio" name="enable" value="f">
      </TD>
    </TR>
    <TR>
      <TD colspan=2>
        <input type="submit" name="sub" value="登録">
      </TD>
    </TR>
  </TABLE>
</FORM>
<Script Language="JavaScript">
<!--
document.forms[0].elements[0].focus();
//-->
</Script>
<?
} 
elseif ($sub == "修正")
{
	// 対象が空欄の場合は戻る
	if ($subcat_cd == "")
	{
		$A_PHP_SELF = $_SERVER["PHP_SELF"];
		echo "<Script language=\"JavaScript\">\n";
		echo "window.location = '$A_PHP_SELF';\n";
		echo "</Script>\n";
		exit;
	}
?>
<FORM  action="setsoftplace2.php" method="POST" >
  <TABLE>
    <TR>
      <td><span class="fBlack10100"><b>置き場所１：</b></span></td>
      <TD>
        <SELECT name="cat_cd" size="1">
<?
	$strSql = $dbSqlObj->SELECTsoftware_place_1setsoftplace2_php_323();
	$result = $dbExecObj->exeSql($conn,$strSql);
	if (!$result)
	{
		echo "置き場所１情報の一覧を取得できません。<BR>\n";
		exit;
	}
	$count = $dbExecObj->getNumRows($result);
	$i = 0;
	while ($i < $count)
	{
		if ($cat_cd == $dbExecObj->getResult($result, $i, "place_cd"))
		{
			$selected = " SELECTED";
		}
		else
		{
			$selected = "";
		}
		echo "<OPTION VALUE=\"" . $dbExecObj->getResult($result, $i, "place_cd") . "\"" . $selected . ">" . $dbExecObj->getResult($result, $i, "name") . "\n";
		$i++;
	}
?>
        </SELECT>
      </TD>
    </TR>
<?
	$strSql = $dbSqlObj->SELECTsoftware_place_2setsoftplace2_php_407($subcat_cd);
	$result = $dbExecObj->exeSql($conn,$strSql);
	if (!$result)
	{
		echo "置き場所２情報の一覧を取得できません。<BR>\n";
		exit;
	}
?>
    <TR>
      <td><span class="fBlack10100"><b>置き場所２：</b></span></td>
      <TD><input type="TEXT" name="subcat_name" size="20" maxlength="100" value="<?echo $dbExecObj->getResult($result, 0, "name")?>"></TD>
    </TR>
    <TR>
      <td><span class="fBlack10100"><b>使用：</b></span></td>
<?
if ($dbExecObj->getResult($result, 0, "enable") == "t")
{
?>
      <TD>
        使用<input type="radio" name="enable" value="t" checked>　
        不使用<input type="radio" name="enable" value="f">
      </TD>
<? } else { ?>
      <TD>
        使用<input type="radio" name="enable" value="t">　
        不使用<input type="radio" name="enable" value="f" checked>
      </TD>
<?}?>
    </TR>
    <TR>
      <TD colspan="2">
        <input type="hidden" name="subcat_cd" value="<? echo $subcat_cd ?>">
        <input type="submit" name="sub" value="更新">
      </TD>
    </TR>
  </TABLE>
</FORM>
<Script Language="JavaScript">
<!--
document.forms[0].elements[0].focus();
//-->
</Script>
<?
} 
elseif ($sub == "削除")
{
	// 対象が空欄の場合は戻る
	if ($subcat_cd == "")
	{
		$A_PHP_SELF = $_SERVER["PHP_SELF"];
		echo "<Script language=\"JavaScript\">\n";
		echo "window.location = '$A_PHP_SELF';\n";
		echo "</Script>\n";
		exit;
	}
?>
<FORM  action="setsoftplace2.php" method="POST">
  本当に削除しますか？<BR>
  <input type="hidden" name="subcat_cd" value="<?echo $subcat_cd?>">
  <input type="submit" name="sub" value="はい">
  <input type="submit" name="sub" value="いいえ">
</FORM>
<?
} 
else 
{
}

// データベースのClose
	$dbConnectObj->closeConnect($conn);

//デザインマージ後のフッタをインクルードします。
	$menuShowObj->showConfFooter();
?>
