<?php
/*
print_r($_GET);
echo "<br>\n";
print_r($_POST);
*/
include("../gw.php");

include_once($_ROOT_DIR_ . "class/PhraseSelect.php");
$objPhraseSelect = new PhraseSelect($bolPhraseSelect);
$varPhraseSet = $objPhraseSelect->getPhrase();

require_once($_ROOT_DIR_ . "task/include/dbChange.php");
$conn = $dbConnectObj->openConnect();

// 認証
include($_ROOT_DIR_ . "include/accept.conf");

include($_ROOT_DIR_ . "include/getnowtime.func");
include($_ROOT_DIR_ . "include/constant.conf");
include($_ROOT_DIR_ . "include/serial.func");

include_once("TaskManagementSystem.php");
include_once("TaskManageView.php");

require_once($_ROOT_DIR_ . "class/execsql.php");			// クエリー処理クラス
require_once($_ROOT_DIR_ . "class/appconfinfo.php");		// アプリケーション情報クラス
require_once($_ROOT_DIR_ . "class/appconfinfoowner.php");	// アプリケーション情報クラスの処理クラス
require_once($_ROOT_DIR_ . "class/codeinfo.php");			// コード情報クラス
require_once($_ROOT_DIR_ . "class/codeinfoowner.php");		// コード情報クラスの処理クラス
require_once($_ROOT_DIR_ . "class/employeeinfo.php");		// 社員情報クラス
require_once($_ROOT_DIR_ . "class/employeeinfoowner.php");	// 社員情報クラスの処理クラス

// アプリケーション情報の取得
$appConfInfoOwner = new AppConfInfoOwner();
$appConfInfoOwner->setLinkName("task/TaskManage.php");
$appConfInfoOwner->doQuery($conn, $dbSqlObj, $dbExecObj);
$appConfInfo = new AppConfInfo();
$appConfInfo = $appConfInfoOwner->getAppConfInfo();

// ユーザー情報の取得
unset($employeeInfoOwner);
$employeeInfoOwner = new EmployeeInfoOwner();
$employeeInfoOwner->setEmp_cd($_SERVER["PHP_AUTH_USER"]);
$employeeInfoOwner->doSelectQuery($conn, $dbSqlObj, $dbExecObj);
$employeeInfoArray = $employeeInfoOwner->getEmployeeInfoArray();
$isAdmin = $employeeInfoArray[$_SERVER["PHP_AUTH_USER"]]->isAdmin();
$empName = $employeeInfoArray[$_SERVER["PHP_AUTH_USER"]]->getName();

// ログ書込み
include ($_ROOT_DIR_ . "task/include/createlog.conf");

session_start();


/* ====================================================================== */
/* 変数定義部 */
/* ====================================================================== */
$sub = isset($_POST["sub"]) ? $_POST["sub"] : $_GET["sub"];
$empGroupView = isset($_GET["empGroupView"]) ? $_GET["empGroupView"] : "private";
$dbsub = isset($_POST["dbsub"]) ? $_POST["dbsub"] : $_GET["dbsub"];
$group_cd = isset($_POST["group_cd"]) ? $_POST["group_cd"] : $_GET["group_cd"];
$cat_cd = isset($_POST["strCategoryCd"]) ? $_POST["strCategoryCd"] : $_GET["strCategoryCd"];
$subcat_cd = isset($_POST["strSubCatCd"]) ? $_POST["strSubCatCd"] : $_GET["strSubCatCd"];
$task_cd = isset($_POST["strTaskCd"]) ? $_POST["strTaskCd"] : $_GET["strTaskCd"];
$groupCdSearch = isset($_POST["groupCdSearch"]) ? $_POST["groupCdSearch"] : $_GET["groupCdSearch"];
$statusSearch = isset($_POST["statusSearch"]) ? $_POST["statusSearch"] : $_GET["statusSearch"];

$pedateSort = isset($_POST["pedateSort"]) ? $_POST["pedateSort"] : $_GET["pedateSort"];
$prioritySort = isset($_POST["prioritySort"]) ? $_POST["prioritySort"] : $_GET["prioritySort"];
$sortjob = isset($_POST["sortjob"]) ? $_POST["sortjob"] : $_GET["sortjob"];

$intLimit = isset($_POST["intLimit"]) ? $_POST["intLimit"] : $_GET["intLimit"];
$intPageNo = isset($_POST["intPageNo"]) ? $_POST["intPageNo"] : $_GET["intPageNo"];
$strErrorMsg = "";

/* --- セッション情報 --- */
if (!isset($_SESSION["sessionStatusSearch"]))
{
    $_SESSION["sessionStatusSearch"] = NULL;
}
if (!isset($_SESSION["sessionGroupCdSearch"]))
{
    $_SESSION["sessionGroupCdSearch"] = NULL;
}
if (!isset($_SESSION["sessionLimitSearch"]))
{
    $_SESSION["sessionLimitSearch"] = NULL;
}

if((!isset($statusSearch) || $statusSearch == "" ) && isset($sessionStatusSearch))
{
    $statusSearch = $sessionStatusSearch;
}
else
{
    $sessionStatusSearch = $statusSearch;
}

if((!isset($groupCdSearch) || $groupCdSearch == "" ) && isset($sessionGroupCdSearch))
{
    $groupCdSearch = $sessionGroupCdSearch;
}
else
{
    $sessionGroupCdSearch = $groupCdSearch;
}

if((!isset($intLimit) || $intLimit == "" ) && isset($sessionLimitSearch))
{
    $intLimit = $sessionLimitSearch;
}
else
{
    $sessionLimitSearch = $intLimit;
}

/* --- Cookie 情報 ---*/
SetCookie("cookieStatusSearch", $statusSearch, time() + 2592000);
SetCookie("cookieGroupCdSearch", $groupCdSearch, time() + 2592000);
SetCookie("cookieLimit", $intLimit, time() + 2592000);
if((!isset($statusSearch) || $statusSearch == "" ) && isset($_COOKIE["cookieStatusSearch"]))
{
    $statusSearch = $_COOKIE["cookieStatusSearch"];
}

if((!isset($groupCdSearch) || $groupCdSearch == "" ) && isset($_COOKIE["cookieGroupCdSearch"]))
{
    $groupCdSearch = $_COOKIE["cookieGroupCdSearch"];
}

if((!isset($intLimit) || $intLimit == "" ) && isset($_COOKIE["cookieLimit"]))
{
    $intLimit = $_COOKIE["cookieLimit"];
}


/* ====================================================================== */
/* 表示用データ作成部 */
/* ====================================================================== */
// タスク管理システムインスタンス作成
$taskManagementSystemObj = new TaskManagementSystem($_SERVER["PHP_AUTH_USER"], $conn, $dbSqlObj, $dbExecObj, $db_type);
$taskManagementSystemObj->setGroupCd($group_cd);
$taskManagementSystemObj->setCatCd($cat_cd);
$taskManagementSystemObj->setSubCatCd($subcat_cd);
$taskManagementSystemObj->setTaskCd($task_cd);
$taskManagementSystemObj->setGroupCdSearch($groupCdSearch);
$taskManagementSystemObj->setStatusSearch($statusSearch);

$taskManagementSystemObj->setPlanEndDaySort($pedateSort);
$taskManagementSystemObj->setPrioritySort($prioritySort);
$taskManagementSystemObj->setSortJob($sortjob);

$taskManagementSystemObj->setLimit($intLimit);
$taskManagementSystemObj->setPageNo($intPageNo);

/* ------------------------------ */
/* 管理者のMyTask対応 */
/* ------------------------------ */
$objUser = $taskManagementSystemObj->getUser();
if($objUser->getIsAdmin())
{
    $manage_division = isset($_POST["manage_division"]) ? $_POST["manage_division"] : (isset($_GET["manage_division"]) ? $_GET["manage_division"] : $objUser->getDivision());
    $manage_emp_cd = isset($_POST["manage_emp_cd"]) ? $_POST["manage_emp_cd"] : (isset($_GET["manage_emp_cd"]) ? $_GET["manage_emp_cd"] : $objUser->getEmpCd());
    $taskManagementSystemObj->setManageEmpCd($manage_emp_cd);
}



switch($empGroupView)
{
    case "private":  //マイタスク
    switch($sub)
    {
        /* ---------------------------------------------------------------------- */
        /* マイタスク　タスク操作   */
        /* ---------------------------------------------------------------------- */
        case "tasklist":  //タスクリストを表示する
        switch($dbsub)
        {
            /* --------- 登録 ------------- */
            case "insertTask":
            $strTaskCd = getSerialCode("task_cd",$conn,$dbSqlObj,$dbExecObj);
            $strTaskTitle =  mb_convert_kana(htmlSpecialEscape($_POST["strTask_title"],ENT_QUOTES));
            $strDesc =  mb_convert_kana(htmlSpecialEscape($_POST["strDescription"],ENT_QUOTES));
            $psyear = $_POST["plan_start_year"];
            $psmonth = $_POST["plan_start_month"];
            $psday = $_POST["plan_start_day"];
            $pshour = $_POST["plan_start_hour"];
            $psminute = $_POST["plan_start_minute"];
            $peyear = $_POST["plan_end_year"];
            $pemonth = $_POST["plan_end_month"];
            $peday = $_POST["plan_end_day"];
            $pehour = $_POST["plan_end_hour"];
            $peminute = $_POST["plan_end_minute"];
            $intPriority = $_POST["priority"];
            $strDivision = $_POST["division"];
            $strOwnerEmpCd = $_POST["owner_emp_cd"];
            $strRegistEmpCd = $_SERVER["PHP_AUTH_USER"];
            $intStatus = $_POST["status"];
            $bolScheduleFlg = $_POST["schedule_flg"];
            
            if($strTaskTitle == "")
            {
                $strErrorMsg .= "タイトルが入力されていないか、不正なデータが含まれています ";
                $sub = "taskcreate";
                break;
            }
            
            if(!task_check_date($psyear,$psmonth,$psday))
            {
                $strErrorMsg .= "指定した開始予定日が不正な日付です ";
                $sub = "taskcreate";
                break;
            }
            if(!task_check_date($peyear,$pemonth,$peday))
            {
                $strErrorMsg = "指定した終了予定日が不正な日付です";
                $sub = "taskcreate";
                break;
            }
            
            if(($peyear == "-1" || $pemonth == "-1" || $peday == "-1") && isset($bolScheduleFlg))
            {
                $strErrorMsg = "スケジュール帖へ反映する場合は終了予定日を設定して下さい";
                $sub = "taskcreate";
                break;
            }
            
            if(!task_date_compare($psyear, $psmonth, $psday, $pshour, $psminute, $peyear, $pemonth, $peday, $pehour, $peminute))
            {
                $strErrorMsg = "開始予定日が終了予定日より後に設定されています。";
                $sub = "taskcreate";
                break;
            }
            
            $bolRes = $taskManagementSystemObj->insertTaskTable($strTaskCd, $strTaskTitle,$strDesc,$psyear,$psmonth,$psday,$pshour,$psminute,$peyear,$pemonth,$peday,$pehour,$peminute,$intPriority,$strOwnerEmpCd,$strRegistEmpCd,$intStatus,$bolScheduleFlg);
            if(!$bolRes)
            {
                $strErrorMsg = "Category creation failed";
            }
            break;
            /* --------- 詳細更新 ------------- */
            case "updateTaskDetail":
            $strTaskTitle = mb_convert_kana(htmlSpecialEscape($_POST["strTask_title"],ENT_QUOTES));
            $strDesc = mb_convert_kana(htmlSpecialEscape($_POST["strDescription"],ENT_QUOTES));
            $psyear = $_POST["plan_start_year"];
            $psmonth = $_POST["plan_start_month"];
            $psday = $_POST["plan_start_day"];
            $pshour = $_POST["plan_start_hour"];
            $psminute = $_POST["plan_start_minute"];
            $peyear = $_POST["plan_end_year"];
            $pemonth = $_POST["plan_end_month"];
            $peday = $_POST["plan_end_day"];
            $pehour = $_POST["plan_end_hour"];
            $peminute = $_POST["plan_end_minute"];
            
            $rsyear = $_POST["result_start_year"];
            $rsmonth = $_POST["result_start_month"];
            $rsday = $_POST["result_start_day"];
            $rshour = $_POST["result_start_hour"];
            $rsminute = $_POST["result_start_minute"];
            $reyear = $_POST["result_end_year"];
            $remonth = $_POST["result_end_month"];
            $reday = $_POST["result_end_day"];
            $rehour = $_POST["result_end_hour"];
            $reminute = $_POST["result_end_minute"];
            
            $intPriority = $_POST["priority"];
            $strDivision = $_POST["division"];
            $strOwnerEmpCd = $_POST["owner_emp_cd"];
            $strRegistEmpCd = $_SERVER["PHP_AUTH_USER"];
            $intStatus = $_POST["status"];
            $bolScheduleFlg = $_POST["scheflg"];
            
            if($strTaskTitle == "")
            {
                $strErrorMsg .= "タイトルが入力されていないか、不正なデータが含まれています ";
                $sub = "taskupdate";
                break;
            }
            
            if(!task_check_date($psyear,$psmonth,$psday))
            {
                $strErrorMsg .= "指定した開始予定日が不正な日付です ";
                $sub = "taskupdate";
                break;
            }
            if(!task_check_date($peyear,$pemonth,$peday))
            {
                $strErrorMsg = "指定した終了予定日が不正な日付です";
                $sub = "taskupdate";
                break;
            }
            
            if(!task_check_date($rsyear,$rsmonth,$rsday))
            {
                $strErrorMsg .= "指定した開始実績日が不正な日付です ";
                $sub = "taskupdate";
                break;
            }
            if(!task_check_date($reyear,$remonth,$reday))
            {
                $strErrorMsg = "指定した終了実績日が不正な日付です";
                $sub = "taskupdate";
                break;
            }
            
            if(($peyear == "-1" || $pemonth == "-1" || $peday == "-1") && isset($bolScheduleFlg))
            {
                $strErrorMsg = "スケジュール帖へ反映する場合は、終了予定日を設定して下さい";
                $sub = "taskupdate";
                break;
            }
            
            if(!task_date_compare($psyear, $psmonth, $psday, $pshour, $psminute, $peyear, $pemonth, $peday, $pehour, $peminute))
            {
                $strErrorMsg = "開始予定日が終了予定日より後に設定されています。";
                $sub = "taskupdate";
                break;
            }
            
            if(!task_date_compare($rsyear, $rsmonth, $rsday, $rshour, $rsminute, $reyear, $remonth, $reday, $rehour, $reminute))
            {
                $strErrorMsg = "開始実績日が終了実績日より後に設定されています。";
                $sub = "taskupdate";
                break;
            }
            
            $bolRes = $taskManagementSystemObj->updateTaskDetail($strTaskTitle,$strDesc,$psyear,$psmonth,$psday,$pshour,$psminute,$peyear,$pemonth,$peday,$pehour,$peminute,$rsyear,$rsmonth,$rsday,$rshour,$rsminute,$reyear,$remonth,$reday,$rehour,$reminute,$intPriority,$strOwnerEmpCd,$strRegistEmpCd,$intStatus,$bolScheduleFlg);
            if(!$bolRes)
            {
                $strErrorMsg = "Task creation failed";
            }
            break;
            /* --------- 更新 ------------- */
            case "updateTask":
            $psyear = $_POST["plan_start_year"];
            $psmonth = $_POST["plan_start_month"];
            $psday = $_POST["plan_start_day"];
            $pshour = $_POST["plan_start_hour"];
            $psminute = $_POST["plan_start_minute"];
            
            $peyear = $_POST["plan_end_year"];
            $pemonth = $_POST["plan_end_month"];
            $peday = $_POST["plan_end_day"];
            $pehour = $_POST["plan_end_hour"];
            $peminute = $_POST["plan_end_minute"];
            $intPriority = $_POST["priority"];
            $intStatus = $_POST["status"];
            $bolScheduleFlg = $_POST["scheflg"];
            
            if(!task_check_date($peyear,$pemonth,$peday))
            {
                $strErrorMsg = "指定した終了予定日が不正な日付です";
                $sub = "taskdetail";
                break;
            }
            
            if(($peyear == "-1" || $pemonth == "-1" || $peday == "-1") && isset($bolScheduleFlg))
            {
                $strErrorMsg = "スケジュール帖へ反映する場合は、終了予定日を設定して下さい";
                $sub = "taskdetail";
                break;
            }
            
            if(!task_date_compare($psyear, $psmonth, $psday, $pshour, $psminute, $peyear, $pemonth, $peday, $pehour, $peminute))
            {
                $strErrorMsg = "開始予定日が終了予定日より後に設定されています。";
                $sub = "taskdetail";
                break;
            }
            
            $bolRes = $taskManagementSystemObj->updateTask($peyear,$pemonth,$peday,$pehour,$peminute,$intPriority,$intStatus,$bolScheduleFlg);
            if(!$bolRes)
            {
                $strErrorMsg = "Task Update failed";
            }
            break;
            /* --------- ステータス更新 ------------- */
            case "updateTaskStatus":
            $intStatus = $_POST["status"];
            $bolRes = $taskManagementSystemObj->updateTaskStatus($intStatus);
            break;
            /* --------- 削除 ------------- */
            case "deleteTask":
            $bolRes = $taskManagementSystemObj->deleteTask();
            break;
        }
        $taskManagementSystemObj->createMyTaskList();
        break;
        case "error":  //エラー画面を表示する
        
        break;
        default:
        $taskManagementSystemObj->createMyTaskList();
        break;
    }
    break;
    case "public":  //グループタスク
    switch($sub)
    {
        /* ---------------------------------------------------------------------- */
        /* グループタスク　カテゴリ操作   */
        /* ---------------------------------------------------------------------- */
        case "toplist":  //トップカテゴリリスト表示
        switch($dbsub)
        {
            /* --------- 登録 ------------- */
            case "insertCategory":
            $strCatCd = getSerialCode("task_category_cd",$conn,$dbSqlObj,$dbExecObj);
            $strCategoryName =  mb_convert_kana(htmlSpecialEscape($_POST["strCategoryName"],ENT_QUOTES));
            $strCategoryDesc =  mb_convert_kana(htmlSpecialEscape($_POST["strCategoryDesc"],ENT_QUOTES));
            
            if($strCategoryName == "")
            {
                $strErrorMsg .= "カテゴリ名称が入力されていないか、不正なデータが含まれています ";
                $sub = "categorycreate";
                break;
            }
            
            $bolRes = $taskManagementSystemObj->insertCategoryTable($strCatCd, $strCategoryName, $strCategoryDesc);
            if(!$bolRes)
            {
                $strErrorMsg = "Category creation failed";
            }
            break;
            /* --------- 更新 ------------- */
            case "updateCategory":
            $strCategoryName = mb_convert_kana(htmlSpecialEscape($_POST["strCategoryName"],ENT_QUOTES));
            $strCategoryDesc = mb_convert_kana(htmlSpecialEscape($_POST["strCategoryDesc"],ENT_QUOTES));
            
            if($strCategoryName == "")
            {
                $strErrorMsg .= "カテゴリ名称が入力されていないか、不正なデータが含まれています ";
                $sub = "categoryupdate";
                break;
            }
            $bolRes = $taskManagementSystemObj->updateCategory($strCategoryName, $strCategoryDesc);
            if(!$bolRes)
            {
                $strErrorMsg = "Category creation failed";
            }
            break;
            /* --------- 削除 ------------- */
            case "deleteCategory":
            $bolRes = $taskManagementSystemObj->deleteCategory();
            if(!$bolRes)
            {
                $strErrorMsg = "Category creation failed";
            }
            break;
            default:
            break;
        }
        $taskManagementSystemObj->createCategoryList();
        break;
        /* ---------------------------------------------------------------------- */
        /* グループタスク　サブカテゴリ操作   */
        /* ---------------------------------------------------------------------- */
        case "subcatlist":  //サブカテゴリリスト表示
        switch($dbsub)
        {
            /* --------- 登録 ------------- */
            case "insertSubCategory":
            $strSubCatCd = getSerialCode("task_subcategory_cd",$conn,$dbSqlObj,$dbExecObj);
            $strSubCategoryName = mb_convert_kana(htmlSpecialEscape($_POST["strCategoryName"],ENT_QUOTES));
            $strSubCategoryDesc = mb_convert_kana(htmlSpecialEscape($_POST["strCategoryDesc"],ENT_QUOTES));
            
            if($strSubCategoryName == "")
            {
                $strErrorMsg .= "サブカテゴリ名称が入力されていないか、不正なデータが含まれています ";
                $sub = "subcatcreate";
                break;
            }
            
            $bolRes = $taskManagementSystemObj->insertSubCatTable($strSubCatCd, $strSubCategoryName, $strSubCategoryDesc);
            if(!$bolRes)
            {
                $strErrorMsg = "Category creation failed";
            }
            break;
            /* --------- 更新 ------------- */
            case "updateSubCategory":
            $strSubCategoryName = mb_convert_kana(htmlSpecialEscape($_POST["strCategoryName"],ENT_QUOTES));
            $strSubCategoryDesc = mb_convert_kana(htmlSpecialEscape($_POST["strCategoryDesc"],ENT_QUOTES));
            
            if($strSubCategoryName == "")
            {
                $strErrorMsg .= "サブカテゴリ名称が入力されていないか、不正なデータが含まれています ";
                $sub = "subcatupdate";
                break;
            }
            
            $bolRes = $taskManagementSystemObj->updateSubCat($strSubCategoryName, $strSubCategoryDesc);
            if(!$bolRes)
            {
                $strErrorMsg = "Category creation failed";
            }
            break;
            /* --------- 削除 ------------- */
            case "deleteSubCategory":
            $bolRes = $taskManagementSystemObj->deleteSubCat();
            if(!$bolRes)
            {
                $strErrorMsg = "Category creation failed";
            }
            break;
            default:
            break;
        }
        $taskManagementSystemObj->createSubCategoryList();
        break;
        /* ---------------------------------------------------------------------- */
        /* グループタスク　タスク操作   */
        /* ---------------------------------------------------------------------- */
        case "tasklist":  //タスクリストを表示する
        switch($dbsub)
        {
            /* --------- 登録 ------------- */
            case "insertTask":
            $strTaskCd = getSerialCode("task_cd",$conn,$dbSqlObj,$dbExecObj);
            $strTaskTitle = mb_convert_kana(htmlSpecialEscape($_POST["strTask_title"],ENT_QUOTES));
            $strDesc = mb_convert_kana(htmlSpecialEscape($_POST["strDescription"],ENT_QUOTES));
            $psyear = $_POST["plan_start_year"];
            $psmonth = $_POST["plan_start_month"];
            $psday = $_POST["plan_start_day"];
            $pshour = $_POST["plan_start_hour"];
            $psminute = $_POST["plan_start_minute"];
            $peyear = $_POST["plan_end_year"];
            $pemonth = $_POST["plan_end_month"];
            $peday = $_POST["plan_end_day"];
            $pehour = $_POST["plan_end_hour"];
            $peminute = $_POST["plan_end_minute"];
            $intPriority = $_POST["priority"];
            $strDivision = $_POST["division"];
            $strOwnerEmpCd = $_POST["owner_emp_cd"];
            $strRegistEmpCd = $_SERVER["PHP_AUTH_USER"];
            $intStatus = $_POST["status"];
            $bolScheduleFlg = $_POST["schedule_flg"];
            
            if($strTaskTitle == "")
            {
                $strErrorMsg .= "タイトルが入力されていないか、不正なデータが含まれています ";
                $sub = "taskcreate";
                break;
            }
            
            if(!task_check_date($psyear,$psmonth,$psday))
            {
                $strErrorMsg .= "指定した開始予定日が不正な日付です ";
                $sub = "taskcreate";
                break;
            }
            if(!task_check_date($peyear,$pemonth,$peday))
            {
                $strErrorMsg .= "指定した終了予定日が不正な日付です ";
                $sub = "taskcreate";
                break;
            }
            
            
            if(($peyear == "-1" || $pemonth == "-1" || $peday == "-1") && isset($bolScheduleFlg))
            {
                $strErrorMsg = "スケジュール帖へ反映する場合は、終了予定日を設定して下さい";
                $sub = "taskcreate";
                break;
            }
            
            if(!task_date_compare($psyear, $psmonth, $psday, $pshour, $psminute, $peyear, $pemonth, $peday, $pehour, $peminute))
            {
                $strErrorMsg = "開始予定日が終了予定日より後に設定されています。";
                $sub = "taskcreate";
                break;
            }
            
            $bolRes = $taskManagementSystemObj->insertTaskTable($strTaskCd, $strTaskTitle,$strDesc,$psyear,$psmonth,$psday,$pshour,$psminute,$peyear,$pemonth,$peday,$pehour,$peminute,$intPriority,$strOwnerEmpCd,$strRegistEmpCd,$intStatus,$bolScheduleFlg);
            if(!$bolRes)
            {
                $strErrorMsg = "Task creation failed";
            }
            break;
            /* --------- 詳細更新 ------------- */
            case "updateTaskDetail":
            $strTaskTitle = mb_convert_kana(htmlSpecialEscape($_POST["strTask_title"],ENT_QUOTES));
            $strDesc = mb_convert_kana(htmlSpecialEscape($_POST["strDescription"],ENT_QUOTES));
            $psyear = $_POST["plan_start_year"];
            $psmonth = $_POST["plan_start_month"];
            $psday = $_POST["plan_start_day"];
            $pshour = $_POST["plan_start_hour"];
            $psminute = $_POST["plan_start_minute"];
            $peyear = $_POST["plan_end_year"];
            $pemonth = $_POST["plan_end_month"];
            $peday = $_POST["plan_end_day"];
            $pehour = $_POST["plan_end_hour"];
            $peminute = $_POST["plan_end_minute"];
            
            $rsyear = $_POST["result_start_year"];
            $rsmonth = $_POST["result_start_month"];
            $rsday = $_POST["result_start_day"];
            $rshour = $_POST["result_start_hour"];
            $rsminute = $_POST["result_start_minute"];
            $reyear = $_POST["result_end_year"];
            $remonth = $_POST["result_end_month"];
            $reday = $_POST["result_end_day"];
            $rehour = $_POST["result_end_hour"];
            $reminute = $_POST["result_end_minute"];
            
            $intPriority = $_POST["priority"];
            $strDivision = $_POST["division"];
            $strOwnerEmpCd = $_POST["owner_emp_cd"];
            $strRegistEmpCd = $_SERVER["PHP_AUTH_USER"];
            $intStatus = $_POST["status"];
            $bolScheduleFlg = $_POST["scheflg"];
            
            if($strTaskTitle == "")
            {
                $strErrorMsg .= "タイトルが入力されていないか、不正なデータが含まれています ";
                $sub = "taskupdate";
                break;
            }
            
            if(!task_check_date($psyear,$psmonth,$psday))
            {
                $strErrorMsg .= "指定した開始予定日が不正な日付です ";
                $sub = "taskupdate";
                break;
            }
            if(!task_check_date($peyear,$pemonth,$peday))
            {
                $strErrorMsg .= "指定した終了予定日が不正な日付です ";
                $sub = "taskupdate";
                break;
            }
            
            if(!task_check_date($rsyear,$rsmonth,$rsday))
            {
                $strErrorMsg .= "指定した開始実績日が不正な日付です ";
                $sub = "taskupdate";
                break;
            }
            if(!task_check_date($reyear,$remonth,$reday))
            {
                $strErrorMsg .= "指定した終了実績日が不正な日付です ";
                $sub = "taskupdate";
                break;
            }
            
            
            if(($peyear == "-1" || $pemonth == "-1" || $peday == "-1") && isset($bolScheduleFlg))
            {
                $strErrorMsg = "スケジュール帖へ反映する場合は、終了予定日を設定して下さい";
                $sub = "taskupdate";
                break;
            }
            
            if(!task_date_compare($psyear, $psmonth, $psday, $pshour, $psminute, $peyear, $pemonth, $peday, $pehour, $peminute))
            {
                $strErrorMsg = "開始予定日が終了予定日より後に設定されています。";
                $sub = "taskupdate";
                break;
            }
            
            if(!task_date_compare($rsyear, $rsmonth, $rsday, $rshour, $rsminute, $reyear, $remonth, $reday, $rehour, $reminute))
            {
                $strErrorMsg = "開始実績日が終了実績日より後に設定されています。";
                $sub = "taskupdate";
                break;
            }
            
            $bolRes = $taskManagementSystemObj->updateTaskDetail($strTaskTitle,$strDesc,$psyear,$psmonth,$psday,$pshour,$psminute,$peyear,$pemonth,$peday,$pehour,$peminute,$rsyear,$rsmonth,$rsday,$rshour,$rsminute,$reyear,$remonth,$reday,$rehour,$reminute,$intPriority,$strOwnerEmpCd,$strRegistEmpCd,$intStatus,$bolScheduleFlg);
            if(!$bolRes)
            {
                $strErrorMsg = "Category creation failed";
            }
            break;
            /* --------- 更新 ------------- */
            case "updateTask":
            $psyear = $_POST["plan_start_year"];
            $psmonth = $_POST["plan_start_month"];
            $psday = $_POST["plan_start_day"];
            $pshour = $_POST["plan_start_hour"];
            $psminute = $_POST["plan_start_minute"];
            
            $peyear = $_POST["plan_end_year"];
            $pemonth = $_POST["plan_end_month"];
            $peday = $_POST["plan_end_day"];
            $pehour = $_POST["plan_end_hour"];
            $peminute = $_POST["plan_end_minute"];
            $intPriority = $_POST["priority"];
            $intStatus = $_POST["status"];
            $bolScheduleFlg = $_POST["scheflg"];
            
            if(!task_check_date($peyear,$pemonth,$peday))
            {
                $strErrorMsg .= "指定した終了予定日が不正な日付です ";
                $sub = "taskdetail";
                break;
            }
            
            if(($peyear == "-1" || $pemonth == "-1" || $peday == "-1") && isset($bolScheduleFlg))
            {
                $strErrorMsg = "スケジュール帖へ反映する場合は、終了予定日を設定して下さい";
                $sub = "taskdetail";
                break;
            }
            
            if(!task_date_compare($psyear, $psmonth, $psday, $pshour, $psminute, $peyear, $pemonth, $peday, $pehour, $peminute))
            {
                $strErrorMsg = "開始予定日が終了予定日より後に設定されています。";
                $sub = "taskdetail";
                break;
            }
            
            $bolRes = $taskManagementSystemObj->updateTask($peyear,$pemonth,$peday,$pehour,$peminute,$intPriority,$intStatus,$bolScheduleFlg);
            if(!$bolRes)
            {
                $strErrorMsg = "Task update failed";
            }
            break;
            /* --------- ステータス更新 ------------- */
            case "updateTaskStatus":
            $intStatus = $_POST["status"];
            $bolRes = $taskManagementSystemObj->updateTaskStatus($intStatus);
            break;
            /* --------- 削除 ------------- */
            case "deleteTask":
            $bolRes = $taskManagementSystemObj->deleteTask();
            break;
            default:
            break;
        }
        $taskManagementSystemObj->createTaskList();
        break;
        case "taskdetail":  //タスク詳細を表示する
        case "taskupdate":  //タスク詳細更新を表示する
        default:
        $taskManagementSystemObj->createCategoryList();
        break;
    }
    break;
    default:
    switch($sub)
    {
        /* ---------------------------------------------------------------------- */
        /* マイタスク　タスク操作   */
        /* ---------------------------------------------------------------------- */
        case "tasklist":  //タスクリストを表示する
        switch($dbsub)
        {
            /* --------- 登録 ------------- */
            case "insertTask":
            $strTaskTitle = mb_convert_kana(htmlSpecialEscape(strip_tags($_POST["strTask_title"]),ENT_QUOTES));
            $strDesc = mb_convert_kana(htmlSpecialEscape(strip_tags($_POST["strDescription"]),ENT_QUOTES));
            $psyear = $_POST["plan_start_year"];
            $psmonth = $_POST["plan_start_month"];
            $psday = $_POST["plan_start_day"];
            $pshour = $_POST["plan_start_hour"];
            $psminute = $_POST["plan_start_minute"];
            $peyear = $_POST["plan_end_year"];
            $pemonth = $_POST["plan_end_month"];
            $peday = $_POST["plan_end_day"];
            $pehour = $_POST["plan_end_hour"];
            $peminute = $_POST["plan_end_minute"];
            $intPriority = $_POST["priority"];
            $strDivision = $_POST["division"];
            $strOwnerEmpCd = $_POST["owner_emp_cd"];
            $strRegistEmpCd = $_SERVER["PHP_AUTH_USER"];
            $intStatus = $_POST["status"];
            $bolScheduleFlg = $_POST["schedule_flg"];
            
            if($strTaskTitle == "")
            {
                $strErrorMsg .= "タイトルが入力されていないか、不正なデータが含まれています ";
                $sub = "taskcreate";
                break;
            }
            
            if(!task_check_date($psyear,$psmonth,$psday))
            {
                $strErrorMsg .= "指定した開始予定日が不正な日付です ";
                $sub = "taskcreate";
                break;
            }
            if(!task_check_date($peyear,$pemonth,$peday))
            {
                $strErrorMsg .= "指定した終了予定日が不正な日付です ";
                $sub = "taskcreate";
                break;
            }
            
            if(($peyear == "-1" || $pemonth == "-1" || $peday == "-1") && isset($bolScheduleFlg))
            {
                $strErrorMsg = "スケジュール帖へ反映する場合は、終了予定日を設定して下さい";
                $sub = "taskcreate";
                break;
            }
            
            if(!task_date_compare($psyear, $psmonth, $psday, $pshour, $psminute, $peyear, $pemonth, $peday, $pehour, $peminute))
            {
                $strErrorMsg = "開始予定日が終了予定日より後に設定されています。";
                $sub = "taskcreate";
                break;
            }
            
            if(!task_date_compare($rsyear, $rsmonth, $rsday, $rshour, $rsminute, $reyear, $remonth, $reday, $rehour, $reminute))
            {
                $strErrorMsg = "開始実績日が終了実績日より後に設定されています。";
                $sub = "taskcreate";
                break;
            }
            
            $bolRes = $taskManagementSystemObj->insertTaskTable($strTaskTitle,$strDesc,$psyear,$psmonth,$psday,$pshour,$psminute,$peyear,$pemonth,$peday,$pehour,$peminute,$intPriority,$strOwnerEmpCd,$strRegistEmpCd,$intStatus,$bolScheduleFlg);
            if(!$bolRes)
            {
                $strErrorMsg = "Category creation failed";
            }
            break;
        }
        $taskManagementSystemObj->createMyTaskList();
        break;
        case "taskdetail":  //タスク詳細を表示する
        case "taskupdate":  //タスク詳細更新を表示する
        case "error":  //エラー画面を表示する
        
        break;
        default:
        $taskManagementSystemObj->createMyTaskList();
        break;
    }
    break;
}

if($strErrorMsg != "")
{
    $taskManagementSystemObj->setErrorMessage($strErrorMsg);
    include_once("TaskManageErrorData.php");
    $objTaskManageErrorData = new TaskManageErrorData($_POST);
}

/* ====================================================================== */
/* 画面表示部 */
/* ====================================================================== */
// タスク管理ビューインスタンス作成
$taskManageViewObj = new TaskManageView($taskManagementSystemObj);
$taskManageViewObj->setSub($sub);
$taskManageViewObj->setEmpGroupView($empGroupView);
$taskManageViewObj->setTaskManageErrorData($objTaskManageErrorData);
$taskManageViewObj->setDBType($db_type);
if($objUser->getIsAdmin())
{
    $taskManageViewObj->setManageDivision($manage_division);
    $taskManageViewObj->setManageEmpCd($manage_emp_cd);
}

//print_r( $taskManageViewObj);

// ヘッダーの出力
require_once($_ROOT_DIR_ . "class/menuHeadder.php");
$menuShowObj = new menuShowObj($conn, $dbSqlObj, $dbExecObj);
$menuShowObj->setEmpName($empName);
$menuShowObj->setCurrentAppli("task", True);
//$menuShowObj->setIsAdmin($employeeInfoOwner->isAdmin());
$menuShowObj->setIsAdmin($isAdmin);
$menuShowObj->showHeadder();

// メインコンテンツ 画面遷移部
$taskManageViewObj->printTab();

switch($empGroupView)
{
    case "private":  //マイタスク
    switch($sub)
    {
        case "tasklist":  //タスクリストを表示する
        $taskManageViewObj->printTaskListView();
        break;
        case "taskcreate":  //新規タスク作成画面を表示する
        $taskManageViewObj->printCategoryTaskCreateView();
        break;
        case "taskdetail":  //タスクの詳細画面を表示する
        $taskManageViewObj->printTaskDetailView();
        break;
        case "taskupdate":  //タスク詳細情報更新画面を表示する
        $taskManageViewObj->printCategoryTaskUpdateView();
        break;
        case "error":  //エラー画面を表示する
        $taskManageViewObj->printErrorView();
        break;
        default:
        $taskManageViewObj->printTaskListView();
        break;
    }
    break;
    case "public":  //グループタスク
    switch($sub)
    {
        case "toplist":  //トップカテゴリリスト表示
        $taskManageViewObj->printTopCategoryListView();
        break;
        case "categorycreate":  //新規カテゴリ作成画面を表示する
        $taskManageViewObj->printCategoryCreateView();
        break;
        case "categoryupdate":  //カテゴリ情報更新画面を表示する
        $taskManageViewObj->printCategoryUpdateView();
        break;
        case "categorydelete":  //カテゴリ情報削除画面を表示する
        $taskManageViewObj->printCategoryUpdateView();
        break;
        case "subcatlist":  //サブカテゴリリスト表示
        $taskManageViewObj->printSubCategoryListView();
        break;
        case "subcatcreate":  //新規サブカテゴリ作成画面を表示する
        $taskManageViewObj->printSubCategoryCreateView();
        break;
        case "subcatupdate":  //サブカテゴリ情報更新が面を表示する
        $taskManageViewObj->printSubCategoryUpdateView();
        break;
        case "subcatdelete":  //サブカテゴリ情報削除画面を表示する
        $taskManageViewObj->printSubCategoryUpdateView();
        break;
        case "tasklist":  //タスクリストを表示する
        $taskManageViewObj->printTaskListView();
        break;
        case "taskcreate":  //新規タスク作成画面を表示する
        $taskManageViewObj->printCategoryTaskCreateView();
        break;
        case "taskdetail":  //タスクの詳細画面を表示する
        $taskManageViewObj->printTaskDetailView();
        break;
        case "taskupdate":  //タスク詳細情報更新画面を表示する
        $taskManageViewObj->printCategoryTaskUpdateView();
        break;
        default:
        $taskManageViewObj->printTopCategoryListView();
        break;
    }
    break;
    default:
    switch($sub)
    {
        case "tasklist":  //タスクリストを表示する
        $taskManageViewObj->printTaskListView();
        break;
        case "taskcreate":  //新規タスク作成画面を表示する
        $taskManageViewObj->printCategoryTaskCreateView();
        break;
        case "taskdetail":  //タスクの詳細画面を表示する
        $taskManageViewObj->printTaskDetailView();
        break;
        case "taskupdate":  //タスク詳細情報更新画面を表示する
        $taskManageViewObj->printCategoryTaskUpdateView();
        break;
        case "error":  //エラー画面を表示する
        $taskManageViewObj->printErrorView();
        break;
        default:
        $taskManageViewObj->printTaskListView();
        break;
    }
    break;
}

// フッターの出力
require_once($_ROOT_DIR_ . "class/menuHeadder.php");
$menuShowObj = new menuShowObj($conn, $dbSqlObj, $dbExecObj);
$menuShowObj->setEmpName($empName);
$menuShowObj->setCurrentAppli("task", True);
$menuShowObj->showFooter();



/* ======================================================== */
/* タスク管理入力値チェック用関数 */
/* ======================================================== */
/**
* 正確な日付が指定されているかチェック
**/
function task_check_date($year, $month, $day)
{
    if((isset($year) && isset($month) && isset($day)) && ($year != "-1" && $month != "-1" && $day != "-1"))
    {
        if(!checkdate($month,$day,$year))
        {
            return false;
        }
    }
    return true;
}

/**
* 開始日・終了日の大小判定
**/
function task_date_compare($syear, $smonth, $sday, $shour, $sminute, $eyear, $emonth, $eday, $ehour, $eminute)
{
    if((isset($syear) && isset($smonth) && isset($sday)) && ($syear != "----" && $smonth != "-1" && $sday != "-1"))
    {
        if((isset($shour) && isset($sminute)) && ($shour != "-1" && $sminute != "-1"))
        {
            $int_start_date = mktime($shour, $sminute, "00", $smonth, $sday, $syear);
        }
        else
        {
            $int_start_date = mktime("00", "00", "00", $smonth, $sday, $syear);
        }
    }
    else
    {
        return true;
    }
    
    if((isset($eyear) && isset($emonth) && isset($eday)) && ($eyear != "----" && $emonth != "-1" && $eday != "-1"))
    {
        if((isset($ehour) && isset($eminute)) && ($ehour != "-1" && $eminute != "-1"))
        {
            $int_end_date = mktime($ehour, $eminute, "00", $emonth, $eday, $eyear);
        }
        else
        {
            $int_end_date = mktime("00", "00", "00", $emonth, $eday, $eyear);
        }
    }
    else
    {
        return true;
    }
    
    if($int_start_date > $int_end_date)
    {
        return false;
    }
    else
    {
        return true;
    }
}

?>
