<?php
/**
 * タスク管理機能ビュー
 **/
include_once("../gw.php");
include_once("TaskManagementSystem.php");
include_once("TaskManageErrorData.php");
class TaskManageView
{
  var $objTaskManagementSystem;
  var $objTaskManageErrorData;

  var $sub;
  var $empGroupView;
  var $manage_division;
  var $manage_emp_cd;
  var $db_type;

  function setManageDivision($manage_division)
  {
    $this->manage_division = $manage_division;
  }
  function setManageEmpCd($manage_emp_cd)
  {
    $this->manage_emp_cd = $manage_emp_cd;
  }
  function getManageDivision()
  {
    return $this->manage_division;
  }
  function getManageEmpCd()
  {
    return $this->manage_emp_cd;
  }
  function setTaskManageErrorData($objTaskManageErrorData)
  {
    $this->objTaskManageErrorData = $objTaskManageErrorData;
  }
  function setDBType($db_type)
  {
    $this->db_type = $db_type;
  }


  function TaskManageView($objTaskManagementSystem)
  {
    $this->objTaskManagementSystem = $objTaskManagementSystem;
  }

  /**
   * sub のSetter
   **/
  function setSub($sub)
  {
    $this->sub = $sub;
  }
  /**
   * empGroupView のSetter
   **/
  function setEmpGroupView($empGroupView)
  {
    $this->empGroupView = $empGroupView;
  }

  /**
   * タブを表示する
   * @param TaskManagementSystem objTaskManagementSystem タスク管理システム
   **/
  function printTab()
  {

    if($this->empGroupView=="private")
    {
?>
            </td>
          </tr>
          <tr>
            <td><img src="<?php echo $_ROOT_URL_ ?>images/spazio.gif" width="1" height="29" alt=""></td>
            <td colspan="2" valign="bottom">
              <table width="760" height="29" border="0" cellspacing="0" cellpadding="0">
                <tr>
                  <td valign="bottom" height="29">
                    <img src="./images/my_task_a.gif" width="370" height="29" alt="マイタスク" border="0"></a></td>
                  <td height="29">&nbsp;</td>
                  <td valign="bottom" height="29">
                    <div align="right"><a href="TaskManage.php?empGroupView=public"><img name="read_b" src="./images/public_task_b.gif" width="370" height="29" border="0" alt="グループタスク"></div></td>
                </tr>
              </table>
            </td>
          </tr>
          <tr>
            <td><img src="<?php echo $_ROOT_URL_ ?>images/spazio.gif" width="1" height="15" alt=""></td>
            <td colspan="2"  width="760" class="yellow">　</td>
          </tr>
          <tr>
            <td><img src="<?php echo $_ROOT_URL_ ?>images/spazio.gif" width="1" height="15" alt=""></td>
            <td></td>
            <td></td>
          </tr>
          <tr>
            <td><img src="<?php echo $_ROOT_URL_ ?>images/spazio.gif" width="1" height="15" alt=""></td>
            <td colspan="2">
<?php
    }
    else
    {
?>
            </td>
          </tr>
          <tr>
            <td><img src="<?php echo $_ROOT_URL_ ?>images/spazio.gif" width="1" height="29" alt=""></td>
            <td colspan="2" valign="bottom">
              <table width="760" height="29" border="0" cellspacing="0" cellpadding="0">
                <tr>
                  <td valign="bottom" height="29">
                    <a href="TaskManage.php?empGroupView=private"><img src="./images/my_task_b.gif" width="370" height="29" alt="マイタスク" border="0"></a></td>
		  <td height="29">&nbsp;</td>
                  <td valign="bottom" height="29">
                    <div align="right"><img name="read_b" src="./images/public_task_a.gif" width="370" height="29" border="0" alt="グループタスク"></div></td>
                </tr>
              </table>
            </td>
          </tr>
          <tr>
            <td><img src="<?php echo $_ROOT_URL_ ?>images/spazio.gif" width="1" hegiht="15" alt=""></td>
            <td colspan="2" width="760" class="yellow">&nbsp;</td>
          </tr>
          <tr>
            <td><img src="<?php echo $_ROOT_URL_ ?>images/spazio.gif" width="1" height="15" alt=""></td>
            <td></td>
            <td></td>
          </tr>
          <tr>
            <td><img src="<?php echo $_ROOT_URL_ ?>images/spazio.gif" width="1" height="15" alt=""></td>
            <td colspan="2">
	      <form name="selectGroup" method="post" action="<?php echo $_ROOT_URL_ . "TaskManage.php?empGroupView=public" ?>">
	        <table border="0" cellspacing="0" cellpadding="0">
		  <tr>
		    <td align="left">
		      <span class="fBlack10100">グループ：</span>
		      <select name="group_cd" size="1">
<?php
      $objUser = $this->objTaskManagementSystem->getUser();
      $varGroupList = array();
      $varGroupList = $objUser->getGroupList();
      if(count($varGroupList) == 0)
      {
?>
                        <option value="">所属グループがありません</option> 
<?php
      }
      for($i = 0; $i < count($varGroupList); $i++)
      {
	$strOption  = "<option value=\"" . $varGroupList[$i]->getGroupCd() . "\" ";
	$strOption .= ($varGroupList[$i]->getGroupCd() == $this->objTaskManagementSystem->strGroupCd) ? "selected" : "";
	$strOption .= ">" . $varGroupList[$i]->getGroupName() . "</option>\n"; 
	echo $strOption;
      }
?>
		      </select>
		    </td>
		    <td align="left">
		      <input type="submit" name="cmdGroup" value="カテゴリ一覧表示">
		    </td>
		  </tr>
		</table>
	      </form>

<?php
    }
  }

  /**
   * トップカテゴリリストを表示する
   * @param TaskManagementSystem objTaskManagementSystem タスク管理システム
   **/
  function printTopCategoryListView()
  {
    require_once("CategoryTopListView.php");
  }
  
  /**
   * 新規カテゴリ作成画面を表示する
   * @param TaskManagementSystem objTaskManagementSystem タスク管理システム
   **/
  function printCategoryCreateView()
  {
    require_once("CategoryCreateView.php");
  }

  /**
   * カテゴリ情報更新画面を表示する
   * @param TaskManagementSystem objTaskManagementSystem タスク管理システム
   **/
  function printCategoryUpdateView()
  {
    require_once("CategoryUpdateView.php");
  }

  /**
   * サブカテゴリリストを表示する
   * @param TaskManagementSystem objTaskManagementSystem タスク管理システム
   **/
  function printSubCategoryListView()
  {
    require_once("SubCategoryListView.php");
  }
  
  /**
   * 新規サブカテゴリ作成画面を表示する
   * @param TaskManagementSystem objTaskManagementSystem タスク管理システム
   **/
  function printSubCategoryCreateView()
  {
    require_once("SubCategoryCreateView.php");
  }

  /**
   * サブカテゴリ情報更新画面を表示する
   * @param TaskManagementSystem objTaskManagementSystem タスク管理システム
   **/
  function printSubCategoryUpdateView()
  {
    require_once("SubCategoryUpdateView.php");
  }

  /**
   * タスクリストを表示する
   * @param TaskManagementSystem objTaskManagementSystem タスク管理システム
   **/
  function printTaskListView()
  {
    require_once("CategoryTaskListView.php");
  }

  /**
   * 新規タスク作成画面を表示する
   * @param TaskManagementSystem objTaskManagementSystem タスク管理システム
   **/
  function printCategoryTaskCreateView()
  {
    require_once("CategoryTaskCreateView.php");
  }

  /**
   * タスクの詳細情報を表示する
   * @param TaskManagementSystem objTaskManagementSystem タスク管理システム
   **/
  function printTaskDetailView()
  {
    require_once("CategoryTaskDetailView.php");
  }

  /**
   * タスク詳細情報更新画面を表示する
   * @param TaskManagementSystem objTaskManagementSystem タスク管理システム
   **/
  function printCategoryTaskUpdateView()
  {
    require_once("CategoryTaskUpdateView.php");
  }

  /**
   * エラー画面を表示する
   * @param TaskManagementSystem objTaskManagementSystem タスク管理システム
   **/
  function printErrorView()
  {
  }




  /**
   * トップカテゴリへのアクセス権設定画面を表示する
   * @param TaskManagementSystem objTaskManagementSystem タスク管理システム
   **/
  function printCategoryAccessPermitView()
  {
    require_once("CategoryAccessPermitView.php");
  }

  /**
   * カテゴリの管理画面
   * @param TaskManagementSystem objTaskManagementSystem タスク管理システム
   **/
  function printCategoryManagementView()
  {
    require_once("CategoryManagementView.php");
  }

  /**
   * タスク移動画面を表示する
   * @param TaskManagementSystem objTaskManagementSystem タスク管理システム
   **/
  function printCategoryTaskMoveView()
  {
    require_once("CategoryTaskMoveView.php");
  }

  /**
   * タスク検索画面を表示する
   * @param TaskManagementSystem objTaskManagementSystem タスク管理システム
   **/
  function printCategoryTaskSearchView()
  {
    require_once("CategoryTaskSearchView.php");
  }

  /**
   * Selectボックスを作成する
   * @param strObjName  Select 属性の Name プロパティ
   * @param strDefaultValue  デフォルト値 0以上
   * @param intInterval 各Option Value の増分値
   * @param intMinValue Option Value の最小値
   * @param intMaxValue Option Value の最大値
   **/
  function printSelect($strObjName, $strDefaultValue, $intInterval, $intMinValue, $intMaxValue)
  {
?>
                                                                        <select name="<?php echo $strObjName ?>">
                                                                          <option value="-1" <?php echo ($strDefaultValue == "-1" ? "selected" : "") ?>>--</option>
<?php
    for($i = $intMinValue; $i <= $intMaxValue; $i += $intInterval)
    {
?>
                                                                          <option value="<?php echo $i ?>" <?php echo ($i == $strDefaultValue) ? "selected" : "" ?>><?php echo $i ?></option>
<?php
    }
?>
                                                                        </select>
<?php
  }

}
?>
