<?php
class TaskSubCategory
{
  var $strCat_cd;
  var $strCat_name;
  var $strCat_description;
  var $intTaskSum; 
  var $intFinishedTaskSum;
  var $dayPlanEndDay;
  var $dayPlanEndTime; 

  /**
   * サブカテゴリ管理用
   **/
  function TaskSubCategory($strCat_cd, $strCat_name, $strCat_description)
  {
    $this->strCat_cd = $strCat_cd;
    $this->strCat_name = $strCat_name;
    $this->strCat_description = $strCat_description;
  }

  /**
   * カテゴリ名称取得
   **/
  function getName()
  {
    return $this->strCat_name;
  }
  /**
   * カテゴリ説明取得
   **/
  function getDescription()
  {
    return $this->strCat_description;
  }
  /**
   * カテゴリコード
   **/
  function getCd()
  {
    return $this->strCat_cd;
  }
  /**
   * カテゴリに含まれるタスクの総数を設定する
   **/
  function setIntTaskSum($intTaskSum)
  {
    $this->intTaskSum = $intTaskSum;
  }
  /**
   * カテゴリに含まれる終了したタスクの総数を設定する
   **/
  function setIntFinishedTaskSum($intFinishedTaskSum)
  {
    $this->intFinishedTaskSum = $intFinishedTaskSum;
  }
  /**
   * 完了済みタスク数を返す
   **/
  function getFinishedTaskCount()
  {
    return $this->intFinishedTaskSum . "/" . $this->intTaskSum;
  }                    
  /** 
   * カテゴリに含まれるタスクの最終期限を設定する
   **/  
  function setTaskPlanEnd($dayPlanEndDay, $dayPlanEndTime)  
  {  
    $this->dayPlanEndDay = $dayPlanEndDay;  
    $this->dayPlanEndTime = $dayPlanEndTime;    
  }   
  /** 
   * 完了済みタスク数を返す
   **/    
  function getTaskPlanEnd()   
  {   
    return $this->dayPlanEndDay;
  }    
}
?>