<?php
//
// Copyright (C) 1999-2000 Top Management Service, inc. All Rights Reserved.
// Copyright (C) 2001-2003 System Consultants Co.,Ltd. All Rights Reserved.
//
// $Id: type.php 1214 2004-09-01 01:43:28Z hideki-h $
//

/**
 * 就業形態マスタメンテナンス
 *
 * @author hiroki KAWAMURA <hiroki@syscon.co.jp>
 * @author yuji TAKAHASHI <yu-ji@syscon.co.jp>
 * @author hideo OHSAWA <ohsawa@syscon.co.jp>
 */

//変数
$sub = isset($_POST["sub"]) ? $_POST["sub"] : $_GET["sub"];
$type = $_POST["type"];
$t_name = $_POST["t_name"];


include("gw.php");
include("include/dbChange.php");
$conn = $dbConnectObj->openConnect();
if (!$conn) {
	echo "データベースに異常。<BR>\n";
	exit;
}

include_once($_ROOT_DIR_ . "class/PhraseSelect.php");
$objPhraseSelect = new PhraseSelect($bolPhraseSelect);
$varPhraseSet = $objPhraseSelect->getPhrase();

include("include/accept.conf");
if (!$_SERVER["PHP_AUTH_USER"]) {
	echo "Not Found.<BR>\n";
	exit;
}
	$strSql = $dbSqlObj->selectAdministratorsAllWithEmpCd($_SERVER["PHP_AUTH_USER"]);
	$result = $dbExecObj->exeSql($conn,$strSql);

	$adminCount = $dbExecObj->getNumRows($result);
	include("include/admchk.func");
	if (admchk($conn,$_SERVER["PHP_AUTH_USER"],$dbSqlObj,$dbExecObj) == 0){
		echo "<FONT COLOR = \"RED\">管理者ではありません</FONT>\n";
		exit;
	}

// ログオン周りのクラスを使います。
	require_once($_ROOT_DIR_ . "class/employeeinfo.php");		// 社員情報クラス
	require_once($_ROOT_DIR_ . "class/employeeinfoowner.php");	// 社員情報クラスの処理クラス
	$employeeInfoOwner = new EmployeeInfoOwner();
	$employeeInfoOwner->setEmp_cd($_SERVER["PHP_AUTH_USER"]);
	$employeeInfoOwner->doSelectQuery($conn, $dbSqlObj, $dbExecObj);
	$employeeInfoArray = $employeeInfoOwner->getEmployeeInfoArray();
	$isAdmin = $employeeInfoArray[$_SERVER["PHP_AUTH_USER"]]->isAdmin();
	$empName = $employeeInfoArray[$_SERVER["PHP_AUTH_USER"]]->getName();

// デザインをインクルードします。
	require_once($_ROOT_DIR_ . "class/menuHeadder.php");
	$menuShowObj = new menuShowObj($conn,$dbSqlObj,$dbExecObj);
	$menuShowObj->setEmpName($empName);
	$menuShowObj->setCurrentAppli("conf");
	$menuShowObj->setIsAdmin($isAdmin);
	$menuShowObj->showHeadder();
?>
<span class="fBlack12100">■ <?php echo htmlSpecialEscape($varPhraseSet["strEmploymentForm"]) ?>情報のメンテナンス</span> 
<?

if (!$sub || $sub == "登録" || $sub == "更新" || $sub == "はい" || $sub == "いいえ") {
	if ($sub=="登録") {
		include("include/serial.func");
		$type = getSerialCode("mst_type",$conn,$dbSqlObj,$dbExecObj);
		$strSql = $dbSqlObj->selectMstTypeCountOfKindWithKind($type);
		$result = $dbExecObj->exeSql($conn,$strSql);
		if ($dbExecObj->getResult($result,0,"count_of_records") == 0) {
			$strSql = $dbSqlObj->insertMstType($type,$t_name);
			$result = $dbExecObj->exeSql($conn,$strSql);
		} else {
			echo "<B><FONT color=\"red\">同一" . htmlSpecialEscape($varPhraseSet["strEmploymentForm"]) . "コードの情報が登録されているため登録できませんでした。</FONT></B><BR>\n";
		}
	} elseif ($sub=="更新") {
		$strSql = $dbSqlObj->selectMstTypeCountOfKindWithKind($type);
		$result = $dbExecObj->exeSql($conn,$strSql);
		if ($dbExecObj->getResult($result,0,"count_of_records") == 0) {
			$strSql = $dbSqlObj->insertKind($type,$t_name);
			$result = $dbExecObj->exeSql($conn,$strSql);
		} else {
			$strSql = $dbSqlObj->updateMstTypeWithKind($t_name,$type);
			$result = $dbExecObj->exeSql($conn,$strSql);
		}
	} elseif ($sub == "はい") {
		$strSql = $dbSqlObj->deleteMstTypeWithKind($type);
		$result = $dbExecObj->exeSql($conn,$strSql);
	} else {	
	}	
?>
	<FORM  action="type.php" method="POST" >
	<SELECT  name="type" size="1">
<?
	$strSql = $dbSqlObj->selectMstTypeAllSortedKind();
	$result=$dbExecObj->exeSql($conn,$strSql);
	if (!$result) {
		echo htmlSpecialEscape($varPhraseSet["strEmploymentForm"]) . "情報の一覧を取得できません。<BR>\n";
		exit;
	}
	$count = $dbExecObj->getNumRows($result);
	$i = 0;
	while ($i < $count) {
		print("<OPTION VALUE=\"".htmlSpecialEscape($dbExecObj->getResult($result,$i,"kind"))."\">".htmlSpecialEscape($dbExecObj->getResult($result,$i,"t_name"))."\n");
		$i++;
	}
?>
	</SELECT><BR>
	<INPUT type="submit" name="sub" value="新規">
<? 	if ($count != 0) {?>
		<INPUT type="submit" name="sub" value="検索">
		<INPUT type="submit" name="sub" value="削除">
<?	}	?>
	</FORM>
<?
} elseif ($sub == "新規") {
?>
	<FORM  action="type.php" method="POST" >
	<TABLE>
	<TR>
	<td><?php echo htmlSpecialEscape($varPhraseSet["strEmploymentForm"]) ?></td>
	<TD><INPUT type="TEXT" name="t_name" size="20" maxlength="20"></TD>
	</TR><TR>
	<TD colspan=2><INPUT type="submit" name="sub" value="登録"></TD>
	</TR></TABLE>
	</FORM>
	<Script Language="JavaScript">
	<!--
	document.forms[0].elements[0].focus();
	//-->
	</Script>
<?
} elseif ($sub == "検索") {
	$strSql = $dbSqlObj->selectMstTypeAllWithKind($type);
	$result = $dbExecObj->exeSql($conn,$strSql);
?>
	<FORM  action="type.php" method="POST" >
	<TABLE>
	<TR>
	<td><span class="fBlack10100"><b><?php echo htmlSpecialEscape($varPhraseSet["strEmploymentForm"]) ?>コード：</b></span></td>
	<TD><?echo htmlSpecialEscape($dbExecObj->getResult($result,0,"kind"))?></TD>
	</TR><TR>
	<td><span class="fBlack10100"><b><?php echo htmlSpecialEscape($varPhraseSet["strEmploymentForm"]) ?>：</b></span></td>
	<TD><INPUT type="TEXT" name="t_name" size="20" maxlength="20" value="<?echo htmlSpecialEscape($dbExecObj->getResult($result,0,"t_name"))?>"></TD>
	</TR><TR>
	<TD colspan=2><INPUT TYPE="hidden" name="type" value="<?echo htmlSpecialEscape($type)?>">
	<INPUT type="submit" name="sub" value="更新">
	</TD></TR></TABLE>
	</FORM>
	<Script Language="JavaScript">
	<!--
	document.forms[0].elements[0].focus();
	//-->
	</Script>

<?
} elseif ($sub == "削除") {
	$strSql = $dbSqlObj->selectEmployeeCountOfKindWithKind($type);
	$result = $dbExecObj->exeSql($conn,$strSql);
	if ($dbExecObj->getResult($result,0,"count_of_records") != 0) {
		echo "この" . htmlSpecialEscape($varPhraseSet["strEmploymentForm"]) . "の従業員が存在します。削除できません。<BR>\n";
		echo "<A href=\"type.php\">[Back]</A><BR>\n";
	} else {
?>
		<FORM  action="type.php" method="POST" >
		本当に削除しますか？<BR>
		<INPUT TYPE="hidden" name="type" value="<?echo htmlSpecialEscape($type)?>">
		<INPUT type="submit" name="sub" value="はい">
		<INPUT type="submit" name="sub" value="いいえ">
		</FORM>
<?
	}
} else {
}
//デザインマージ後のフッタをインクルードします。
	$menuShowObj->showConfFooter();
?>
