<?php
//
// Copyright (C) 1999-2000 Top Management Service, inc. All Rights Reserved.
// Copyright (C) 2001-2002 System Consultants Co.,Ltd. All Rights Reserved.
//
// $Id: whiteboard2.php 1196 2004-08-25 08:28:01Z hideki-h $
//

/**
 * ホワイトボード入力
 *
 * @author hiroki KAWAMURA <hiroki@syscon.co.jp>
 * @author yuji TAKAHASHI <yu-ji@syscon.co.jp>
 */


$sub = isset($_POST["sub"]) ? $_POST["sub"] : $_GET["sub"];
$division = isset($_POST["division"]) ? $_POST["division"] : $_GET["division"];
$status = $_POST["status"];
$emp_cd = isset($_POST["emp_cd"]) ? $_POST["emp_cd"] : $_GET["emp_cd"];
$destination = $_POST["destination"];
$contact= $_POST["contact"];

include ("gw.php");
include("include/dbChange.php");
$conn = $dbConnectObj->openConnect();
if (!$conn) 
{
	echo "<Script language=\"JavaScript\">\n";
	echo "alert('データベース接続に失敗しました。')\n";
	echo "</Script>\n";
	exit;
}

include_once($_ROOT_DIR_ . "class/PhraseSelect.php");
$objPhraseSelect = new PhraseSelect($bolPhraseSelect);
$varPhraseSet = $objPhraseSelect->getPhrase();

$strSql = $dbSqlObj->setDateStyleToIso();
$dbExecObj->exeSql($conn, $strSql);
include ("include/accept.conf");

include("include/getallemp.func");
include("include/getalldiv.func");
include("include/inputcheck.func");

$ar_emp = getallemp($conn, "division, emp_cd",$dbSqlObj,$dbExecObj);
$ar_div = getalldiv($conn,$dbSqlObj,$dbExecObj);

if ($sub == "書き込み") 
{
	$destination = InputCheck($destination);

	$sqlstr = $dbSqlObj->updateWhiteboardWithEmpCd($status,$destination,$_SERVER["PHP_AUTH_USER"],$emp_cd);
	$result = $dbExecObj->exeSql($conn, $sqlstr);

	if (!$result) 
	{
		echo "<Script language=\"JavaScript\">\n";
		echo "alert('データベース登録に失敗しました。')\n";
		echo "history.go(-1);\n";
		echo "</Script>\n";
		exit;
	}

	$contact = InputCheck($contact);

	$sqlstr = $dbSqlObj->updateEmployeeContactWithEmpCd($contact,$emp_cd);
	$result = $dbExecObj->exeSql($conn, $sqlstr);
	
	if (!$result) 
	{
		echo "<Script language=\"JavaScript\">\n";
		echo "alert('データベース登録に失敗しました。')\n";
		echo "history.go(-1);\n";
		echo "</Script>\n";
		exit;
	}

	// 一覧画面を表示
	header("Location: whiteboard1.php?division=$division");
	exit;
}
else 
{
}

// ログオン周りのクラスを使います。
	require_once($_ROOT_DIR_ . "class/employeeinfo.php");		// 社員情報クラス
	require_once($_ROOT_DIR_ . "class/employeeinfoowner.php");	// 社員情報クラスの処理クラス
	$employeeInfoOwner = new EmployeeInfoOwner();
	$employeeInfoOwner->setEmp_cd($_SERVER["PHP_AUTH_USER"]);
	$employeeInfoOwner->doSelectQuery($conn, $dbSqlObj, $dbExecObj);
	$employeeInfoArray = $employeeInfoOwner->getEmployeeInfoArray();
	$isAdmin = $employeeInfoArray[$_SERVER["PHP_AUTH_USER"]]->isAdmin();
	$empName = $employeeInfoArray[$_SERVER["PHP_AUTH_USER"]]->getName();

// デザインをインクルードします。
	require_once($_ROOT_DIR_ . "class/menuHeadder.php");
	$menuShowObj = new menuShowObj($conn,$dbSqlObj,$dbExecObj);
	$menuShowObj->setEmpName($empName);
	$menuShowObj->setCurrentAppli("white");
	$menuShowObj->setIsAdmin($isAdmin);
	$menuShowObj->showHeadder();

?>
<Script Language="JavaScript">
<!--
<?include ("include/timechk.jsc");?>

function inputCheck(myForm) {
	flg = 0;
	for (i = 0; i < 3; i++)
	{
		if (myForm.elements[i].checked == true) {
			flg = 1;
		}
	}
	if (flg == 0)
	{
		alert("今の状態が選択されていません。");
		return false;
	}
	return true;	
}
//-->
</script>

<FORM ACTION="<?echo htmlSpecialEscape($_SERVER["PHP_SELF"])?>" METHOD="POST" onSubmit="return inputCheck(this)">

<? 
$strSql = $dbSqlObj->selectWhiteboardEmployeePlaceDestinationContactWithEmpCd($emp_cd);
$result = $dbExecObj->exeSql($conn,$strSql);

if (!$result)
{
	$statusData = "";
	$destinationData = "";
	$contactData = "";
}
else
{
	$statusData = $dbExecObj->getResult($result, 0, "place");
	$destinationData = $dbExecObj->getResult($result, 0, "destination");
	$contactData = $dbExecObj->getResult($result, 0, "contact");
}

$bcolor = "mistyrose";
?>
<TABLE CELLPADDING="5" CELLSPACING="0" WIDTH="500">
  <TR>
    <TD ALIGN="left" VALIGN="top"><FONT SIZE="2"><span class="fBlack10100"><B>名前：</B></span></FONT></TD>
    <TD VALIGN=top>
      <span class="fBlack10100"><?echo htmlSpecialEscape($ar_emp[$emp_cd])?></span>
    </TD>
  </tr>
  <TR>
    <TD ALIGN="left" VALIGN="top" NOWRAP><FONT SIZE="2"><span class="fBlack10100"><B>今の状態：</B></span></FONT></TD>
    <TD VALIGN=top>
      <INPUT TYPE=radio NAME="status" VALUE="0"<?if ($statusData == '0') { echo "checked";}?>><span class="fBlack10100">在席</span><br>
      <INPUT TYPE=radio NAME="status" VALUE="1"<?if ($statusData == '1') { echo "checked";}?>><span class="fBlack10100">外出</span><br>
      <INPUT TYPE=radio NAME="status" VALUE="2"<?if ($statusData == '2') { echo "checked";}?>><span class="fBlack10100">帰宅</span><br>
    </TD>
  </TR>
  <TR>
    <TD ALIGN="left" VALIGN="top" NOWRAP><FONT SIZE="2"><span class="fBlack10100"><B>メモ：</B></span></FONT></TD>
    <TD VALIGN="top">
      <TEXTAREA NAME="destination" ROWS="4" COLS="40"><? echo htmlSpecialEscape($destinationData) ?></TEXTAREA>
    </TD>
  </TR>
  <TR>
    <TD ALIGN="left" VALIGN="top" NOWRAP><FONT SIZE="2"><span class="fBlack10100"><B>連絡先：</B></span></FONT></TD>
    <TD VALIGN=top>
      <TEXTAREA NAME="contact" ROWS="4" COLS="40"><? echo htmlSpecialEscape($contactData) ?></TEXTAREA>
    </TD>
  </TR>
  <TR>
    <TD HEIGHT="5" COLSPAN=2></TD>
  </TR>
  <TR>
    <TD COLSPAN="2">
      <INPUT TYPE="SUBMIT" VALUE="書き込み" NAME="sub">　<INPUT TYPE = "RESET" VALUE = "クリア">
      <input type="hidden" value="<? echo htmlSpecialEscape($division) ?>" name="division">
      <input type="hidden" value="<? echo htmlSpecialEscape($emp_cd) ?>" name="emp_cd">
    </TD>
  </TR>
  <TR>
    <TD COLSPAN="2">
      <A HREF="whiteboard1.php?division=<?echo $division?>">一覧画面へ</A>
    </TD>
  </TR>
</TABLE>
</form>
<?php
//デザインマージ後のフッタをインクルードします。
	$menuShowObj->showFooter();
?>
